<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('BLOCK_FILE')) {
    Header("Location: ../index.php");
    exit;
}

$limit_view_topics = 10;

global $main;
    $result = $main->db->sql_query("SELECT t.topic_id, t.topic_title, t.topic_poster_name, t.topic_views, t.topic_replies, p.poster_name, ut.user_id as topic_user_id, ut.uid as topic_uid, up.user_id as post_user_id, up.uid as post_uid
        FROM ".TOPICS." AS t LEFT JOIN ".POSTS." AS p ON (t.topic_last_post_id=p.post_id) LEFT JOIN ".USERS." AS ut ON(t.topic_poster=ut.uid) LEFT JOIN ".USERS." AS up ON(p.poster_id=up.uid)
        ORDER BY p.post_id DESC
        LIMIT {$limit_view_topics}");
    if($main->db->sql_numrows($result)>0){
        $row = 'row1';
        echo "<table class='block_table' width='100%' cellpadding='3' cellspacing='1'><tr>\n<th>{$main->lang['topic_title']}</th>\n<th width='100'>{$main->lang['author']}</th>\n<th width='20'>{$main->lang['topic_views']}</th>\n<th width='20'>{$main->lang['topic_replies']}</th>\n<th width='100'>{$main->lang['poster_name']}</th></tr>\n";
        while(($topic = $main->db->sql_fetchrow($result))){
            $y=10;
            while($y>1){
                $topic_title = cut_text($topic['topic_title'], $y);
                if(nc_strlen($topic_title)>60) $y--;
                else break;
            }
            echo "<tr class='{$row}'>\n".
            "<td><a href='".$main->url(array('module' => 'forum', 'do' => 'lastpost', 'id' => $topic['topic_id']))."' title='{$topic['topic_title']}'>{$topic_title}</a></td>\n".
            "<td class='cols'><a class='sys_link' href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($topic['topic_user_id'], $topic['topic_uid'])))."' title='{$main->lang['user_profile']}'>{$topic['topic_poster_name']}</a></td>\n".
            "<td align='center'>{$topic['topic_views']}</td>\n".
            "<td class='cols'>{$topic['topic_replies']}</td>\n".
            "<td align='center'><a class='sys_link' href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($topic['post_user_id'], $topic['post_uid'])))."' title='{$main->lang['user_profile']}'>{$topic['poster_name']}</a></td>\n".
            "</tr>";
            $row = ($row=='row1') ? 'row2' : 'row1';
        }
        echo "</table>";
    }
?>