<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('FUNC_FILE')) die('Access is limited');

class rss_writer{
    var $items = "";
    var $conf;

    function add_item($id, $title, $date, $cat, $content, $author, $rss_title){
    global $main;
        $content = preg_replace('/<img(.*?)src\s{0,}=\s{0,}[\'|"](.+?)[\'|"](.*?)>/si', "<img\\1src='http://".get_host_name()."/\\2'\\3>", $content);
        $this->conf = $rss_title;
        $this->items .= "<item>\n".
        "<title>{$title}</title>\n".
        "<pubDate>".htmlspecialchars(date("D, j M Y H:m:s O", strtotime($date)))."</pubDate>\n".
        "<guid>".$main->url(array('module' => $main->module, 'do' => 'more', 'id' => $id))."</guid>\n".
        "<description>{$content}</description>\n".
        "<comments>".$main->url(array('module' => $main->module, 'do' => 'more', 'id' => $id))."</comments>\n".
        "<category>{$cat}</category>\n".
        "<author>submainl@mail.com ({$author})</author>\n".
        "</item>";
    }
    
    function write(){
    global $config;
        header("Content-Type: application/rss+xml");
        die("<?xml version='1.0' encoding='{$config['charset']}' ?".">\n".
        "<rss version='2.0'>\n".
        "<channel>\n".
        "<title>{$this->conf}</title>\n".
        "<link>{$config['http_home_url']}</link>\n".
        "<description>{$config['description']}</description>\n".
        "<generator>Nova CMS {$config['cms_version']}</generator>\n".
        "<copyright>Copyright (c) Nova CMS {$config['cms_version']}</copyright>\n".
        "<language>pe-pe</language>\n".
        "<lastBuildDate>".date("D, j M Y H:m:s O")."</lastBuildDate>\n".
        $this->items.
        "</channel>\n</rss>");
    }
}

//Class timing
class timer{
    var $start_time;
    
    function timer(){
    	$time = 0;
        preg_match('/(.*)\s(.*)/', microtime(), $time);
        $this->start_time = $time[2] + $time[1];
    }

    function stop(){
    	$time = 0;
        preg_match('/(.*)\s(.*)/', microtime(), $time);
        return round(($time[2] + $time[1])-$this->start_time, 4);
    }  
}
?>
