<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('FUNC_FILE')) die('Access is limited');

$config = array(
    'cms_version'                 => '1.0 Beta',
    'home_title'                  => 'Nova CMS',
    'http_home_url'               => 'http://localhost/',
    'sitelogo'                    => 'includes/images/logo.png',
    'charset'                     => 'utf-8',
    'description'                 => 'The site is built on a system Nova CMS',
    'keywords'                    => 'Nova CMS, Forum,  Slider, PHP, Design',
    'user_cookies'                => 'nova_user',
    'admin_cookies'               => 'nova_user',
    'GMT_correct'                 => '+0',
    'rewrite'                     => '',
    'separator_rewrite'           => '/',
    'file_rewrite'                => '.html',
    'separator'                   => '»',
    'multilanguage'               => 'on',
    'default_module'              => 'news',
    'language'                    => 'persian',
    'template'                    => 'nova',
    'case_template'               => 'on',
    'disable_site'                => '',
    'disable_description'         => '<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\"><html xmlns=\"http://www.w3.org/1999/xhtml\"><head><title>سایت بسته است</title><meta http-equiv=\\\'content-type\\\' content=\\\'text/html; charset=utf-8\\\' /><link rel=\\\'stylesheet\\\' type=\\\'text/css\\\' href=\\\'optimizer/?includes/css/errors.css\\\' media=\\\'screen\\\' /></head><body class=\\\'bg_body\\\'><br /><br /><br /><br /><br /><br /><br /><br /><div align=\\\'center\\\'><img src=\\\'includes/images/logo.png\\\' alt=\\\'Nova CMS\\\'/></div><div align=\\\'center\\\'>این سایت در دست ساخت است، پس از اتمام کار سایت باز خواهد شد.<br />با عرض پوزش</div></body></html>',
    'admin_mail'                  => 'admin@localhost',
    'contact_mail'                => 'support@localhost',
    'sends_mail'                  => 'info@localhost',
    'charset_mail'                => 'utf-8',
    'template_mail'               => 'includes/template/mail.tpl',
    'site_name_for_mail'          => 'Nova CMS',
    'type_emeils'                 => 'text/html',
    'bcc_send'                    => '',
    'type_email_send'             => 'mail',
    'smtp_host'                   => 'localhost',
    'smtp_port'                   => '25',
    'smtp_user'                   => '',
    'smtp_password'               => '',
    'send_mail'                   => '',
    'adminfile'                   => 'admin.php',
    'logined_admin'               => '0',
    'capcha_symbols'              => '0123456789abcdefghijklmnopqrstuvwxyz',
    'capcha_count_symbols'        => '3-4',
    'time_of_life_session'        => '365',
    'time_online'                 => '300',
    'interval_session_update'     => '150',
    'date_format'                 => 'd.m.Y',
    'classes_links'               => 'sys_link,account_ico,module_navi_sel,module_navi,list_link',
    'gzlevel'                     => '8',
    'gz'                          => 'on',
    'geoip'                       => '',
    'ajaxload'                    => '',
    'mark'                        => '1',
    'mark_img'                    => 'includes/images/mark.png',
    'htmlTags'                    => 'b,i,u,hr,li',
    'typeEditor'                  => '1',
    'variables'                   => '2',
    'query'                       => '2',
    'mode_debugging_php'          => 'on',
    'mode_debugging_sql'          => 'on',
    'mode_debugging_http'         => 'on',
    'log_debugging_php'           => 'on',
    'log_debugging_sql'           => 'on',
    'log_debugging_http'          => 'on',
    'log_emails_send'             => 'on',
    'log_error_user_logined'      => '',
    'filrer_referer'              => 'on',
    'pdaversion'                  => 'on',
    'imgpdaversion'               => '',
    'download_resume'             => '',
    'download_speed'              => '1024',
    'install_date'                => '2010-10-04',
    'user_agent_full'             => '',
    'whois'                       => 'http://www.dnsstuff.com/tools/whois/?ip=',
    'compatibility'               => '',
    'jquery'                      => 'local'
);
?>