<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('FUNC_FILE')) die('Access is limited');

$shop = array(
    'directory'                  => 'uploads/shop/',
    'rss_title'                  => 'sitename - Shop',
    'attaching_files_type'       => 'zip,rar,tar,gz,jpeg,jpg,gif,png,pdf',
    'miniature_image_width'      => '300',
    'miniature_image_height'     => '500',
    'max_image_width'            => '1280',
    'max_image_height'           => '2048',
    'attaching_files_size'       => '1024',
    'file_upload_limit'          => '10',
    'publications_in_page'       => '10',
    'rss_limit'                  => '10',
    'cat_cols'                   => '2',
    'sort_type_publications'     => 'DESC',
    'sort_publications'          => 'date',
    'comments_sort'              => 'ASC',
    'list_publications'          => 'on',
    'rss'                        => '',
    'attaching'                  => 'on',
    'categories'                 => 'on',
    'categories_ico'             => 'on',
    'categories_desc'            => 'on',
    'clasic_cat'                 => 'on',
    'multiple_cat'               => 'on',
    'ratings'                    => '',
    'guests_evaluate'            => '',
    'comments'                   => 'on',
    'guests_comments'            => '',
    'similar_publications'       => '',
    'cover_type_img'             => 'jpeg,jpg,gif,png',
    'cover_size_img'             => '2048',
    'cover_width_img'            => '2048',
    'cover_height_img'           => '2048',
    'cover_width_minimg'         => '200',
    'cover_height_minimg'        => '200',
    'symbol_rate'                => 'ریال',
    'guest_shop'                 => '',
    'more_link'                  => 'on',
    'email'                      => 'shop@yoursite.net',
    'default_shopping_cart'      => 'on',
    'default_status'             => '0'
);
?>