<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined("NOVACMS") AND !defined("ADMIN_FILE")) die("Access is limited");

function favorite(){
global $main, $modules;
    if(!is_user()) exit;	
    if(isset($_POST['id']) AND preg_match('/^([0-9]*)$/', $_POST['id']) AND isset($modules[$_POST['module']])){
        if($_POST['id'] != '') {
            list($count) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(*) FROM ".FAVORITE." WHERE modul='{$_POST['module']}' AND users='{$main->user['user_name']}' AND post='{$_POST['id']}'"));
            if($count>0) $main->db->sql_query("DELETE FROM ".FAVORITE." WHERE modul='{$_POST['module']}' AND post='{$_POST['id']}' AND users='{$main->user['user_name']}'");	
            else sql_insert(array('modul' => $_POST['module'], 'users' => $main->user['user_name'], 'post'  => $_POST['id']), FAVORITE);
            
        }
    }
}

function rating(){
global $main, $database;
    filter_arr(array('rating', 'voted', 'star', 'table', 'id'), POST, TAGS);
    $_POST['table'] = strpos($_POST['table'], $database['prefix'].'_')===false ? $database['prefix'].'_'.$_POST['table'] : $_POST['table'];
    if(!preg_match('/^([a-z0-9\-_]*)$/i', $_POST['table']) OR !preg_match('/^([0-9]*)$/i', $_POST['id']) OR !preg_match('/^([1-5])$/i', $_POST['star'])) exit;
    $rating = (($_POST['rating']*$_POST['voted'])+$_POST['star'])/($_POST['voted']+1);
    $rating = ($rating<1) ? $_POST['star'] : $rating;
    if(isset($_COOKIE['rating'])) setcookies($_COOKIE['rating'].$_POST['table'].$_POST['id'].", ", "rating");
    else setcookies($_POST['table'].$_POST['id'].", ", "rating");
    $id=($_POST['table']!=USERS)?"id":'uid';
    $kay_point = 'rating'.str_replace($database['prefix'], '', $_POST['table']);
    if($kay_point=='rating_users') $kay_point = 'rating_account';
    if(isset($main->points[$kay_point])) add_points($main->points[$kay_point]);
    sql_update(array(
        'rating'    =>  $rating,
        'voted'     =>  intval($_POST['voted']+1)
    ), $_POST['table'], " {$id}='{$_POST['id']}'");
}

function preview() {
global $tpl_create;
    $tpl_create->add2script("optimizer/?includes/javascript/highslide/highslide.js");
    $tpl_create->add2link("optimizer/?includes/javascript/highslide/highslide.css");
    if(isset($_POST['text']) AND !empty($_POST['text'])){
        $html = "<div style='padding: 4px;' align='left'>".str_replace('&amp;#036;', '$', parse_bb(bb(nc_filter($_POST['text'], TAGS))))."</div>";
        echo stripcslashes($html).$tpl_create->javascript_insert().$tpl_create->link_insert();
    } else echo "              ";
}

function chk_ver(){
global $lang, $version_sys, $revision;
    $actial = get_sock_content('nova-cms.com', 'version.xml');
    $actial = preg_replace('/(.*?)REVISION SYSTEM:\s([0-9]{1,4})(.*)/is', '\\2', $actial);
    if($actial>$revision) echo "<img src='templates/admin/images/arrow.gif' alt='>' style='margin-right: 4px;' />{$lang['detect_new_ver']} r{$actial} | <b>{$lang['your_version']}: {$version_sys}</b>";
    else echo "<img src='templates/admin/images/arrow.gif' alt='>' style='margin-right: 4px;' />{$lang['no_detect_new_ver']} | <b>{$lang['your_version']}: {$version_sys}</b>";
}

function delete_comment(){
global $main;
    if(is_support()) {
        $main->db->sql_query("DELETE FROM ".COMMENTS." WHERE cid='{$_POST['cid']}'");
        if(!empty($_POST['table'])) $main->db->sql_query("UPDATE {$_POST['table']} SET comment=comment-1 WHERE id='{$_POST['id']}'");
    }
}

function edit_comment(){
global $main, $lang;
    $result = $main->db->sql_query("SELECT * FROM ".COMMENTS." WHERE cid='{$_POST['id']}'");
    if($main->db->sql_numrows($result)>0){
        $row = $main->db->sql_fetchrow($result);
        if($row['name']!=$main->user['user_name'] AND !is_support()){
            nc_http_ereor_logs(403);
            return '';
        }
        echo "<div id='content_conteiner_{$_POST['id']}' style='display: none;'>".parse_bb($row['comment'])."</div><div id='edit_conteiner_{$_POST['id']}'><textarea id='edit_comment_area_{$_POST['id']}' style='height: {$_POST['height']}px; width:97%'>".bb($row['comment'], DECODE)."</textarea><div align='right' style='width: 97%'><a href='#' onclick=\"return apply_edit_comment('{$_POST['id']}');\" class='apply_but'><b>{$lang['apply']}</b> <a href='#' class='cancel_but' onclick=\"return cancel_edit_comment('{$_POST['id']}');\"><b>{$lang['cancel']}</b></a></div></div>";
    }
    return true;
}

function apply_edit_comment(){
global $main;
    $result = $main->db->sql_query("SELECT * FROM ".COMMENTS." WHERE cid='{$_POST['id']}'");
    if($main->db->sql_numrows($result)>0 AND isset($_POST['comment']) AND !empty($_POST['comment']) AND nc_strlen($_POST['comment'])>3){
        $row = $main->db->sql_fetchrow($result);
        if($row['name']!=$main->user['user_name'] AND !is_support()){
            nc_http_ereor_logs(403);
            return '';
        }
        sql_update(array('comment' => bb($_POST['comment'])), COMMENTS, " cid='{$_POST['id']}'");
        echo stripslashes(parse_bb(bb($_POST['comment'])));
    }
    return true;
}

function ajax_userinfo(){
global $main, $img, $userconf;
$result = $main->db->sql_fetchrow($main->db->sql_query("SELECT u.user_name, u.user_avatar, u.user_msnm, u.user_yim, u.user_aim, u.user_icq, u.user_skype, u.user_gtalk, u.user_birthday, u.user_gender, u.user_regdate, u.user_last_ip, u.user_last_os, u.user_last_browser, u.user_group, g.id, g.title, g.color FROM ".USERS." AS u LEFT JOIN ".GROUPS." AS g ON (g.id=u.user_group) WHERE u.uid='".intval($_POST['id'])."'"));    
$resses = $main->db->sql_query("SELECT uname, time  FROM ".SESSIONS." WHERE uname='".$result['user_name']."'");
if($main->db->sql_numrows($resses)>0){
$session = $main->db->sql_fetchrow($resses);
$status = "<span style='color: green; font-weight: bold;'>Online</span>";
$tuped = "<div>{$main->lang['timetuped']}: ".(time()-$session['time'])." {$main->lang['sek']}</div>";
} else {$status = "<span style='color: red; font-weight: bold;'>Offline</span>"; $tuped = "";}
echo "<div class='ajax_userinfo' dir='rtl'>
<div align='center'><h3>{$result['user_name']}</h3><br><img src='{$userconf['directory_avatar']}{$result['user_avatar']}' alt='{$result['user_name']}' /></div>
<div>{$main->lang['gender']}: ".(($result['user_gender']==1)?$img['male']:(($result['user_gender']==2)?$img['female']:$main->lang['noinfo']))."</div>
<div>{$main->lang['birthday']}: ".(($result['user_birthday']=="0000-00-00")?$main->lang['no']:format_date($result['user_birthday']))."</div>";
echo "<div>{$main->lang['reg_date']}: ".format_date($result['user_regdate'])."</div>";
echo empty($result['user_icq']) ? "" : "<div>{$img['icq']}".$result['user_icq']."</div>";
echo empty($result['user_skype']) ? "" : "<div>{$img['skype']} ".$result['user_skype']."</div>";
echo empty($result['user_gtalk']) ? "" : "<div>{$img['talk']} ".$result['user_gtalk']."</div>";
echo empty($result['user_aim']) ? "" : "<div>{$img['aim']} ".$result['user_aim']."</div>";
echo empty($result['user_yim']) ? "" : "<div>{$img['yim']} ".$result['user_yim']."</div>";
echo empty($result['user_msnm']) ? "" : "<div>{$img['msnm']} ".$result['user_msnm']."</div>";
echo "<div>{$main->lang['status']}: {$status}</div>";
echo "{$tuped}".(($result['user_group']!=0)?"<div>{$main->lang['group']}: <font color='#{$result['color']}'>{$result['title']}</font></div>":"");
echo empty($result['user_last_browser'])?"":"<div>{$main->lang['browser']}: ".$result['user_last_browser']."</div>";
echo empty($result['user_last_os'])?"":"<div>{$main->lang['os']}: ".$result['user_last_os']."</div>";
echo "</div>";
}

function update_upload(){
    require_once "includes/function/attache.php";
    if(preg_match('/\.\.\//i', $_POST['dir']) OR nc_strpos($_POST['dir'], 'uploads/') === false) {
        nc_http_ereor_logs(403);
        return false;
    }
    $dir = update_list_files($_POST['dir'], isset($_POST['options'])?($_POST['options']=='true'?true:false):true);
    $_SESSION['uploaddir'] = $_POST['dir'];
    if(!empty($dir)) echo $dir."<script type='text/javascript'>$$('uploaddir').value='{$_POST['dir']}'</script>";
    else echo "              ";
    return true;
}

function createdir(){
    $i = 0;    
    if(!is_support()) return false;
    while(true){
        $subname = ($i>0) ? $i : "";
        if(!nc_file_exists($_POST['dir']."NewDirectory".$subname)){ nc_mkdir($_POST['dir']."NewDirectory".$subname, 0777); break;}
        $i++;
    }
    update_upload();
    return true;
}

function delete_attach(){
global $main;
    require_once "includes/function/attache.php";
    $dir = urldecode($_GET['dir']);
    $file = urldecode($_GET['file']);    
    if(preg_match('/\.\.\//i', $dir) OR nc_strpos($dir, 'uploads/') === false) {
        nc_http_ereor_logs(403);
        return false;
    }
    if(count(explode('/', $dir))>2){
        $result = $main->db->sql_query("SELECT user_id FROM ".ATTACH." WHERE path='{$dir}' AND file='{$file}'");
        $count = $main->db->sql_numrows($result);
        $info = $main->db->sql_fetchrow($result);
        //if(($count>0 AND $info['user_id']==$main->user['uid']) OR $count==0 OR is_support()){
        if(($count>0 AND $info['user_id']==$main->user['uid']) OR is_support()){
            if(!nc_is_dir($dir.$file)){
                if(nc_file_exists($dir.$file)) nc_unlink($dir.$file);
                if(nc_file_exists($dir."mini-".$file)) nc_unlink($dir."mini-".$file);
                $main->db->sql_query("DELETE FROM ".ATTACH." WHERE user_id='{$main->user['uid']}' AND path='{$dir}' AND file='{$file}'");
            } else remove_dir($dir.$file);
        } else echo "<script type='text/javascript'>alert('{$main->lang['nodeletefile']}')</script>";
        $dire = update_list_files($dir, $_POST['options']=='true'?true:false);
        if(!empty($dire)) echo $dire;
        else echo "              ";
        return true;
    } else nc_http_ereor_logs(403);
}

function renames(){
global $lang, $main;
    if(!nc_file_exists($_POST['dir'].$_POST['file'])) return false;
    if(preg_match('/\.\.\//i', $_POST['dir']) OR nc_strpos($_POST['dir'], 'uploads/') === false) {
        nc_http_ereor_logs(403);
        return false;
    }
    $new = (preg_match('/^[a-zA-Z0-9_.-]+$/D', trim($_POST['new_name']))) ?  trim($_POST['new_name']) : '';
    if($new == '') {
        echo "<script type='text/javascript'>alert('{$main->lang['new_file_name_empty']}')</script>";
        return false;
    }
    if(count(explode('/', $_POST['dir']))>2){
        if(!nc_is_dir($_POST['dir'].$_POST['file'])){
            $exp = get_type_file(nc_strtolower($_POST['file']));
            if(!nc_file_exists($_POST['dir'].$new.'.'.$exp)){
                $result = $main->db->sql_query("SELECT user_id FROM ".ATTACH." WHERE path='{$_POST['dir']}' AND file='{$_POST['file']}'");
                $count = $main->db->sql_numrows($result);
                $info = $main->db->sql_fetchrow($result);
                //if(($count>0 AND $info['user_id']==$main->user['uid']) OR $count==0 OR is_support()){
                if(($count>0 AND $info['user_id']==$main->user['uid']) OR is_support()){
                    nc_rename($_POST['dir'].$_POST['file'], $_POST['dir'].$new.'.'.$exp);
                    if(nc_file_exists($_POST['dir']."mini-".$_POST['file'])) nc_rename($_POST['dir']."mini-".$_POST['file'], $_POST['dir']."mini-".$new.'.'.$exp);
                    sql_update(array('file' => $new.'.'.$exp), ATTACH, "file='{$_POST['file']}' AND path='{$_POST['dir']}'");
                } else echo "<script type='text/javascript'>alert('{$main->lang['norenamefile']}')</script>";
                update_upload();
            } else echo "<script type='text/javascript'>alert('{$lang['error_rename']}');</script>";
        } else {
            if(!is_support()) return false;
            if(!nc_file_exists($_POST['dir'].$new)){
                nc_rename($_POST['dir'].$_POST['file'], $_POST['dir'].$new);
                update_upload();
            } else echo "<script type='text/javascript'>alert('{$lang['error_rename']}');</script>";
        }
        return true;
    } else nc_http_ereor_logs(403);
}

function quickselect(){
global $main, $limit_fields;
    if(!preg_match('/^([a-z0-9\-_]*)$/i', $_POST['table']) OR !preg_match('/^([0-9]*)$/i', $_POST['param'])) exit;
    if(!in_array($_POST['col'], $limit_fields)) return false;
    $result = $main->db->sql_query("SELECT {$_POST['col']} FROM {$_POST['table']} WHERE".stripcslashes($_POST['param'])." UPPER({$_POST['col']}) LIKE '".nc_chenge_reg($_POST['string'], 'upper')."%'");
    while(list($var) = $main->db->sql_fetchrow($result)){
        echo $var." ";
    }
    
}

function add_tag_insession(){
global $main;
    if(!empty($_POST['value'])) $_SESSION['tags_pub'][] = $_POST['value'];
    elseif($_POST['tags'] AND !empty($_POST['tags'])) foreach(explode('|', $_POST['tags']) as $value) if(!empty($value) AND !in_array($value, isset($_SESSION['tags_pub'])?$_SESSION['tags_pub']:array())) $_SESSION['tags_pub'][] = $value;
    if(isset($_SESSION['tags_pub'])){
        echo "<table class='tag_table' cellpadding='0' cellspacing='0' style='margin:0px' width='100%'>";
        $bg = 'bg1';
        foreach($_SESSION['tags_pub'] as $value) {
            echo "<tr class='{$bg}'><td>{$value}</td><td width='15'><a class='remove_tag' href='#' onclick=\"remove_tag('{$value}'); return false;\">{$main->lang['delete']}</a></td></tr>";
            $bg = ($bg!='bg1') ? 'bg1' : 'bg2';
        }
        echo "</table>";
    }
}

function remove_tag_insession(){
global $main;
    if(isset($_SESSION['tags_pub'])){
        $key = array_search($_POST['text'], $_SESSION['tags_pub']);
        if(isset($_SESSION['tags_pub'][$key])) unset($_SESSION['tags_pub'][$key]);
        if(count($_SESSION['tags_pub'])==0) unset($_SESSION['tags_pub']);
        if(isset($_SESSION['tags_pub'])) {
            echo "<table class='tag_table' cellpadding='0' cellspacing='0' style='margin:0px' width='100%'>";
            $bg = 'bg1';
            foreach($_SESSION['tags_pub'] as $value) {
                echo "<tr class='{$bg}'><td>{$value}</td><td width='15'><a class='remove_tag' href='#' onclick=\"remove_tag('{$value}'); return false;\">{$main->lang['delete']}</a></td></tr>";
                $bg = ($bg!='bg1') ? 'bg1' : 'bg2';
            }
            echo "</table>";
        }
    }
}

function runer(){
global $planner, $copyright_file;
    if(!nc_file_exists("uploads/tmpfiles/runer.locked")){
        $save = false; $conf = "\$planner = array(\n";
        $file = fopen("uploads/tmpfiles/runer.locked", 'w');
        fputs ($file, '');
        fclose ($file);
        foreach($planner as $id => $run){
            if(gmdate('Y-m-d', strtotime($run['nextrun']))<=nc_date('Y-m-d H:i')){
                if(gmdate('H:i', strtotime($run['nextrun']))<=nc_date('H:i') AND in_array(gmdate('w'), explode(',', $run['weekdays'])) AND $run['status']==ENABLED){
                    $save = true;
                    $next = gmdate('Y-m-d', time()+60*60*24)." ".$run['time'];
                    $conf .= "    array('time' => '{$run['time']}', 'timeout' => '{$run['timeout']}', 'lastrun' => '".nc_date('Y-m-d H:i')."', 'nextrun' => '{$next}', 'name' => '{$run['name']}', 'weekdays' => '{$run['weekdays']}', 'url' => '{$run['url']}', 'status' => '{$run['status']}'),\n";
                    $action = nc_strpos('http://', $planner[$id]['url']) === true ? $planner[$id]['url'] : 'http://'.get_host_name().$planner[$id]['url'];
                    $p = parse_url($action);
                    $content = get_sock_content($p['host'], isset($p['query'])?$p['path']."?".$p['query']:$p['path'], 80, $run['timeout']*30);
                }
            }
        }
        if($save==true){
            file_write("includes/config/config_planner.php", $copyright_file.nc_substr($conf, 0, nc_strlen($conf)-2)."\n);\n?".">");
        }
        nc_unlink("uploads/tmpfiles/runer.locked");
    }
}

function delete_fav(){
global $main;
    if(is_user()){
        define('ACCOUNT', true); 
        $main->db->sql_query("DELETE FROM ".FAVORITE." WHERE users='{$main->user['user_name']}' AND id='{$_GET['id']}'");
        require_once "modules/account/info/favorites.php";
    }
}

if(isset($_GET['ajaxed'])){
    switch($_GET['ajaxed']){
        case "userinfo": ajax_userinfo(); break;
        case "apply_edit_comment": apply_edit_comment(); break;
        case "edit_comment": edit_comment(); break;
        case "delete_comment": delete_comment(); break;
        case "rename": renames(); break;
        case "mkdir": createdir(); break;
        case "chk_ver": chk_ver(); break;
        case "preview": preview(); break;
        case "rating": rating(); break;
        case "favorite": favorite(); break;
        case "quickselect": quickselect(); break;
        case "delete_attach": delete_attach(); break;
        case "update_upload": update_upload(); break;
        case "add_tag_insession": add_tag_insession(); break;
        case "remove_tag_insession": remove_tag_insession(); break;
        case "runer": runer(); break;
        case "delete_fav": delete_fav(); break;
    }
}
?>