<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('FUNC_FILE')) die('Access is limited');

function comments($table, $id, $s_id, $guest_comment, $sort, $pagebreak=false, $warning="", $func='more'){
global $userconf, $main, $rewrite, $tpl_create;
    echo "<div id='add_comment'>";
    if(is_ajax()) $main->parse_rewrite(array('module', 'do', 'id', 'pagebreak', 'page'));
    $num = isset($_GET['page']) ? intval($_GET['page']) : "1";
    $offset = ($num-1) * 10;
    $result = $main->db->sql_query("SELECT c.cid, c.date, c.name, c.comment, u.uid, u.user_id, u.user_avatar, u.user_icq, u.user_signature, u.rating, u.voted, g.title, g.color
        FROM ".COMMENTS." AS c LEFT JOIN ".USERS." AS u ON (c.name=u.user_name) LEFT JOIN ".GROUPS." AS g ON (u.user_group=g.id)
        WHERE c.modul='{$main->module}' AND c.parentid='{$id}'
        ORDER BY c.cid {$sort} LIMIT {$offset}, 10");
    open();
    echo "<a name='comments'></a><h2 class='comment'>{$main->lang['comments']}</h2>";
    close();
    $rows = $main->db->sql_numrows($result);
    
    if($rows>0){
        $i = (1*$num>1) ? (10*($num-1))+1 : 1*$num;
        $y = 'row1';
        while(list($cid, $date, $name, $comment, $uid, $user_id, $user_avatar, $user_icq, $signature, $rating, $voted, $gtitle, $gcolor) = $main->db->sql_fetchrow($result)){
            $user_avatar = (empty($user_avatar)) ? "guest.png" : $user_avatar;
            $edit = edit_button("#");
            $delete = delete_button("#", " onclick=\"delete_comment({$cid}, {$id}, '".nc_substr(get_env('REQUEST_URI'), 1)."'); return false;\"", false);
            $user_icq = (empty($user_icq)) ? " ---" : $user_icq;
            show_comment($id, array(
                'user_name'     => !is_guest_name($name) ? "<a class='author' href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($user_id, $uid)))."' title='{$main->lang['user_profile']}'>{$name}</a>" : $name,
                'comment'       => "<div id='content_comment_{$cid}'>".parse_bb($comment)."</div>",
                'user_group'    => "<span style='color: #{$gcolor}'>{$gtitle}</span>",
                'user_icq'      => $user_icq,
                'row'           => $y,
                'user_signature'=> parse_bb($signature),
                'rating'        => "<div class='rating_div' id='r_r{$uid}_{$cid}'>".(is_ajax() ? rating_calc(0, "r{$uid}_{$cid}", $rating, "", 0, false) : "")."</div>",
                'date'          => user_format_date($date),
                'avatar'        => "{$userconf['directory_avatar']}{$user_avatar}",
                'num_comment'   => "<a name='comment_{$i}'></a><a id='comment_{$i}' href='".str_replace("&", "&amp;", get_env('REQUEST_URI'))."#comment_{$i}' title='{$main->lang['comment']} #{$i}'>#{$i}</a>",
                'cid'           => $cid,
                'admin'         => "<table cellpadding='0' cellspacing='0'><tr><td>{$edit}{$delete}</td></tr></table>",
                'edit'          => (is_support() OR ($name==$main->user['user_name'] AND $main->user['uid']!=-1)) ? "<div><a href='#' onclick=\"edit_comment('{$cid}'); return false;\">{$main->lang['edit2']}</a></div>" : "",
                'delete'        => (is_support()) ? "<div><a href='#' onclick=\"delete_comment('{$cid}', '{$id}', '{$table}'); return false;\">{$main->lang['delete']}</a></div>" : ""
            ), $cid, "comment_".$y);
            if(!is_ajax()) $tpl_create->add2script("rating('r{$uid}_{$cid}', 'users', {$rating}, {$voted}, 0);", false);
            $i++;
            $y = ($y=='row1') ? 'row2' : 'row1';
        }
    } else info($main->lang['nocomment']);
    $pageB = ($pagebreak AND in_array('pagebreak', $rewrite)) ? true : false;
    if($rows==10 OR isset($_GET['page'])){
        list($numrows) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(*) FROM ".COMMENTS." WHERE modul='{$main->module}' AND parentid='{$id}'"));
        if($numrows>10){
            open();
            $link = array('module' => $main->module, 'do' => $func, 'id' => case_id($s_id, $id));
            if($pageB) $link = $link+array('pagebreak' => isset($_GET['pagebreak']) ? intval($_GET['pagebreak']) : 1);
            pages($numrows, 10, $link, false);
            close();
        }
    }
    if ($guest_comment!=ENABLED AND is_guest()) info($main->lang['only_guest_comment']);
    else {
        if(!empty($warning)) warning($warning);
        open();
        $action = array('module' => $main->module, 'do' => $func, 'id' => nc_encodeurl($_GET['id']));
        if($pagebreak){
            if(isset($_GET['pagebreak'])){
                $action += array('pagebreak' => intval($_GET['pagebreak']));
                $action += isset($_GET['page']) ? array('page' => intval($_GET['page'])) : array();
            } else $action += isset($_GET['page']) ? array('pagebreak' => 1, 'page' => intval($_GET['page'])) : array();
        } else $action += isset($_GET['page']) ? array('page' => intval($_GET['page'])) : array();
        $user = !is_guest_name($main->user['user_name']) ? "<a class='author' href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($main->user['user_id'], $main->user['uid'])))."' title='{$main->lang['user_profile']}'>{$main->user['user_name']}</a>" : $main->user['user_name'];        
        echo "<div class='comment_form'><form id='comment_form' method='post' action='".$main->url($action)."' onsubmit=\"add_comment({$id}, '{$sort}', {$rows}, ".(isset($_GET['page']) ? intval($_GET['page']) : 1)."); return false;\">".
            in_hide("id", $id).
            (($pageB) ? in_hide("pagebreak", isset($_GET['pagebreak']) ? intval($_GET['pagebreak']) : 1) : "").
            "<table align='center' id='comment_form_{$main->module}'>\n".
            "<tr><td class='form_text'>{$main->lang['login']}: </td><td class='form_input'>{$user}</td></tr>".
            "<tr><td class='form_text'>{$main->lang['message']}: </td><td class='form_input'>".editor("comment")."</td></tr>".
            captcha('comments').
            "<tr><td class='form_submit' colspan='2' align='center'>".send_button()."</td></tr>\n".
            "</table></form></div>";
        close();
    }
    echo "</div>";
}

function save_comment($id, $user, $comment, $table){
global $main;
    $main->db->sql_query("INSERT INTO ".COMMENTS." (modul, date, name, ip, comment, parentid) VALUES ('{$main->module}', '".nc_date("Y-m-d H:i:s")."', '{$user}', '{$main->ip}', '".bb($comment)."', '{$id}')");
    if(isset($main->points['rating_'.$main->module])) add_points($main->points['rating_'.$main->module]);
    if (is_user()) $main->db->sql_query("UPDATE ".USERS." SET user_comments=user_comments+1 WHERE user_name='{$user}'");
    if(!empty($table)) $main->db->sql_query("UPDATE {$table} SET comment=comment+1 WHERE id='{$id}'");
    list($count) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(*) FROM ".COMMENTS." WHERE parentid='{$id}'"));
    return $count;
}

function add_comment($table, $sort, $guest, $func){
global $main, $tpl_create;
    $msg = error_empty(array("comment"), array('comment_err')).check_captcha('comments');
    if(empty($msg)){
        $count = save_comment($_POST['id'], $main->user['user_name'], is_ajax() ? nc_filter($_POST['comment']) : nc_filter($_POST['comment']), $table);
        $pages = ceil($count / 10);
        $link = array('module' => $main->module, 'do' => $func, 'id' => nc_normalize_url($_GET['id']));
        if(isset($_POST['pagebreak'])){
            if(isset($_GET['pagebreak'])){
                $link += array('pagebreak' => intval($_GET['pagebreak']));
                $link += isset($_GET['page']) ? array('page' => ($sort=="ASC") ? $pages : 1) : array();
            } else $link += ($pages>1) ? array('pagebreak' => 1, 'page' => ($sort=="ASC") ? $pages : 1) : array();
        } else $link += ($pages>1) ? array('page' => ($sort=="ASC") ? $pages : 1) : array();
        if(!is_ajax()) redirect($main->url($link)."#comment_".(($sort=="ASC") ? $count : "1"));
        else {
            comments($table, $_POST['id'], $_GET['id'], $guest, $sort, (isset($_POST['pagebreak'])) ? true : false, '', $func);
            if($sort=="ASC"){ 
            	if($_POST['this_page']!=1) echo "<script language='javascript'>location.href='".str_replace("amp;", "", $main->url($link))."#comment_".(($sort=="ASC") ? $count : "1")."'</script>";
            } elseif($_POST['this_page']!=$pages) echo "<script language='javascript'>location.href='".str_replace("amp;", "", $main->url($link))."#comment_".(($sort=="ASC") ? $count : "1")."'</script>";
        }
    } else {
        if(!is_ajax()){
            unset($_POST['id']); if(function_exists($func.'_'.$main->module)) eval(''.$func.'_'.$main->module.'("'.addslashes($msg).'");');
            $tpl_create->add2script("NC_AJAX.addEvent(window, 'load', function(){scroll2elm(document.getElementById('comment_form'))});", false);
        } else die("<script language='javascript'>alert('".strip_tags($msg)."')</script>");
    }
}
?>