// Copyright (c)2009 by Igor Ognichenko//   
// E-mail: ognichenko.igor@gmail.com

//Получаем данные о браузере
var agent = navigator.userAgent.toLowerCase(); 
//Создаем объект
if(!window.CROP) CROP = {};
CROP.extend = function(dest, src, skipexist){var overwrite = !skipexist; for (var i in src) if (overwrite || !dest.hasOwnProperty(i)) dest[i] = src[i]; return dest;};

//Собственно сам класс
(function($){$.extend($, {
    //Массив изображений
    node:document.body,
    images:{},
    //Включить/Выключить отладчик
    debbuger:false,
    //Включить/Выключить фон
    layerCrop:false,
    //Класс прямоугольника
    croperClass:'crop_l',
    //Класс растягивающего объекта
    resizeClass:'resize',
    //Коррекция прямоугольника
    corectLayer:2,
    //Процент прозрачности фона
    opacityLayer:80,
    //id сфокусированного изображения
    focus:'',

    //Метод инициализации
    init:function(width, height, img){
        var e = $$(img);
        //Определяем позицию изображения в документе
        var pos = $.elementPos(e);
        $.images[img] = {
            //Создаем прямоугольник
            'element'     : NC_AJAX.create.element('DIV', {id:'crop_l'+img, className:$.croperClass}, {'top':((pos.top+e.offsetHeight/2)-height/2)+'px', 'left':((pos.left+e.offsetWidth/2)-width/2)+'px', 'width':width+'px', 'height':height+'px'}),
            'id'          : img,                                       //id картинки
            'initWidth'   : width,                                     //начальная ширина прямоугольника
            'initHeight'  : height,                                    //начальная высота прямоугольника
            'width'       : width,                                     //текущая ширина прямоугольника
            'height'      : height,                                    //текущая высота прямоугольника
            'imageWidth'  : e.offsetWidth,                             //ширина обрезаемой картинки
            'imageHeight' : e.offsetHeight,                            //высота обрезаемой картинки
            'imageLeft'   : pos.left,                                  //позиция слева обрезаемой картинки относительно страницы
            'imageTop'    : pos.top,                                   //позиция с вверху обрезаемой картинки относительно страницы
            'left'        : pos.left+e.offsetWidth/2-width/2,          //от края страницы до прямоугольника слева
            'top'         : pos.top+e.offsetHeight/2-height/2,         //от края страницы до прямоугольника с вверху
            'cropLeft'    : pos.left+e.offsetWidth/2-width/2-pos.left, //от края картинки до прямоугольника слева
            'cropTop'     : pos.top+e.offsetHeight/2-height/2-pos.top  //от края картинки до прямоугольника с вверху
        }
        //Создаем элемент растягивания
        NC_AJAX.create.element('DIV', {id:'resize'+img, className:$.resizeClass}, {});
        $$('resize'+img).innerHTML = '<img src="includes/images/pixel.gif" alt="" />';
        //Создаем отладчик
        if($.debbuger==true) NC_AJAX.create.element('DIV', {id:'debbuger', className:'debbuger'}, {});
        //Обновляем данные
        $.set.values({}, img);
        //Создаем фон на изображении
        if($.layerCrop==true) $.updateLayerCrop(img);
        //Создаем события
        $.set.position(img);
    },
    
    destroy:function(img){
        var ids = ['crop_div_left', 'crop_div_top', 'crop_div_right', 'crop_div_bottom', 'crop_l', 'resize', 'no_selectcrop_lcrop_image', 'resizecrop_image', 'crop_div_leftcrop_image', 'crop_div_topcrop_image', 'crop_div_rightcrop_image', 'crop_div_bottomcrop_image'];
        for(var i = 0;i<ids.length; i++) {
            if($$(ids[i]+img)) {
                if($$(ids[i]+img)) document.body.removeChild($$(ids[i]+img));
                if($$(ids[i])) document.body.removeChild($$(ids[i]));
            }
        }
        if($$('debbuger')) document.body.removeChild($$('debbuger'));
        
    },
    
    //Метод создания/обновления фона
    updateLayerCrop:function(id){
        //Создаем массив идентификаторов фона
        var ids = ['crop_div_left', 'crop_div_top', 'crop_div_right', 'crop_div_bottom'];
        //Выполняем расчет параметров каждого элемента фона
        var options = [
                {'top':$.images[id].imageTop+'px', 'left':$.images[id].imageLeft+'px', 'width':$.images[id].cropLeft+'px', 'height':$.images[id].imageHeight+'px'},
                {'top':$.images[id].imageTop+'px', 'left':($.images[id].imageLeft+$.images[id].cropLeft)+'px', 'width':($.images[id].imageWidth-$.images[id].cropLeft)+'px', 'height':$.images[id].cropTop+'px'},
                {'top':($.images[id].imageTop+$.images[id].cropTop)+'px', 'left':($.images[id].imageLeft+$.images[id].width+$.images[id].cropLeft+$.corectLayer)+'px', 'width':($.images[id].imageWidth-($.images[id].cropLeft+$.images[id].width)-$.corectLayer)+'px', 'height':($.images[id].imageHeight-$.images[id].cropTop)+'px'},
                {'top':($.images[id].cropTop+$.images[id].imageTop+$.images[id].height+$.corectLayer)+'px', 'left':($.images[id].imageLeft+$.images[id].cropLeft)+'px', 'width':($.images[id].width+$.corectLayer)+'px', 'height':($.images[id].imageHeight-($.images[id].cropTop+$.images[id].height+$.corectLayer))+'px'}
        ];
        //Создаем или обновляем фон
        if(!$$('crop_div_left'+id)){
            for(var i = 0;i<ids.length; i++){
                NC_AJAX.create.element('DIV', {id:ids[i]+id, className:'crop_div'}, options[i]);
                $$(ids[i]+id).innerHTML = '<img src="includes/images/pixel.gif" alt="" />';
                NC_AJAX.set.opacity($$(ids[i]+id), $.opacityLayer);
            }
        } else for(var i = 0;i<ids.length; i++) $.set.style($$(ids[i]+id), options[i]);
    },

    //Метод определения позиции элемента
    elementPos:function(e){
        e = $$(e); var X = 0; var Y = 0; 
        while(e != null){X += e.offsetLeft;  Y += e.offsetTop; e = e.offsetParent;} 
        return {left:X, top:Y}
    },

    //Хак выделения текста на странице
    nosel:function(w){
        if(!$$('no_select'+w.id)) var e = NC_AJAX.create.element('input', {id:'no_select'+w.id, disabled:true}, {'display':'none'});
        else var e = $$('no_select'+w.id); try {e.focus()} catch(e) {}
    },

    set:{
        //Установка стилей
        style:function(e, ext){for(var i in ext) try {e.style[i] = ext[i];} catch(e) {}},
        //Обновление данных
        values:function(val, id){
            for(var i in val) $.images[id][i] = val[i];
            $.set.style($.images[id].element, {'height':$.images[id].height+'px', 'width':$.images[id].width+'px'});
            $.set.style($$('resize'+id), {'top':($.images[id].imageTop+$.images[id].cropTop+$.images[id].height-5+$.corectLayer)+'px', 'left':($.images[id].imageLeft+$.images[id].cropLeft+$.images[id].width-5+$.corectLayer)+'px'});            
            if($.debbuger==true){
                var debbugerText = '<h3>Debbuger</h3><table>';
                for(i in $.images[id]) if(i!='element') debbugerText += '<tr><td>'+i+'</td><td> = </td><td><b>'+$.images[id][i]+'</b></td></tr>';
                $$('debbuger').innerHTML = debbugerText+'</table>';
            }
        },

        //Метод создания событий
        position:function(id, e){
            $.images[id].element.onmousedown = function(e){
                //Устанавливаем фокус
                $.focus = id;
                //Определяем позицию курсора в зависимости от браузера
                ps = (NC_AJAX.browser.mozilla)?{x:e.pageX, y:e.pageY}:{x:event.clientX, y:event.clientY};
                //Определяем X и Y начального положения прямоугольника
                x = ps.x - parseInt($.images[id].element.style.left);
                y = ps.y - parseInt($.images[id].element.style.top);
                //Создаем событие перемещения прямоугольника
                document.onmousemove = function(e){
                    //Устраняем выделение текста на странице
                    $.nosel($.images[id].element);
                    //Определяем позицию прямоугольника после перемещения
                    var pos2 = $.elementPos($.images[id].element);
                    //Определяем позицию курсора в зависимости от браузера
                    p = (NC_AJAX.browser.mozilla) ? {x:e.pageX, y:e.pageY}:{x:event.clientX, y:event.clientY};
                    //Вычисляем текущую позицию прямоугольника
                    xset = (p.x+parseInt($.images[id].element.style.width)-x<NC_AJAX.window.width()-2) ? (p.x-x):(NC_AJAX.window.width()-parseInt($.images[id].element.style.width-2));
                    yset = p.y-y;
                    //Движение прямоугольника по оси X
                    if($.images[id].cropLeft<0 || xset<$.images[id].imageLeft) $.images[id].element.style.left = $.images[id].imageLeft+'px';
                    else if($.images[id].left+$.images[id].width+$.corectLayer>$.images[id].imageLeft+$.images[id].imageWidth || xset+$.images[id].width>$.images[id].imageLeft+$.images[id].imageWidth) $.images[id].element.style.left = ($.images[id].imageLeft+$.images[id].imageWidth-($.images[id].width+$.corectLayer))+'px';
                    else $.images[id].element.style.left = xset+'px';
                    //Движение прямоугольника по оси Y
                    if($.images[id].cropTop<0 || yset<$.images[id].imageTop) $.images[id].element.style.top = $.images[id].imageTop+'px';
                    else if($.images[id].top+$.images[id].height+$.corectLayer>$.images[id].imageTop+$.images[id].imageHeight || yset+$.images[id].height>$.images[id].imageTop+$.images[id].imageHeight) $.images[id].element.style.top = ($.images[id].imageTop+$.images[id].imageHeight-($.images[id].height+$.corectLayer))+'px';
                    else $.images[id].element.style.top = yset+'px';
                    //Обновляем массив данных
                    $.set.values({'left':parseInt($.images[id].element.style.left), 'top':parseInt($.images[id].element.style.top), 'cropLeft':parseInt($.images[id].element.style.left)-$.images[id].imageLeft, 'cropTop':parseInt($.images[id].element.style.top)-$.images[id].imageTop}, id);
                    //Обновляем фон не обрезаемой области
                    if($.layerCrop==true) $.updateLayerCrop(id);
                };
                document.onmouseup = function(){document.onmousemove = document.onmouseup = null;}
            }
            $$('resize'+id).onmousedown = function(e){
                //Устанавливаем фокус
                $.focus = id;
                //Определяем позицию курсора в зависимости от браузера
                ps = (NC_AJAX.browser.mozilla)?{x:e.pageX, y:e.pageY}:{x:event.clientX, y:event.clientY};
                s = {w:$.images[id].width, h:$.images[id].height};
                //Создаем событие растягивание прямоугольника
                document.onmousemove = function(e){
                    //Устраняем выделение текста на странице
                    $.nosel($.images[id].element);
                    //Определяем позицию курсора в зависимости от браузера
                    p = (NC_AJAX.browser.mozilla) ? {x:e.pageX, y:e.pageY}:{x:event.clientX, y:event.clientY};
                    newHeight = s.h+(p.y-ps.y);
                    newWidth = s.w+(p.x-ps.x);
                    newHeight = (newHeight>$.images[id].initHeight) ? (s.h/s.w)*newWidth : $.images[id].initHeight;
                    newWidth = (newWidth>$.images[id].initWidth) ? (s.w/s.h)*newHeight : $.images[id].initWidth;
                    if(newHeight<$.images[id].initHeight || newWidth<$.images[id].initWidth) {
                        newHeight = $.images[id].initHeight;
                        newWidth = $.images[id].initWidth;
                    }
                    endHeight = $.images[id].imageHeight-($.images[id].cropTop+$.corectLayer);
                    endWidth = $.images[id].imageWidth-($.images[id].cropLeft+$.corectLayer);
                    if(endWidth>=newWidth && newHeight<=endHeight){
                        if($.images[id].cropTop+newHeight+$.corectLayer<$.images[id].imageHeight) $.set.values({height:parseInt(newHeight)}, id);
                        else $.set.values({height:endHeight}, id);                    
                        if($.images[id].cropLeft+newWidth+$.corectLayer<$.images[id].imageWidth) $.set.values({width:parseInt(newWidth)}, id);
                        else $.set.values({width:endWidth}, id);                    
                    } else {
                        newHeight = parseInt((s.h/s.w)*endWidth);
                        newWidth = parseInt((s.w/s.h)*endHeight);
                        if($.images[id].cropTop+newHeight+$.corectLayer>$.images[id].imageHeight) $.set.values({height:endHeight, width:newWidth}, id);
                        if($.images[id].cropLeft+newWidth+$.corectLayer>$.images[id].imageWidth) $.set.values({height:newHeight, width:endWidth}, id);
                    }
                    //Обновляем фон не обрезаемой области
                    if($.layerCrop==true) $.updateLayerCrop(id);
                }
                document.onmouseup = function(){document.onmousemove = document.onmouseup = null;}
            }            
        }
    }
})
})(CROP)