/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

(function($){$.extend($, {
    slider:{
        e:{},
        speed:4,
        start:20,
        flag:false,
        auto:false,
        
        init:function(c, e){this.e[c] = {
            sliders:$.document.getElementsByClassName(c, $$(e)), slide:0};
            $.set.style({overflow: 'hidden', height:this.e[c].sliders[0].offsetHeight+'px', display:'block'}, $$(e));
        },

        goToPage:function(p, c){
            if(this.e[c].slide==p) return false;
            if($$('page_slider_'+p)) $$('page_slider_'+p).className = 'active';
            if($$('page_slider_'+this.e[c].slide)) $$('page_slider_'+this.e[c].slide).className = '';
            this.hideAll(c, p, this.e[c].slide);
            this.showSlide(c, p, this.e[c].slide);
            this.hideSlide(c, this.e[c].slide);
            this.e[c].slide = p;
        },

        next:function(c){this.goToPage((this.e[c].sliders[this.e[c].slide+1]) ? this.e[c].slide+1 : 0, c);},
        back:function(c){this.goToPage((this.e[c].sliders[this.e[c].slide-1]) ? this.e[c].slide-1 : this.e[c].sliders.length-1, c);},
        auto:function(type, c, timeout){this.auto=true; this.autotimer =  setTimeout(function(){if(type=='next') $.slider.next(c); else $.slider.back(c); $.slider.auto(type, c, timeout);}, timeout);},

        showSlide:function(c, i, b){
            if(this.e[c].sliders[i].style.display=='none') {this.e[c].sliders[i].style.display = ''; $.set.style({position:'relative', top:(-this.e[c].sliders[i].offsetHeight)+'px'}, this.e[c].sliders[(i>b)?i:b]);}
            this.e[c].os = (!this.e[c].os || this.e[c].os==100 || this.flag==false) ? this.start : this.e[c].os+this.speed;
            $.set.opacity(this.e[c].sliders[i], this.e[c].os);
            if(this.e[c].os==100){this.e[c].sliders[(i>b)?i:b].style.top = '0px'; return false;}
            this.ts = setTimeout(function(){$.slider.showSlide(c, i, b)}, 50);
        },

        hideSlide:function(c, i){
            this.e[c].oh = (!this.e[c].oh || this.e[c].oh==this.start || this.flag==false) ? 100 : this.e[c].oh-this.speed;
            this.flag = true;
            $.set.opacity(this.e[c].sliders[i], this.e[c].oh);
            if(this.e[c].oh==this.start){this.e[c].sliders[i].style.display = 'none';  return false;}
            this.th = setTimeout(function(){$.slider.hideSlide(c, i)}, 50);
        },

        hideAll:function(c, i, b){
            this.flag = false;
            if(this.th) clearTimeout(this.th);
            if(this.ts) clearTimeout(this.ts);
            if(this.autotimer) clearTimeout(this.autotimer);
            if(this.auto==true) this.autotimer = setTimeout(function(){$.slider.auto('next', c, 2000)}, 20000);
            for(j=0;j<this.e[c].sliders.length;j++) {
                if(j!=b && j!=i) {
                    this.e[c].sliders[j].style.display='none';
                    $.set.opacity(this.e[c].sliders[j], this.start);                    
                }
            }
            this.e[c].sliders[i].style.top = this.e[c].sliders[b].style.top = '0px';
        },

        setPages:function(e, c){
            if(this.e[c].sliders.length>0){
                var html = '<ul class="pager"><li onclick="NC_AJAX.slider.back(\''+c+'\'); return false;" class="pleft"><a href=""><img src="spacer.png" alt="<" /></a></li>';
                for(i=0;i<this.e[c].sliders.length;i++) html += '<li><a id="page_slider_'+i+'" onclick="NC_AJAX.slider.goToPage('+i+', \''+c+'\'); return false;" href="#"'+(i==this.e[c].slide?' class="active"':'')+'><b>'+(i+1)+'</b></a></li>';
                html += '<li class="pright"><a onclick="NC_AJAX.slider.next(\''+c+'\'); return false;" href="#"><img src="spacer.png" alt=">" /></a></li></ul>';
                $$(e).innerHTML = html;
            }
        }
    }
})
})(NC_AJAX)