/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

var win_timer;

(function($){$.extend($, {
    NC_window:{
        version:'1.0',
        wns:new Array(),
        design:'includes/images/templates/nova',
        ef:function() {},

        init:function(id, width, height, top, left, options){
            this.effect.fone.init();
            NC_AJAX.NC_window.onstartcreate();
            if(options.fone==true) this.effect.fone.show();
            if($$(id)) {
                $$(id).style.display='block';
                $.NC_window.onendcreate();
                return false;
            }
            if(options.design) $.NC_window.design = options.design;
            if(options.buttons) buttons_ck = true;
            else  buttons_ck = false;
            $.NC_window.wns[id] = {id:id, width:width, height:height, options:options, left:0, top:0, flag:0, buttons:buttons_ck};
            $.NC_window.add.window(id, width, height, options);
            setTimeout("NC_AJAX.NC_window.update('"+id+"')", 10);
            if(!top || !left) $.NC_window.set.center({id:id, width:width, height:height});
            else $.NC_window.set.position($$(id), left+'px', top+'px');
            window.foneHide = false;
            $.NC_window.onendcreate();
            $.NC_window.set.nulled();
        },

        nosel:function(w){
            if(!$$('no_select'+w.id)) var e = NC_AJAX.create.element('input', {id:'no_select'+w.id, disabled:true}, {'display':'none'});
            else var e = $$('no_select'+w.id);
            try {e.focus()} catch(e) {}
        },

        add:{
            window:function(id, width, height, options){
                var e = NC_AJAX.create.element('div', {id:id, className:'NC_window'}, {width:width+'px', height:height+'px', position:'absolute', zIndex:99, display:(options.showEfect==true)?'none':''});
                if(options.showEfect==true){
                    NC_AJAX.set.opacity(e, 0);
                    e.style.display = '';
                    for(var i=1;i<=200;i++) setTimeout("NC_AJAX.set.opacity('"+e.id+"', "+(i/2)+")", 10*i);
                }
                var w_but='';
                if(options.buttons){
                    w_but='<table align="center"><tr>';
                    for (var i in options.buttons){
                        w_but += "<td><a class='button' href='#' ";
                        for (var y in options.buttons[i].options){
                            w_but+=y+"='"+options.buttons[i].options[y]+"'";
                        }
                        w_but += ">"+options.buttons[i].title+"</a></td>";
                    }
                    w_but += "</tr></table>";
                }
                if(w_but) w_but = "<div class='kwbase' align='center'>"+w_but+"</div>";
                var clos = (options.close) ? "<a id='close_bottom_"+id+"' href='#' onclick=\"NC_AJAX.NC_window.close('"+id+"', true); return false;\" class='close' title='Close'><img src='includes/images/pixel.gif' alt='' border='0' /></a>":"";
                var maximize = (options.maximize) ? "<a id='maximize_bottom_"+id+"' href='#' onclick=\"NC_AJAX.NC_window.maximize('"+id+"'); return false;\" class='fullscreen' title='Maximize'><img src='includes/images/pixel.gif' alt='' border='0' /></a>":"";
                var minimize = (options.minimize) ? "<a id='minimize_bottom_"+id+"' href='#' onclick=\"NC_AJAX.NC_window.minimize('"+id+"'); return false;\" class='svern' title='Minimize'><img src='includes/images/pixel.gif' alt='' border='0' /></a>":"";
                var content = '';
                if(options.content && options.content.length>0) content = options.content;
                else content = (options.iframe) ? '<iframe id="cont_frame_'+id+'" src="'+options.iframe+'" width="100%" style="height:'+(height-25)+'px; border: 0px;"></iframe>':'';
                e.innerHTML = "<div class='novawindow' style='width: "+width+"px;' id='win_div'><table width='100%' cellpadding='0' cellspacing='0' class='table_win' style='height: "+height+"px;' id='table_w_"+id+"'><tr id='tw_"+id+"'><td class='top_left'></td><td style='height: 20px; clear: left;'><div class='kwheading'><span>"+clos+maximize+minimize+"</span><strong><img src='includes/images/pixel.gif' alt='Nova CMS' /></strong><b id='title_"+id+"'>"+options.title+"</b></td><td class='top_right'></td></tr><tr><td></td><td valign='top' height='100%'><div class='kwbase'><div class='kwbaseinn' style='height: "+height+"px;' id='cont_"+id+"'>"+content+"</div></div>"+w_but+"<b class='kwborder'></b></td><td id='e-resize_"+id+"'><img src='includes/images/pixel.gif' alt='' width='1' height='1' /></td></tr><tr><td class='bottom_left'></td><td style='height:5px;' id='s-resize_"+id+"'><img src='includes/images/pixel.gif' alt='' width='1' height='1' /></td><td class='bottom_right' id='nw-resize_"+id+"'><img src='includes/images/pixel.gif' alt='' width='1' height='1' /></td></tr></table></div>";
                $.NC_window.add.event($$("tw_"+id), id, options.mooved, options.resize);
            },

            event:function(e, id, mooved, resize){
                if(mooved==true) NC_AJAX.set.style({cursor:'move'}, e);
                if(resize==true){
                    NC_AJAX.set.style({cursor:'nw-resize'}, $$("nw-resize_"+id));
                    NC_AJAX.set.style({cursor:'s-resize'}, $$("s-resize_"+id));
                    NC_AJAX.set.style({cursor:'e-resize'}, $$("e-resize_"+id));
                    var omd = function(e){
                        if($.NC_window.wns[id].flag!=0) return false;
                        ps = (NC_AJAX.browser.mozilla) ? {x:e.pageX, y:e.pageY}:{x:event.clientX, y:event.clientY};
                        var win = $$(id);
                        var s = {w:parseInt(win.style.width), h:parseInt(win.style.height)};
                        var t = this.id;
                        $.NC_window.effect.moved($$(id), $$("cont_"+id));
                        document.onmousemove = function(e){
                            $.NC_window.nosel($$(id));
                            $.NC_window.onresize();
                            p = (NC_AJAX.browser.mozilla) ? {x:e.pageX, y:e.pageY}:{x:event.clientX, y:event.clientY};
                            if(t.indexOf('e-resize')!=-1){
                                if(200<s.w+(p.x-ps.x)) {
                                    NC_AJAX.set.style({width:(s.w+(p.x-ps.x))+'px'}, win);
                                    NC_AJAX.set.style({width:(s.w+(p.x-ps.x))+'px'}, $$('win_div'));
                                }
                            } else if(t.indexOf('s-resize')!=-1){
                                if(25<s.h+(p.y-ps.y)){
                                    NC_AJAX.set.style({height:(s.h+(p.y-ps.y))+'px'}, win);
                                    NC_AJAX.set.style({height:(s.h+(p.y-ps.y))+'px'}, $$("table_w_"+id));
                                    NC_AJAX.set.style({height:(s.h+(p.y-ps.y))+'px'}, $$("cont_"+id));
                                }      
                            } else {
                                if(200<s.w+(p.x-ps.x)) {
                                    NC_AJAX.set.style({width:(s.w+(p.x-ps.x))+'px'}, win);
                                    NC_AJAX.set.style({width:(s.w+(p.x-ps.x))+'px'}, $$('win_div'));
                                }
                                if(25<s.h+(p.y-ps.y)){
                                    NC_AJAX.set.style({height:(s.h+(p.y-ps.y))+'px'}, win);
                                    NC_AJAX.set.style({height:(s.h+(p.y-ps.y))+'px'}, $$("table_w_"+id));
                                    NC_AJAX.set.style({height:(s.h+(p.y-ps.y))+'px'}, $$("cont_"+id));
                                }
                            }
                        }
                        document.onmouseup = function(){
                            $.NC_window.effect.stoped($$(id), $$("cont_"+id));
                            document.onmousemove = $.NC_window.ef
                            document.onmouseup = $.NC_window.ef
                        }
                    }
                    NC_AJAX.set.atrib({onmousedown:omd}, $$("e-resize_"+id));
                    NC_AJAX.set.atrib({onmousedown:omd}, $$("s-resize_"+id));
                    NC_AJAX.set.atrib({onmousedown:omd}, $$("nw-resize_"+id));
                }
                $$(id).onmousedown = function(){
                    $.NC_window.onfocus();
                    for (var i in $.NC_window.wns){
                        NC_AJAX.set.style({zIndex:99}, $$($.NC_window.wns[i].id));
                        if($$("title_"+$.NC_window.wns[i].id)) $$("title_"+$.NC_window.wns[i].id).className = 'noactive';
                    }
                    NC_AJAX.set.style({zIndex:100}, $$(id));
                    $$("title_"+id).className = "active";
                }
                e.onmousedown = function(e){
                    ps = (NC_AJAX.browser.mozilla) ? {x:e.pageX, y:e.pageY}:{x:event.clientX, y:event.clientY};
                    x = ps.x - parseInt($$(id).style.left);
                    y = ps.y - parseInt($$(id).style.top);
                    if(mooved==true) win_timer = setTimeout(function(){$.NC_window.effect.moved($$(id), $$("cont_"+id))}, 500);
                    document.onmousemove = (mooved==true) ? function(e){
                        if($.NC_window.wns[id].flag==3) return false;
                        if(mooved==true) $.NC_window.effect.moved($$(id), $$("cont_"+id));
                        $.NC_window.nosel($$(id));
                        p = (NC_AJAX.browser.mozilla) ? {x:e.pageX, y:e.pageY}:{x:event.clientX, y:event.clientY};
                        $.NC_window.onmove();
                        $.NC_window.set.position($$(id), (p.x+parseInt($$(id).style.width)-x<NC_AJAX.window.width()-2) ? (p.x-x)+'px':(NC_AJAX.window.width()-parseInt($$(id).style.width-2))+'px', (p.y-y)+'px');
                    }:$.NC_window.ef;
                    document.onmouseup = function(){
                        clearTimeout(win_timer);
                        $.NC_window.effect.stoped($$(id), $$("cont_"+id));
                        document.onmousemove = $.NC_window.ef
                        document.onmouseup = $.NC_window.ef
                    }
                }
            }
        },

        update:function(id){
            if($.NC_window.wns[id].flag==0){
                $.NC_window.wns[id] = {id:id, width:parseInt($$(id).style.width), height:parseInt($$(id).style.height), options:$.NC_window.wns[id].options, left:parseInt($$(id).style.left), top:parseInt($$(id).style.top), flag:$.NC_window.wns[id].flag};
            }
            setTimeout("NC_AJAX.NC_window.update('"+id+"')", 10);
        },

        close:function(id, offdialog){
            if(offdialog!=true){
                if(confirm(window.js_lang.real_close)){
                    this.effect.fone.hide();
                    $$(id).style.display = 'none';
                    $.NC_window.onclose();
                } else return false;
            } else {
                this.effect.fone.hide();
                $$(id).style.display = 'none';
                $.NC_window.onclose();
            }
        },

        minimize:function(id){
            if($.NC_window.wns[id].flag==3) return false;
            if($.NC_window.wns[id].flag==1){
                NC_AJAX.effect.swicher.show("table_w_"+id, $.NC_window.wns[id].height-22, 50);
                NC_AJAX.effect.swicher.show("cont_"+id, $.NC_window.wns[id].height-22, 50);
                $$("cont_"+id).style.visibility = '';
                if($$('cont_frame_'+id))NC_AJAX.effect.swicher.show('cont_frame_'+id, $.NC_window.wns[id].height-22, 50);
                $.NC_window.wns[id].flag = 0;
            } else {
                if($$('cont_frame_'+id)) NC_AJAX.effect.swicher.hide('cont_frame_'+id, $.NC_window.wns[id].height-22, 50);
                NC_AJAX.effect.swicher.hide("table_w_"+id, $.NC_window.wns[id].height-22, 50);
                NC_AJAX.effect.swicher.hide("cont_"+id, $.NC_window.wns[id].height-22, 50);   
                $$("cont_"+id).style.visibility = 'hidden';
                $.NC_window.wns[id].flag = 1;
            }
        },

        maximize:function(id){
            var i, y, speed=50;
            var corect = NC_AJAX.browser.msie ? 10 : 15;
            if($.NC_window.wns[id].flag==0){
                $.NC_window.effect.moved($$(id), $$("cont_"+id));   $$(id), $$("cont_"+id)
                setTimeout("NC_AJAX.NC_window.effect.stoped('"+id+"', 'cont_"+id+"'); document.body.overflow = 'hidden';", 20*5);
                scroll(0,0);
                var res = {left:$.NC_window.wns[id].left-10, top:$.NC_window.wns[id].top-10, bottom:NC_AJAX.window.height()-$.NC_window.wns[id].height-20, right:NC_AJAX.window.width()-$.NC_window.wns[id].width-20-corect};
                var steps = {left:res.left/speed, top:res.top/speed, bottom:res.bottom/speed, right:res.right/speed};
                i = {left:0, top:0, bottom:0, right:0};
                for(y=0;y<=speed;y++){
                    setTimeout("NC_AJAX.NC_window.effect.maximize('"+id+"', "+Math.round(i.left)+", "+Math.round(i.top)+", "+Math.round(i.bottom)+", "+Math.round(i.right)+", 'full')", y);
                    i = {left:i.left+steps.left, top:i.top+steps.top, bottom:i.bottom+steps.bottom, right:i.right+steps.right};
                }
                $.NC_window.wns[id].flag=3;
            } else {
                var res = {left:$.NC_window.wns[id].left, top:$.NC_window.wns[id].top, bottom:parseInt($$(id).style.height)-$.NC_window.wns[id].height, right:parseInt($$(id).style.width)-$.NC_window.wns[id].width+corect};
                var steps = {left:res.left/speed, top:res.top/speed, bottom:res.bottom/speed, right:res.right/speed};
                i = {left:0, top:0, bottom:0, right:0};
                for(y=0;y<speed;y++){
                    i = {left:i.left+steps.left, top:i.top+steps.top, bottom:i.bottom+steps.bottom, right:i.right+steps.right};
                    setTimeout("NC_AJAX.NC_window.effect.maximize('"+id+"', "+Math.round(i.left)+", "+Math.round(i.top)+", "+Math.round(i.bottom)+", "+Math.round(i.right)+", 'normal')", y);
                }
                setTimeout("NC_AJAX.NC_window.wns['"+id+"'].flag=0; document.body.overflow = '';", 20*5);
            }
        },

        effect:{
            moved:function(e, eC){NC_AJAX.set.opacity(e, 80); eC.style.visibility='hidden';},
            stoped:function(e, eC){NC_AJAX.set.opacity($$(e), 100); $$(eC).style.visibility='';},
            maximize:function(id, left, top, bottom, right, cl){
                if(cl=='full'){
                    NC_AJAX.set.style({top:($.NC_window.wns[id].top-top)+'px', left:($.NC_window.wns[id].left-left)+'px', width:($.NC_window.wns[id].width+right)+'px', height:($.NC_window.wns[id].height+bottom)+'px'}, $$(id));
                    NC_AJAX.set.style({top:($.NC_window.wns[id].top-top)+'px', left:($.NC_window.wns[id].left-left)+'px', width:($.NC_window.wns[id].width+right)+'px', height:($.NC_window.wns[id].height+bottom)+'px'}, $$("table_w_"+id));                
                } else {
                    NC_AJAX.set.style({height:(NC_AJAX.window.height()-20-bottom)+'px', width:(NC_AJAX.window.width()-20-right)+'px', top:top+'px', left:left+'px'}, $$(id));
                    NC_AJAX.set.style({height:(NC_AJAX.window.height()-20-bottom)+'px', width:(NC_AJAX.window.width()-20-right)+'px', top:top+'px', left:left+'px'}, $$("table_w_"+id));                
                }
            },
            
            fone:{
                init:function(){
                    var layer = $.create.element('div', {id:'window_layer', className:'fone_ajax'}, {display:'none'});
                    layer.style.height = ((document.body.scrollHeight>=NC_AJAX.window.height())?document.body.scrollHeight:NC_AJAX.window.height())+'px';
                    $.set.opacity(layer, 60);
                    this.update();
                },

                show:function(loader){if($$('window_layer')) $$('window_layer').style.display = 'block';},
                hide:function(){if($$('window_layer')) $$('window_layer').style.display = 'none';},

                update : function(){
                    if($$('window_layer')){
                        w_height = (document.body.scrollHeight>$.window.height()) ? document.body.scrollHeight : $.window.height();
                        $$('window_layer').style.height = w_height+'px';
                        setTimeout("NC_AJAX.NC_window.effect.fone.update()", 1);
                    }
                }
            }
        },

        set:{
            ext:function(methods){for (var i in methods) $[i] = methods[i];},
            position:function(e, x, y){NC_AJAX.set.style({left:x, top:y}, $$(e.id));},
            nulled:function(){$.NC_window.onendcreate = $.NC_window.onstartcreate = $.NC_window.onclose = $.NC_window.onfocus = $.NC_window.onresize = $.NC_window.onminimize = $.NC_window.onmaximize = $.NC_window.onmove = function(){}},
            center:function(e){NC_AJAX.set.style({left:((NC_AJAX.window.width()-e.width)/2)+'px', top:(NC_AJAX.window.scrollY()+(NC_AJAX.window.height()/3)-e.height/3)+'px'}, $$(e.id));}
        }
    }
})
})(NC_AJAX);

NC_AJAX.NC_window.set.nulled();