<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!@defined("FUNC_FILE")) die("Access is limited"); 

$lang = array( 
     /*blocks*/ 
     'google_search'            => 'Search Google', 
     'yandex_search'            => 'Search Yandex', 
     'adm_blocks'               => 'Blocks and banners', 
     'management'               => 'Мanagement',
     'access_rights'            => 'Access rights', 
     'security'                 => 'Security', 
     'statistic'                => 'Statistics', 
     'server_info'              => 'Server Information', 
     'modules'                  => 'Modules', 
     'help'                     => 'Help', 
     'version_check'            => 'Check for updates', 
     'phpinfo'                  => 'Server Information', 
     'admin_login'              => 'Authorization of the administrator', 
     'total'                    => 'General', 
     'config'                   => 'Configuration', 
     'database'                 => 'Database', 
     'confmail'                 => 'Mails', 
     'home_title'               => 'Site Name', 
     'home_title_d'             => 'For example: "My site"', 
     'http_home_url'            => 'Web site', 
     'http_home_url_d'          => 'For example: http://yoursite.net/', 
     'charset'                  => 'The used encoding is on the site', 
     'charset_d'                => 'Please, indicate specify the encoding used by your site. For example: windows-2151', 
     'description'              => 'Description of the site (description)', 
     'description_d'            => 'Brief description; not more than 200 symbols', 
     'keywords'                 =>' Keywords  of the site (keywords) ', 
     'keywords_d'               => 'Enter main keywords for your site separated by a comma', 
     'GMT_correct'              => 'The correction of the time zone', 
     'GMT_correct_d'            => 'in hours. For example: 3 (plus three hours), -2 (minus two hours) ', 
     'rewrite'                  => 'Enable mod rewrite', 
     'rewrite_d'                => 'Mod rewrite - The man that is understandable URL. If so then all the references will be in the form of pseudo URL. For example: http://yoursite.net/name_news', 
     'separator_rewrite'        => 'Separator od rewrite', 
     'separator_rewrite_d'      => 'Symbol which will separate the variables URL. For example: if "-" http://yoursite.net/news-name_news', 
     'file_rewrite'             => 'The end Mod rewrite Links', 
     'file_rewrite_d'           => 'File ending of URL. For example: if ". Asp" <br /> http://yoursite.net/news-name_news.asp ', 
     'separator'                => 'A separator of the title', 
     'separator_d'              => 'For example: if there is "|",  then the title of the page will look as "The first news | News @ My Site', 
     'sitelogo'                 => 'Logo copyright of the site', 
     'sitelogo_d'               => 'For example: includes/images/logo.png', 
     'user_cookies'             => 'The name COOKIES administrators', 
     'admin_cookies'            => 'The name COOKIES for users', 
     'user_cookies_d'           => 'The name COOKIES which will be kept at users', 
     'admin_cookies_d'          => 'The name COOKIES which will be kept at the administrators', 
     'adm_language'             => 'Using language', 
     'language_d'               => 'Select the language, which will be used by default', 
     'template_d'               => 'Choose the template, which will be used by default', 
     'default_module'           => 'Loadable module is on the Home page', 
     'default_module_d'         => 'Select the module that will be displayed on the main site', 
     'case_template'            => 'To allow users to select templates', 
     'case_template_d'          => 'If this option is dasabled, users will be forced to use the template, selected in the admin panel', 
     'disable_site'             => 'To put off the site', 
     'disable_site_d'           => 'To put off the site into offline, for the technical works', 
     'disable_description'      => 'The cause of the switching off the site', 
     'disable_description_d'    => 'The message to display to off site. HTML is allowed ', 
     'smiles'                   => 'Smiles', 
     'smile'                    => 'Smile', 
     'smile_code'               => 'Code', 
     'undefined'                => 'Unknown', 
     'mode_on'                  => 'On', 
     'mode_off'                 => 'Off', 
     'serverinfo'               => 'Server Information', 
     'systeminfo'               => 'System Information', 
     'licence'                  => 'License', 
     'status_site'              => 'Site status', 
     'rewrite_status'           => 'Rewrite', 
     'gzip'                     => 'gZip', 
     'gzip_level'               => 'Compression level', 
     'def_template'             => 'Template', 
     'addnews'                  => 'To add news', 
     'desc_news'                => 'The module of the creation and maintenance of the news on your site', 
     'desc_faq'                 => 'Service module of questions and answers on your site', 
     'desc_files'               => 'The module to store files in electronic form', 
     'desc_jokes'               => 'A humorous module for publishing jokes', 
     'desc_media'               => 'The module for keeping media files cataloque', 
     'desc_topsite'             => 'The ranking module of partners site', 
     'sortas'                   => 'Sort by', 
     'asdate'                   => 'by date', 
     'astitle'                  => 'by name', 
     'asstatus'                 => 'by status',
     'asname'                   => 'by name',
     'asregdate'                => 'On registration data',
     'aslastvisit'              => 'On the date of the last visit',         
     'methoddown'               => 'on descending', 
     'methodup'                 => 'on ascending', 
     'directory'                => 'The cataloque for the files', 
     'attaching_files_type'     => 'The types of downloading files', 
     'miniature_image_width'    => 'Maximum width of a miniature',
     'miniature_image_height'   => 'maximum height of a miniature', 
     'max_image_width'          => 'Maximum width of the image', 
     'max_image_height'         => 'Maximum height of the image', 
     'attaching_files_size'     => 'Maximum size', 
     'file_upload_limit'        => 'The limit of the attached files', 
     'publications_in_page'     => 'The number of publications on the page', 
     'sort_type_publications'   => 'The method of sorting', 
     'sort_publications'        => 'The type of sorting', 
     'comments_sort'            => 'The method of sorting the comments', 
     'rss_title'                => 'The title of an RSS channel', 
     'rss_limit'                => 'The number of publications on RSS channel', 
     'conf_rss'                 => 'To activate RSS ', 
     'attaching'                => 'To allow the attachments of files', 
     'list_publications'        => 'To activate the publications list', 
     'conf_categories'          => 'To activate the list of categories',
     'multiple_cat'             => 'To allow multi-categories', 
     'ratings'                  => 'To activate ratings', 
     'guests_evaluate'          => 'To activate ratings for the guests', 
     'conf_comments'            => 'To allow comments', 
     'guests_comments'          => 'To allow comments for the guests', 
     'similar_publications'     => 'To activate a list of similar publications', 
     'moderation_publications'  => 'To moderate new publications', 
     'comments_publishing'      => 'To allow activation/deactivation of comments when publishing', 
     'publications_users'       => 'To allow the creation of publications for users', 
     'publications_guest'       => 'To allow the creation of publications for the guests', 
     'conf_page_break'          => 'To allow the page break in the publication', 
     'directory_d'              => 'The directory to store attachment files', 
     'attaching_files_type_d'   => 'Permissions of acceptable files for downloading', 
     'miniature_image_width_d'  => 'The width of the reduced copy of the image (pixels)', 
     'miniature_image_height_d' => 'The height of the reduced copy of the image (pixels)', 
     'max_image_width_d'        => 'Utterly acceptable width of the loaded images (pixels)', 
     'max_image_height_d'       => 'Utterly acceptable height of the loaded images (pixels)', 
     'attaching_files_size_d'   => 'Utterly acceptable size of the download file (Kb)',
     'file_upload_limit_d'      => 'Maximum number of the attachments to one publication', 
     'publications_in_page_d'   => 'The number of the publications displayed on one page', 
     'sort_type_publications_d' => 'The type of the publication sort on descending/ascending', 
     'sort_publications_d'      => 'The option to sort the publications', 
     'comments_sort_d'          => 'The type ofthe comments sort on descending/ascending', 
     'rss_title_d'              => 'The name of the RSS channel (as it will be shown on the tape)', 
     'rss_limit_d'              => 'The number of publications which the user will get when downloading the channel', 
     'conf_rss_d'               => 'To allow the RSS channel', 
     'attaching_d'              => 'To allow users to attach files to the publications', 
     'list_publications_d'      => 'To allow the page publications list', 
     'conf_categories_d'        => 'To allow the page categories list',
     'multiple_cat_d'           => 'To allow a multiple selection of categories for publications', 
     'ratings_d'                => 'To allow the rating for publications', 
     'guests_evaluate_d'        => 'To allow visitors to participate in the rating of the publications', 
     'conf_comments_d'          => 'To activate comments to the publications', 
     'guests_comments_d'        => 'To activate comments for guests', 
     'similar_publications_d'   => 'To show the block of all similar publications', 
     'moderation_publications_d'=> 'Enable/disable moderation of publications', 
     'comments_publishing_d'    => 'Users will be able to omit comments for their publications', 
     'publications_users_d'     => 'To activate the publication page for the users', 
     'publications_guest_d'     => 'To activate the publication page for the guests', 
     'conf_page_break_d'        => 'To activate the multiple page publications',
     'text_smile'               => 'text value', 
     'url_smile'                => 'URL image', 
     'tools'                    => 'Tools', 
     'filemanager'              => 'File Manager', 
     'categories_ico'           => 'To activate the icons of categories', 
     'categories_desc'          => 'To activate the description of categories', 
     'categories_ico_d'         => 'To show the icons of the categories during their display', 
     'categories_desc_d'        => 'To show the description of the categories during their display', 
     'sataus_f'                 => 'To activate/deactivate the italicized', 
     'delete_f'                 => 'To delete the italicized', 
     'weight'                   => 'Location', 
     'position'                 => 'Position', 
     'who_views'                => 'Who sees', 
     'top_baner'                => 'Top banner', 
     'top_block'                => 'Up in the centre', 
     'left_block'               => 'Left', 
     'right_block'              => 'Right', 
     'bottom_block'             => 'Down in the centre', 
     'bottom_baner'             => 'Lower banner', 
     'alluser'                  => 'All', 
     'onlyguest'                => 'Only guests', 
     'onlyuser'                 => 'Only users', 
     'onlyadmin'                => 'Only administrators', 
     'on'                       => '<span style="color: green;"> On </ span>', 
     'off'                      => '<span style="color: red;"> Off </ span>', 
     'moderation'               => '<span style="color: #2673CC;"> At moderation </ span>', 
     'move_up'                  => 'To move Up', 
     'move_down'                => 'To move down', 
     'add_block'                => 'Add block', 
     'create_block'             => 'Create block', 
     'admin_block'              => 'Control the blocks', 
     'php_code'                 => 'The PHP code of a new block', 
     'show_module'              => 'To display a block in the modules', 
     'create_news'              => 'To create the news', 
     'configuratin'             => 'Configurations', 
     'further'                  => 'Advanced', 
     'patterns_text'            => 'Texts', 
     'message_registration'     => 'A message template for registration on the website', 
     'pat_activation_user'      => 'The request templateof the activation of auser',
     'message_registration_d'   => 'The message to be sent after a successful registration site <br />{SITE} - link to the site <br /> {USER} - login <br /> {PASSWORD} - the user password', 
     'activation_user_d'        => 'Your confirmation e-mail addresses. <br /> {SITE} - link to the site <br /> {USER} - login <br /> {EMAIL} - E-mail recipient <br / > {CODE} - user activation code', 
     'adminfile'                => 'Admin panel file', 
     'adminfile_d'              => 'You can change the file name of the admin panel. By default, this is admin.php, if you point out a new file, rename it on the server.', 
     'logined_admin'            => 'The authorization method in admin panel', 
     'logined_admin_d'          => 'When the expanded method of authorization admin panel is on each new session of admin panel will demand to re-enter the password, which guarantees the inability to enter in admin panel, in case of theft of your Cookies.', 
     'standart_method'          => 'Standard method', 
     'specify_method'           => 'Advanced method', 
     'admin_mail'               => 'The E-mail address of the administrator', 
     'admin_mail_d'             => 'Enter the E-mail address of the site administrator site', 
     'send_mail'                => 'To put on the sending of the E-mail', 
     'send_mail_d'              => 'To activate send_mail() option', 
     'serverbd'                 => 'Database server', 
     'userbd'                   => 'Database user', 
     'passwordbd'               => 'The password of database user', 
     'namebd'                   => 'The name of the database', 
     'prefixbd'                 => 'Prefix DB', 
     'typebd'                   => 'Type DBMS', 
     'charsetbd'                => 'Database Encryption', 
     'serverbd_d'               => 'Please point out the database address', 
     'userbd_d'                 => 'Enter the database user <br /> Example: root', 
     'passwordbd_d'             => 'The password of the database user', 
     'namebd_d'                 => 'The name of your database', 
     'prefixbd_d'               => 'The prefix of tables in your database', 
     'typebd_d'                 => 'Select used DBMS', 
     'charsetbd_d'              => 'The encryption of the databases <br /> Example: cp1251', 
     'cachebd'                  => 'To cache database queries', 
     'cachebd_d'                => 'Caching of significantly reduces the number of requests to a server of the database', 
     'sql_cache_clear'          => 'The Conditions cleaning the cache', 
     'sql_cache_clear_d'        => 'SQL functions according to which the cache will be cleaned', 
     'no_cache_tables'          => 'Uncached tables', 
     'no_cache_tables_d'        => 'The list of tables, separated by commas the queries to which will not be cached', 
     'capcha_symbols'           => 'The list output symbols', 
     'capcha_count_symbols'     => 'The number of output symbols', 
     'capcha_symbols_d'         => 'The symbols, output in the security code', 
     'capcha_count_symbols_d'   => 'The number of output symbols in the security code. For example: 3-5, 3 to 5 characters', 
     'ajaxload'                 => 'Enable AJAX navigation on the site', 
     'ajaxload_d'               => 'Enable or disable the transition from page to page, using AJAX. AJAX technology significantly reduces the number of queries to the database', 
     'geoip'                    => 'Identification of the region', 
     'geoip_d'                  => 'This option allows to determine the country of the user', 
     'gz'                       => 'To activate the gZip compression', 
     'gz_d'                     => 'This option allows to compress significantly the output of the generated code', 
     'gzlevel'                  => 'the degree of the gZip compression', 
     'gzlevel_d'                => 'The level of compression. The recommended level is 5', 
     'date_format'              => "Date Format <a href = '#' onclick = \" newWindow = window_open ( '/includes/docs/date.html', '', 'toolbar = 0, width = 720, height = 600, resizable = 0, menubar = 0, scrollbars = 1, status = 0 '); return false;\">[&#191;]</a>", 
     'date_format_d'            => 'The date format being output', 
     'classes_links'            => 'The classes of the AJAX linking', 
     'classes_links_d'          => 'The links to these classes will be automatically converted  into AJAX navigation on the site', 
     'interval_session_update'  => 'Refresh the interval session',
     'interval_session_update_d'=> 'The time in seconds after which the user session will be renewed', 
     'time_online'              => 'The time of the session work', 
     'time_online_d'            => 'The time of the session in seconds, after a certain period of time the user will be concidered gone from the site', 
     'time_of_life_session'     => 'The time of storage COOKIES', 
     'time_of_life_session_d'   => 'The time in days, will be kept on site Sign', 
     'editor_conf'              => 'Editor', 
     'dewlope'                  => 'The Development', 
     'rss_chenal'               => 'RSS channels',
     
     'mark1'                    => 'lower right corner',
     'mark2'                    => 'upper right corner',
     'mark3'                    => 'bottom left corner',
     'mark4'                    => 'top left corner',
     'mark5'                    => 'centered',
     'textarea_editor'          => 'Normal textarea',
     'bb_editor'                => 'BB editor',
     'mark_img'                 => 'image watermark',
     'mark'                     => 'Add a watermark',
     'htmlTags'                 =>' list of allowed HTML tags',
     'typeEditor'               => 'type text editor',
     'mark_img_d'               => 'Please specify a watermark image, from the root of the site',
     'mark_d'                   => 'Select the situation watermark',
     'htmlTags_d'               => 'list of HTML tags that are not filtered',
     'typeEditor_d'             => 'Select the type of editor for the publications',
     'allusers'                 => 'All users',
     'off2'                     => 'Off',
     'query'                    => 'Enable the analyzer queries to the database',
     'variables'                => 'Enable the analyzer variables',
     'mode_debugging_php'       => 'Enable the withdrawal PHP error',
     'mode_debugging_http'      => 'Enable a conclusion HTTP error',
     'mode_debugging_sql'       => 'Enable the withdrawal SQL error',
     'log_debugging_php'        => 'Enable log PHP bugs',
     'log_debugging_sql'        => 'Enable log SQL error',
     'log_debugging_http'       => 'Enable log HTTP errors',
     'log_error_user_logined'   => 'Enable log authorizations',
     'query_d'                  => 'Who will see the analyzer queries to the database',
     'variables_d'              => 'Who will see the analyzer variables',
     'mode_debugging_php_d'     => 'Activate page debugging PHP bugs',
     'mode_debugging_http_d'    => 'Enable debug HTTP error page',
     'mode_debugging_sql_d'     => 'Activate page debugging SQL error',
     'log_debugging_php_d'      => 'Enable write to the file of all PHP errors arising',
     'log_debugging_sql_d'      => 'Enable write to file all encountered errors SQL',
     'log_debugging_http_d'     => 'Enable write to file all HTTP errors arising',
     'log_error_user_logined_d' => 'Enable write to file all failed authorizations',
     'monitoring'               => 'Surveillance',
     'lastpublications'         => 'New publications',
     'newsites'                 => 'Recent Site',
     'newjokes'                 => 'Recent jokes',
     'newfiles'                 => 'Recent files',
     'newmedia'                 => 'Recent media',
     'newnews'                  => 'Recent news',
     'dbsize'                   => 'The size of the database',
     'tablesdb'                 => 'Table in a database',
     'rowsdb'                   => 'Entries in the database',
     'charsetdb'                => 'Encryption tables',
     'allsites'                 =>' The number of sites',
     'alljokes'                 =>' All jokes',
     'allfiles'                 =>' All Files',
     'allmedia'                 => 'All Media',
     'allnews'                  => 'Total News',
     'stat_database'            => 'Database',
     'stat_newpub'              => 'New Publications',
     'stat_allpub'              => 'All publications',
     'stat_user'                => 'Users',
     'stat_alluser'             => 'All users',
     'nocativeuser'             => 'No active users',
     'sevendaysreg'             => 'New users of the Week',
     '30daysreg'                => 'New users per month',
     'visittoday'               => 'user to visit for the day',
     'stat_filesystem'          => 'File System',
     'cachesize'                => 'The size of the cache',
     'cachefiles'               => 'Number of cache files',
     'cachesizesql'             => 'The size of SQL cache',
     'cachefilessql'            => 'Number of SQL cache files',
     'logsize'                  => 'Size of log files',
     'freespase'                => 'Free disk space',
     'stat_forum'               => 'Forum',
     'stat_cats'                => 'Created forums',
     'stat_topics'              => 'Created order',
     'stat_posts'               => 'Left messages',
     'sendmail'                 => 'Send message',
     'categories'               => 'Categories',
     'add_cat'                  => 'Add category',
     'add_cubcat'               => 'Add subcategory',
     'yes'                      => 'Yes',
     'subcat'                   => 'Subcategory',
     'yes2'                     => 'Yes',
     'level'                    => 'level',
     'main_cat'                 => 'Root category',
     'description2'             => 'Description',
     'preview'                  => 'Preview',
     'cat_title_err'            => '<li class="error"> not enter the name of the category!</li>',
     'module_err'               => '<li class="error"> not selected module category!</li>',
     'cat_case_error'           => '<li class="error"> not selected parent category!</li>',
     'title_mess_err'           => '<li class="error"> not enter the title of the message!</li>',
     'case_module'              => '-= choose =- module',
     'case_cat'                 => '-= Select parent category =-',
     'groups_sends'             => 'Send teams',
     'desc_send_meil'           => '{USER} - username <br /> {EMAIL} - E-mail user <br /> {SITE} - link to the site',
     'desc_case_group'          => 'Select groups that will receive the letter',
     'admin_dec'                => 'Manage access rights to the admin panel',
     'blocks_desc'              => 'Office of the blocks, create, delete, move',
     'cat_desc'                 => 'Office category, subcategory - modules',
     'conf_desc'                => 'The general configuration of the system',
     'db_desc'                  => 'Tools database management',
     'groups_desc'              => 'Manage user groups of the site',
     'modules_desc'             => 'Module system, installation, removal, disconnection',
     'rss_chenal_desc'          => 'Manage RSS feeds site',
     'sendmail_desc'            => 'Tools message',
     'users_desc'               => 'User management site',
     'desc_pages'               => 'The module of the creation and maintenance of the articles on your site. ',
     'filrer_referer'           => 'Activate filtering REFERER-a',
     'filrer_referer_d'         => 'This option will block all POST requests sent from other sites',
     'language_conf'            => 'Language files',
     'language_donf_desc'       => 'Edit language files',
     'desc_shop'                => 'The module of the shop on your site',
     'desc_forum'               => 'The module of the on-line conferences',
     'forum_desc'               => 'Description Forum',
     'user_lang'                => 'User file',
     'vari'                     => 'Variable',
     'vari_value'               => 'Value',     
     'name_file'                => 'File name',
     'file_size'                => 'File size',
     'count_lang'               => 'Number of words',
     'info_lang'                => 'To be able to edit the language files you will need the right <b>666</b> on all the catalog files <b>includes/language/</b> - recursively.',
     'key'                      => 'Key',
     'configmenu'               => 'Menu',
     'configmenu_desc'          => 'Office block navigation',
     'add_row_menu'             => 'Add link',
     'class'                    => 'Class styles',
     'errorurl'                 => '<li class="error">Do not enter the URL!</li>',
     'configmessages'           => 'Messages',
     'messages_desc'            => 'Used for posting messages on the home page',     
     'add_message'              => 'Add comment',
     'enabled'                  => 'Enable',
     'error_message'            => '<li class="error">Do not write your message!</li>',
     'search_modules'           => 'Search modules',
     'install'                  => 'Install',
     'block_status'             => 'Displays the blocks in the module',
     'only_left_block'          => 'Activate only the left blocks',
     'only_right_block'         => 'Activate just the right blocks',
     'all_block'                => 'Activate the left and right blocks',
     'disabled_all_block'       => 'Deactivate the left and right blocks',
     'access_module'            => 'Access',
//check_translate    
     'add_user'                 => 'Add user',
     'search_user'              => 'Find a user',
     'newpassword'              => 'New password',
     'allregister'              => 'Standard registration',
     'emailregister'            => 'Registration confirmation E-mail',
     'adminregister'            => 'Registration authority to test',
     'noregister'               => 'Disable registration',
     'directory_avatar'         => 'Ccatalog for the avatars',
     'directory_avatar_d'       => 'Directory to store uploaded avatars',
     'registration_c'           => 'Type site',
     'registration_c_d'         => 'Select the script user registration on the website',
     'guest_name'               => 'Guest name',
     'guest_name_d'             => 'Display names for unauthorized users',
     'size_avatar'              => 'The maximum size of avatars',
     'width_avatar'             => 'Maximum width of avatars',
     'height_avatar'            => 'Maximum height of avatars',
     'type_avatar'              => 'Type downloadable avatars',
     'password_length'          => 'Password',
     'default_group'            => 'Default Group',
     'enabled_load_avatar'      => 'Enable avatar uploading',     
     'load_avatar_d'            => 'Allow users to upload their own avatars',
     'attachingpm_d'            => 'Allow users to attach files to PM',
     'novalidcatparametr'       => '<li class="error"> not properly defined the category </ li>',
     'cat_cols'                 => 'In how many columns to display the category',
     'cat_cols_d'               => 'Number of columns to display the categories in the module',
     'clasic_cat'               => 'Activate the classic conclusion of categories',
     'clasic_cat_d'             => 'Use the attached withdrawal categories (as v. Nova CMS 1.xx)',
     'download_resume'          => 'Enable loading files downloading',
     'download_speed'           => 'Maximum speed',
     'download_resume_d'        => 'You can allow or disallow the use of loading files to your users, when the gap occurred on the connection when downloading.',
     'download_speed_d'         => 'You can limit the maximum speed of file download kb/s.',
    'log_emeail'                => 'enable send messages log',
    'log_emeail_d'              => 'When the log messages enabled, in the directory uploads/log/mails/ will be created *. eml files',
    'mail_is_html'              => 'The method of sending messages',
    'mail_is_html_d'            => 'Choise format of send messages',
    'contact_mail'              => 'E-mail to callback',
    'contact_mail_d'            => 'Enter E-mail, which will be delivered all the messages sent from the module "Feedback"',
    'sends_mail'                => 'E-mail delivery',
    'sends_mail_d'              => 'Enter E-mail address to send information',
    'charset_mail'              => 'Charset of E-mail',
    'charset_mail_d'            => 'Enter charset of sended E-mail messages',
    'bcc_send'                  => 'Use BCC field to send',
    'bcc_send_d'                => 'If you activate this option, when sending messages as a recipient to be specified multiple recipients, thereby reducing the total time of sending the messages and the number of sent messages.',
    'type_email_send'           => 'The method of sending mail',
    'type_email_send_d'         => 'If mail() unavailable, choise SMTP',
    'smtp_host'                 => 'SMTP host',
    'smtp_port'                 => 'SMTP port',
    'smtp_user'                 => 'SMTP user name',
    'smtp_password'             => 'SMTP Password',    
    'smtp_host_d'               => 'SMTP Server Address',
    'smtp_port_d'               => 'SMTP Server Port',
    'smtp_user_d'               => 'SMTP Server User',
    'smtp_password_d'           => 'SMTP Server Password', 
    
    'post_report_pat'           => 'Template complaint to the message forum',
    'post_report_pat_d'         => 'Your user complaints. <br /> {SITE} - link to site <br /> {USER} - user login <br /> {TOPIC} - link to forum topic <br /> {POST} - link to the message forum',
    'new_pm_pat'                => 'Template E-mail notification of receipt of the Personal messages',
    'new_pm_pat_d'              => 'Message is sent to the recipient at the E-mail. <br /> {SITE} - link to site <br /> {USER} - user login <br /> (SUBJECT) - topic messages <br /> {SENDER} - message sender <br /> {URL} - link to go to the message',
    'new_password_pat'          => 'Template request for password recovery',
    'new_password_pat_d'        => 'Message is sent by E-mail user&#39;s request. <br /> {SITE} - link to site <br /> {USER} - user login <br /> {CODE} - link to the form for changing password',
    'save_newpassword_pat'      => 'Template notification of the new password',
    'save_newpassword_pat_d'    => 'Resembling a message that was changing the password. <br /> {SITE} - link to site <br /> {USER} - user login <br /> {PASSWORD} - new password',
    'browsers_statistic'        => 'Browser Statistics',
    'other_browsers'            => 'Unknown browsers',
    'os_statistic'              => 'Statistic of Users OS',
    'other_os'                  => 'Undefined OS',
    'user_id'                   => 'User Id',
    'case_language_site'        => 'Site Language',
    'case_template_site'        => 'Site Template',
    'adm_viewemail'             => 'Show E-mail',
    'adm_user_pm_send'          => 'Уведомить при получении ЛС',
    'adm_you_avatar'            => 'User Avatar',
    'adm_load_avatar'           => 'Upload Avatar',
    'case_groups'               => 'Groups Member',
    
    'download_guest'             => 'Allow file downloads for guests',
    'download_guest_d'           => 'Option prohibits / allows visitors to download files',
    'all_users'                  => 'All users',
    'only_users'                 => 'Only users',
    'only_moder'                 => 'Only moderators',
    'only_admin'                 => 'Only administrators',
    'all'                        => 'All',
    'ip'                         => 'IP address',
    'user_agent_full'            => 'Use advanced statistics',
    'user_agent_full_d'          => 'This function allows you to more detail to determine the operating systems and browsers of users',
    'add_group'                  => 'Add Group',
    'points_for_group'           => 'Points',
    'user_in_group'              => 'Members',
    'is_special_group'           => 'Special',
    'show_user_in_group'         => 'View user of this group',
    'color_group'                => 'Color Group',
    'name_group_error'           => '<li class="error"> No group name! </li>',
    'points_conf'                => 'Items',
    'limit'                      => 'Limit',
    'status_on'                  => '<span style="color: green;">Asset.</span>',
    'status_off'                 => '<span style="color: red;">Not active.</span>',
    'optimization_db'            => '<b>Database optimization</b>',
    'optimization_db_d'          => 'The function performs the optimization of database tables, as it reduces its size.',
    'repair_db'                  => '<b>Repair Database</b>',
    'repair_db_d'                => 'When unexpected failures in the database, it may cause damage to the structure of database tables, this function will try to restore them.',
    'run'                        => 'Run',
    'backup_db'                  => 'Backup',
    'sql_db'                     => 'SQL Manager',
    'name_table'                 => 'Table Name',
    'size_table'                 => 'Table size',
    'end_size_table'             => 'Size after optimization',
    'optimize_table'             => 'Optimized',
    'rows_table'                 => 'Records',
    'all_size_table'             => 'The total size of tables',
    'status_error'               => 'Mistake',
    'status_ok'                  => 'Successful',
    'backup_db2'                 => '<b>Backup DB</b>',
    'restore_db'                 => '<b>Download backup with drive</b>',
    'list_table_backup'          => 'List of tables to backup',
    'time_backuper'              => 'Running time',
    'sizes'                      => 'Size',
    'create_date'                => 'Created',
    'update_date'                => 'Last modified',
    'type_table'                 => 'Type',
    'charset_db'                 => 'Encryption',
    'field'                      => 'Field',
    'type_col'                   => 'Field Type',
    'key_col'                    => 'Key',
    'default_col'                => 'Value poumolchaniyu',
    'extra_col'                  => 'More',
    'insert'                     => 'Embed',
    'clear'                      => 'Cleaning',
    'successful_sql'             => 'Request successfully completed, processed (COUNT) fields.',
    'successful_sql2'            => 'Request completed successfully.',
    'page_list'                  => 'Go to page',
    'run_request'                => 'Run query',
    'struct_table'               => 'Viewing structure',
    'realy_clear'                => 'Do you really want to clear the table?',
    'show_query'                 => 'Viewing Data',
    'structure'                  => 'Structure',
    'level_type'                 => 'Status',
    'administrator'              => '<span style="color: red;">Administrator</span>',
    'moderator'                  => '<span style="color: green;">Moderator</span>',
    'add_support'                => 'Add User',
    'access_modules'             => 'Access modules',
    'ad_admin'                   => 'Permissions',
    'ad_blocks'                  => 'Blocks and banners',
    'ad_categories'              => 'Categories',
    'ad_config'                  => 'Configuration',
    'ad_database'                => 'Database',
    'ad_groups'                  => 'Groups',
    'ad_language'                => 'Language files',
    'ad_menu'                    => 'Site Menu',
    'ad_messages'                => 'Messages',
    'ad_moduleslist'             => 'Modules',
    'ad_phpinfo'                 => 'Server Information',
    'ad_rss'                     => 'RSS Feeds',
    'ad_sendmail'                => 'Newsletter',
    'ad_statistic'               => 'Statistics',
    'ad_users'                   => 'Community',
    'ad_management'              => 'List management modules',
    'ad_modules'                 => 'The list of custom modules',
    'administration_modules'     => 'Administration',
    'moderation_module'          => 'Moderating',
    'admin_module_list'          => 'The list of available modules',
    'home_module_list'           => 'The list of active modules',
    'error_load_amin_module'     => 'There is a problem loading one of the modules administration panel, please check the configuration.',
    'add_shop'                   => 'Add Item',
    'price'                      => 'Price',
    'form_config'                => 'Configure Forums',
    'new_forum'                  => 'Create a new forum',
    'new_forum_cat'              => 'Create new category',
    'optimize_db'                => 'Optimize and repair database',
    'visite_nova'                => 'Visit the official site',
    'install_stat'               => 'View stats installations',
    'change_chmod'               => 'Change chmod',
    'mod_date'                   => 'Last modified',
    'copy'                       => 'Copy',
    'paste'                      => 'Embed',
    'file_is_copied'             => 'File copied!',
    'enter_octal_number'         => 'Enter octal',
    'changing_access_rights'     => 'Changing Permissions',
    'owner'                      => 'Owner',
    'others'                     => 'Others',
    'numeric_chmod'              => 'Number format recording chmod',
    'reading'                    => 'reading',
    'record'                     => 'record',
    'execution'                  => 'execution',
    'error_copy'                 => 'Buffer empty',
    'newfile'                    => 'Create a new file',
    'input_filename'             => 'Enter the name of the new file',
    'file_exists'                => 'File with this name already exists',
    'input_fildername'           => 'Enter the name of the catalog',
    'folder_exists'              => 'The file or directory with that name already exists.',
    'is_writable'                => '<span style="color: green;">Writable</span>',
    'is_not_writable'            => '<span style="color: red;">Not writable</span>',
    'newfolder'                  => 'Create a new directory',
    'upload_file'                => 'Download files',
    'file_is_not_writable'       => '<li class="error"> Mistake! File or directory is not writable. </li>',
    'file_is_notfound'           => '<li class="error"> Mistake! File or directory not found. </li>',
    'error_chmod_set'            => '<li class="error"> Installation error file attributes or directory. </li>',
    'error_chmod_func'           => '<li class="error"> Unknown error! Access rights to the file or directory is not installed. </li>',
    'file'                       => 'File',
    'moder_error'                => '<li class="error"> Access denied! </li>',
    'admin_error'                => '<li class="error"> You do not have access to this section admin panel! </li>',
    'ad_filemanager'             => 'File Manager',
    'ad_comments'                => 'Comments',
    'comments_desc'              => 'View user comments',
    'ad_attach'                  => 'Attachments',
    'attach_desc'                => 'View attachments',
    'ad_pm'                      => 'Private Messages',
    'pm_desc'                    => 'View private messaging users',
    'security_desc'              => 'Security Management System',
    'filemanager_desc'           => 'Filesystem Manager',
    'guest_comments_status'      => 'Available to guests',
    'delete_tmp_dir'             => 'Delete temporary directory',
    'ad_private_message'         => 'Private Messages',
    'site_show'                  => 'View Site',
    'desc_voting'                => 'The module organization of interviews for the visitors.',
    'desc_search'                => 'Module search site.',
    'desc_oline_radio'           => 'Module creation of online radio on your site.',
    'content_replace'            => 'Car replacement',
    'phplogs'                    => 'PHP Bugs',
    'sqllogs'                    => 'SQL error',
    'httplogs'                   => 'HTTP errors',
    'loginedlogs'                => 'Authorization Error',
    'center_forum'               => 'Latest Forum Posts',
    'shopping_cart'              => 'Shopping',
    'user_menu'                  => 'User Menu',
    'top5_files'                 => 'Top5 files',
    'voting_random'              => 'Random poll',
    'line'                       => 'String',
    'page'                       => 'Page',
    'code_error'                 => 'Error',
    'query_string'               => 'SQL query',
    'size_avatar_d'              => 'The maximum allowable size, avatars, who can download the user',
    'width_avatar_d'             => 'Maximum width of avatars, downloadable users',
    'height_avatar_d'            => 'The maximum allowable height of avatars, downloadable users',
    'type_avatar_d'              => 'Types of images that can be downloaded as an avatar',
    'password_length_d'          => 'The minimum length of user password',
    'default_group_d'            => 'Given for a set when a user logs',
    'enabled_load_avatar_d'      => 'Activates / deactivates the ability to upload custom avatars.',
    'clear_rating_site'          => 'Clear statistics sites',
    'favorite_page_status'       => 'Activation page tabs',
    'favorite_page_status_d'     => 'This option activates / deactivates view bookmarks in module',
    'favorite_status'            => 'Activate bookmarks',
    'favorite_status_d'          => 'This option activates / deactivates the possibility of using bookmarks in module',
    'whois_servoce'              => 'Whois',
    'whois_servoce_d'            => 'Link to the Whois service',
    'tags_page_status'           => 'Activate page tags',
    'tags_page_status_d'         => 'This option activates / deactivates the page all the tags for the module',
    'tags_status'                => 'Activation tags for the module',
    'tags_status_d'              => 'Enables / disables the use of tags in a module',
    'compatibility'              => 'Compatibility',
    'nocompatibility'            => 'Without integration',
    'compatibility_d'            => 'Danae option performs the integration of the application',
    'sitemap'                    => 'Sitemap Generator',
    'sitemap_desc'               => 'Automatic generation of file sitemap.xml',
    'always'                     => 'Ever',
    'hourly'                     => 'Hourly',
    'daily'                      => 'Daily',
    'weekly'                     => 'Weekly',
    'monthly'                    => 'Monthly',
    'yearly'                     => 'Annually',
    'never'                      => 'Never',
    'alles'                      => 'Total',
    'priority'                   => 'Priority',
    'changefreq'                 => 'Update',
    'all_link'                   => 'Links',
    'create_sitemap'             => 'Create sitemap',
    'mess_sitemap'               => '<b>Sitemap.xml</b> File does not exist!',
    'monitor_last_robot'         => 'The list of recently visited bots',
    'monitor_last_user'          => 'The list of recently visited users',
    'monitor_online'             => 'Monitoring of users online',
    'top5_news'                  => 'Top5 News',
    'top5_users'                 => 'Top5 users',
    'tags_audio'                 => 'Tags for module Audio',
    'tags_files'                 => 'Tags for module files',
    'tags_media'                 => 'Tags module Media',
    'tags_news'                  => 'Tags for module News',
    'tags_pages'                 => 'Tags module Articles',
    'last_news'                  => 'Headlines',
    'last_files'                 => 'Latest files',
    'last_voting'                => 'Recent polls',
    'last_jokes'                 => 'Latest stories',
    'desc_audio'                 => 'Module for publishing custom audio recordings',
    'in_replace'                 => 'Incoming call',
    'out_replace'                => 'Outgoing call',
    'addblockedip'               => 'Block IP',
    'top5_sites'                 => 'Top5 sites',
    'must'                       => 'Required',
    'default_value'              => 'Default',
    'activate'                   => 'Activate',
    'deactivate'                 => 'Deactivate',
    'case_value'                 => 'The choices',
    'arhive'                     => 'Publications',
    'jquery_conf'                => 'Configuration jQuery',
    'jquery_conf_d'              => 'Select the source framework download',
    'loadlocal'                  => 'Locally',
    'googleserver'               => 'Servers google',
    'noload'                     => 'Do not connect',
    'new_pm_pat2'                => 'Template notification of receipt of PM',
    'new_pm_pat_d2'              => 'Window acknowledgment of receipt PM<br />{USER} - user login<br />{B_LINK_READ} – The start tag, links, view PM <br />{E_LINK_READ} – The closing tag, links, view PM ЛС<br />{B_LINK_CLOSE} – The start tag, links, close the window<br />{E_LINK_CLOSE} – The closing tag, links, close the window<br />{B_LINK_ACCOUNT} – The start tag, link to user profile<br />{E_LINK_ACCOUNT} – The closing tag, link to user profile<br />{B_SMALL_STYLE} – The start tag, the style of communication<br />{E_SMALL_STYLE} – The closing tag, the style of communication<br />',
    'newpages'                   => 'New articles',
    'allpages'                   => 'Total articles',
    'desc_static_pages'          => 'Module creation of static pages.',
    'desc_contact'               => 'Module for feedback from the site administration',
    'newspages'                  => 'New Articles',
    'allowed_domain'             => 'White list of domains',
    'negative_domain'            => 'Black list of domains',
    'allowed_domain_d'           => 'For domains located in the white list will not receive notification about the transition to an external link.',
    'negative_domain_d'          => 'Domains are on the blacklist, the transition is not made.',
    'type_form_row'              => 'Type field',
    'text_form'                  => 'Textbox',
    'select_form'                => 'Combobox',
    'checkbox_form'              => 'Checkbox',
    'radio_form'                 => 'Radio',
    'textarea_form'              => 'TEXTAREA',
    'add_row_form'               => 'Add new field',
    'file_form'                  => 'Attach a file',
    'site_name_for_mail'         => 'Site name for e-mail',
    'site_name_for_mail_d'       => 'The names will be used to send letters',
    'template_mail'              => 'Template letters',
    'template_mail_d'            => 'The structure and appearance of outgoing messages',
    'ad_sitemap'                 => 'Site Map',
    'ad_security'                => 'Security',
    'capcha_admin_login'         => 'Activate the security code to authenticate the admin',
    'capcha_admin_login_d'       => 'Danae option enables security code in the form of authorization administrator.',
);
?>
