<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('NOVACMS')) die("Hacking attempt!");

$lang = array(    
    'author_post'                   => 'Author',
    'message_post'                  => 'Message',
    'noforumlist'                   => 'No forums on this site',    
    'acc_view'                      => 'You <b>can</b> browse topics',
    'acc_write'                     => 'You <b>can</b> start topics',
    'acc_post'                      => 'You <b>can</b> respond to messages"',
    'acc_edit'                      => 'You <b>can</b> edit messages',
    'acc_delete'                    => 'You <b>can</b> delete messages',
    'acc_moderation'                => 'You <b>can</b> moderate this forum',    
    'acc_view2'                     => 'You <b>can\'t</b> browse topics',
    'acc_write2'                    => 'You <b>can\'t</b> start topics',
    'acc_post2'                     => 'You <b>can\'t</b> respond to messages',
    'acc_edit2'                     => 'You <b>can\'t</b> edit messages',
    'acc_delete2'                   => 'You <b>can\'t</b> delete messages',
    'acc_moderation2'               => 'You <b>can\'t</b> moderate this forum',      
    'moderators'                    => 'Moderators',
    'nomoder'                       => 'No moderators in this forum',
    'forum_last_visit'              => 'Your last visit',
    'ot'                            => 'from',
    'numberpage'                    => 'Page: {THIS} of {ALL}',
    'forum_moders'                  => 'Moderators',
    'topic_last'                    => 'Last message',
    'topic_viws'                    => 'views',
    'poster'                        => 'Author',
    'replies'                       => 'Replies',
    'topic'                         => 'Topics',
    'forum_index'                   => 'Forums list',
    'lastpost'                      => 'Last Message',
    'topics'                        => 'Topics',
    'nodorumlist'                   => 'No forums on this site',
    'who_is_online'                 => 'Who is Online',    
    'total_posts'                   => 'Our users total write messages',
    'total_thems'                   => 'Our users total create topics',
    'total_users'                   => 'Total registered users',    
    'total_users_online'            => 'Total Online users',
    'logged_in_user_list'           => 'Registered Users',                
    'user_num'                      => 'User №',
    'user_tnx'                      => 'Thanks Sayded',    
    'postdate'                      => 'Added on',
    'title_message'                 => 'Message title',
    'showonepost'                   => 'Show message',
    'reposrtsend'                   => 'Your abuse already sended',
    'reposrtsendonlyuser'           => 'Send abuse can only authorized users',
    'onlyusertnx'                   => 'Set thanks can only authorized users',
    'onlyonetnxpost'                => 'You can set thanks only at once',
    'tnxonlyotheruser'              => 'You can\' set thanks to himself',
    'this_user_ip'                  => 'IP adress of this message',
    'other_user_ip'                 => 'Users, who wrote from this IP adress',
    'other_ip_users'                => 'Other IP adresses from which the user wrote',
    'topic_name'                    => 'Topic title',
    'topic_desc'                    => 'Topic description',
    'topic_type'                    => 'Topic type',
    'topic_ico'                     => 'Topic icon',
    'no_ico_posting'                => '[ no icon ]',
    'normal_topic'                  => 'Normal',
    'advertisement_topic'           => 'Advertisement',
    'important_topic'               => 'Important Topic',
    'topic_title_empty'             => '<li class="error">Topic title is null</li>',
    'tp_message_empty'              => '<li class="error">Topic message is null</li>',
    'post_name'                     => 'Message title',
    'timeoutpost'                   => '<li class="error">You can\'t post messages even {TIME}</li>',
    'tnxplay'                       => 'Thanks Sayd',    
    'no_name_new_cat'               => '<li class="error">Unspecified category title</li>',    
    'no_name_new_forum'             => '<li class="error">Unspecified forum title</li>',    
    'noposts'                       => 'No Messages',    
    'notopics'                      => '<center><b>There are no topics for this forum, or the method of filtering.</b></center>',    
    'title_forum'                   => 'Forum title',    
    'cat_forum'                     => 'Category',        
    'accview'                       => 'Watch can',    
    'accwrite'                      => 'Create Themes can',    
    'accpost'                       => 'Answer can',    
    'accedit'                       => 'Change can',    
    'accdelete'                     => 'Delete can',        
    'show_guest'                    => 'Guest',    
    'show_user'                     => 'User',    
    'show_moder'                    => 'Moderator',    
    'show_admin'                    => 'Administrator',    
    'enabled_forum'                 => 'Activate forum',        
    'topic_views_num'               => 'Themes per page',    
    'topic_views_num_d'             => 'Number of displayed topics per page',    
    'post_views_num'                => 'Messages per page',    
    'post_views_num_d'              => 'Number of messages to be displayed on the page',
    'inputusername'                 => 'Enter user name',    
    'moder_forum'                   => 'Moderator',    
    'nomoder_forum'                 => 'Not a moderator',    
    'title_cat'                     => 'Category title',    
    'case_pos_cat'                  => 'Select a position category',    
    'following_category'            => 'After category',    
    'first_cat'                     => 'Firts category',    
    'newtopictitle'                 => 'Enter the title of the new topic',    
    'case_new_forum'                => 'Choise forum',    
    'error_new_topic_title'         => '<li class="error">Do not enter a title for the new topic</li>',    
    'no_cese_split_post'            => '<li class="error">Do not chosen messages to move</li>',    
    'notcaseallpost'                => '<li class="error">You can\'t move all messages</li>',    
    'mark_topic_read'               => 'Mark all topics as read',    
    'error_forum_closed'            => '<li class="error">You can\'t post a message in a closed form or forum</li>',    
    'error_topic_closed'            => '<li class="error">You can\'t post a message in a closed topic</li>',    
    'error_post_editing'            => '<li class="error">You can\'t edit not your messages</li>',    
    'stat_shows_forum'              => '{ALL} peo. locking this forum (guests: {GUEST}, users: {USER})',    
    'nologineduserlist'             => 'No authorized user viewing this forum',        
    'srf_title'                     => 'By: topic title',    
    'srf_author'                    => 'By: topic author',    
    'srf_time'                      => 'By: start topic date',    
    'srf_replies'                   => 'By: messages',    
    'srf_views'                     => 'By: views',        
        
    'srfd_all'                      => 'For: all time',            
    'srfd_today'                    => 'For: today',            
    'srfd_five_days'                => 'For: 5 days',            
    'srfd_seven_days'               => 'For: 7 days',            
    'srfd_ten_days'                 => 'For: 10 days',            
    'srfd_fifteen_days'             => 'For: 15 days',            
    'srfd_twenty_days'              => 'For: 20 days',            
    'srfd_twenty_five_days'         => 'For: 25 days',            
    'srfd_thirty_days'              => 'For: 30 days',            
    'srfd_sixty_days'               => 'For: 60 days',            
    'srfd_ninety_days'              => 'For: 90 days',            
    
    'not_view_this_forum'           => 'Sorry, but you don\'t have access to lock this forum',            
    'no_acc_new_topic'              => 'You don\'t have rights to create a new topic',            
    'no_acc_new_post'               => 'You don\'t have rights to create a new message',            
    'edit_forum_closed'             => '<li class="error">You may not edit your messages in a closed topic or forum</li>',            
    'search_new'                    => 'Find messages since last visit',
    'search_self'                   => 'Find your topics',
    'search_unanswered'             => 'Fing topics withour answer',
    'srfd_lastvisit'                => 'Since last visit',
    'new_topic'                     => 'New topic',
    'new_post'                      => 'New message',
    'edit_post'                     => 'Edit message',
    'edit_topic'                    => 'Edit topic',
    'real_delete_topic'             => 'You are realy want delete this topic?',
    'go_to_page'                    => '<b>Per page</b>',
    'forum_title'                   => 'Name of forum',
    'forum_title_d'                 => 'Represented on all pages of forum',
    'fotum_search_key'              => '<b>Keywords:</b> <br /> <i class="search_desc">Specify a list of keywords that will be in the search result.</i>',
    'sase_search_forum'             => '<b>Search the forums:</b> <br /> <i class="search_desc">Choose a forum or forums in which to be searched.</i>',
    'search_author_topic'           => '<b>Search by author:</b> <br /> <i class="search_desc">Use * as a template.</i>',
    'only_post'                     => 'Only the message text',
    'only_topic'                    => 'Only by topic name',
    'topic_and_post'                => 'In title and message text',
    'nosearch_topic'                => '<li class="error"> No topics or posts found. </li>',
    'nosearch_param'                => '<li class="error"> Not include a search string! </li>',
    'last_post_edit'                => 'Last edited {USER}: {DATE}',
    'report_is_checked'             => 'A complaint to this message previously set off.',
);    
?>
