<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!@defined("FUNC_FILE")) die("Access is limited"); 
$lang = array(
    'direction'             => 'ltr',
    'error_size'            => 'Exceeding of the allowable size', 
    'error_type'            => 'Wrong type of the image file', 
    'error_pix'             => 'Exceeding of the allowable pixel size', 
    'error_load'            => 'An error loading', 
    'generate'              => 'The time of the fulfillment of the script {time} seconds (s)', 
    'generate_template'     => 'The time spent on a compilation of templates {time} seconds (s)', 
    'time_sql_query'        => 'The time spent on the fulfillment of SQL query: {time} seconds (s)', 
    'sql_querys'            => 'Total number of SQL queries: {query} ', 
    'gz_level'              => 'The compression has been used to display {encoding}', 
    'page_size'             => 'total size of the page: {size_page} bytes after compression: {gz_size_page} bytes', 
    'page_generate'         => 'The Page is generated in seconds {time} and {query} queries to the database for {query_time} seconds', 
    'error_load_module'     => 'The error of the loading module. Contact your administrator.', 
    'module_off'            => 'This part of the site is disabled by the administrator.', 
    'no_view_module'        => 'You are not authorized to view this section.', 
    'noinfo'                => 'No information', 
    'send'                  => 'Send', 
    'home'                  => 'Home',
    'home_index'            => 'Site',
    'account'               => 'Profile', 
    'news'                  => 'News', 
    'jokes'                 => 'Jokes', 
    'files'                 => 'Files', 
    'media'                 => 'Media directory', 
    'faq'                   => 'FAQ', 
    'top_site'              => 'Top sites', 
    'contact'               => 'Contact', 
    'recommend'             => 'Recommend', 
    'priv_message'          => 'Personal messages', 
    'user_controls'         => 'Personal settings', 
    'logout'                => 'Exit', 
    'account_login'         => 'Authorization', 
    'login'                 => 'Login', 
    'password'              => 'Password', 
    'save_authorisation'    => 'Save authorisation',
    'forgot_your_password'  => 'Did you forgot your password?', 
    'new_user'              => 'Registration is on the website', 
    'register_info'         => 'Hello, dear visitor of our site. The registration will allow you to become a full member of the project. You may leave your comments, view a hidden text, add news and much more. In case of any problems with registration, please contact the site administrator.', 
    'registration_on_site'  => 'The registration is on the website',
    'email'                 => 'Your E-mail', 
    'repassword'            => 'Confirm password', 
    'reg_user_data'         => 'Your data', 
    'activation_user'       => 'User activation', 
    'message_reg_all'       => 'Thank you for the registration on our website you will be transferred to your profile in a few moments.', 
    'message_reg_email'     => 'Thank you for the registration on our site. The message with on activation key for your user was sent to your E-mail', 
    'message_reg_admin'     => 'Thank you for the registration on our site. Your user will be activated after the approval of the administrator.', 
    'you_ip'                => 'IP address', 
    'you_name'              => 'Your Name', 
    'you_friend_name'       => 'Your friends name', 
    'you_mail'              => 'Your E-mail', 
    'you_friend_mail'       => 'Recipients E-mail ', 
    'reg_date'              => 'The date of registration', 
    'birthday'              => 'Birthday', 
    'day'                   => 'Day', 
    'month'                 => 'Month', 
    'year'                  => 'Year', 
    'blocknocontent'        => 'There is no content for this block', 
    'blockproblem'          => 'Blok file is not found', 
    'gender'                => 'Sex', 
    'woman'                 => 'Woman', 
    'male'                  => 'Man', 
    'icq'                   => 'ICQ number', 
    'aim'                   => 'AIM address', 
    'yim'                   => 'Yahoo messenger', 
    'msn'                   => 'MSN messenger', 
    'home_page'             => 'Home page', 
    'occupation'            => 'Occupation', 
    'interests'             => 'Interests', 
    'locality'              => 'Location', 
    'signature'             => 'Signature', 
    'personalcontrols'      => 'Personal settings', 
    'language_site'         => 'Select the site language', 
    'template_site'         => 'Choose the theme of a site design', 
    'viewemail'             => 'To allow other users to see the E-mail', 
    'controlsavatars'       => 'Settings of avatar', 
    'you_avatar'            => 'Your avatar', 
    'case_avatar'           => 'Select avatar', 
    'case_avatar2'          => 'Choice avatar', 
    'case'                  => 'Select', 
    'close'                 => 'Close', 
    'load_avatar'           => 'Upload avatar from your computer', 
    'new_user_password'     => 'Change the password', 
    'you_password'          => 'Your password', 
    'you_newpassword'       => 'Please enter your new password', 
    'you_renewpassword'     => 'Repeat your new password', 
    'country'               => 'Country', 
    'captcha_input'         => 'Inject the code', 
    'captcha'               => 'Security code', 
    'captcha_refresh'       => 'To renew the code', 
    'captcha_confirmation'  => 'Confirmation of the security code', 
    'message'               => 'Message', 
    'recommend_message'     => 'Hello! <br /> After visiting the site {SITENAME} your friend {USER}  found it interesting and decided to inform you about it. <br /> Site Name: {SITENAME} <br /> <br /> {DESCRIPTION} <br /> <br /> URL site: {SITEURL}', 
    'contact_send'          => 'Your message was successfully sent to administrator.', 
    'recommend_send'        => 'The letter with your recommendation of the resource has been successfully sent.', 
    /*mouths*/ 
    'january'               => 'January', 
    'february'              => 'February', 
    'march'                 => 'March', 
    'april'                 => 'April', 
    'may'                   => 'May', 
    'june'                  => 'June', 
    'july'                  => 'July', 
    'august'                => 'August', 
    'september'             => 'September', 
    'october'               => 'October', 
    'november'              => 'November', 
    'december'              => 'December', 
    'more'                  => 'More', 
    'view_cat'              => 'Viewing the categories', 
    'category'              => 'Category', 
    'views'                 => 'Viewed ', 
    'author'                => 'Author', 
    'date_pub'              => 'Date', 
    'total_pages'           => 'Total {TOTAL} to {PAGES} pages {COUNT} every page', 
    'title_page'            => 'Page №', 
    'user_profile'          => 'Viewing profile', 
    'nocat'                 => 'No category', 
    'comments'              => 'Comments', 
    'nocomment'             => 'No comment', 
    'comment'               => 'Comment', 
    'only_guest_comment'    => 'Only authorized users can Llave comments', 
    'search'                => 'Search', 
    'name'                  => 'Title', 
    'no'                    => 'No', 
    'text'                  => 'Short', 
    'content_text'          => 'Details', 
    'attach'                => 'Attachment of files', 
    'upload'                => 'Download', 
    'cancel'                => 'Cancel', 
    'delete'                => 'Delete', 
    'realdelete'            => 'Do you really want to delete?', 
    'size'                  => 'size', 
    'active_comments'       => 'Activate comments?', 
    'active'                => 'Activate publication?', 
    'key_link'              => 'CNC identification', 
    'popular'               => 'Top', 
    'list'                  => 'List', 
    'add'                   => 'Add', 
    'add_news'              => 'Add news', 
    'author_err'            => '<li class="error"> The authorsname is nottyped! </li>', 
    'name_err'              => '<li class="error"> The name is no put in! </li>', 
    'message_err'           => '<li class="error"> The message is not put in! </li>', 
    'title_err'             => '<li class="error"> The title of the publication is not put in! </li>', 
    'text_err'              => '<li class="error"> The text of the publication is not put in! </li>', 
    'error_email'           => '<li class="error"> Wrong E-mail address is put in! </li>', 
    'error_repass'          => '<li class="error"> Both entered passwords must be identical! </li> ', 
    'error_user_name'       => '<li class="error"> Users name can not be empty! </li>', 
    'error_user_mail'       => '<li class="error"> Perhaps this name or E-mail has been already registered! </li>', 
    'upload_file_exists'    => '<li class="error"> The file with this name has been already loaded! </li> ', 
    'upload_file_size'      => '<li class="error"> Exceeded the allowable size of the file! </li>', 
    'upload_file_type'      => '<li class="error"> File format is not allowable! </li>', 
    'upload_file_image'     => '<li class="error"> Exceeded the allowable size of the image! </li>', 
    'upload_file_error'     => '<li class="error"> Error of the loading file! </li>', 
    'error_this_password'   => '<li class="error"> Wrong current password is put in! </li>', 
    'error_new_password'    => '<li class="error"> Password is put in incorrectly! </li>', 
    'not_correct_capcha'    => '<li class="error"> The security code is incorrect! </li>', 
    'empty_message'         => '<li class="error"> The text of the message is not put in! </li>', 
    'empty_friend_name'     => '<li class="error"> The name of your friend is not put in! </li>', 
    'empty_friend_mail'     => '<li class="error"> The E-mail of your friend is not put in! </li>', 
    'error_login_pass'      => '<li class="error"> The username or the password is not put in! </li> ', 
    'error_login_pass2'     => '<li class="error"> The username or the password is not correct! </li>', 
    'comment_err'           => '<li class="error"> A comment is not put in! </li>', 
    'dublicate_pub'         => '<li class="error"> The publication with such a title or identifier has been already existing! </li>', 
    'js_code'               => 'JavaScript code:', 
    'php_codes'             => 'PHP code: ', 
    'html_code'             => 'HTML code:', 
    'css_code'              => 'CSS', 
    'sql_code'              => 'SQL', 
    'code'                  => 'code:', 
    'quote'                 => 'quote', 
    'language'              => 'Language', 
    'no_parametrs'          => '<li class="error"> One of the mandatory fields is not filled! </li> ', 
    'save'                  => 'Save', 
    'edit'                  => 'Edit', 
    'edit2'                 => 'Change', 
    'rss_disabled'          => 'RSS channel is disabled by the administrator.', 
    'categoryes'            => 'Categories', 
    'hide'                  => 'Dear visitor, you entered the site as an unregistered user. We recommend you to register or enter the site under your name.', 
    'new_open_window'       => 'THe link opens in a new window', 
    'quotes'                => 'to cite', 
    'r1'                    => 'Bad', 
    'r2'                    => 'Acceptable', 
    'r3'                    => 'Medium', 
    'r4'                    => 'Good', 
    'r5'                    => 'Excellent', 
    'wrote'                 => 'wrote', 
    'ok'                    => 'OK', 
    'loading'               => 'Loading ... Wait', 
    'detect_new_ver'        => 'There is a new version of', 
    'no_detect_new_ver'     => 'more recent version was not found', 
    'your_version'          => 'Your version', 
    'image'                 => 'Image', 
    'goto'                  => 'Go to', 
    'up'                    => 'Up', 
    'russian'               => 'Russian', 
    'nova'                  => 'A standard template',
    'paste_file'            => 'Insert the file', 
    'paste_mini_image'      => 'Insert a miniature', 
    'paste_image'           => 'Insert the image', 
    'dir'                   => 'Directory ', 
    'create_dir'            => 'To create a catalogue', 
    'rename'                => 'To rename', 
    'error_rename'          => 'The file with such a name has already existing', 
    'rating'                => 'Top', 
    'pub_date'              => 'Date of the publications', 
    'pub_time'              => 'Time', 
    'calendar'              => 'Calendar', 
    'today'                 => 'Today at', 
    'yesterday'             => 'yesterday at', 
    'hello'                 => 'Hello', 
    'apply'                 => 'To apply',     
    'admin_mon'             => 'Admin',
    'users_mon'             => 'Users',
    'users'                 => 'Users',
    'bots_mon'              => 'Bots',
    'bots'                  => 'Bots',
    'online'                => 'Online',	
    'guest_mon'             => 'Guests',
    'all_mon'               => 'Total',
    'status'                => 'Status',
    'browser'               => 'Browser',
    'os'                    => 'OS',
    'sek'                   => 'sec.',
    'timetuped'             => 'Idle time',
    'website'               => 'Site',
    'logotype'              => 'Logotype',
    'mail'                  => 'E-mail address',
    'date'                  => 'Date',
    'english'               => 'English',
    'empty_var'             => '<li class="error"> One of the mandatory fields are not filled! </li>',
    'pages'                 => 'Articles',
    'add_pages'             => 'Add article',
    'addmedia'              => 'Add Media',
    'descript'              => 'Description',
    'links'                 => 'Links',
    'load_image'            => 'Upload an image from your computer',
    'top_users'             => 'Top users',
    'group'                 => 'Group',
    'age'                   => 'Age',
    'userinfo'              => 'User Information',
    'closed'                => 'Closed!',
    'noprivmsg_messages'    => 'No personal messages',
    'new_pm'                => 'New private message',
    'inbox'                 => 'Inbox',
    'sentbox'               => 'Sent',
    'outbox'                => 'Outbox',
    'savebox'               => 'Saved',
    'recipient'             => 'Recipient',
    'recipient_err'         => '<li class="error">Do not put the recipient! </li>',
    'subj_err'              => '<li class="error">Not put subject line! </li>',
    'subj'                  => 'Subject',
    'sender'                => 'Sender',
    'message_from'          => 'Recipient',
    'reply'                 => 'Reply',
    'pm_save'               => 'Save the selected',
    'pm_delete'             => 'Delete selected',
    'replys'                =>' Reply to a message:',
    'forum'                 => 'Forum',
    'shop'                  => 'Shop',
    'add_media'             => 'Add media',    
    'languages'             => 'Languages',
    'templates'             => 'Templates',
    'template'              => 'Template',
    'multilanguage'         => 'Enable multilingual',
    'multilanguage_d'       => 'Enable automatic language file, depending on urla. For example: http://mysite.com/en/news.html or http://mysite.com/ru/news.html ',
    'jan'                   => 'January',
    'feb'                   => 'February',
    'mar'                   => 'March',
    'apr'                   => 'April',
    'may2'                  => 'May',
    'jun'                   => 'June',
    'jul'                   => 'July',
    'aug'                   => 'August',
    'sep'                   => 'September',
    'oct'                   => 'October',
    'nov'                   => 'November',
    'dec'                   => 'December',
    'pn'                    => 'Mo',
    'vt'                    => 'Tu',
    'sr'                    => 'We',
    'ct'                    => 'Th',
    'pt'                    => 'Fr',
    'sb'                    => 'Sa',
    'vs'                    => 'Su',
    'pdaversion'            => 'Enable automatic support for PDA',
    'pdaversion_d'          => 'If you turn this support to users visiting your site with mobile smart phones, PDAs, phones, will use a special lightweight design of your site.',
    'imgpdaversion'         => 'Insert an image when viewed in the publications PDA versions',
    'imgpdaversion_d'       => 'If activated, the publication will appear unchanged, if not, when viewing the PDA version of the publication in order to save traffic will remove all pictures.',
    'points'                => 'Points',
    'posts'                 => 'Posts',
    'info_file'             => 'Full let the file',
    'ukraine'               => 'Ukrainian',
    'allerror'              => '<li class="error">Do not put one of the binding parameters!</li>',
    'errortitle'            => '<li class="error">Do not enter the title!</li>',
    'menu'                  => 'Navigation',
    'cases'                 => 'Select ',
    'open'                  => 'Open',
    'value'                 => 'Value',
    'link'                  => 'Link',
    'last_visit'            => 'Last visit',
	'last_visitor'          => 'Were recently',
    'newtopic'              => 'New topic',
    'newpost'               => 'New reply',
    'quick_reply'           => 'Quick reply',
    'semdpm'                => 'Send private message',
    'showip'                => 'Show IP address',
    'totop'                 => 'Top',
    'tnxthis'               => 'Say thanks',
    'postreport'            => 'Report abuse to a message',
    'u_day'                     => 'day',
    'u_day2'                    => 'days',
    'u_day3'                    => 'days',    
    'u_h'                       => 'hour',
    'u_h2'                      => 'hours',
    'u_h3'                      => 'hours',    
    'u_m'                       => 'minute',
    'u_m2'                      => 'minutes',
    'u_m3'                      => 'minutes',    
    'u_s'                       => 'second',
    'u_s2'                      => 'seconds',
    'u_s3'                      => 'seconds',   
    'send_new_pm'               => 'Y have new private message',   
    'to_new_pm'                 => 'Go to private message page..',   
    'user_pm_send'              => 'Notify me by E-mail upon receipt PM',   
    'sendnewpassword'           => 'Password recovery',   
    'sendnewpassword_info'      => 'For password recovery enter your login or E-mail then you will be sent E-mail message with further instructions. This is to ensure that the request made by you, and not the attacker.',   
    'no_login_search'           => '<li class="error">A user with the specified username - can not be found!</li>',
    'no_email_search'           => '<li class="error">A user with a given E-mail address - not found</li>',
    'send_mail_instruct'        => 'To your E-mail sent in the registration instructions.',
    'change_password'           => 'Password change',
    'nosearchkey'               => 'Entered user id - not found!',
    'change_new_password'       => 'You are change your password on {SITE}',
    'apply_change_password'     => 'Your password was successfully changed',
    'your_user_activeation'     => 'Registration was successful. Now you can avtorizirovatsya using your login.',
    'error_activation_user'     => '<li class="error">Error! A user with such an activation key was not found.</li>',
    'nodeletefile'              => 'You do not have permission to delete this file!',
    'norenamefile'              => 'You do not have permission to rename this file!',
    'new_file_name_empty'       => 'Error! The file name can not be empty!',
    'no_cat'                    => 'No categories',
    'topic_closed'              => 'Topic closed',
    'adm_delete_topic'          => 'Delete Topic',
    'adm_move_topic'            => 'Move Topic',
    'adm_split_topic'           => 'Split Topic',
    'adm_close_topic'           => 'Close Topic',
    'adm_open_topic'            => 'Open Topic',
    'adm_edit_topic'            => 'Edit Topic',
    'new_posts'                 => 'New Messages',
    'no_new_posts'              => 'No Have New Messages',
    'forum_locked'              => 'Topic locked',
    'announcement'              => 'Announcement',
    'new_posts_hot'             => 'New Messages [Hot Topic]',
    'no_new_posts_hot'          => 'No Have New Messages [Hot Topic]',
    'sticky'                    => 'Sticky',
    'new_posts_locked'          => 'New Messages [Closed Topic]',
    'no_new_posts_locked'       => 'No Have New Messages [Closed Topic]',
    'forum_folder_locked'       => 'Forum Closed',
    'forum_folder_new'          => 'New Messages',
    'forum_folder'              => 'No Have New Messages',
    'topic_title'               => 'Topics',
    'topic_views'               => 'Views',
    'topic_replies'             => 'Topic Starter',
    'poster_name'               => 'Last Message',
    'adminpanel'                => 'Admin Panel',    
    'only_guest_module'         => 'This section of the site is available only for guests',
    'only_users_module'         => 'This section of the site is available only for users',
    'only_admin_module'         => 'This section of the site is available only for admins',
    'add_files'                 => 'Add file',
    'homepage'                  => 'Home page',
    'filelink'                  => 'Link to file',
    'uploadfile'                => 'Upload file',
    'file_version'              => 'File version',
    'downloads_file'            => 'Downloaded',
    'filesize'                  => 'Size',
    'count_hits'                => 'count',
    'download'                  => 'Download',
        'download_only_user'        => 'Download files can only authorized users.',
    'site'                      => 'Website',
    'url'                       => 'Link',
    'print_version'             => 'Print',
    'show_user_country'         => 'See all users in the region',
    'groups'                    => 'Groups',
    'points_rule'               => 'Rules',
    'p_add_media'               => 'Publish media file',
    'p_rating_media'            => 'Evaluation of media file',
    'p_add_pages'               => 'Publish Articles',
    'p_comment_pages'           => 'Comment on Article',
    'p_rating_pages'            => 'Article Rating',
    'p_add_news'                => 'Publishing News',
    'p_comment_news'            => 'Commentary on news',
    'p_rating_news'             => 'Grade News',
    'p_add_files'               => 'Publication file',
    'p_comment_files'           => 'Comment to file',
    'p_rating_files'            => 'Assessment File',
    'p_rating_account'          => 'User Rating',
    'p_voting'                  => 'Participation in the survey',
    'p_contact'                 => 'Feedback',
    'p_recoment'                => 'Recommendation site',
    'p_forum_topic'             => 'New post on the forum',
    'p_forum_post'              => 'New topic on the forum',
    'p_comment_voting'          => 'Comment on the poll',
    'p_add_pages_d'             => 'For each placement of the article.',
    'p_comment_pages_d'         => 'For the publication of the commentary to the article.',
    'p_rating_pages_d'          => 'For each article exhibited assessment.',
    'p_add_news_d'              => 'For each placement of news.',
    'p_comment_news_d'          => 'For the publication of the commentary to the news.',
    'p_rating_news_d'           => 'During each exhibited assessment news.',
    'p_add_files_d'             => 'For each placement file in the directory of files.',
    'p_comment_files_d'         => 'For the publication of the commentary to a file placed in the catalog files.',
    'p_rating_files_d'          => 'During each exhibited an assessment of the file placed in the catalog files.',
    'p_rating_account_d'        => 'For each exhibited assess user.',
    'p_voting_d'                => 'For each vote, as in the current survey, and in the past.',
    'p_contact_d'               => 'For contact with the author when using the feedback form.',
    'p_recoment_d'              => 'For each recommendation site with the same name of the module.',
    'p_forum_topic_d'           => 'For each new forum topic',
    'p_forum_post_d'            => 'For each new message on the forum',
    'p_comment_voting_d'        => 'For the publication of the commentary to the poll, placed in the department of surveys.',
    'action_points'             => 'Action',
    'descript_points'           => 'Description',
    'count_points'              => 'Items',
    'count_user_in_group'       => 'Of competitors',
    'group_descript'            => 'Group Description',
    'regions'                   => 'Regions',
    'subtract_goods'            => 'Take away',
    'add_goods'                 => 'Add',
    'count'                     => 'Quantity',
    'info'                      => 'Information',
    'sum_price'                 => 'Total',
    'purchase'                  => 'Order',
    'note'                      => 'Primichanie',
    'queued'                    => 'Queued',
    'paid'                      => 'Paid',
    'processing'                => 'In Process',
    'procesed'                  => 'Processed',
    'bay_product'               => 'Buy',
    'last_page'                 => 'End',
    'first_page'                => 'Home',
    'next_page'                 => 'Furthermore',
    'prev_page'                 => 'Back',
    'lastpublicarions'          => 'New Publications',
    'user'                      => 'Users',
    'pm_read'                   => 'Read',
    'pm_no_read'                => 'Unread',
    'redirect_page'             => 'Migrating to an external link',
    'redirect_warn'             => 'You are leaving the site {SITE} to an external link {URL2GO}, provided one of the user or participant in the project. Administration {SITE} is not responsible for the content of the site {SIET2GO} and strongly recommends <b> not specify </ b> any of its data <b> </ b>, <b> Password </ b>, related to {SITE}, the third-party sites. <br /> <br /> In addition, the site {SIET2GO} may contain viruses, trojans and other malware, dangerous for your computer. If you are unsure about this web site is best for him not to go. <br /> <br /> If you have not changed your mind, click on {LINK2GO}. <br /> If you do not want to risk the security of your account and your computer or do not want to move, press {CANCEL}.',
    'cancel2'                   => 'abolition',
    'voting'                    => 'Polls',
    'nosearchuser'              => '<li class="error"> Specified user was not found </li>',
    'votes'                     => 'Total votes',
    'result_vote'               => 'Poll results',
    'other_votes'               => 'Other Polls',
    'vote'                      => 'Vote',
    'yourisvoted'               => 'Voice was missing! You have already voted in this poll.',
    'yourisnotselectvote'       => '<li class="error"> You did not enter your answer! </li>',
    'err_descript'              => '<li class="error"> No description! </li>',
    'err_name'                  => '<li class="error"> No name! </li>',
    'width'                     => 'Width',
    'height'                    => 'Height',
    'favorite'                  => 'Bookmarks',
    'favorite_add'              => 'Add to favorites',
    'favorite_del'              => 'Remove from bookmarks',
    'send_pm'                   => 'Send Message Message',
    'send_email'                => 'Send a message to E-mail',
    'tags'                      => 'Tags',
    'tags_add'                  => 'Add tags',
    'tags_goto'                 => 'Back to entries with tag',
    'case_tags'                 => 'Select Tag',
    'case_tag_in_module'        => 'Select tag module',
    'tag'                       => 'Tag',
    'user_email_sends'          => 'Your message was sent!',
    'title'                     => 'Title',
    'module'                    => 'Module',
    'functions'                 => 'Options',
    'list_online'               => 'List online',
    'newlatpub'                 => 'New',
    'error'                     => 'Mistake',
    'baner'                     => 'Banner',
    'shopping_cart_block'       => 'Shopping Cart',
    'shopping_cart_clears'      => 'Empty Trash',
    'empty_cart'                => 'Your basket is empty',
    'down'                      => 'Down',
    'search_query'              => 'Search query',
    'search_ignore'             => 'ignored',
    'logined'                   => '<b>Sign</b>',
    'register'                  => 'Register',
    'personal_page'             => 'Personal section',
    'isnotsupported'            => '<span style="color: red; font-size: 9px;">This option is not supported in this version of the system.</span>',
    'isnotsupported_m'          => '<li class="error"> The module is not available in this version of the system. </li>',
    'similar_pub_title'         => 'Related publications',
    'skype'                     => 'Skype',
    'googletalk'                => 'Google Talk',
    'checked_user'              => '<span style="color:red">This name is already registered</span>',
    'nochecked_user'            => '<span style="color:green">You can use this name for registration</span>',
    'checked_empty'             => '<span style="color:red">User name can not be empty!</span>',
    'checked_pass'              => 'Both passwords are identical',
    'nochecked_pass'            => 'Do not match the password',
    'counts'                    => 'count',
    'bay_apply'                 => 'Your order has shipped to the queue, thank you.',
    'error_lenghtpass'          => '<li class="error">Minimum password length {COUNT} characters!</li>',    
    'account_general'           => 'General',
    'account_contact'           => 'Contact',
    'account_avatar'            => 'Avatar',
    'notify_receiving_pm'       => 'Notify me when receiving PM',
    'pm_all_read'               => 'Flag as prochitanye',
    'static_pages'              => 'Static pages',
    'static'                    => 'Static pages',
    'redirect_stoped'           => '<center>Dear user, site administration {SITE} blocked the move on this link.</center>',
);
?>
