<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('NOVACMS')) die("Hacking attempt!");

$lang = array(    
    'author_post'                   => 'نویسنده',
    'message_post'                  => 'پیام',
    'noforumlist'                   => 'هیچ بخشی وجود ندارد',
    'acc_view'                      => 'شما <b>می توانید</b> تاپیک ها را مشاهده کنید',
    'acc_write'                     => 'شما <b>می توانید</b> تاپیک جدید ایجاد کنید',
    'acc_post'                      => 'شما <b>می توانید</b> به پست ها پاسخ دهید',
    'acc_edit'                      => 'شما <b>می توانید</b> پست ویرایش کنید',
    'acc_delete'                    => 'شما <b>می توانید</b> پست را حذف کنید',
    'acc_moderation'                => 'شما <b>می توانید</b> انجمن را مدیریت کنید',
    'acc_view2'                     => 'شما <b>نمیتوانید</b> تاپیک ها را مشاهده کنید',
    'acc_write2'                    => 'شما <b>نمی توانید</b> تاپیک جدید ایجاد کنید',
    'acc_post2'                     => 'شما <b>نمی توانید</b> به پست ها پاسخ دهید',
    'acc_edit2'                     => 'شما <b>نمی توانید</b> پست ویرایش کنید',
    'acc_delete2'                   => 'شما <b>نمی توانید</b> پست را حذف کنید',
    'acc_moderation2'               => 'شما <b>نمی توانید</b> انجمن را مدیریت کنید',
    'moderators'                    => 'مدیر انجمن',
    'nomoder'                       => 'برای این بخش هیچ مدیری تعیین نشده است',
    'forum_last_visit'              => 'آخرین بازدید شما',
    'ot'                            => 'از',
    'numberpage'                    => 'صفحه: {THIS} از {ALL}',
    'forum_moders'                  => 'مدیر انجمن',
    'topic_last'                    => 'آخرین پست',
    'topic_viws'                    => 'نمایش',
    'poster'                        => 'نویسنده',
    'replies'                       => 'پاسخ ها',
    'topic'                         => 'تاپیک',
    'forum_index'                   => 'لیست بخش ها',
    'lastpost'                      => 'آخرین پیام',
    'topics'                        => 'تاپیک',
    'nodorumlist'                   => 'عیچ بخشی ایجاد نشده است',
    'who_is_online'                 => 'آمار انجمن',
    'total_posts'                   => 'تعداد پست های انجمن',
    'total_thems'                   => 'تعداد تاپیک های انجمن',
    'total_users'                   => 'مجموع کاربران عضو',
    'total_users_online'            => 'مجموع کاربران انلاین',
    'logged_in_user_list'           => 'کاربران آنلاین',
    'user_num'                      => 'شماره کاربر',
    'user_tnx'                      => 'تشکر از شما',
    'postdate'                      => 'اضافه شده در',
    'title_message'                 => 'عنوان پیام',
    'showonepost'                   => 'نمایش پیام',
    'reposrtsend'                   => 'گزارش شما با موفقیت ارسال شد',
    'reposrtsendonlyuser'           => 'ارسال گزارش فقط توسط کاربران امکان پذیر است',
    'onlyusertnx'                   => 'تشکر فقط توسط کاربران امکان پذیر میباشد',
    'onlyonetnxpost'                => 'شما مجاز به ارسال یک تشکر هستید',
    'tnxonlyotheruser'              => 'شما نمیتوانید از خود تشکر کنید',
    'this_user_ip'                  => 'ای پی ایجاد کننده پست',
    'other_user_ip'                 => 'کاربرانی که با همین آی پی نوشته اند',
    'other_ip_users'                => 'دیگر آی پی های که با همین نام کاربری نوشته اند',
    'topic_name'                    => 'عنوان تاپیک',
    'topic_desc'                    => 'متن تاپیک',
    'topic_type'                    => 'نوع تاپیک',
    'topic_ico'                     => 'آیکون تاپیک',
    'no_ico_posting'                => '[ بدون آیکون ]',
    'normal_topic'                  => 'معمولی',
    'advertisement_topic'           => 'تبلیغات',
    'important_topic'               => 'تاپیک مهم',
    'topic_title_empty'             => '<li class="error">عنوان تاپیک خالی میباشد</li>',
    'tp_message_empty'              => '<li class="error">کنم تاپیک خالی میباشد</li>',
    'post_name'                     => 'عنوان پیام',
    'timeoutpost'                   => '<li class="error">شما تا {TIME} دیگر نمی توانید پستی ارسال کنید</li>',
    'tnxplay'                       => 'با تشکر',
    'no_name_new_cat'               => '<li class="error">عنوان شاخه نامشخص</li>',
    'no_name_new_forum'             => '<li class="error">عنوان فروم نامشخص</li>',
    'noposts'                       => 'بدون پست',
    'notopics'                      => '<center><b>هیچ موضوعی در این انجمن وجود ندارد.</b></center>',
    'title_forum'                   => 'عنوان فروم',
    'cat_forum'                     => 'شاخه',
    'accview'                       => 'مشاهده',
    'accwrite'                      => 'ایجاد تاپیک',
    'accpost'                       => 'ایجاد پست',
    'accedit'                       => 'ویرایش',
    'accdelete'                     => 'حذف',
    'show_guest'                    => 'مهمان',
    'show_user'                     => 'کاربر',
    'show_moder'                    => 'مدیر',
    'show_admin'                    => 'مدیریت',
    'enabled_forum'                 => 'فعال سازی فروم',
    'topic_views_num'               => 'تاپیک در هر صفحه',
    'topic_views_num_d'             => 'تعداد مباحث نمایش داده شده در هر صفحه',
    'post_views_num'                => 'پست در هر صفحه',
    'post_views_num_d'              => 'تعداد پست های نمایش داده شده در هر صفحه',
    'inputusername'                 => 'وارد کردن نام کاربری',
    'moder_forum'                   => 'مدیر بخش',
    'nomoder_forum'                 => 'بدون مدیر بخش',
    'title_cat'                     => 'عنوان بخش',
    'case_pos_cat'                  => 'انتخاب مکان شاخه',
    'following_category'            => 'بعد از شاخه',
    'first_cat'                     => 'اولین شاخه',
    'newtopictitle'                 => 'عنوان موضوع جدید را وارد کنید',
    'case_new_forum'                => 'Choise forum',    
    'error_new_topic_title'         => '<li class="error">عنوان تاپیک نمیتواند خالی باشد</li>',
    'no_cese_split_post'            => '<li class="error">قادر به انتقال پست های انتخاب شده نمیباشد</li>',
    'notcaseallpost'                => '<li class="error">شما نمیتوانید همه پست ها را منتقل کنید</li>',
    'mark_topic_read'               => 'همه قسمت ها، به عنوان خوانده شده علامت گذاری شوند',
    'error_forum_closed'            => '<li class="error">این انجمن بسته شده است شما نمیتوانید در ان پست ارسال کنید</li>',
    'error_topic_closed'            => '<li class="error">این پست بسته شده است شما نمیتوانید در ان پست ارسال کنید</li>',
    'error_post_editing'            => '<li class="error">شما مجاز به ویرایش این پست نیستید</li>',
    'stat_shows_forum'              => '{ALL} (مهمان: {GUEST}, کاربر: {USER})',
    'nologineduserlist'             => 'شما مجاز به مشاهده این بخش نیستید',
    'srf_title'                     => 'توسط : عنوان موضوع',
    'srf_author'                    => 'توسط : نویسنده',
    'srf_time'                      => 'توسط : تاریخ ایجاد',
    'srf_replies'                   => 'توسط : متن موضوع',
    'srf_views'                     => 'توسط : مشاهده',
        
    'srfd_all'                      => 'برای : همیشه',
    'srfd_today'                    => 'برای : امروز',
    'srfd_five_days'                => 'برای : 5 روز',
    'srfd_seven_days'               => 'برای : 7 روز',
    'srfd_ten_days'                 => 'برای : 10 روز',
    'srfd_fifteen_days'             => 'برای : 15 روز',
    'srfd_twenty_days'              => 'برای : 20 روز',
    'srfd_twenty_five_days'         => 'برای : 25 روز',
    'srfd_thirty_days'              => 'برای : 30 روز',
    'srfd_sixty_days'               => 'برای : 60 روز',
    'srfd_ninety_days'              => 'برای : 90 روز',
    
    'not_view_this_forum'           => 'متاسفانه شما مجاز به مشاهده بخش های قفل شده نیستید',
    'no_acc_new_topic'              => 'شما مجاز به ایجاد تایپک جدید نیستید',
    'no_acc_new_post'               => 'شما مجاز به ایجاد پست جدید نیستید',
    'edit_forum_closed'             => '<li class="error">شما نمی توانید پیامهای خود را در این پست قفل و یا ویرایش کنید</li>',
    'search_new'                    => 'پست های مشاهده (خوانده) نشده',
    'search_self'                   => 'جستجو تاپیک های من',
    'search_unanswered'             => 'جستجو تاپیک های مشاهده نشده',
    'srfd_lastvisit'                => 'آخرین بازدید',
    'new_topic'                     => 'تاپیک جدید',
    'new_post'                      => 'پست جدید',
    'edit_post'                     => 'ویرایش پست',
    'edit_topic'                    => 'ویرایش تاپیک',
    'real_delete_topic'             => 'آیا از حذف این تاپیک مطمئن هستید؟',
    'go_to_page'                    => '<b>در هر صفحه</b>',
    'forum_title'                   => 'نام انجمن',
    'forum_title_d'                 => 'نام انجمن که در تمام صفحات فروم نمایش داده میشود',
    'fotum_search_key'              => '<b>کلمات کلیدی:</b> <br /> <i class="search_desc">مشخص کردن یک لیست از کلمات کلیدی است که در نتیجه جستجو می شود.</i>',
    'sase_search_forum'             => '<b>جستجو در انجمن ها:</b> <br /> <i class="search_desc">انتخاب فروم و یا انجمن .</i>',
    'search_author_topic'           => '<b>جستجو بر اساس نویسنده:</b> <br /> <i class="search_desc">استفاده از * به عنوان الگو.</i>',
    'only_post'                     => 'فقط با متن پست',
    'only_topic'                    => 'فقط با نام تاپیک',
    'topic_and_post'                => 'در عنوان و متن',
    'nosearch_topic'                => '<li class="error"> هیچ پست یا تاپیک موجود نمیباشد. </li>',
    'nosearch_param'                => '<li class="error"> هیچ کلمه ای برای جستجو وارد نشده است! </li>',
    'last_post_edit'                => 'آخرین ویرایش {USER}: {DATE}',
    'report_is_checked'             => 'این پست قبلا ارسال شده',
);    
?>
