<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

define('NOVACMS', true);
require_once "base.php";
require_once "includes/function/xining.php";
require_once "includes/function/init.php";

global $version_sys, $license_sys, $main, $revision;
if(isset($_GET['system'])){ 
    require_once "includes/nocache.php";
    switch($_GET['system']){
        case 'version': echo "VERSION SYSTEM: ".$version_sys." "; break;
        case 'license': echo "LICENSE SYSTEM: ".$license_sys." "; break;
        case 'r': echo "REVISION SYSTEM: {$revision} "; break;
        case 'myip': echo "YOUR IP ADDRES: ".$main->ip; break;
        case 'sitemap': require_once "includes/function/sitemap.php";  break;
    }
    exit;
}

if(!isset($_GET['ajaxed'])){
    if(!isset($_GET['blockfile'])){
        $contents = $template->tpl_create(true);
        $contents .= (is_admin() OR is_moder()) ? $tpl_create->generate_info_insert($geterate_time->stop(), $main->db->total_time_db, $main->db->num_queries, nc_strlen($contents), nc_strlen(gzcompress($contents, $main->config['gzlevel']))) : "";
        require_once "includes/nocache.php";
        gz(replace_link(replace_content($contents)));
    } elseif(nc_file_exists("blocks/{$_GET['blockfile']}")) {
        if(preg_match('/^([a-z0-9\-_]*)$/i', str_replace('.php', '', $_GET['blockfile']))) require_once "blocks/{$_GET['blockfile']}";
        else nc_http_ereor_logs(403);
    }
} else {
    if(!isset($_SERVER["HTTP_REFERER"]) OR empty($_SERVER["HTTP_REFERER"])) {
        header("Location: http://".get_host_name()."");
        exit;
    } else require_once "includes/function/ajax.php";
}
                                                                       
?>