<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('ADMIN_FILE')) die("Hacking attempt!");

global $navi, $main, $break_load;
$break_load=false;
if(!empty($main->user['user_adm_modules']) AND !in_array($main->module, explode(',', $main->user['user_adm_modules']))){
    warning($main->lang['admin_error']);
    $break_load = true;
}

require_once "modules/{$main->module}/function.php";
require_once "modules/{$main->module}/templates.php";

$navi = array(
    array('', 'home'),
    array('access_rights', 'access_rights'),
    array('config', 'config')
);

function main_forum(){
global $main, $adminfile;
    $result = $main->db->sql_query("SELECT f.forum_id, f.forum_name, f.cat_id, f.forum_posts, f.forum_topics, f.forum_desc, f.forum_last_post_id, f.forum_topics, c.cat_id, c.cat_title, c.cat_sort, p.post_id, p.topic_id, p.post_time, p.poster_name, t.topic_id, t.topic_title, t.topic_replies, t.topic_time FROM ".CAT_FORUM." AS c LEFT JOIN ".FORUMS." AS f ON (f.cat_id=c.cat_id) LEFT JOIN ".POSTS." AS p ON (f.forum_last_post_id=p.post_id) LEFT JOIN ".TOPICS." AS t ON (p.topic_id=t.topic_id) ORDER BY c.cat_sort, pos");    
    if ($main->db->sql_numrows($result)>0){
        //list($all_count_cat) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(cat_id) FROM ".CAT_FORUM.""));
        $_cat_id = 0; $_count = 1; $row_tr = 'row4';
        echo "<table width='100%' class='table_forum' cellpadding='3' cellspacing='1'>\n";
        while(($row = $main->db->sql_fetchrow($result))){
            if($_cat_id!=$row['cat_id'] OR empty($row['cat_id'])) {
                list($count_forums) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(forum_id) FROM ".FORUMS." WHERE cat_id='{$row['cat_id']}'"));
                if(!empty($_cat_id) AND $_count!=1) echo "<tr><td colspan='5'><form method='post' action='{$adminfile}?module={$main->module}&amp;do=new_forum&amp;cid={$_cat_id}'><table cellpadding='0' cellspacing='0' width='100%' class='notable'><tr><td><input type='text' style='width: 100%;' name='forum' /></td><td width='180' align='right'><input class='button_forum' type='submit' value='{$main->lang['new_forum']}' /></td></tr></table></form></td></tr>";
                echo "<tr class='th_forum_cat'>\n".
                "<th colspan='3'>{$row['cat_title']}</th>\n".
                "<th style='text-align: center;'><a class='forum_adm_link' href='{$adminfile}?module={$_GET['module']}&amp;do=edit_cat&amp;id={$row['cat_id']}' title='{$main->lang['edit']}'>{$main->lang['edit']}</a></th>\n".
                "<th style='text-align: center;'><a onclick=\"return delete_cat_forum('{$main->lang['realdelete']}');\" class='forum_adm_link' href='{$adminfile}?module={$_GET['module']}&amp;do=delete_cat&amp;id={$row['cat_id']}' title='{$main->lang['delete']}'>{$main->lang['delete']}</a></th>\n".
                "</tr>\n";
                $_cat_id = $row['cat_id'];
                $_count = 1;
            }    
            $op_forum = "<table cellspacing='1' class='cl'><tr><td>".edit_button("{$adminfile}?module={$_GET['module']}&amp;do=edit_forum&amp;id={$row['forum_id']}").delete_button("{$adminfile}?module={$_GET['module']}&amp;do=delete_forum&amp;id={$row['forum_id']}", 'ajax_content')."</td></tr></table>";          
            $top = ($_count!=1) ? "<table class='cl' align='center'><tr><td>".up_button("{$adminfile}?module={$main->module}&amp;do=move_forum&amp;id={$row['forum_id']}&amp;type=up&amp", 'ajax_content')."</td>" : "<table align='center' class='cl'><tr>";
            $down = ($_count<$count_forums) ? "<td>".down_button("{$adminfile}?module={$main->module}&amp;do=move_forum&amp;id={$row['forum_id']}&amp;type=down", 'ajax_content')."</td></tr></table>" : "</tr></table>";
            echo (!empty($row['forum_name'])) ? "<tr class='{$row_tr}'>".
            "<td height='50' style='padding-left: 20px;' class='form_text2'><a href='".$main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => $row['forum_id']))."' title='{$row['forum_name']}' target='_BLANK'><b>{$row['forum_name']}</b></a><br />".(!empty($row['forum_desc'])?"<i>{$row['forum_desc']}</i>":"")."</td>".
            "<td width='25' align='center'>{$row['forum_topics']}</td>".
            "<td width='25' align='center'>{$row['forum_posts']}</td>".
            "<td width='100' align='center'>{$top}{$down}</td>".
            "<td width='50' align='center'>{$op_forum}</td>".
            "</tr>\n" : "";
            $row_tr = ($row_tr!='row4') ? 'row4' : 'row5';
            $_count++;
        }
        echo "<tr><td colspan='5'><form method='post' action='{$adminfile}?module={$main->module}&amp;do=new_forum&amp;cid={$_cat_id}'><table cellpadding='0' cellspacing='0' width='100%' class='notable'><tr><td><input type='text' style='width: 100%;' name='forum' /></td><td width='180' align='right'><input class='button_forum' type='submit' value='{$main->lang['new_forum']}' /></td></tr></table></form></td></tr>".
        "<tr><td colspan='5'><form method='post' action='{$adminfile}?module={$main->module}&amp;do=new_category'><table cellpadding='0' cellspacing='0' width='100%' class='notable'><tr><td><input type='text' style='width: 100%;' name='cat' /></td><td width='180' align='right'><input class='button_forum2' type='submit' value='{$main->lang['new_forum_cat']}' /></td></tr></table></form></td></tr>".
        "</table>";
    } else {        
        echo "<br /><form method='post' action='{$adminfile}?module={$main->module}&amp;do=new_category'><table cellpadding='0' cellspacing='0' width='100%' class='notable'><tr><td><input type='text' style='width: 100%;' name='cat' /></td><td width='180' align='right'><input class='button_forum2' type='submit' value='{$main->lang['new_forum_cat']}' /></td></tr></table></form>";
    }
}

function new_category(){
global $main;
    $title = trim($_POST['cat']);
    if(!empty($title)){ 
        $result = $main->db->sql_query("INSERT INTO ".CAT_FORUM." (cat_title) VALUES ('{$title}')");
        $result = $main->db->sql_query("SELECT cat_id FROM ".CAT_FORUM." ORDER BY cat_id");
        $i=10;
        while(list($cat_id) = $main->db->sql_fetchrow($result)){
            $main->db->sql_query("UPDATE ".CAT_FORUM." SET cat_sort='{$i}' WHERE cat_id='{$cat_id}'");
            $i+=10;
        } 
        redirect(MODULE);
    } else { 
        warning($main->lang['no_name_new_cat']);
        main_forum();
    }
}

function new_forum(){
global $main; 
    $title = trim($_POST['forum']);
    if(!empty($title)){
        $main->db->sql_query("INSERT INTO ".FORUMS." (forum_name, cat_id) VALUES ('{$title}', '{$_GET['cid']}')");
        redirect(MODULE);
    } else {
        warning($main->lang['no_name_new_forum']);
        main_forum(); 
    }
}

function edit_forum($msg=""){
global $main, $adminfile;
    if(!empty($msg)) warning($msg);
    $forum_info = $main->db->sql_fetchrow($main->db->sql_query("SELECT forum_id, cat_id, forum_name, forum_desc, forum_status, acc_view, acc_write, acc_post, acc_edit, acc_delete FROM ".FORUMS." WHERE forum_id='{$_GET['id']}'"));
    $result = $main->db->sql_query("SELECT cat_id, cat_title FROM ".CAT_FORUM." ORDER BY cat_sort");
    $cat = array();
    $this_cat = 0;
    while(($row = $main->db->sql_fetchrow($result))){
        $cat[$row['cat_id']] = $row['cat_title'];
        $this_cat = ($row['cat_id']==$forum_info['cat_id']) ? $row['cat_id'] : $this_cat;
    }
    $sels = array('0' => $main->lang['show_guest'], '1' => $main->lang['show_user'], '2' => $main->lang['show_moder'], '3' => $main->lang['show_admin']);
    echo "<form method='post' action='{$adminfile}?module={$main->module}&amp;do=save_edit_forum&amp;id={$_GET['id']}'>\n".
    "<table width='100%' align='center' class='form' id='form_{$main->module}'>\n".
    "<tr class='row_tr'><td class='form_text2'>{$main->lang['title_forum']}:</td><td class='form_input2'>".in_text('title', 'input_text2', $forum_info['forum_name'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'>{$main->lang['forum_desc']}:</td><td class='form_input2'>".in_area('desc', 'textarea', 3, $forum_info['forum_desc'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'>{$main->lang['cat_forum']}:</td><td class='form_input2'>".in_sels('cid', $cat, 'select2', $this_cat)."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'>{$main->lang['accview']}:</td><td class='form_input2'>".in_sels('acc_view', $sels, 'select2', $forum_info['acc_view'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'>{$main->lang['accwrite']}:</td><td class='form_input2'>".in_sels('acc_write', $sels, 'select2', $forum_info['acc_write'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'>{$main->lang['accpost']}:</td><td class='form_input2'>".in_sels('acc_post', $sels, 'select2', $forum_info['acc_post'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'>{$main->lang['accedit']}:</td><td class='form_input2'>".in_sels('acc_edit', $sels, 'select2', $forum_info['acc_edit'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'>{$main->lang['accdelete']}:</td><td class='form_input2'>".in_sels('acc_delete', $sels, 'select2', $forum_info['acc_delete'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'>{$main->lang['enabled_forum']}:</td><td class='form_input2'>".in_chck('status', 'input_checkbox', ($forum_info['forum_status']==0)?ENABLED:'')."</td></tr>\n".
    "<tr><td class='form_submit' colspan='2' align='center'>{$main->imgadmin['done_button']}</td></tr>\n".
    "</table></form>";
}

function save_edit_forum(){
global $main;    
    $msg = (empty($_POST['title'])) ? $main->lang['no_name_new_forum'] : "";
    $status = (!isset($_POST['status']) OR $_POST['status']!="on") ? "1" : "0";
    if(empty($msg)){
        sql_update(array(
            'cat_id'       => $_POST['cid'],
            'forum_name'   => $_POST['title'],
            'forum_desc'   => $_POST['desc'],
            'acc_view'     => $_POST['acc_view'],
            'acc_write'    => $_POST['acc_write'],
            'acc_post'     => $_POST['acc_post'],
            'acc_edit'     => $_POST['acc_edit'],
            'acc_delete'   => $_POST['acc_delete'],
            'forum_status' => $status
        ), FORUMS, "forum_id='{$_GET['id']}'");
        redirect(MODULE);
    } else edit_forum($msg);
}

function delete_forum(){
global $main, $forum;
    //Select all subjects given the forum
    $topics = $main->db->sql_query("SELECT topic_id FROM ".TOPICS." WHERE forum_id='{$_GET['id']}'");
    //Loop through all records
    while(list($topic_id) = $main->db->sql_fetchrow($topics)){
        //Select all the messages of the given topic
        $posts = $main->db->sql_query("SELECT post_id, poster_id FROM ".POSTS." WHERE topic_id='{$topic_id}'");
        while(list($post_id, $poster_id) = $main->db->sql_fetchrow($posts)){
            //Subtract from the user 1 post
            update_posts($poster_id, "-");
            //Delete attachments
            if(nc_file_exists($forum['directory'].$post_id)){
                $main->db->sql_query("DELETE FROM ".ATTACH." WHERE path LIKE '{$forum['directory']}{$post_id}/%'");
                remove_dir($forum['directory'].$post_id);
            }
        }
        //Delete topic
        $main->db->sql_query("DELETE FROM ".TOPICS." WHERE topic_id='{$topic_id}'");
        //Delete all messages Topic
        $main->db->sql_query("DELETE FROM ".POSTS." WHERE topic_id='{$topic_id}'");
    }  
    //Remove Forum
    $main->db->sql_query("DELETE FROM ".FORUMS." WHERE forum_id='{$_GET['id']}'");
    if(!is_ajax()) redirect(MODULE);
    else main_forum();
}

function move_forum(){
global $main;
    if($_GET['type']!="down") $main->db->sql_query("UPDATE ".FORUMS." SET pos=pos-11 WHERE forum_id='{$_GET['id']}'");
    else $main->db->sql_query("UPDATE ".FORUMS." SET pos=pos+11 WHERE forum_id='{$_GET['id']}'");
    $result = $main->db->sql_query("SELECT * FROM ".FORUMS." ORDER BY pos");
    $i = 10;
    while(($row = $main->db->sql_fetchrow($result))){
        $main->db->sql_query("UPDATE ".FORUMS." SET pos='{$i}' WHERE forum_id='{$row['forum_id']}'");
        $i+=10;
    }
    if(!is_ajax()) redirect(MODULE);
    else main_forum();
}

function config_forum(){
global $forum, $main, $adminfile;
    echo "<form id='block_form' action='{$adminfile}?module={$_GET['module']}&amp;do=save_conf' method='post'><table align='center' class='form' id='form_{$main->module}'>".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['forum_title']}</b>:<br /><i>{$main->lang['forum_title_d']}</i></td><td class='form_input2'>".in_text('forum_title', 'input_text2', $forum['forum_title'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['directory']}</b>:<br /><i>{$main->lang['directory_d']}</i></td><td class='form_input2'>".in_text('directory', 'input_text2', $forum['directory'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['topic_views_num']}</b>:<br /><i>{$main->lang['topic_views_num_d']}</i></td><td class='form_input2'>".in_text('topic_views_num', 'input_text2', $forum['topic_views_num'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['post_views_num']}</b>:<br /><i>{$main->lang['post_views_num']}</i></td><td class='form_input2'>".in_text('post_views_num', 'input_text2', $forum['post_views_num'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['attaching_files_type']}</b>:<br /><i>{$main->lang['attaching_files_type_d']}</i></td><td class='form_input2'>".in_text('attaching_files_type', 'input_text2', $forum['attaching_files_type'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['miniature_image_width']}</b>:<br /><i>{$main->lang['miniature_image_width_d']}</i></td><td class='form_input2'>".in_text('miniature_image_width', 'input_text2', $forum['miniature_image_width'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['miniature_image_height']}</b>:<br /><i>{$main->lang['miniature_image_height_d']}</i></td><td class='form_input2'>".in_text('miniature_image_height', 'input_text2', $forum['miniature_image_height'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['max_image_width']}</b>:<br /><i>{$main->lang['max_image_width_d']}</i></td><td class='form_input2'>".in_text('max_image_width', 'input_text2', $forum['max_image_width'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['max_image_height']}</b>:<br /><i>{$main->lang['max_image_height_d']}</i></td><td class='form_input2'>".in_text('max_image_height', 'input_text2', $forum['max_image_height'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['attaching_files_size']}</b>:<br /><i>{$main->lang['attaching_files_size_d']}</i></td><td class='form_input2'>".in_text('attaching_files_size', 'input_text2', $forum['attaching_files_size'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['file_upload_limit']}</b>:<br /><i>{$main->lang['file_upload_limit_d']}</i></td><td class='form_input2'>".in_text('file_upload_limit', 'input_text2', $forum['file_upload_limit'])."</td></tr>\n".                    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['attaching']}</b>:<br /><i>{$main->lang['attaching_d']}</i></td><td class='form_input2'>".in_chck('attaching', 'input_checkbox', $forum['attaching'])."</td></tr>\n".    
    "<tr><td class='form_submit' colspan='2' align='center'>{$main->imgadmin['done_button']}</td></tr>\n".
    "</table></form>";
}

function save_forum(){
global $forum, $adminfile;
    require_once "includes/function/sources.php";
    save_config('config_forum.php', '$forum', $forum);
    redirect("{$adminfile}?module={$_GET['module']}&do=config");
}

function access_rights(){
global $main, $adminfile;
    if(isset($_GET['user'])){
        $result = $main->db->sql_query("SELECT uid FROM ".USERS." WHERE user_name='{$_GET['user']}'");
        if($main->db->sql_numrows($result)>0){
            list($set_uid) = $main->db->sql_fetchrow($result);
            $result = $main->db->sql_query("SELECT forum_id, forum_name FROM ".FORUMS." ORDER BY forum_id");
            if($main->db->sql_numrows($result)>0){        
                echo "<form action='{$adminfile}?module={$main->module}&amp;do=save_access_rights' method='post'>".
                in_hide('user_name', $_GET['user']).
                in_hide('uid', $set_uid).
                "<table width='100%' class='form' id='form_{$main->module}'>";
                while(list($forum_id, $forum_name) = $main->db->sql_fetchrow($result)){
                    $_ck = $main->db->sql_numrows($main->db->sql_query("SELECT * FROM ".ACC." WHERE uid='{$set_uid}' AND id='{$forum_id}'"));                    
                    echo "<tr class='row_tr'><td><a href='".$main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => $forum_id))."' title='{$forum_name}'><b>{$forum_name}</b></a></td><td class='form_input2'><input type='hidden' name='forum_id[]' value='{$forum_id}'>".in_sels('mod[]', array($main->lang['nomoder_forum'], $main->lang['moder_forum']), 'select2', ($_ck>0)?1:0)."</td></tr>";
                }
                echo "<tr><td class='form_submit' colspan='2' align='center'>{$main->imgadmin['done_button']}</td></tr>\n</table></form>";
           } else info($main->lang['noinfo']);
        } else info('User not found!');
    } else {
        echo "<form action='{$adminfile}?module={$main->module}&amp;do=access_rights' method='get'>".
        in_hide('module', $main->module).
        in_hide('do', 'access_rights').
        "<table class='form' id='form_{$main->module}' align='center'>\n".
        "<tr class='row_tr'><td class='form_text2'>{$main->lang['inputusername']}:</td><td class='form_input2'>".in_text('user', 'input_text2')."</td></tr>\n".
        "<tr><td class='form_submit' colspan='2' align='center'>{$main->imgadmin['done_button']}</td></tr>\n".
        "</table></from>";
    }
}

function save_access_rights(){
global $main, $adminfile;
    $main->db->sql_query("DELETE FROM ".ACC." WHERE uid='{$_POST['uid']}'");
    for($i=0;$i<count($_POST['forum_id']);$i++){
        if($_POST['mod'][$i]=="1") $main->db->sql_query("INSERT INTO ".ACC." (uid, id) VALUES ('{$_POST['uid']}', '{$_POST['forum_id'][$i]}')"); 
    }
    redirect("{$adminfile}?module={$main->module}&do=access_rights&user=".urlencode($_POST['user_name']));
}

function edit_cat(){
global $main, $adminfile;
    $result = $main->db->sql_query("SELECT * FROM ".CAT_FORUM." ORDER BY cat_sort");
    $pos_case = array();
    $cat = array(); $sel_cat_post = 0; $_cat_id = 0;
    while(($row = $main->db->sql_fetchrow($result))){
        if($row['cat_id']!=$_GET['id']){$pos_case[] = $row; $_cat_id = $row['cat_id'];} 
        else {$cat = $row; $sel_cat_post = $_cat_id;}
    }
    $sel_arr = array(0 => $main->lang['first_cat']);
    foreach($pos_case as $val){
        $sel_arr[$val['cat_id']] = "{$main->lang['following_category']}: \"{$val['cat_title']}\"";
    }
    echo "<form method='post' action='{$adminfile}?module={$main->module}&amp;do=save_edit_cat&amp;id={$_GET['id']}'>\n".
    in_hide('sel_cat_post', $sel_cat_post).
    "<table width='100%' align='center' class='form' id='form_{$main->module}'>\n".
    "<tr class='row_tr'><td class='form_text2'>{$main->lang['title_cat']}:</td><td class='form_input2'>".in_text('title', 'input_text2', $cat['cat_title'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'>{$main->lang['case_pos_cat']}:</td><td class='form_input2'>".in_sels('pos', $sel_arr, 'select2', $sel_cat_post)."</td></tr>\n".    
    "<tr><td class='form_submit' colspan='2' align='center'>{$main->imgadmin['done_button']}</td></tr>\n".
    "</table></form>";
}

function save_edit_cat(){
global $main;
    sql_update(array(
        'cat_title' => $_POST['title']
    ), CAT_FORUM, "cat_id='{$_GET['id']}'");
    //If a request is to change the location of the category
    if($_POST['sel_cat_post']!=$_POST['pos']){
        if($_POST['pos']>0){
            $ct = $main->db->sql_fetchrow($main->db->sql_query("SELECT * FROM ".CAT_FORUM." WHERE cat_id='{$_POST['pos']}'"));
            sql_update(array('cat_sort' => $ct['cat_sort']+1), CAT_FORUM, "cat_id='{$_GET['id']}'");
        } else sql_update(array('cat_sort' => 1), CAT_FORUM, "cat_id='{$_GET['id']}'"); //Если установить первым
        //Update the position of categories
        $pos = 10;     
        $cats = $main->db->sql_query("SELECT cat_id FROM ".CAT_FORUM." ORDER BY cat_sort");
        while(list($cat_id) = $main->db->sql_fetchrow($cats)){
            $main->db->sql_query("UPDATE ".CAT_FORUM." SET cat_sort='{$pos}' WHERE cat_id='{$cat_id}'");
            $pos=$pos+10;
        }
    }
    redirect(MODULE);
}

function delete_cat_forum(){
global $main, $forum;
    //Choose a category all forums
    $forums = $main->db->sql_query("SELECT forum_id FROM ".FORUMS." WHERE cat_id='{$_GET['id']}'");
    //Loop through forums
    while(list($forum_id) = $main->db->sql_fetchrow($forums)){
        //Select all subjects given the forum
        $topics = $main->db->sql_query("SELECT topic_id FROM ".TOPICS." WHERE forum_id='{$forum_id}'");
        //Loop through topics
        while(list($topic_id) = $main->db->sql_fetchrow($topics)){
            //Fetches all the messages of the given topic
            $posts = $main->db->sql_query("SELECT post_id, poster_id FROM ".POSTS." WHERE topic_id='{$topic_id}'");
            //Loop through messages
            while(list($post_id, $poster_id) = $main->db->sql_fetchrow($posts)){
                //Subtract from the user 1 post
                update_posts($poster_id, "-");
                //Delete attachments
                if(nc_file_exists($forum['directory'].$post_id)){
                    $main->db->sql_query("DELETE FROM ".ATTACH." WHERE path LIKE '{$forum['directory']}{$post_id}/%'");
                    remove_dir($forum['directory'].$post_id);
                }
            }
            //Delete topic
            $main->db->sql_query("DELETE FROM ".TOPICS." WHERE topic_id='{$topic_id}'");
            //Delete all messages Topic
            $main->db->sql_query("DELETE FROM ".POSTS." WHERE topic_id='{$topic_id}'");
        }    
        //Remove Forum
        $main->db->sql_query("DELETE FROM ".FORUMS." WHERE forum_id='{$forum_id}'");
    }
    //Delete category
    $main->db->sql_query("DELETE FROM ".CAT_FORUM." WHERE cat_id='{$_GET['id']}'");
    //Update the position of categories
    $pos = 10;     
    $cats = $main->db->sql_query("SELECT cat_id FROM ".CAT_FORUM." ORDER BY cat_sort");
    while(list($cat_id) = $main->db->sql_fetchrow($cats)){
        $main->db->sql_query("UPDATE ".CAT_FORUM." SET cat_sort='{$pos}' WHERE cat_id='{$cat_id}'");
        $pos=$pos+10;
    }       
    redirect(MODULE);
}

if(isset($_GET['do']) AND $break_load==false){
    switch($_GET['do']){
        case "new_category": new_category(); break;
        case "new_forum": new_forum(); break;
        case "edit_forum": edit_forum(); break;
        case "save_edit_forum": save_edit_forum(); break;
        case "delete_forum": delete_forum(); break;
        case "move_forum": move_forum(); break;
        case "config": config_forum(); break;
        case "save_conf": save_forum(); break;
        case "access_rights": access_rights(); break;
        case "save_access_rights": save_access_rights(); break;
        case "edit_cat": edit_cat(); break;
        case "save_edit_cat": save_edit_cat(); break;
        case "delete_cat": delete_cat_forum(); break;
        default: main_forum(); break;
    }
} elseif($break_load==false) main_forum();
?>