<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('NOVACMS')) die("Hacking attempt!");

global $main, $usertype, $tpl_create;
$usertype = (is_admin()) ? 3 : ((is_moder() AND $usertype==0) ? 2 : ((is_user() AND $usertype==0) ? 1 : 0));
$tpl_create->add2link("optimizer/?templates/{$main->tpl}/forum/style.css");

require_once "modules/{$main->module}/function.php";
require_once "modules/{$main->module}/templates.php";

function user_type_change($forum_id=0){
global $usertype;
    if(empty($forum_id)) return false;
    $usertype = is_admin() ? 3 : (is_moder($forum_id) ? 2 : (is_user() ? 1 : 0));
}

function user_tnx(){
global $main;
    if(!isset($_POST['post_id'])) return false;
    $tnxs = $main->db->sql_fetchrow($main->db->sql_query("SELECT poster_id, poster_name, post_tnx FROM ".POSTS." WHERE post_id='".intval($_POST['post_id'])."'"));
    $tnx = ($tnxs['post_tnx']=="") ? "" : "<br /><br /><fieldset class='post_tnx' style='margin-left: 30px;' title='{$main->lang['tnxplay']}'><legend class='post_tnx'>{$main->lang['tnxplay']}</legend>{$tnxs['post_tnx']}</fieldset>";
    if($main->user['uid']=='-1'){
        echo "{$tnx}<script language='javascript'>alert('{$main->lang['onlyusertnx']}');</script>";
    } else {        
        if (nc_strpos($tnxs['post_tnx'], ">{$main->user['user_name']}<")!==false){
            echo "{$tnx}<script language='javascript'>alert('{$main->lang['onlyonetnxpost']}')</script>";
        } else {
            if($tnxs['poster_id']==$main->user['uid']){
                echo "{$tnx}<script language='javascript'>alert('{$main->lang['tnxonlyotheruser']}')</script>";
            } else {
                $main->db->sql_query("UPDATE ".POSTS." SET post_tnx='{$tnxs['post_tnx']} <a href=\"index.php?module=account&amp;do=user&amp;id=".case_id($main->user['user_id'], $main->user['uid'])."\">{$main->user['user_name']}</a>' WHERE post_id='".intval($_POST['post_id'])."'");
                $main->db->sql_query("UPDATE ".USERS." SET user_tnx=user_tnx+1 WHERE uid='{$tnxs['poster_id']}'");
                echo "<br /><br /><fieldset class='post_tnx' style='margin-left: 30px;' title='{$main->lang['tnxplay']}'><legend class='post'>{$main->lang['tnxplay']}</legend>{$tnxs['post_tnx']} <a href=\"index.php?module=account&amp;do=user&amp;id=".case_id($main->user['user_id'], $main->user['uid'])."\">{$main->user['user_name']}</a></fieldset>";
            }
        }
    }
}

function report(){
global $main, $patterns;  
    if(!is_user()){echo json_encode(array('type' => 'error', 'text' => $main->lang['reposrtsendonlyuser'])); exit;}
    $row = $main->db->sql_fetchrow($main->db->sql_query("SELECT p.post_id, p.topic_id, p.forum_id, p.post_subject, t.topic_id, t.topic_title FROM ".POSTS." AS p LEFT JOIN ".TOPICS." AS t ON(t.topic_id=p.topic_id) WHERE p.post_id='".intval($_POST['post_id'])."'"));
    list($ck) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(*) FROM ".REPORTS." WHERE post_id='{$row['post_id']}'"));
    if($ck>0) {echo json_encode(array('type' => 'error', 'text' => $main->lang['report_is_checked'])); exit;}
    $result = $main->db->sql_query("SELECT a.uid, a.id, u.uid, u.user_name, u.user_email FROM ".ACC." AS a LEFT JOIN ".USERS." u ON(a.uid=u.uid) WHERE a.id='{$row['forum_id']}'");
    $message = preg_replace(
        array(
            '/\{SITE\}/is',
            '/\{TOPIC\}/is',
            '/\{USER\}/is',
            '/\{POST\}/is'
        ), 
        array(
            "<a href='{$main->config['http_home_url']}' title='{$main->config['home_title']}'>{$main->config['home_title']}</a>",            
            "<a href='http://".get_host_name()."index.php?module=forum&amp;do=showtopic&amp;id={$row['topic_id']}'>{$row['topic_title']}</a>",            
            "<a href='http://".get_host_name()."index.php?module=account&amp;do=user&amp;id=".case_id($main->user['user_id'], $main->user['uid'])."'>{$main->user['user_name']}</a>",
            "<a href='http://".get_host_name()."index.php?module=forum&amp;do=showpost&amp;id={$row['post_id']}'>{$row['post_subject']}</a>"
        ), 
        $patterns['post_report']
    );
    sql_insert(array('post_id' => $row['post_id'], 'user_id' => $main->user['uid']), REPORTS);
    if($main->db->sql_numrows($result)>0){
        while(($rows = $main->db->sql_fetchrow($result))){
            send_mail($rows['user_email'], $rows['user_name'], $main->config['admin_mail'], $main->user['user_name'], "Report", $message);
        }
    } else send_mail($main->config['admin_mail'], "Administrator", $main->user['user_email'], $main->user['user_name'], "Report", $message);
    echo json_encode(array('type' => 'error', 'text' => $main->lang['reposrtsend']));
    exit;
}

function global_upload_attach(){
global $forum;
    require_once "includes/function/attache.php";    
    upload_attach($forum);    
}

function lastpost(){
global $main, $forum;
    if(isset($_GET['id'])){
        $result = $main->db->sql_query("SELECT * FROM ".TOPICS." WHERE topic_id='".intval($_GET['id'])."'");
        if($main->db->sql_numrows($result)>0){
            $row = $main->db->sql_fetchrow($result);
            $pages = ceil(($row['topic_replies']+1)/$forum['post_views_num']);
            header ('HTTP/1.1 301 Moved Permanently'); 
            if(!is_ajax()) {
                if($pages>1) redirect($main->url(array('module' => $main->module, 'do' => 'showtopic', 'id' => $_GET['id'], 'page' => $pages))."#entry".($row['topic_replies']+1));                
                else redirect($main->url(array('module' => $main->module, 'do' => 'showtopic', 'id' => $_GET['id']))."#entry".($row['topic_replies']+1));
            } else {
                $_GET = array(
                    'module' => $main->module,
                    'do' => 'showtopic',
                    'id' => $_GET['id'],
                    'page' => $pages,
                );
                require_once "modules/{$main->module}/showtopic.php";
            }
        } else nc_http_ereor_logs(404);
    } else redirect(MODULE);
}

function closetopic(){
global $main;
    list($forum_id, $topic_status) = $main->db->sql_fetchrow($main->db->sql_query("SELECT forum_id, topic_status FROM ".TOPICS." WHERE topic_id='".intval($_GET['id'])."'"));
    if((is_moder($forum_id) OR is_support()) AND !empty($forum_id)){
        sql_update(array('topic_status' => ($topic_status==0)?'1':'0'), TOPICS, "topic_id='".intval($_GET['id'])."'");
        if(!is_ajax()) redirect(BACK);
    } else redirect(MODULE);
}

function deletepost(){
global $main, $forum;
    //Check whether there is a post
    $r = $main->db->sql_query("SELECT post_id, topic_id, forum_id, poster_id, post_subject, post_text, ico FROM ".POSTS." WHERE post_id='".intval($_GET['id'])."'");
    if($main->db->sql_numrows($r)==0) redirect(MODULE);
    $post = $main->db->sql_fetchrow($r);
    //Know whether the right to remove
    list($acc_delete) = $main->db->sql_fetchrow($main->db->sql_query("SELECT acc_delete FROM ".FORUMS." WHERE forum_id='{$post['forum_id']}'"));    
    if(is_support() OR is_moder($post['forum_id']) OR is_acc($acc_delete)){
        //Remove Post
        $main->db->sql_query("DELETE FROM ".POSTS." WHERE post_id='{$post['post_id']}'");
        //Delete attachments
        if(nc_file_exists($forum['directory'].$post['post_id'])){
            $main->db->sql_query("DELETE FROM ".ATTACH." WHERE path LIKE '{$forum['directory']}{$post['post_id']}/%'");
            remove_dir($forum['directory'].$post['post_id']);
        }
        //Find the latest forum post
        list($forum_last_posts) = $main->db->sql_fetchrow($main->db->sql_query("SELECT post_id FROM ".POSTS." WHERE forum_id='{$post['forum_id']}' ORDER BY post_id DESC LIMIT 1"));
        //Find the last post topic
        list($last_post_id) = $main->db->sql_fetchrow($main->db->sql_query("SELECT post_id FROM ".POSTS." WHERE topic_id='{$post['topic_id']}' ORDER BY post_id DESC LIMIT 1"));        
        //Obtain the number of responses in Topeka
        list($topic_replies) = $main->db->sql_fetchrow($main->db->sql_query("SELECT topic_replies FROM ".TOPICS." WHERE topic_id='{$post['topic_id']}'"));                
        $topic_replies = ($topic_replies=="0") ? "-1" : $topic_replies-1;
        //Subtract from the user 1 post
        update_posts($post['poster_id'], "-");
        if($topic_replies!="-1"){
            //Obtain information about this post
            $first_post = $main->db->sql_fetchrow($main->db->sql_query("SELECT post_id, poster_id, poster_name FROM ".POSTS." WHERE topic_id='{$post['topic_id']}' ORDER BY post_id LIMIT 1"));
            //Update the information on the topic for
            sql_update(array(
                'topic_first_post_id' => $first_post['post_id'],
                'topic_poster_name'   => $first_post['poster_name'],
                'topic_poster'        => $first_post['poster_id'],
                'topic_last_post_id'  => $last_post_id,
                'topic_replies'       => $topic_replies
            ), TOPICS, "topic_id='{$post['topic_id']}'");
        } else {
            //If we removed the latest post topics, then remove and the very topic
            $main->db->sql_query("DELETE FROM ".TOPICS." WHERE topic_id='{$post['topic_id']}'");
            redirect($main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => $post['forum_id'])));
        }
        //Update the information on the forum
        $main->db->sql_query("UPDATE ".FORUMS." SET forum_last_post_id='{$forum_last_posts}', forum_posts=forum_posts-1".(($topic_replies=="-1")?", forum_topics=forum_topics-1":"")." WHERE forum_id='{$post['forum_id']}'");
        //Obtain the number of pages in the topic
        $page = ceil($topic_replies/$forum['post_views_num']);
        if(!is_ajax()) redirect($main->url(array('module' => $main->module, 'do' => 'showtopic', 'id' => $post['topic_id'], 'page' => (($_GET['page']>$page AND $_GET['page']!=1) ? $page : $_GET['page']))));
    } else nc_http_ereor_logs(403);
}

function topicdel(){
global $main, $forum;
    //Fetches remove topic
    $topic = $main->db->sql_fetchrow($main->db->sql_query("SELECT * FROM ".TOPICS." WHERE topic_id='".intval($_GET['id'])."'"));
    //Check the right to delete topic
    if(is_support() OR is_moder($topic['forum_id'])){
        //Delete topic
        $main->db->sql_query("DELETE FROM ".TOPICS." WHERE topic_id='{$topic['topic_id']}'");
        //Fetches deleted messages
        $posts_sql = $main->db->sql_query("SELECT post_id, poster_id FROM ".POSTS." WHERE topic_id='{$topic['topic_id']}'");
        //Loop through deleted messages
        while(list($post_id, $poster_id) = $main->db->sql_fetchrow($posts_sql)){
            //Subtract from the user 1 post
            update_posts($poster_id, "-");
            //Delete attachments
            if(nc_file_exists($forum['directory'].$post_id)){
                $main->db->sql_query("DELETE FROM ".ATTACH." WHERE path LIKE '{$forum['directory']}{$post_id}/%'");
                remove_dir($forum['directory'].$post_id);
            }
        }
        //Delete all messages are deleted Topeka
        $main->db->sql_query("DELETE FROM ".POSTS." WHERE topic_id='{$topic['topic_id']}'"); 
        //Find the ID of the last Forum Posts
        list($forum_last_posts) = $main->db->sql_fetchrow($main->db->sql_query("SELECT post_id FROM ".POSTS." WHERE forum_id='{$topic['forum_id']}' ORDER BY post_id DESC LIMIT 1"));
        //Update the information on the forum
        $main->db->sql_query("UPDATE ".FORUMS." SET forum_topics=forum_topics-1, forum_posts=forum_posts-({$topic['topic_replies']}+1), forum_last_post_id='".(!empty($forum_last_posts)?$forum_last_posts:0)."' WHERE forum_id='{$topic['forum_id']}'");               
        redirect($main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => $topic['forum_id'])));
    } else redirect(MODULE);
}

function topicsplit($msg=""){
global $main, $forum;
    //Make a sample topic
    $topic = $main->db->sql_fetchrow($main->db->sql_query("SELECT * FROM ".TOPICS." WHERE topic_id='".intval($_GET['id'])."'"));
    //Check right
    if(is_support() OR is_moder($topic['forum_id'])){
        //Create an array of forums
        $result = $main->db->sql_query("SELECT forum_id, forum_name, cat_id FROM ".FORUMS." ORDER BY cat_id, forum_id");
        $forum_name = "";
        while(($rows_forum = $main->db->sql_fetchrow($result))){
            $forums_arr[$rows_forum['forum_id']] = $rows_forum['forum_name'];
            if($rows_forum['forum_id']==$topic['forum_id']) $forum_name = $rows_forum['forum_name'];
        }
        //Fetches posts
        $result = $main->db->sql_query("SELECT post_id, poster_name, post_text, post_time, post_subject FROM ".POSTS." WHERE topic_id='{$topic['topic_id']}' ORDER BY post_time");
        //Declare required variables
        $row = "postrow1"; $posts = "";
        //Loop through the result
        while(list($post_id, $poster_name, $post_text, $post_time, $post_subject) = $main->db->sql_fetchrow($result)){
            $posts .= "<tr class='{$row}'><td valign='top' align='center' width='150'><b>{$poster_name}</b></td><td valign='top'>date: ".gmdate("d.m.Y H:i:s", $post_time)." {$main->lang['title']}: <a href='".$main->url(array('module' => $main->module, 'do' => 'showpost', 'id' => $post_id))."' title='{$main->lang['showonepost']}'>{$post_subject}</a><hr />".parse_bb($post_text)."</td><td align='center' ><input type='checkbox' name='posts[]' value='{$post_id}' /></td></tr>\n";
            $row = ($row=="postrow1") ? "postrow2" : "postrow1";
        }
        if(!empty($msg)) warning($msg);
        echo "<a href='".$main->url(array('module' => $main->module))."' title='{$forum['forum_title']}'><b>{$forum['forum_title']}</b></a> &raquo; <a href='".$main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => $topic['forum_id']))."' title='{$forum_name}'><b>{$forum_name}</b></a> &raquo; <a href='".$main->url(array('module' => $main->module, 'do' => 'showtopic', 'id' => $topic['topic_id']))."' title='{$topic['topic_title']}'><b>{$topic['topic_title']}</b></a>";
        open();
        //Create a form
        echo "<form action='".$main->url(array('module' => $main->module, 'do' => 'send_topicsplit', 'id' => $topic['topic_id']))."' method='post'>".
        "<table width='500' cellspacing='1' cellpadding='3'>".
        "<tr><td width='180'>{$main->lang['newtopictitle']}:</td><td>".in_text('title', 'input_text')."</td></tr>".
        "<tr><td>{$main->lang['case_new_forum']}:</td><td>".in_sels('forum_id', $forums_arr, 'select2', $topic['forum_id'])."</td></tr>".
        "</table><hr />".        
        in_hide('last_forum_id', $topic['forum_id']).
        "<table width='100%' class='cattable' cellspacing='1' cellpadding='3'>".
        "<tr><th>{$main->lang['author']}</th><th>{$main->lang['message']}</th><th>".in_chck("checkbox_sel", "", "", "onclick=\"ckeck_uncheck_all();\"")."</th></tr>".$posts.
        "</table>".        
        "<div align='center'><br />".send_button()."</div>".
        "</form><br />";
        close();
    } else redirect(MODULE);
}

function send_topicsplit(){
global $main;
    //Old obtain a tank top
    $topic = $main->db->sql_fetchrow($main->db->sql_query("SELECT * FROM ".TOPICS." WHERE topic_id='".intval($_GET['id'])."'"));
    //Check right
    if(is_support() OR is_moder($topic['forum_id'])){
        //Form the error
        $msg = (empty($_POST['title'])) ? $main->lang['error_new_topic_title'] : "";
        $msg .= (!isset($_POST['posts']) OR count($_POST['posts'])==0) ? $main->lang['no_cese_split_post'] : "";
        $msg .= (isset($_POST['posts']) AND count($_POST['posts'])==$topic['topic_replies']+1) ? $main->lang['notcaseallpost'] : "";
        //If no errors ... continue
        if(empty($msg)){
            //Obtain the ID and user name to create a new topic
            list($poster_id, $poster_name) = $main->db->sql_fetchrow($main->db->sql_query("SELECT poster_id, poster_name FROM ".POSTS." WHERE post_id='{$_POST['posts'][0]}'"));
            //Create a new topic
            $topic_id = $main->db->sql_nextid(sql_insert(array(
                'forum_id'            => $_POST['forum_id'],
                'topic_title'         => $_POST['title'],
                'topic_poster'        => $poster_id,
                'topic_time'          => time(),
                'topic_poster_name'   => $poster_name,
                'topic_first_post_id' => $_POST['posts'][0], //Temporarily set the ID first post
                'topic_last_post_id'  => $_POST['posts'][count($_POST['posts'])-1], //Temporarily set the ID of the last post
                'topic_replies'       => count($_POST['posts'])-1
            ), TOPICS));
            //Update the data transferred messages
            $main->db->sql_query("UPDATE ".POSTS." SET forum_id='{$_POST['forum_id']}', topic_id='{$topic_id}' WHERE post_id IN (".implode(',', $_POST['posts']).")");
            //Performs the first and last posed a new topic
            $new_post = $main->db->sql_fetchrow($main->db->sql_query("SELECT f.post_id AS first, l.post_id AS last FROM ".POSTS." AS f, ".POSTS." AS l WHERE l.topic_id='{$topic_id}' ORDER BY f.post_id ASC, l.post_id DESC LIMIT 1"));
            $main->db->sql_query("UPDATE ".TOPICS." SET topic_first_post_id='{$new_post['first']}', topic_last_post_id='{$new_post['last']}' WHERE topic_id='{$topic_id}'");
            //Find the ID of the first and last message of shared themes
            $post = $main->db->sql_fetchrow($main->db->sql_query("SELECT f.post_id AS first, l.post_id AS last FROM ".POSTS." AS f, ".POSTS." AS l WHERE f.topic_id='{$topic['topic_id']}' ORDER BY f.post_id ASC, l.post_id DESC LIMIT 1"));
            //Update the old theme
            $main->db->sql_query("UPDATE ".TOPICS." SET topic_first_post_id='{$post['first']}', topic_last_post_id='{$post['last']}', topic_replies=topic_replies-".count($_POST['posts'])." WHERE topic_id='{$topic['topic_id']}'");
            //Update data offline
            if($_POST['last_forum_id']!=$_POST['forum_id']) {
                //Find the last post of a new form of
                list($last_post_new_forum) = $main->db->sql_fetchrow($main->db->sql_query("SELECT post_id FROM ".POSTS." WHERE forum_id='{$_POST['forum_id']}' ORDER BY post_id DESC LIMIT 1"));
                //Find the last post of the old form
                list($last_post_forum) = $main->db->sql_fetchrow($main->db->sql_query("SELECT post_id FROM ".POSTS." WHERE forum_id='{$_POST['last_forum_id']}' ORDER BY post_id DESC LIMIT 1"));
                //If you selected a different forum
                $main->db->sql_query("UPDATE ".FORUMS." SET forum_last_post_id='{$last_post_forum}', forum_posts=forum_posts-".count($_POST['posts'])." WHERE forum_id='{$_POST['last_forum_id']}'");
                $main->db->sql_query("UPDATE ".FORUMS." SET forum_last_post_id='{$last_post_new_forum}', forum_topics=forum_topics+1, forum_posts=forum_posts+".count($_POST['posts'])." WHERE forum_id='{$_POST['forum_id']}'");
            } else $main->db->sql_query("UPDATE ".FORUMS." SET forum_topics=forum_topics+1 WHERE forum_id='{$_POST['last_forum_id']}'");
            redirect($main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => $_POST['forum_id'])));
        } else topicsplit($msg);        
    } else redirect(MODULE);
}

function topicmove(){
global $main, $forum;
    //Obtain the data subjects
    $topic = $main->db->sql_fetchrow($main->db->sql_query("SELECT * FROM ".TOPICS." WHERE topic_id='".intval($_GET['id'])."'"));
    //Check the right to move
    if(is_support() OR is_moder($topic['forum_id'])){
        //Fetches all forums
        $result = $main->db->sql_query("SELECT forum_id, forum_name, cat_id FROM ".FORUMS." ORDER BY cat_id, forum_id");
        $forum_name_set = "";
        //Create an array of forums
        while(list($forum_id, $forum_name) = $main->db->sql_fetchrow($result)) {
            $sel[$forum_id] = $forum_name;                
            if($forum_id==$topic['forum_id']) $forum_name_set = $forum_name;
        }
        //Create a form
        echo "<a href='".$main->url(array('module' => $main->module))."' title='{$forum['forum_title']}'><b>{$forum['forum_title']}</b></a> &raquo; <a href='".$main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => $topic['forum_id']))."' title='{$forum_name_set}'><b>{$forum_name_set}</b></a> &raquo; <a href='".$main->url(array('module' => $main->module, 'do' => 'showtopic', 'id' => $topic['topic_id']))."' title='{$topic['topic_title']}'><b>{$topic['topic_title']}</b></a>";
        //Open the style sheet
        open();
        echo "<form action='".$main->url(array('module' => $main->module, 'do' => 'send_topicmove', 'id' => $topic['topic_id']))."' method='post'>".
        in_hide('set_forum_id', $topic['forum_id'])."<table align='center' width='100%' class='form'>".
        "<tr class='row_tr'><td class='form_text'>Case forum</td><td class='form_input'>".in_sels('forum_id', $sel, 'form_sel', $topic['forum_id'])."</td></tr>".
        "</table>".
        "<div align='center'><br />".send_button()."</div>".
        "</form>";
        //Close the style sheet
        close();
    } else redirect(MODULE);
}

function send_topicmove(){
global $main;
    //Obtain information on the topic for
    list($forum_id, $topic_replies) = $main->db->sql_fetchrow($main->db->sql_query("SELECT forum_id, topic_replies FROM ".TOPICS." WHERE topic_id='".intval($_GET['id'])."'"));
    //Check the right to move
    if(is_moder($forum_id) OR is_support()){
        //Check whether the modified forum
        if($_POST['set_forum_id']!=$_POST['forum_id']){
            //Update form for topics
            $main->db->sql_query("UPDATE ".TOPICS." SET forum_id='".intval($_POST['forum_id'])."' WHERE topic_id='".intval($_GET['id'])."'");
            //Update the forum for posts
            $main->db->sql_query("UPDATE ".POSTS." SET forum_id='".intval($_POST['forum_id'])."' WHERE topic_id='".intval($_GET['id'])."'");
            //Find the last post of a new form of
            list($last_post_new_forum) = $main->db->sql_fetchrow($main->db->sql_query("SELECT post_id FROM ".POSTS." WHERE forum_id='{$_POST['forum_id']}' ORDER BY post_id DESC LIMIT 1"));
            //Find the last post of the old form
            list($last_post_forum) = $main->db->sql_fetchrow($main->db->sql_query("SELECT post_id FROM ".POSTS." WHERE forum_id='{$_POST['set_forum_id']}' ORDER BY post_id DESC LIMIT 1"));
            $last_post_forum = empty($last_post_forum) ? 0 : $last_post_forum;
            //Update the new forum
            $main->db->sql_query("UPDATE ".FORUMS." SET forum_last_post_id='{$last_post_new_forum}', forum_topics=forum_topics+1, forum_posts=forum_posts+".($topic_replies+1)." WHERE forum_id='".intval($_POST['forum_id'])."'");
            //Update the old forum
            $main->db->sql_query("UPDATE ".FORUMS." SET forum_last_post_id='{$last_post_forum}', forum_topics=forum_topics-1, forum_posts=forum_posts-".($topic_replies+1)." WHERE forum_id='{$_POST['set_forum_id']}'");
        }
        redirect($main->url(array('module' => $main->module, 'do' => 'showtopic', 'id' => $_GET['id'])));
    } else redirect(MODULE);
}

function topicmark(){
global $main;
    $result = $main->db->sql_query("SELECT topic_id, topic_time FROM ".TOPICS." WHERE forum_id='".intval($_GET['id'])."'");
    while(list($topic_id, $topic_time) = $main->db->sql_fetchrow($result)){
        if(isset($_SESSION['topic_list']) AND nc_strpos($_SESSION['topic_list'], $topic_id."={$topic_time},") !== false) continue;
        else $_SESSION['topic_list'] = (!isset($_SESSION['topic_list'])) ? $topic_id."={$topic_time}," : $_SESSION['topic_list'].$topic_id."={$topic_time},";
    }
    redirect($main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => intval($_GET['id']))));
}

function unanswered(){    
global $main;
    $lastVisit = (isset($_SESSION['lastVisit']) AND !empty($_SESSION['lastVisit'])) ? strtotime($_SESSION['lastVisit'] ) : time();
    $search_key = crc32_integer($lastVisit);
    $main->db->sql_query("DELETE FROM ".FORUM_SEARCH." WHERE `key` = '{$search_key}'");
    $main->db->sql_query("DELETE FROM ".FORUM_KEYS." WHERE `key` = '{$search_key}'");
    $result = $main->db->sql_query("SELECT t.topic_id, p.topic_id, p.post_time FROM ".TOPICS." AS t LEFT JOIN ".POSTS." AS p ON(p.topic_id=t.topic_id) WHERE p.post_time>'{$lastVisit}' GROUP BY t.topic_id");
    if($main->db->sql_numrows($result)>0){
        $insert = "INSERT INTO `".FORUM_SEARCH."` VALUES \n";
        while(($row = $main->db->sql_fetchrow($result))) $insert .= "(NULL, '{$search_key}', '{$row['topic_id']}', '".time()."', ''),\n";
        $insert = nc_substr($insert, 0 , nc_strlen($insert)-2).";";        
        $main->db->sql_query($insert);        
        sql_insert(array('key' => $search_key, 'query' => '-', 'ignore' => ''), FORUM_KEYS);
    }
    redirect($main->url(array('module' => $main->module, 'do' => 'search', 'id' => $search_key)));
}

function newposts(){
global $main;    
    $search_key = crc32_integer('newposts');
    $main->db->sql_query("DELETE FROM ".FORUM_SEARCH." WHERE `key` = '{$search_key}'");
    $main->db->sql_query("DELETE FROM ".FORUM_KEYS." WHERE `key` = '{$search_key}'");
    $result = $main->db->sql_query("SELECT t.topic_id FROM ".TOPICS." AS t WHERE t.topic_replies='0'");
    if($main->db->sql_numrows($result)>0){
        $insert = "INSERT INTO `".FORUM_SEARCH."` VALUES \n";
        while(($row = $main->db->sql_fetchrow($result))) $insert .= "(NULL, '{$search_key}', '{$row['topic_id']}', '".time()."', ''),\n";
        $insert = nc_substr($insert, 0 , nc_strlen($insert)-2).";";        
        $main->db->sql_query($insert);        
        sql_insert(array('key' => $search_key, 'query' => '-', 'ignore' => ''), FORUM_KEYS);
    }
    redirect($main->url(array('module' => $main->module, 'do' => 'search', 'id' => $search_key)));
}

function egosearch(){
global $main;    
    $search_key = crc32_integer($main->user['user_name']);
    $main->db->sql_query("DELETE FROM ".FORUM_SEARCH." WHERE `key` = '{$search_key}'");
    $main->db->sql_query("DELETE FROM ".FORUM_KEYS." WHERE `key` = '{$search_key}'");
    $result = $main->db->sql_query("SELECT t.topic_id FROM ".TOPICS." AS t WHERE UPPER(t.topic_poster_name)='".nc_strtoupper($main->user['user_name'])."'");
    if($main->db->sql_numrows($result)>0){
        $insert = "INSERT INTO `".FORUM_SEARCH."` VALUES \n";
        while(($row = $main->db->sql_fetchrow($result))) $insert .= "(NULL, '{$search_key}', '{$row['topic_id']}', '".time()."', ''),\n";
        $insert = nc_substr($insert, 0 , nc_strlen($insert)-2).";";
        $main->db->sql_query($insert);        
        sql_insert(array('key' => $search_key, 'query' => '-', 'ignore' => ''), FORUM_KEYS);
    }
    redirect($main->url(array('module' => $main->module, 'do' => 'search', 'id' => $search_key)));
}

if(isset($_GET['do'])){
    switch($_GET['do']){
        case "unanswered": unanswered(); break;
        case "newposts": newposts(); break;
        case "egosearch": egosearch(); break;
        
        case "showforum": require_once "modules/{$main->module}/showforum.php"; break;        
        case "showtopic": require_once "modules/{$main->module}/showtopic.php"; break;
        case "showpost": require_once "modules/{$main->module}/showtopic.php"; break;
        
        case "newpost": require_once "modules/{$main->module}/posting.php"; break;
        case "qutoepost": require_once "modules/{$main->module}/posting.php"; break;
        case "sendnewpost": require_once "modules/{$main->module}/posting.php"; break;
        case "postedit": require_once "modules/{$main->module}/posting.php"; break;
        case "sendpostedit": require_once "modules/{$main->module}/posting.php"; break;
        
        case "newtopic": require_once "modules/{$main->module}/posting.php"; break;
        case "sendnewtopic": require_once "modules/{$main->module}/posting.php"; break;
        case "topicedit": require_once "modules/{$main->module}/posting.php"; break;
        case "sendtopicedit": require_once "modules/{$main->module}/posting.php"; break;
        
        case "deletepost": deletepost(); break;
        case "topicdel": topicdel(); break;          
        
        case "showip": require_once "modules/{$main->module}/showip.php"; break;
        case "user_tnx": user_tnx(); break;
        case "report": report(); break;
        
        case "closetopic": closetopic(); break;
        case "topicsplit": topicsplit(); break;
        case "topicmove": topicmove(); break;
        case "send_topicmove": send_topicmove(); break;
        case "send_topicsplit": send_topicsplit(); break;
        case "topicmark": topicmark(); break;
        
        case "lastpost": lastpost(); break;
        case "search": require_once "modules/{$main->module}/search.php"; break;  
        case "upload": global_upload_attach(); break;
        default: require_once "modules/{$main->module}/forum.php"; break;
    }
} else require_once "modules/{$main->module}/forum.php";

?>