<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('NOVACMS')) die("Hacking attempt!");  
global $main, $forum, $usertype;

//Check for custom sorting
if(isset($_GET['mod']) AND $_GET['mod']=='true'){
    unset($_GET['mod']);
    //Transforms Urla
    $url = array();
    foreach($_GET as $key => $value) $url[$key] = $value;
    redirect($main->url($url));
}
//Create rules for CNC
$main->parse_rewrite(array('module', 'do', 'id', 'page', 'sort', 'type', 'time'));

//Create sorting rules
$time_url = array('all' => 0, 'srfd_lastvisit' => -1, 'today' => 1, 'five_days' => 5, 'seven_days' => 7, 'ten_days' => 10, 'fifteen_days' => 15, 'twenty_days' => 20, 'twenty_five_days' => 25, 'thirty_days' => 30, 'sixty_days' => 60, 'ninety_days' => 90);
$sort_url = array('title' => 'topic_title', 'author' => 'topic_poster_name', 'time' => 'topic_time', 'replies' => 'topic_replies', 'views' => 'topic_views');
$type_sort = (isset($_GET['type']) AND $_GET['type']=='A-Z') ? "ASC" : "DESC";
$sort_str = (isset($_GET['sort']) AND isset($sort_url[$_GET['sort']])) ? 't.'.($sort_url[$_GET['sort']]) : 'p.post_time';
$time_str = (isset($_GET['time']) AND isset($time_url[$_GET['time']]) AND $_GET['time']!='all' AND $_GET['time']!='lastvisit') ? " AND t.topic_time>='".(strtotime(nc_date('Y-m-d'))-(86400*$time_url[$_GET['time']]))."'" : ((isset($_GET['time']) AND $_GET['time']=='lastvisit')?" AND t.topic_time>='".(isset($_SESSION['lastVisit'])?strtotime($_SESSION['lastVisit']):nc_date("Y-m-d H:i:s"))."'":'');
   
$forums = $main->db->sql_fetchrow($main->db->sql_query("SELECT forum_id, forum_name, forum_topics, acc_view, acc_write, acc_post, acc_edit, acc_delete FROM ".FORUMS." WHERE forum_id='".intval($_GET['id'])."'"));
add_meta_value($forums['forum_name']);         
user_type_change($forums['forum_id']);
$num = isset($_GET['page']) ? intval($_GET['page']) : "1";
$offset = ($num-1) * $forum['topic_views_num'];
if(is_acc($forums['acc_view'])){ 
    $result = $main->db->sql_query("SELECT t.topic_status, t.topic_type, t.topic_id, t.topic_title, t.topic_poster, t.topic_replies, t.topic_views, t.topic_time, t.topic_first_post_id, t.topic_last_post_id, t.topic_desc, t.ico, 
        p.post_id, p.poster_name, p.poster_id, p.post_time,
        u.uid, u.user_id, u.user_name,
        uu.uid AS poster_uid, uu.user_id AS poster_user_id, uu.user_name AS poster_user_name
        FROM ".TOPICS." AS t, ".POSTS." AS p, ".USERS." AS u, ".USERS." AS uu
        WHERE p.poster_id=uu.uid AND t.topic_last_post_id=p.post_id AND t.topic_poster=u.uid AND t.forum_id='".intval($_GET['id'])."' AND t.topic_first_post_id<>'0'{$time_str}
        ORDER BY t.topic_type DESC, {$sort_str} {$type_sort} 
        LIMIT {$offset}, {$forum['topic_views_num']}");
    $count_rows = $main->db->sql_numrows($result);
} else $count_rows = 1;

$arr = array();
if($count_rows>0 OR $main->db->sql_numrows($main->db->sql_query("SELECT forum_id FROM ".FORUMS." WHERE forum_id='".intval($_GET['id'])."'"))>0){    
    $content = "";
    $tpl = new template();    
    $tpl->get_tpl("templates/{$main->tpl}/forum/show_topic.tpl");
    $match = "";    
    preg_match('/<\!--begin\stopic\srow-->(.+?)<\!--end\stopic\srow-->/si', $tpl->template, $match);
    $topic_row = $match[1];
    $tpl->template = preg_replace('/<\!--begin\stopic\srow-->(.+?)<\!--end\stopic\srow-->/si', '{TOPIC_CONTENT}', $tpl->template);
    
    list($count_topics) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(topic_id) FROM ".TOPICS." WHERE forum_id='".intval($_GET['id'])."'"));
    
    if(is_acc($forums['acc_view'])){
        $i=1; $row_c = "rows2";
        while($i<=$count_rows){
            $row = $main->db->sql_fetchrow($result);
            $floder = get_floder_topic($row['topic_id'], $row['post_time'], $row['topic_status'], $row['topic_replies'], $row['topic_type']);
            $topics_rows = array(            
                'topicrow.TOPIC_FOLDER_IMG'     => $floder[0],
                'topicrow.L_TOPIC_FOLDER_ALT'   => $floder[1],
                'topicrow.TOPIC_ICO'            => !empty($row['ico']) ? "<img src='templates/{$main->tpl}/forum/ico_topic/{$row['ico']}.gif' alt='' />" : "&nbsp;",
                'topicrow.TOPIC_TITLE'          => "<a href='".$main->url(array('module' => $main->module, 'do' => 'showtopic', 'id' => $row['topic_id']))."' title='{$row['topic_title']}'>{$row['topic_title']}</a>",
                'topicrow.TOPIC_DESC'           => $row['topic_desc'],
                'topicrow.GOTO_PAGE'            => '',
                'topicrow.ROW_CLASS'            => $row_c,
                'topicrow.REPLIES'              => $row['topic_replies'],
                'topicrow.TOPIC_AUTHOR'         => (!is_guest_name($row['user_name']) AND $row['topic_poster']!=-1) ? "<a class='author' href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($row['user_id'], $row['uid'])))."' title='{$main->lang['user_profile']}'>{$row['user_name']}</a>" : $row['user_name'],
                'topicrow.LAST_POST_TIME'       => user_format_date(gmdate("Y-m-d H:i:s", $row['post_time']), true),
                'topicrow.LAST_POST_AUTHOR'     => "{$main->lang['ot']} ".((!is_guest_name($row['poster_user_name']) AND $row['poster_id']!=-1) ? "<a href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($row['poster_user_id'], $row['poster_uid'])))."' title='{$main->lang['user_profile']}'>{$row['poster_user_name']}</a>" : $row['poster_user_name']),
                'topicrow.LAST_POST_IMG'        => !empty($row['topic_title']) ? "<a href='".$main->url(array('module' => $main->module, 'do' => 'lastpost', 'id' => $row['topic_id']))."'><img src='templates/{$main->tpl}/forum/images/icon_topic_latest.png' alt='' /></a>" : "",
                'topicrow.VIEWS'                => $row['topic_views'],
                'LOAD_TPL'                      => $main->tpl
            );
            $row_c = ($row_c=='rows2') ? "rows1" : 'rows2';
            $replace = array('key' => array(), 'value' => array());
            foreach($topics_rows as $key => $value){$replace['key'][] = '{'.$key.'}'; $replace['value'][] = $value;}
            $content .= (!empty($replace['key'])) ? str_replace($replace['key'], $replace['value'], $topic_row) : "";
            $i++;
        }   
        $pagenums = "";
        if($count_rows==$forum['topic_views_num'] OR isset($_GET['page'])){
            list($count) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(topic_id) FROM ".TOPICS." WHERE forum_id='".intval($_GET['id'])."' AND topic_first_post_id<>'0'"));
            $pages = ceil($count/$forum['topic_views_num']);
            $sort_arr = !isset($_GET['sort']) ? array() : array('sort' => $_GET['sort'], 'type' => isset($_GET['type'])?$_GET['type']:"Z-A", 'time' => isset($_GET['time'])?$_GET['time']:'all');
            $pagenums = pages_forum($count, $forum['topic_views_num'], array('module' => $main->module, 'do' => 'showforum', 'id' => $forums['forum_id']), $sort_arr);
        } else $pages = 1;
    } else {
        $tpl->template = preg_replace('/<\!--begin\sshowtopic\srow-->(.+?)<\!--end\sshowtopic\srow-->/si', '{TOPIC_CONTENT}', $tpl->template);
        $content = info("<b>{$main->lang['not_view_this_forum']}</b>", true);
    }
    
    $result = $main->db->sql_query("SELECT a.uid, a.id, u.uid, u.user_id, u.user_name, g.id, g.color FROM ".ACC." AS a LEFT JOIN ".USERS." AS u ON(u.uid=a.uid) LEFT JOIN ".GROUPS." AS g ON (g.id=u.user_group) WHERE a.id='".intval($_GET['id'])."'");
    $moderators = "";
    if($main->db->sql_numrows($result)>0){
        while(($row = $main->db->sql_fetchrow($result))) $moderators .= "<a href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($row['user_id'], $row['uid'])))."' title='{$main->lang['user_profile']}'><span style='color: #{$row['color']}'>".$row['user_name']."</span></a>, ";
        $moderators = nc_substr($moderators, 0, nc_strlen($moderators)-2);
    } else $moderators = $main->lang['nomoder'];

    //Define the user experience
    $autch = (is_acc($forums['acc_view']) OR is_support(intval($_GET['id']))) ? $main->lang['acc_view']."<br />" : $main->lang['acc_view2']."<br />";
    $autch .= (is_acc($forums['acc_write']) OR is_support(intval($_GET['id']))) ? $main->lang['acc_write']."<br />" : $main->lang['acc_write2']."<br />";
    $autch .= (is_acc($forums['acc_post']) OR is_support(intval($_GET['id']))) ? $main->lang['acc_post']."<br />" : $main->lang['acc_post2']."<br />";
    $autch .= (is_acc($forums['acc_edit']) OR is_support(intval($_GET['id']))) ? $main->lang['acc_edit']."<br />" : $main->lang['acc_edit2']."<br />";
    $autch .= (is_acc($forums['acc_delete']) OR is_support(intval($_GET['id']))) ? $main->lang['acc_delete']."<br />" : $main->lang['acc_delete2']."<br />";
    $autch .= ($usertype>=2 OR is_support(intval($_GET['id']))) ? $main->lang['acc_moderation']."<br />" : $main->lang['acc_moderation2']."<br />";

    if($count_rows==0) $tpl->template = preg_replace('/<\!--begin\sshowtopic\srow-->(.+?)<\!--end\sshowtopic\srow-->/si', '{TOPIC_CONTENT}', $tpl->template);
    //Find users who have viewed the current forum
    $shows_users = array('user' => 0, 'guest' => 0); $users_list = "";
    $result = $main->db->sql_query("SELECT s.uname, u.uid, u.user_id, u.user_name, g.id, g.title, g.color FROM ".SESSIONS." AS s LEFT JOIN ".USERS." AS u ON(s.uname=u.user_name) LEFT JOIN ".GROUPS." AS g ON(u.user_group=g.id) WHERE s.url LIKE '%".($main->mod_rewrite?"showforum/{$_GET['id']}":"showforum&id={$_GET['id']}")."%'");
    while(($row = $main->db->sql_fetchrow($result))){
        if(!is_ip($row['uname'])) {
            $shows_users['user']++;
            $users_list .= "<a style='color: #{$row['color']}' href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($row['user_id'], $row['uid'])))."' title='{$main->lang['user_profile']}'>{$row['user_name']}</a>, ";
        } else $shows_users['guest']++; 
    }
    $users_list = nc_substr($users_list, 0, nc_strlen($users_list)-2);
    
    $forum_template = array(
        'OPEN_TABLE'            => open(true),
        'CLOSE_TABLE'           => close(true),
        'LOAD_TPL'              => $main->tpl,
        'FORUM_NAME'            => "<a href='".$main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => $forums['forum_id']))."' title='{$forums['forum_name']}'>{$forums['forum_name']}</a>",
        'L_INDEX'               => "<a href='".$main->url(array('module' => $main->module))."' title='{$forum['forum_title']}'>{$forum['forum_title']}</a>",
        
        'MENU_PROFILE'          => "<a href='".$main->url(array('module' => 'account', 'do' => 'controls'))."' title='{$main->lang['personal_page']}'>{$main->lang['personal_page']}</a>",
        'MENU_SEARCH'           => "<a href='".$main->url(array('module' => $main->module, 'do' => 'search'))."' title='{$main->lang['search']}'>{$main->lang['search']}</a>",
        'MENU_USERS'            => "<a href='".$main->url(array('module' => 'top_users'))."' title='{$main->lang['users']}'>{$main->lang['users']}</a>",
        'MENU_LOGOUT'           => is_user() ? "<a href='".$main->url(array('module' => 'account', 'do' => 'logout'))."' title='{$main->lang['logout']}'><b>{$main->lang['logout']} [ {$main->user['user_name']} ]</b></a>" : "<a href='".$main->url(array('module' => 'account', 'do' => 'login'))."' title='{$main->lang['logined']}'>{$main->lang['logined']}</a> | <a href='".$main->url(array('module' => 'account', 'do' => 'new_user'))."' title='{$main->lang['register']}'>{$main->lang['register']}</a>",
        
        'L_TOPICS'              => $main->lang['topic'],
        'L_REPLIES'             => $main->lang['replies'],
        'L_AUTHOR'              => $main->lang['poster'],
        'L_VIEWS'               => $main->lang['topic_viws'],
        'L_LASTPOST'            => $main->lang['topic_last'],    
        'L_NEW_POSTS'           => $main->lang['new_posts'],
        'L_NO_NEW_POSTS'        => $main->lang['no_new_posts'],
        'L_ANNOUNCEMENT'        => $main->lang['announcement'],
        'L_NEW_POSTS_HOT'       => $main->lang['new_posts_hot'],
        'L_NO_NEW_POSTS_HOT'    => $main->lang['no_new_posts_hot'],
        'L_STICKY'              => $main->lang['sticky'],
        'L_NEW_POSTS_LOCKED'    => $main->lang['new_posts_locked'],
        'L_NO_NEW_POSTS_LOCKED' => $main->lang['no_new_posts_locked'],   
        'L_MODERATOR'           => $main->lang['forum_moders'],   
        'L_MARK_TOPICS_READ'    => !empty($pagenums)?"<a class='mark_topic' href='".$main->url(array('module' => $main->module, 'do' => 'topicmark', 'id' => $forums['forum_id']))."' title='{$main->lang['mark_topic_read']}'>{$main->lang['mark_topic_read']}</a>":"",
        'POST_NEW_TOPIC'        => "<a href='".$main->url(array('module' => $main->module, 'do' => 'newtopic', 'id' => $forums['forum_id']))."' title='{$main->lang['newtopic']}'>{$main->img['new_topic']}</a>",   
        'PAGINATION'            => !empty($pagenums)?$pagenums:"<a class='mark_topic' href='".$main->url(array('module' => $main->module, 'do' => 'topicmark', 'id' => $forums['forum_id']))."' title='{$main->lang['mark_topic_read']}'>{$main->lang['mark_topic_read']}</a>",
        'S_AUTH_LIST'           => $autch,
        'MODERATORS'            => $moderators,
        'SHOWS_FORM'            => preg_replace(array('/\{USER\}/i', '/\{GUEST\}/i', '/\{ALL\}/i'), array($shows_users['user'], $shows_users['guest'], $shows_users['guest']+$shows_users['user']), $main->lang['stat_shows_forum']),
        'QUICK_LINK'            => quick_link($forums['forum_id']),
        'QUICK_SORT'            => quick_sort(),
        'LOGINED_USER_LIST'     => !empty($users_list)?$users_list:"<i>{$main->lang['nologineduserlist']}</i>",
        'TOPIC_CONTENT'         => ($count_rows>0)?$content:info($main->lang['notopics'], true),
        'PAGE_NUMBER'           => isset($pages) ? preg_replace(array('/\{THIS\}/i', '/\{ALL\}/i'), array(isset($_GET['page'])?$_GET['page']:1, $pages), $main->lang['numberpage']) : "",
    );
    foreach($forum_template as $key => $value) $tpl->set_tpl("{".$key."}", $value);
    $tpl->tpl_create();  
} else nc_http_ereor_logs("404");
?>