<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('NOVACMS')) die("Hacking attempt!");

global $navi, $main, $news, $tpl_create;
//Alert the user of that search string is empty...
$links[] = array($main->url(array('module' => $main->module)), $main->lang['home'], "");
$links[] = array($main->url(array('module' => $main->module, 'do' => 'popular')), $main->lang['popular'], "popular");
if($news['tags_page_status']==ENABLED) $links[] = array($main->url(array('module' => $main->module, 'do' => 'tags')), $main->lang['tags'], "tags");
if(is_user() AND $news['favorite_page']==ENABLED) $links[] = array($main->url(array('module' => $main->module, 'do' => 'favorite')), $main->lang['favorite'], "favorite");
if($news['categories']==ENABLED) $links[] = array($main->url(array('module' => $main->module, 'do' => 'categoryes')), $main->lang['categoryes'], "categoryes");
if($news['list_publications']==ENABLED) $links[] = array($main->url(array('module' => $main->module, 'do' => 'list')), $main->lang['list'], "list");
if(($news['publications_users']==ENABLED AND is_user()) OR ($news['publications_guest']==ENABLED AND is_guest()) OR is_support()) $links[] = array($main->url(array('module' => $main->module, 'do' => 'add')), $main->lang['add_news'], "add");
$navi = navi($links);
//Connecting the global functions of the module
require_once "modules/{$main->module}/globals.php";

function main_news(){
global $news, $main, $navi, $tpl_create;
    //Declare variables
    $wheres = $list_where = $where = "";
    //Define the output type of news
    if(isset($_GET['do']) AND in_array($_GET['do'], array('list', 'popular', 'category', 'favorite', 'tags'))) $wheres = $_GET['do'];
    //If not the main page of the website, we deduce the navigation module
    if(!is_home()) echo $navi;
    if($wheres=="list"){ //If the output list
        if($main->config['rewrite']==ENABLED) unset($_GET['id']);
        $main->parse_rewrite(array('module', 'do', 'page', 'id'));
        if(isset($_GET['page']) AND !isset($_GET['id']) AND !preg_match('/([0-9]+)/i', $_GET['page'])){
            $_GET['id'] = $_GET['page'];
            unset($_GET['page']);
        }
        //Set the number of publications per page
        $news['publications_in_page'] = 30;
        //Initialize the class to list
        $pub_list = new pub_list();
        //If you select sort by letter
        if(isset($_GET['id'])){
            //Add a letter in the title
            add_meta_value($_GET['id']);
            //Complete the request selection of publications
            $list_where = " AND UPPER(n.title) LIKE BINARY('".$_GET['id']."%')";
        }
        //Displays a list of letters
        list_liter();
    } elseif($news['clasic_cat']==ENABLED AND !is_home()) show_category($news['cat_cols']);
    //Establish rules for CNC
    if(empty($wheres)) $main->parse_rewrite(array('module', 'page'));
    elseif($wheres=="popular") $main->parse_rewrite(array('module', 'do', 'page'));
    elseif($wheres=="favorite" AND $news['favorite_page']==ENABLED) {
        if(!is_user()) redirect(MODULE);
        $main->parse_rewrite(array('module', 'do', 'page'));
        $result = $main->db->sql_query("SELECT post FROM ".FAVORITE." WHERE modul='{$main->module}' AND users='{$main->user['user_name']}'");
        $rows = $main->db->sql_numrows($result);
        if($rows>0){ 
            $i = 0;
            $post = '';
            while(($row = $main->db->sql_fetchrow($result))){
                $post .= ($i == 0) ? "n.id='{$row['post']}'" : " OR n.id='{$row['post']}'" ;
                $i++;
            }
            $where = "AND ({$post})";
        } else $favorite = true;
    } elseif($wheres=="category"){
        //Establish rules for CNC category
        $main->parse_rewrite(array('module', 'do', 'id', 'page'));
        $where = ($main->mod_rewrite) ? " AND n.cid LIKE BINARY('%,".$_GET['id']."|%')" : " AND n.cid LIKE BINARY('%,".$_GET['id'].",%')";
        //Determine the name of the category you are viewing
        list($cat_title) = $main->db->sql_fetchrow($main->db->sql_query("SELECT title FROM ".CAT." WHERE ".($main->rewrite_id?"cat_id='{$_GET['id']}'":"cid='{$_GET['id']}'").""));
        //Add a category in the title
        add_meta_value($main->lang['category']." ".$cat_title);
    } elseif($wheres=="tags") {
        $tag = (isset($_GET['id'])) ? nc_filter($_GET['id'], TAGS) : '';
        if($tag!='') {
            $main->parse_rewrite(array('module', 'do', 'id', 'page'));
            $result = $main->db->sql_query("SELECT post FROM ".TAG." WHERE modul='{$main->module}' AND tag='{$tag}'");
            if($main->db->sql_numrows($result)>0){
                $ih =1;
                while(($row = $main->db->sql_fetchrow($result))){			
                    $where.= ($ih==1) ? " AND (n.id='{$row['post']}'" : " OR n.id='{$row['post']}'";
                    $ih++;
                }
                $where.= ")";
            }
        } else $tags = true;
    }
    if(!isset($favorite) and !isset($tags)){
        //Determine the type of sorting publications
        $order_by = ($wheres!="popular") ? "n.{$news['sort_publications']} {$news['sort_type_publications']}" : "n.view DESC";
        //Determine the current page
        $num = isset($_GET['page']) ? intval($_GET['page']) : "1";
        $offset = ($num-1) * $news['publications_in_page'];
        if($offset<0) nc_http_ereor_logs(404);
        //Initialize variables to determine the favorites
        $favorite_select = (is_user() AND $news['favorite_status']==ENABLED) ? ", fav.id AS favorite_id" : '';
        $favorite_table  = (is_user() AND $news['favorite_status']==ENABLED) ? "LEFT JOIN ".FAVORITE." AS fav ON (fav.post=n.id AND fav.users='{$main->user['user_name']}' AND fav.modul='{$main->module}')" : '';	
        //Executes the query to the database
        $result = $main->db->sql_query("SELECT n.id, n.news_id, n.title, n.begin, n.author, n.date, n.view, n.comment, n.cid, n.status, n.language, n.show_group, n.rating, n.voted, n.tags, u.uid, u.user_id, u.user_name{$favorite_select}
            FROM ".NEWS." AS n LEFT JOIN ".USERS." AS u ON (n.author = u.user_name){$favorite_table}
            WHERE n.status='1' AND (n.language='{$main->language}' OR n.language='') AND UNIX_TIMESTAMP(n.date) <= UNIX_TIMESTAMP('".gmdate('Y-m-d H:i:s')."'){$where}{$list_where}
            ORDER BY {$order_by} LIMIT {$offset}, {$news['publications_in_page']}"); 
        //Know the number of publications received
        $rows = $main->db->sql_numrows($result);
    }
    if(!isset($favorite) and !isset($tags) and $rows>0){
        $i = (1*$num>1) ? ($news['publications_in_page']*($num-1))+1 : 1*$num;
        $line = "row1";
        //Loop through the result of SQL query
        while(($row = $main->db->sql_fetchrow($result))){
            //Create an array of parameters for the withdrawal of publication
            $pub = array(
                'id'         => $row['id'],
                'rewrite_id' => $row['news_id'],
                'title'      => "<a class='sys_link' href='".$main->url(array('module' => $main->module, 'do' => 'more', 'id' => case_id($row['news_id'], $row['id'])))."' title='{$row['title']}'>{$row['title']}</a>",
                'content'    => parse_bb(preg_replace('/\[PAGE_BREAK\]/', "<br />", $row['begin'])),
                'views'      => $row['view'],
                'comment'    => "<a class='sys_link' href='".$main->url(array('module' => $main->module, 'do' => 'more', 'id' => case_id($row['news_id'], $row['id'])))."#comment' title='{$row['title']}'>{$row['comment']}</a>",
                'count_comm' => $row['comment'],
                'more'       => "<a class='sys_link' href='".$main->url(array('module' => $main->module, 'do' => 'more', 'id' => case_id($row['news_id'], $row['id'])))."' title='{$row['title']}'>{$main->lang['more']}</a>",
                'date'       => user_format_date($row['date']),
                'year'       => format_date($row['date'], 'Y'),
                'month'      => format_date($row['date'], 'm'),
                'day'        => format_date($row['date'], 'd'),
                'rating'     => ($news['ratings']==ENABLED) ? "<div class='rating_div' id='r_{$row['id']}'>".(is_ajax() ? rating_calc($row['id'], "r_{$row['id']}", $row['rating'], 'news', $row['voted']) : "")."</div>" : "",
                'author'     => (!is_guest_name($row['author']) AND !empty($row['user_id'])) ? "<a class='author' href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($row['user_id'], $row['uid'])))."' title='{$main->lang['user_profile']}'>{$row['author']}</a>" : $row['author'],
                'language'   => $row['language'],
                'category'   => cat_parse($row['cid']),
                'favorite'   => (is_user() AND $news['favorite_status']==ENABLED) ? favorite_button($row['favorite_id'], $row['id']) : '',
                'tags'       => ($news['tags_status']==ENABLED AND !empty($row['tags']))?list_tags($row['tags'], $main->module):'',
                'lang_tags'  => ($news['tags_status']==ENABLED AND !empty($row['tags']))?$main->lang['tags'].":":'',
                'lang_cat'   => $main->lang['category'],
                'lang_view'  => $main->lang['views'],
                'lang_comm'  => $main->lang['comments'],
                'lang_author'=> $main->lang['author'],
                'lang_date'  => $main->lang['date_pub'],
                'lang_title' => $main->lang['name'],
                'lang_month' => lang_month(format_date($row['date'], 'n')),
                'load_tpl'   => $main->tpl,
                'row'        => $line,
                'num_id'     => $i
            );
            $line = ($line=="row1") ? "row2" : "row1";
            //If rating is active add JS
            if($news['ratings']==ENABLED AND !is_ajax()) $tpl_create->add2script("rating({$row['id']}, 'news', {$row['rating']}, {$row['voted']}, ".((is_guest() AND $news['guests_evaluate']!=ENABLED) ? "0" : "1").");", false);
            //Derive publication
            if($wheres!="list") publisher($row['id'], $pub); else $pub_list->add_row($row['id'], $pub);
            $i++;
        }
        //If the page output pin list published by the class
        if($wheres=="list") $pub_list->init();
        //Check whether page numbers
        if ($rows==$news['publications_in_page'] OR isset($_GET['page'])){
            //Obtain the total number of publications
            list($numrows) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(*) FROM ".NEWS." AS n WHERE n.status='1' AND (n.language='{$main->language}' OR n.language='') AND UNIX_TIMESTAMP(n.date) <= UNIX_TIMESTAMP('".gmdate('Y-m-d H:i:s')."'){$where}{$list_where}"));            
            //If the number of publications, more than the number of publications per page
            if($numrows>$news['publications_in_page']){
                //Open the style sheet
                open();
                //Depending on the type of output create a page
                if(empty($wheres)) pages($numrows, $news['publications_in_page'], array('module' => $main->module), true);
                elseif($wheres=="category") pages($numrows, $news['publications_in_page'], array('module' => $main->module, 'do' => $wheres, 'id' => $_GET['id']), true);
                elseif($wheres=="tags") pages($numrows, $news['publications_in_page'], array('module' => $main->module, 'do' => $wheres, 'id' => $_GET['id']), true);
                elseif($wheres=="list") pages($numrows, $news['publications_in_page'], array('module' => $main->module, 'do' => $wheres), true, false, isset($_GET['id'])?array('id' => $_GET['id']):array());
                else pages($numrows, $news['publications_in_page'], array('module' => $main->module, 'do' => $wheres), true);
                //Close the style sheet
                close();
            }
        }
    } else {
        if (!isset($tags)) info($main->lang['noinfo']); //Notifies that "no information"
        else {
            $content = nc_create_tags($main->module);
            if ($content!='') {
                open();
                echo $content;
                close();
            } else info($main->lang['noinfo']); 
        }
    }
}

function categoryes_news(){
global $news, $navi, $main;
    //Deduce the navigation module
    echo $navi;
    //Make a selection of all categories of modules
    $result = $main->db->sql_query("SELECT cid, cat_id, title, image, description FROM ".CAT." WHERE module='{$main->module}' ORDER BY BINARY(UPPER(title))");
    //Check the number of found categories
    if($main->db->sql_numrows($result)>0){
        //Declare required variables
        $array_cat = array(); $i=0;   
        //Create an array of categories
        while(list($cid, $cat_id, $title, $image, $description) = $main->db->sql_fetchrow($result)) $array_cat[] = array('cid' => $cid, 'cat_id' => $cat_id, 'title'  => $title, 'image'  => $image, 'description' => $description);        
        //Open the style sheet
        open();
        //Create a list of categories
        echo "<table class='catlist'>";
        while($i<count($array_cat)){
            echo "<tr><td>";
            for($y=1;$y<=$news['cat_cols'];$y++){
                if(!isset($array_cat[$i+$y-1])) continue;
                $link = array(
                    'name' => $array_cat[$i+$y-1]['title'],
                    'ico'  => ($news['categories_ico']==ENABLED AND $array_cat[$i+$y-1]['image']!='no.png') ? "<img src='includes/images/cat/{$array_cat[$i+$y-1]['image']}' alt='{$array_cat[$i+$y-1]['title']}' />" : "",
                    'desc' => ($news['categories_desc']==ENABLED) ? cut_char($array_cat[$i+$y-1]['description']) : ""
                );
                echo "<div style='width: ".round(100/$news['cat_cols'], 2)."%;'><a class='sys_link' href='".$main->url(array('module' => $main->module, 'do' => 'category', 'id' => case_id($array_cat[$i+$y-1]['cat_id'], $array_cat[$i+$y-1]['cid'])))."' title='{$link['name']}'><span>{$link['ico']}<b>{$link['name']}</b><br />{$link['desc']}</span></a></div>";
            }
            echo "</td></tr>";
            $i+=$news['cat_cols'];
        }
        echo "</table>";
        //Close the style sheet
        close();
    } else info($main->lang['noinfo']); //Notifies that "no information"
}

function more_news($msg=""){
global $news, $main, $tpl_create, $navi, $cache_clear_ignore;
    //Plug-in comments
    require_once "includes/function/comments.php";
    //If set ID, try to create comment
    if(isset($_POST['id'])) add_comment(NEWS, $news['comments_sort'], $news['guests_comments'], 'more');
    else {
        //Ignore include clearing the cache
        $cache_clear_ignore = true;
        //Deduce the navigation module
        if($_GET['do']!='print') echo $navi;
        //Create a condition sampling
        $where = ($main->mod_rewrite) ? "n.news_id='{$_GET['id']}'" : "n.id='{$_GET['id']}'";
        //Initialize variables to determine the favorites
        $favorite_select = (is_user() AND $news['favorite_status']==ENABLED) ? ", fav.id AS favorite_id" : '';
        $favorite_table  = (is_user() AND $news['favorite_status']==ENABLED) ? "LEFT JOIN ".FAVORITE." AS fav ON (fav.post=n.id AND fav.users='{$main->user['user_name']}' AND fav.modul='{$main->module}')" : '';  
        //Choosing a publication
        $result = $main->db->sql_query("SELECT n.id, n.news_id, n.title, n.content, n.author, n.date, n.view, n.comment, n.cid, n.status, n.language, n.show_comment, n.show_group, n.rating, n.voted, n.tags, u.uid, u.user_id, u.user_name{$favorite_select}
            FROM ".NEWS." AS n LEFT JOIN ".USERS." AS u ON (n.author = u.user_name){$favorite_table}
            WHERE".(!is_support()?" n.status='1' AND UNIX_TIMESTAMP(n.date) <= UNIX_TIMESTAMP('".gmdate('Y-m-d H:i:s')."') AND":'')." {$where}");
        //Check the availability of the publication with a given ID
        if($main->db->sql_numrows($result)>0){
            $row = $main->db->sql_fetchrow($result);
            //Update the views of publication
            $main->db->sql_query("UPDATE ".NEWS." SET view=view+1 WHERE id='{$row['id']}'");
            $row['view']++;
            //Add a title in the title
            add_meta_value($row['title']);
            //Format the contents of the publication
            $content = pagebreak($row['content'], $news['page_break']);
            //Derive publication
            $pub = array(
                'id'         => $row['id'],
                'rewrite_id' => $row['news_id'],
                'title'      => $row['title'],
                'content'    => parse_bb($content),
                'date'       => user_format_date($row['date']),
                'year'       => format_date($row['date'], 'Y'),
                'month'      => format_date($row['date'], 'm'),
                'day'        => format_date($row['date'], 'd'),
                'lang_month' => lang_month(format_date($row['date'], 'n')),
                'views'      => $row['view'],
                'language'   => $row['language'],
                'rating'     => ($news['ratings']==ENABLED) ? "<div class='rating_div' id='r_{$row['id']}'>".(is_ajax() ? rating_calc($row['id'], "r_{$row['id']}", $row['rating'], 'news', $row['voted']) : "")."</div>" : "",
                'author'     => (!is_guest_name($row['author']) AND !empty($row['user_id'])) ? "<a class='author' href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($row['user_id'], $row['uid'])))."' title='{$main->lang['user_profile']}'>{$row['author']}</a>" : $row['author'],
                'category'   => cat_parse($row['cid']),
                'favorite'   => (is_user() AND $news['favorite_status']==ENABLED) ? favorite_button($row['favorite_id'], $row['id']) : '',
                'tags'       => ($news['tags_status']==ENABLED AND !empty($row['tags']))?list_tags($row['tags'], $main->module):'',
                'lang_tags'  => ($news['tags_status']==ENABLED AND !empty($row['tags']))?$main->lang['tags'].":":'',
                'load_tpl'   => $main->tpl,
                'lang_cat'   => $main->lang['category'],
                'lang_view'  => $main->lang['views'],
                'lang_author'=> $main->lang['author'],
                'print'      => "<a target='_BLANK' href='".$main->url(array('module' => $main->module, 'do' => 'print', 'id' => $_GET['id']))."' title='{$main->lang['print_version']}'>{$main->lang['print_version']}</a>",
                'lang_date'  => $main->lang['date_pub'],
                'direction'  => $main->lang['direction']
            );
            ($_GET['do']!='print')?publisher_more($row['id'], $pub):publisher_print($row['id'], $pub);
            
            //If rating is active add JS
            if($news['ratings']==ENABLED AND !is_ajax()) $tpl_create->add2script("rating({$row['id']}, 'news', {$row['rating']}, {$row['voted']}, ".((is_guest() AND $news['guests_evaluate']!=ENABLED) ? "0" : "1").");", false);
            //Derive similar publications
            if($news['similar_publications']==ENABLED){
                $array_search = explode(" ", $row['title']);
                $wheres = "";
                foreach ($array_search as $key=>$value){
                    if(empty($value)) unset($array_search[$key]);
                    else {
                        if(nc_strlen($array_search[$key])<4) continue;
                        $wheres .= " OR UPPER(title) LIKE BINARY('".addslashes(nc_strtoupper((nc_strlen($array_search[$key])>4) ? nc_substr($array_search[$key], 0, nc_strlen($array_search[$key])-2) : $array_search[$key]))."%')";
                    }
                }
                if(nc_strlen($wheres)>29){
                    $result = $main->db->sql_query("SELECT id, news_id, title, date FROM ".NEWS." WHERE status='1' AND (".nc_substr($wheres, 4).") AND ".(($main->rewrite_id) ? "news_id<>'{$_GET['id']}'" : "id<>'{$_GET['id']}'"));
                    if($main->db->sql_numrows($result)>0){
                        open();
                        echo "<div class='similar_pub'>{$main->lang['similar_pub_title']}</div>";
                        $similar_pub = 'similar_pub1';
                        while(list($id, $news_id, $title, $date) = $main->db->sql_fetchrow($result)){
                            echo "<div class='{$similar_pub}'>{$main->img['news_mini_ico']}".format_date($date)." - <a href='".$main->url(array('module' => $main->module, 'do' => 'more', 'id' => case_id($news_id, $id)))."' title='{$title}'>{$title}</a></div>";
                            $similar_pub = ($similar_pub=="similar_pub1") ? "similar_pub2" : "similar_pub1";
                        }
                        close();
                    }
                }
            }
            //Deduce comments
            if($news['comments']==ENABLED AND $row['show_comment']=='1') comments(NEWS, $row['id'], $row['news_id'], $news['guests_comments'], $news['comments_sort'], true, $msg);
        } else info($main->lang['noinfo']);
    }
}

function add_news(){
global $navi, $news;
    //Deduce the navigation module
    echo $navi;
    if(($news['publications_users']==ENABLED AND is_user()) OR ($news['publications_guest']==ENABLED AND is_guest()) OR is_support()) global_add_news();
    else redirect(MODULE);
}

function send_news(){
global $news;
    if(!(($news['publications_users']==ENABLED AND is_user()) OR ($news['publications_guest']==ENABLED AND is_guest()) OR is_support())) redirect(MODULE);
    else global_save_news();
}

function rss_news(){
global $main, $news;
    if($news['rss']==ENABLED){
        $result = $main->db->sql_query("SELECT n.id, n.news_id, n.title, n.begin, n.author, n.date, c.title
            FROM ".NEWS." AS n LEFT JOIN ".CAT." AS c ON(n.cid=c.cid)
            WHERE n.status='1' AND UNIX_TIMESTAMP(n.date) <= UNIX_TIMESTAMP('".gmdate('Y-m-d H:i:s')."') AND n.show_group=''
            ORDER BY n.id DESC LIMIT {$news['rss_limit']}");
        if($main->db->sql_numrows($result)>0){
            $rss_writer = new rss_writer;
            while(list($id, $news_id, $title, $begin, $author, $date, $cat_title) = $main->db->sql_fetchrow($result)){
                $rss_writer->add_item(($main->mod_rewrite) ? $news_id : $id, $title, $date, $cat_title, $begin, $author, $news['rss_title']);
            }
            $rss_writer->write();
        } else info($main->lang['noinfo']);
    } else info($main->lang['rss_disabled']);
}

function case_news_tag(){
global $main, $tpl_create;
    $tpl_create->design = false;
    case_module_tags();
}

if(isset($_GET['do'])){
    switch($_GET['do']){
        case "more": more_news(); break;
        case "print": more_news(); break;
        case "categoryes": categoryes_news(); break;
        case "add": add_news(); break;
        case "save": send_news(); break;
        case "upload": global_upload_attach_news(); break;
        case "rss": rss_news(); break;
        case "list": main_news(); break;
        case "popular": main_news(); break;
        case "favorite": main_news(); break;
        case "category": main_news(); break;
        case "case_tag": case_news_tag(); break;
        default: main_news(); break;
    }
} else main_news();
?>