<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('NOVACMS')) die("Hacking attempt!");
define('SEARCH_MODULE', true);

global $navi, $length_ignore;
$navi = navi(array(), false, false);
$length_ignore = 3;
$cache_html = 1;
$cache_html_arr = array();

function main_search(){
global $main, $navi;
    if(!is_home()) echo $navi;
    require_once "modules/{$main->module}/form.php";
}

function get_search_module(){
global $modules;
    $mod = array();
    $patch = 'modules/';
    if(($handle = nc_opendir($patch))){
        while(false !== ($file = readdir($handle))) if(nc_is_dir($patch.$file) AND $file!='forum' AND nc_file_exists($patch.$file.'/search.php')) $mod[] = $file;
        closedir($handle);
    }
    $sel = array();
    foreach($mod as $value) if(isset($modules[$value]) AND $modules[$value]['active']==1) $sel[$value] = $modules[$value]['title'];
    return $sel;
}

function cache_html($sting){
global $cache_html, $cache_html_arr;
    $cache_html = empty($cache_html) ? 1 : $cache_html;
    $cache_html_arr[$cache_html] = $sting;
    $return = "{CACHE_HTML}_".$cache_html;
    $cache_html++;
    return $return;
}

function restore_html($int){
global $cache_html, $cache_html_arr;
    return "<{$cache_html_arr[$int]}>";
}


function search_result(){
global $main, $navi, $_S, $search_key, $modules, $length_ignore, $lang, $cache_html_arr, $cache_html;
    $is_date = false; $_modules = array(); 
    //If the search by date
    if(isset($_GET['do']) AND $_GET['do']=='date' AND preg_match('/([0-9]{4}-[0-9]{2})|([0-9]{4}-[0-9]{2}-[0-9]{2})/', $_GET['id'])){
        //Check the search by date or withdrawal of a specified date
        if(preg_match('/([0-9]{4}-[0-9]{2})|([0-9]{4}-[0-9]{2}-[0-9]{2})/', $_GET['id'])){
            //We put a flag search by date
            $is_date = true;
            $date = $_GET['id'];
            //Create a search key
            $search_key = crc32_integer("date_".$date);
            //Check the type of search by date
            if(preg_match('/([0-9]{4}-[0-9]{2}-[0-9]{2})/', $date)) $result = $main->db->sql_query("SELECT * FROM ".CALENDAR." WHERE date='{$date}' GROUP BY module");
            else $result = $main->db->sql_query("SELECT * FROM ".CALENDAR." WHERE date LIKE '{$date}%' GROUP BY module");
            while($row = $main->db->sql_fetchrow($result)) $_modules[] = $row['module'];
            $main->db->sql_query("DELETE FROM ".SEARCH." WHERE time < '".(time()-24*60*60)."'");
            //Remove the search key
            $main->db->sql_query("DELETE FROM ".SEARCH_KEY." WHERE `key` = '{$search_key}'");
            //Save search key
            sql_insert(array('key' => $search_key, 'query' => $date), SEARCH_KEY);
            //Perform counting the number of search result
            if(preg_match('/([0-9]{4}-[0-9]{2}-[0-9]{2})/', $date)) list($count_dates) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(*) FROM ".SEARCH." WHERE `key`='{$search_key}'"));
            else list($count_dates) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(*) FROM ".SEARCH." WHERE `key` LIKE '{$search_key}%'"));
            //if($count_dates==0) foreach($_modules as $val) if(nc_file_exists("modules/{$val}/calendar.php")) require_once "modules/{$val}/calendar.php";
            //Specify the search key to output the result
            $_GET['id'] = $search_key;
        }
    } else echo $navi;
    //Check to search or output
    if(isset($_GET['id']) AND preg_match('/([0-9]*)/', $_GET['id'])){
        //Obtain key data search
        $result = $main->db->sql_query("SELECT `key`, `query` FROM ".SEARCH_KEY." WHERE `key`='{$_GET['id']}'");
        if($main->db->sql_numrows($result)>0){
            list($search_key, $_s) = $main->db->sql_fetchrow($result);
            //Check the search key, search by date or plain
            if(!preg_match('/([0-9]{4}-[0-9]{2})|([0-9]{4}-[0-9]{2}-[0-9]{2})/', $_s)) {
                //If a standard search build search options
                eval('$_S = '.$_s.';');
                //Simulate the transmission POST
                foreach($_S as $key => $value) $_POST[$key] = $value;
                //Hooking search form
                require_once "modules/{$main->module}/form.php";
            } else $is_date = true; //Set output flag dates
            //Fetches the search results
            $result = $main->db->sql_query("SELECT * FROM ".SEARCH." WHERE `key`='{$search_key}'");
            //If the search result is not found
            if($main->db->sql_numrows($result)==0){
                //Check the type of output result
                if($is_date==false) {
                    //Perform another search
                    if($_S['modules']==array('')) foreach(get_search_module() as $k => $v) require_once "modules/{$k}/search.php";
                    else foreach($_S['modules'] as $v) require_once "modules/{$v}/search.php";
                } else {
                    //Perform another search by date
                    $_GET['id'] = $_s;
                    if($is_date==true) $result = $main->db->sql_query("SELECT * FROM ".CALENDAR." WHERE date='{$_s}' GROUP BY module");
                    else $result = $main->db->sql_query("SELECT * FROM ".CALENDAR." WHERE date LIKE '{$_s}%' GROUP BY module");
                    while($row = $main->db->sql_fetchrow($result)) $_modules[] = $row['module'];
                    foreach($_modules as $val) if(nc_file_exists("modules/{$val}/calendar.php")) require_once "modules/{$val}/calendar.php";
                    $_GET['id'] = $search_key;
                }
            }
            //Determine the type of sorting results
            switch($_S['sortby']){
                //Keywords
                case 'key': $order = "LENGTH(keywords)"; break;
                //By Date
                case 'date': $order = "date"; break;
                //By Title
                case 'title': $order = "title"; break;
                //By author
                case 'author': $order = "author"; break;
                default: $order = "author"; break;
            }
            if($is_date==true){
                //In case of withdrawal by the date of creation initialize search parameters
                $_S = array(
                    'story'          => '',            //Search String
                    'author'         => '',            //Author Publications
                    'author_full'    => false,         //Complete / not complete the author's name
                    'sortby'         => 'title',       //Sorting method
                    'sort_type'      => 'ASC',         //Sort
                    'result_in_page' => 15,            //Number of results per page
                    'search_type'    => 0,             //Search Type
                    'view_type'      => 1,             //Type inference result
                    'modules'        => array('')      //Modules for searching
                );
            }
            //Determine the current page
            $num = isset($_GET['page']) ? intval($_GET['page']) : "1";
            //Determine the withdrawal limit
            $offset = ($num-1) * $_S['result_in_page'];
            //Fetches the search results
            $result = $main->db->sql_query("SELECT * FROM ".SEARCH." WHERE `key`='{$search_key}' ORDER BY {$order} ".(isset($_S['sort_type'])?$_S['sort_type']:'ASC').", id LIMIT {$offset}, {$_S['result_in_page']}");
            //Know the number of search results
            $count_rows = $main->db->sql_numrows($result);
            if($count_rows>0){ //If greater than 0
                $color_count = 0; $ss = array();
                //Create a color scheme options to select keywords
                $colors_bg = array('#FFDD00', '#0099DD', '#A0EF4A', '#EF95AA', '#EFBD95'); 
                $colors_t = array('#333333', '#FFFFFF', '#333333', '#333333', '#333333');
                //If the conclusion is not by date
                if($is_date==false) {
                    //Create a list of search keywords
                    foreach(array("\n", "\r", '<br>', '<br />', '<p>', ' -', '.', '&nbsp;', '&', ',', '!', '«', '»', '?', ':', ';', ')', '(', '"', '\'') as $_v) $_S['story'] = str_replace($_v, ' ', $_S['story']);
                    while(strstr($_S['story'],"  ")) $_S['story'] = str_replace("  ", " ", $_S['story']);
                    $_S['story'] = str_replace('*', '_', $_S['story']);
                    foreach(explode(' ', $_S['story']) as $val) if(nc_strlen($val)>=$length_ignore) $ss[] = $val;
                }
                //If the result output as headers or results template not found
                if($_S['view_type']==0 OR !nc_file_exists("templates/{$main->tpl}/search.tpl")){
                    //Open the style sheet
                    open();
                    //Iterates the search results
                    while($row = $main->db->sql_fetchrow($result)){
                        //Remove text formatting and crop it to 25 words
                        $content = cut_text(strip_tags($row['content']), 25);
                        $title = $row['title'];
                        //Perform highlighting key words
                        foreach($ss as $v){
                            $content = preg_replace("/({$v}[^\x20]*)/is", "<span style=\"color: {$colors_t[$color_count]}; background: {$colors_bg[$color_count]};\">\\1</span>", $content);
                            $title = preg_replace("/({$v}[^\x20]*)/is", "<span style=\"color: {$colors_t[$color_count]}; background: {$colors_bg[$color_count]};\">\\1</span>", $title);
                            $color_count++;
                            if($color_count>4) $color_count=0;
                        }
                        $color_count=0;
                        //Search results output
                        echo "<div class='search_row'><a href='".$main->url(array('module' => $row['module'], 'do' => 'more', 'id' => case_id($row['rewrite_id'], $row['subid'])))."' title='{$row['title']}' class='seaarch_result'>{$title}</a><div>{$content}</div><span class='desc'><b>{$main->lang['module']}</b>: <a href='".$main->url(array('module' => $row['module']))."' title='{$modules[$row['module']]['title']}'>{$modules[$row['module']]['title']}</a> <b>{$main->lang['date']}</b>: ".user_format_date($row['date'])." <b>{$main->lang['author']}</b>: {$row['author']}</span></div>";
                    }
                    //Close the style sheet
                    close();
                } else {//If you are getting the full publication
                    //Load the template search results
                    $tpl = nc_get_content("templates/{$main->tpl}/search.tpl");
                    //Iterates the search results
                    while($row = $main->db->sql_fetchrow($result)){
                        $content = $row['content']; $title = $row['title'];
                        //Cache HTML
                        $content = preg_replace('/<(a|img|\/a)(.*?)>/ie', "cache_html('\\1\\2');", $content);
                        //Perform highlighting key words
                        foreach($ss as $v){
                            $content = preg_replace("/({$v}[^\x20<{]*)/is", "<span style=\"color: {$colors_t[$color_count]}; background: {$colors_bg[$color_count]};\">\\1</span>", $content);
                            $title = preg_replace("/({$v}[^\x20<{]*)/is", "<span style=\"color: {$colors_t[$color_count]}; background: {$colors_bg[$color_count]};\">\\1</span>", $title);
                            $color_count++;
                            if($color_count>4) $color_count=0;
                        }
                        //Returns the HTML from the cache
                        $content = preg_replace('/{CACHE_HTML}_([0-9]*)/ie', "restore_html('\\1');", $content);
                        //Zeroing options
                        $cache_html_arr = array(); $color_count=0; $cache_html = 1;
                        //Create an array of options for template
                        $vars = array(
                            'title'    => "<a class='seaarch_result' href='".$main->url(array('module' => $row['module'], 'do' => 'more', 'id' => case_id($row['rewrite_id'], $row['subid'])))."' title='{$row['title']}'>{$title}</a>",
                            'content'  => $content,
                            'module'   => "<a href='".$main->url(array('module' => $row['module']))."' title='{$modules[$row['module']]['title']}'>{$modules[$row['module']]['title']}</a>",
                            'author'   => $row['author'],
                            'date'     => user_format_date($row['date']),
                        );
                        //Replaces the parameters in a template
                        echo preg_replace('#\$pub\[([a-z_-]+)\]#ise', "isset(\$vars['\\1']) ? \$vars['\\1'] : ''", preg_replace('#\$lang\[([a-z_-]+)\]#ise', "isset(\$lang['\\1']) ? \$lang['\\1'] : ''", $tpl));
                    }
                }
                //Displaying the number of result pages
                if($count_rows==$_S['result_in_page'] OR isset($_GET['page'])){
                    //Obtain the total number of publications
                    list($numrows) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(*) FROM ".SEARCH." WHERE `key`='{$search_key}'"));
                    //If the number of publications, more than the number of publications per page
                    if($numrows>$_S['result_in_page']){
                        //Open the style sheet
                        open();
                        if(!(isset($_GET['do']) AND $_GET['do']=='date' AND preg_match('/([0-9]{4}-[0-9]{2})|([0-9]{4}-[0-9]{2}-[0-9]{2})/', $_GET['id']))) pages($numrows, $_S['result_in_page'], array('module' => $main->module, 'do' => 'result', 'id' => $search_key), true, false);
                        else pages($numrows, $_S['result_in_page'], array('module' => $main->module, 'do' => 'date', 'id' => $_s), true, false);
                        //Close the style sheet
                        close();
                    }
                }
            } else {
                //If re-search database does not return any results, displaying a message that the search returned no results
                if(!(isset($_GET['do']) AND $_GET['do']=='date' AND preg_match('/([0-9]{4}-[0-9]{2})|([0-9]{4}-[0-9]{2}-[0-9]{2})/', $_GET['id']))) require_once "modules/{$main->module}/form.php";
                info($main->lang['findnotfound']);
            }
        } else redirect(MODULE);//If not found search key sends the user to the home page of the module
    } else {//In case if you search but did not result output
        // Perform data filtering
        $_S = array(
            //Search String
            'story'          => isset($_GET['story'])  ? nc_filter($_GET['story'],  TAGS) : '',
            //Author Publications
            'author'         => isset($_GET['author']) ? nc_filter($_GET['author'], TAGS) : '',
            //Complete / not complete the author's name
            'author_full'    => isset($_GET['author_full']) ? true : false,
            //Sorting method
            'sortby'         => (isset($_GET['sortby']) AND in_array($_GET['sortby'], array('key', 'date', 'title', 'author'))) ? $_GET['sortby'] : 'date',
            //Sort
            'sort_type'      => (isset($_GET['sort_type']) AND in_array($_GET['sort_type'], array('desc', 'asc'))) ? $_GET['sort_type'] : 'desc',
            //Number of results per page
            'result_in_page' => (isset($_GET['result_in_page']) AND preg_match('/[0-9]*/', $_GET['result_in_page']) AND $_GET['result_in_page']>0) ? $_GET['result_in_page'] : 15,
            //Search Type
            'search_type'    => (isset($_GET['search_type']) AND preg_match('/0|1|2/', $_GET['search_type'])) ? $_GET['search_type'] : 0,
            //Type inference result
            'view_type'      => (isset($_GET['view_type']) AND preg_match('/0|1/', $_GET['view_type'])) ? $_GET['view_type'] : 0,
            //Modules for searching
            'modules'        => (isset($_GET['sel_modules']) AND is_array($_GET['sel_modules'])) ? $_GET['sel_modules'] : array('')
        );
        //Remove the extra space
        $_S['story'] = trim($_S['story']);
        if(!empty($_S['story'])){
            //Create a search key
            $search_key = crc32_integer(var_export($_S, true));
            //Remove a search result that more than a day
            $main->db->sql_query("DELETE FROM ".SEARCH." WHERE time < '".(time()-24*60*60)."'");
            //Remove the search key if it exists
            $main->db->sql_query("DELETE FROM ".SEARCH_KEY." WHERE `key` = '{$search_key}'");
            //Create a new search key
            sql_insert(array('key'   => $search_key, 'query' => addslashes(var_export($_S, true))), SEARCH_KEY);
            list($count_result) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(*) FROM ".SEARCH." WHERE `key`='{$search_key}'"));
            if($count_result==0){//If the database is no search result
                //Do a search in the specified module
                if($_S['modules']==array('')) foreach(get_search_module() as $k => $v) require_once "modules/{$k}/search.php";
                else foreach($_S['modules'] as $v) require_once "modules/{$v}/search.php";
            }
            //To redirect the search results page
            redirect($main->url(array('module' => $main->module, 'do' => 'result', 'id' => $search_key)));
        } else {
            //If the search string is empty
            foreach($_S as $key => $value) $_POST[$key] = $value;
            //Hooking search form
            require_once "modules/{$main->module}/form.php";
            //Notifies the user about what the search string is empty
            warning($main->lang['findnotkey']);
        }
    }
}

if(isset($_GET['do'])){
    switch($_GET['do']){
        case 'result': search_result(); break;
        case 'date': search_result(); break;
        default: main_search(); break;
    }
} else main_search();
?>