<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if(!defined('NOVACMS')) die("Hacking attempt!");

global $navi, $main, $shop, $tpl_create;
if(!in_array('optimizer/?includes/javascript/highslide/highslide.js', $tpl_create->script)) $tpl_create->add2script("optimizer/?includes/javascript/highslide/highslide.js");
//Create the navigation module
$links[] = array($main->url(array('module' => $main->module)), $main->lang['home'], "");
$links[] = array($main->url(array('module' => $main->module, 'do' => 'popular')), $main->lang['popular'], "popular");
if($shop['categories']==ENABLED) $links[] = array($main->url(array('module' => $main->module, 'do' => 'categoryes')), $main->lang['categoryes'], "categoryes");
if($shop['list_publications']==ENABLED) $links[] = array($main->url(array('module' => $main->module, 'do' => 'list')), $main->lang['list'], "list");
if(is_user()) $links[] = array($main->url(array('module' => $main->module, 'do' => 'list_orders')), $main->lang['orders_shop'], "list_orders");
$navi = navi($links);

function main_shop(){
global $shop, $main, $navi, $tpl_create;
    //Declare variables
    $wheres = $list_where = $where = "";
    //Determine the type of output
    if(isset($_GET['do']) AND in_array($_GET['do'], array('list', 'popular', 'category'))) $wheres = $_GET['do'];
    //If not the main page of the website, we deduce the navigation module
    if(!is_home()) echo $navi;    
    if($shop['default_shopping_cart']) default_shopping_cart();
    if($wheres=="list"){ //If the output list
        if($main->config['rewrite']==ENABLED) unset($_GET['id']);
        $main->parse_rewrite(array('module', 'do', 'page', 'id'));
        if(isset($_GET['page']) AND !isset($_GET['id']) AND !preg_match('/([0-9]+)/i', $_GET['page'])){
            $_GET['id'] = $_GET['page'];
            unset($_GET['page']);
        }
        //Set the number of publications per page
        $shop['publications_in_page'] = 30;
        //Initialize the class to list
        $pub_list = new pub_list();
        //If you select sort by letter
        if(isset($_GET['id'])){
            //Add a letter in the title
            add_meta_value($_GET['id']);
            //Complete the request selection of publications
            $list_where = " AND UPPER(s.title) LIKE BINARY('".$_GET['id']."%')";
        }
        //Displays a list of letters
        list_liter();
    } elseif($shop['clasic_cat']==ENABLED AND !is_home()) show_category($shop['cat_cols']);
    //Establish rules for CNC
    if(empty($wheres)) $main->parse_rewrite(array('module', 'page'));
    elseif($wheres=="popular") $main->parse_rewrite(array('module', 'do', 'page'));
    if($wheres=="category") {
        //Establish rules for CNC category
        $main->parse_rewrite(array('module', 'do', 'id', 'page'));
        $where = ($main->mod_rewrite) ? " AND s.cid LIKE BINARY('%,".$_GET['id']."|%')" : " AND s.cid LIKE BINARY('%,".$_GET['id'].",%')";
        //Determine the name of the category you are viewing
        list($cat_title) = $main->db->sql_fetchrow($main->db->sql_query("SELECT title FROM ".CAT." WHERE ".($main->rewrite_id?"cat_id='{$_GET['id']}'":"cid='{$_GET['id']}'").""));
        //Add a category in the title
        add_meta_value($main->lang['category']." ".$cat_title);
    }
    //Determine the type of sorting publications
    $order_by = ($wheres!="popular") ? "s.{$shop['sort_publications']} {$shop['sort_type_publications']}" : "s.view DESC";
    //Determine the current page
    $num = isset($_GET['page']) ? intval($_GET['page']) : "1";
    $offset = ($num-1) * $shop['publications_in_page'];
    if($offset<0) nc_http_ereor_logs(404);
    //Executes the query to the database
    $result = $main->db->sql_query("SELECT s.id, s.shop_id, s.title, s.description, s.author, s.pay, s.advanced, s.img, s.clients, s.date, s.view, s.comment, s.cid, s.status, s.language, s.rating, s.voted, u.uid, u.user_id, u.user_name
        FROM ".SHOP." AS s LEFT JOIN ".USERS." AS u ON (s.author = u.user_name)
        WHERE s.status='1' AND (s.language='{$main->language}' OR s.language='') AND UNIX_TIMESTAMP(s.date) <= UNIX_TIMESTAMP('".gmdate('Y-m-d H:i:s')."'){$where}{$list_where}
        ORDER BY {$order_by} 
        LIMIT {$offset}, {$shop['publications_in_page']}"); 
    //Know the number of publications received
    $rows = $main->db->sql_numrows($result);
    if($rows>0){      
        $i = (1*$num>1) ? ($shop['publications_in_page']*($num-1))+1 : 1*$num;
        $line = "row1";
        //Loop through query result SLQ
        while(($row = $main->db->sql_fetchrow($result))){
            //Create an array of parameters for the withdrawal of publication
            $pub = array(
                'id'                => $row['id'],
                'rewrite_id'        => $row['shop_id'],
                'title'             => ($shop['more_link']==ENABLED)?"<a class='sys_link' href='".$main->url(array('module' => $main->module, 'do' => 'more', 'id' => case_id($row['shop_id'], $row['id'])))."' title='{$row['title']}'>{$row['title']}</a>":$row['title'],
                'content'           => parse_bb($row['description']),
                'views'             => $row['view'],
                'comment'           => "<a class='sys_link' href='".$main->url(array('module' => $main->module, 'do' => 'more', 'id' => case_id($row['shop_id'], $row['id'])))."#comment' title='{$row['title']}'>{$row['comment']}</a>",
                'count_comm'        => $row['comment'],
                'more'              => ($shop['more_link']==ENABLED)?"<a class='sys_link' href='".$main->url(array('module' => $main->module, 'do' => 'more', 'id' => case_id($row['shop_id'], $row['id'])))."' title='{$row['title']}'>{$main->lang['more']}</a>":"",
                'date'              => user_format_date($row['date']),
                'year'              => format_date($row['date'], 'Y'),
                'month'             => format_date($row['date'], 'm'),
                'day'               => format_date($row['date'], 'd'),
                'rating'            => ($shop['ratings']==ENABLED) ? "<div class='rating_div' id='r_{$row['id']}'>".(is_ajax() ? rating_calc($row['id'], "r_{$row['id']}", $row['rating'], 'shop', $row['voted']) : "")."</div>" : "",
                'author'            => (!is_guest_name($row['author']) AND !empty($row['user_id'])) ? "<a class='author' href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($row['user_id'], $row['uid'])))."' title='{$main->lang['user_profile']}'>{$row['author']}</a>" : $row['author'],
                'language'          => $row['language'],
                'category'          => cat_parse($row['cid']),
                'lang_cat'          => $main->lang['category'],
                'lang_view'         => $main->lang['views'],
                'lang_comm'         => $main->lang['comments'],
                'lang_author'       => $main->lang['author'],
                'lang_date'         => $main->lang['date_pub'],
                'lang_title'        => $main->lang['name'],
                'lang_month'        => lang_month(format_date($row['date'], 'n')),
                'lang_count'        => $main->lang['count'],
                'load_tpl'          => $main->tpl,
                'row'               => $line,
                'num_id'            => $i,
                'price'             => $row['pay'],
                'clients'           => $row['clients'],
                'advanced'          => !empty($row['advanced'])?"<span>{$row['advanced']}</span>":"",
                'symbol_rate'       => $shop['symbol_rate'],
                'image_url'         => "{$shop['directory']}{$row['id']}/mini-{$row['img']}",
                'image'             => !empty($row['img'])?"<a href='{$shop['directory']}{$row['id']}/{$row['img']}' class='highslide' onclick='return hs.expand(this)'><img class='pointer' src='{$shop['directory']}{$row['id']}/mini-{$row['img']}' alt='{$row['title']}' align='left' /></a>":"",
                'count_products'    => "<div class='input_counter row_cont'><span><input type='text' id='shop_count_{$row['id']}' name='shop_count_{$row['id']}' value='1' readonly='readonly' /></span><a class='plus' href='#' onclick=\"return add_goods('shop_count_{$row['id']}', '+')\"><img src='includes/images/pixel.gif' alt='+' title='{$main->lang['add_goods']}' /></a><a class='minus' href='#' onclick=\"return add_goods('shop_count_{$row['id']}', '-')\"><img src='includes/images/pixel.gif' alt='-' title='{$main->lang['subtract_goods']}' /></a></div>",
                'purchase'          => "<a href='#' onclick=\"return shoped({$row['id']});\" class='purchase'>{$main->lang['purchase']}</a>"
            ); 
            $line = ($line=="row1") ? "row2" : "row1";
            //If rating is active add JS
            if($shop['ratings']==ENABLED AND !is_ajax()) $tpl_create->add2script("rating({$row['id']}, 'shop', {$row['rating']}, {$row['voted']}, ".((is_guest() AND $shop['guests_evaluate']!=ENABLED) ? "0" : "1").");", false);
            //Derive publication
            if($wheres!="list") publisher($row['id'], $pub); else $pub_list->add_row($row['id'], $pub);
            $i++;
        }
        //If the page output pin list published by the class
        if($wheres=="list") $pub_list->init();
        //Check whether page numbers
        if ($rows==$shop['publications_in_page'] OR isset($_GET['page'])){
            //Obtain the total number of publications
            list($numrows) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(*) FROM ".SHOP." AS s WHERE s.status='1' AND (s.language='{$main->language}' OR s.language='') AND UNIX_TIMESTAMP(s.date) <= UNIX_TIMESTAMP('".gmdate('Y-m-d H:i:s')."'){$where}{$list_where}"));            
            //If the number of publications, more than the number of publications per page
            if($numrows>$shop['publications_in_page']){
                //Open the style sheet
                open();
                //Depending on the type of output create a page
                if(empty($wheres)) pages($numrows, $shop['publications_in_page'], array('module' => $main->module), true);
                elseif($wheres=="category") pages($numrows, $shop['publications_in_page'], array('module' => $main->module, 'do' => $wheres, 'id' => $_GET['id']), true);
                elseif($wheres=="list") pages($numrows, $shop['publications_in_page'], array('module' => $main->module, 'do' => $wheres), true, false, isset($_GET['id'])?array('id' => $_GET['id']):array());
                else pages($numrows, $shop['publications_in_page'], array('module' => $main->module, 'do' => $wheres), true);
                //Close the style sheet
                close();
            }
        }
    } else info($main->lang['noinfo']); //Notifies that "no information"
}

function categoryes_shop(){
global $shop, $navi, $main;
    //Deduce the navigation module
    echo $navi;    
    if($shop['default_shopping_cart']) default_shopping_cart();
    //Make a selection of all categories of modules
    $result = $main->db->sql_query("SELECT cid, cat_id, title, image, description FROM ".CAT." WHERE module='{$main->module}' ORDER BY BINARY(UPPER(title))");
    //Check the number of found categories
    if($main->db->sql_numrows($result)>0){
        //Declare required variables
        $array_cat = array(); $i=0;   
        //Create an array of categories
        while(list($cid, $cat_id, $title, $image, $description) = $main->db->sql_fetchrow($result)) $array_cat[] = array('cid' => $cid, 'cat_id' => $cat_id, 'title'  => $title, 'image'  => $image, 'description' => $description);        
        //Open the style sheet
        open();
        //Create a list of categories
        echo "<table class='catlist'>";
        while($i<count($array_cat)){
            echo "<tr><td>";
            for($y=1;$y<=$shop['cat_cols'];$y++){
                if(!isset($array_cat[$i+$y-1])) continue;
                $link = array(
                    'name' => $array_cat[$i+$y-1]['title'],
                    'ico'  => ($shop['categories_ico']==ENABLED AND $array_cat[$i+$y-1]['image']!='no.png') ? "<img src='includes/images/cat/{$array_cat[$i+$y-1]['image']}' alt='{$array_cat[$i+$y-1]['title']}' />" : "",
                    'desc' => ($shop['categories_desc']==ENABLED) ? cut_char($array_cat[$i+$y-1]['description']) : ""
                );
                echo "<div style='width: ".round(100/$shop['cat_cols'], 2)."%;'><a class='sys_link' href='".$main->url(array('module' => $main->module, 'do' => 'category', 'id' => case_id($array_cat[$i+$y-1]['cat_id'], $array_cat[$i+$y-1]['cid'])))."' title='{$link['name']}'><span>{$link['ico']}<b>{$link['name']}</b><br />{$link['desc']}</span></a></div>";
            }
            echo "</td></tr>";
            $i+=$shop['cat_cols'];
        }
        echo "</table>";
        //Close the style sheet
        close();
    } else info($main->lang['noinfo']); //Notifies that "no information"
}

function more_shop($msg=""){
global $shop, $main, $tpl_create, $navi, $cache_clear_ignore;
    //Plug-in comments
    require_once "includes/function/comments.php";
    //If set ID, try to create comment
    if(isset($_POST['id'])) add_comment(SHOP, $shop['comments_sort'], $shop['guests_comments'], 'more');
    else {
        //Ignore include clearing the cache
        $cache_clear_ignore = true;
        //Deduce the navigation module
        if($_GET['do']!='print') echo $navi;
        if($shop['default_shopping_cart'] AND $_GET['do']!='print') default_shopping_cart();
        //Create a condition sampling
        $where = ($main->mod_rewrite) ? "s.shop_id='{$_GET['id']}'" : "s.id='{$_GET['id']}'";
        //Choosing a publication
        $result = $main->db->sql_query("SELECT s.id, s.shop_id, s.title, s.content, s.author, s.date, s.view, s.comment, s.pay, s.advanced, s.clients, s.img, s.cid, s.status, s.language, s.show_comment, s.rating, s.voted, u.uid, u.user_id, u.user_name
            FROM ".SHOP." AS s LEFT JOIN ".USERS." AS u ON (s.author = u.user_name)
            WHERE".(!is_support()?" s.status='1' AND UNIX_TIMESTAMP(s.date) <= UNIX_TIMESTAMP('".gmdate('Y-m-d H:i:s')."') AND":'')." {$where}");
        //Check the availability of the publication with a given ID
        if($main->db->sql_numrows($result)>0){      
            if(!empty($msg)) warning($msg);      
            $row = $main->db->sql_fetchrow($result);
            //Update the views of publication
            $main->db->sql_query("UPDATE ".SHOP." SET view=view+1 WHERE id='{$row['id']}'");
            $row['view']++;
            //Add a title in the title
            add_meta_value($row['title']);
            
            //Derive publication
            $pub = array(
                'id'                => $row['id'],
                'rewrite_id'        => $row['shop_id'],
                'title'             => $row['title'],
                'content'           => parse_bb($row['content']),
                'date'              => user_format_date($row['date']),
                'year'              => format_date($row['date'], 'Y'),
                'month'             => format_date($row['date'], 'm'),
                'day'               => format_date($row['date'], 'd'),
                'lang_month'        => lang_month(format_date($row['date'], 'n')),
                'views'             => $row['view'],
                'language'          => $row['language'],
                'rating'            => ($shop['ratings']==ENABLED) ? "<div class='rating_div' id='r_{$row['id']}'>".(is_ajax() ? rating_calc($row['id'], "r_{$row['id']}", $row['rating'], 'shop', $row['voted']) : "")."</div>" : "",
                'author'            => (!is_guest_name($row['author']) AND !empty($row['user_id'])) ? "<a class='author' href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($row['user_id'], $row['uid'])))."' title='{$main->lang['user_profile']}'>{$row['author']}</a>" : $row['author'],
                'category'          => cat_parse($row['cid']),
                'load_tpl'          => $main->tpl,
                'lang_cat'          => $main->lang['category'],
                'lang_view'         => $main->lang['views'],
                'lang_author'       => $main->lang['author'],
                'lang_count'        => $main->lang['count'],
                'print'             => "<a target='_BLANK' href='".$main->url(array('module' => $main->module, 'do' => 'print', 'id' => $_GET['id']))."' title='{$main->lang['print_version']}'>{$main->lang['print_version']}</a>",
                'lang_date'         => $main->lang['date_pub'],
                'price'             => $row['pay'],
                'clients'           => $row['clients'],
                'advanced'          => !empty($row['advanced'])?"<span>{$row['advanced']}</span>":"",
                'symbol_rate'       => $shop['symbol_rate'],
                'image_url'         => "{$shop['directory']}{$row['id']}/mini-{$row['img']}",
                'image'             => !empty($row['img'])?"<a href='{$shop['directory']}{$row['id']}/{$row['img']}' class='highslide' onclick='return hs.expand(this)'><img class='pointer' src='{$shop['directory']}{$row['id']}/mini-{$row['img']}' alt='{$row['title']}' align='left' /></a>":"",
                'count_products'    => "<div class='input_counter row_cont'><span><input type='text' id='shop_count_{$row['id']}' name='shop_count_{$row['id']}' value='1' readonly='readonly' /></span><a class='plus' href='#' onclick=\"return add_goods('shop_count_{$row['id']}', '+')\"><img src='includes/images/pixel.gif' alt='+' title='{$main->lang['add_goods']}' /></a><a class='minus' href='#' onclick=\"return add_goods('shop_count_{$row['id']}', '-')\"><img src='includes/images/pixel.gif' alt='-' title='{$main->lang['subtract_goods']}' /></a></div>",
                'purchase'          => "<a href='#' onclick=\"return shoped({$row['id']});\" class='purchase'>{$main->lang['purchase']}</a>",
            );
            ($_GET['do']!='print')?publisher_more($row['id'], $pub):publisher_print($row['id'], $pub);
            //If rating is active add JS
            if($shop['ratings']==ENABLED AND !is_ajax()) $tpl_create->add2script("rating({$row['id']}, 'shop', {$row['rating']}, {$row['voted']}, ".((is_guest() AND $shop['guests_evaluate']!=ENABLED) ? "0" : "1").");", false);
            //Derive similar publications
            if($shop['similar_publications']==ENABLED){
                $array_search = explode(" ", $row['title']);
                $wheres = "";
                foreach ($array_search as $key=>$value){
                    if(empty($value)) unset($array_search[$key]);
                    else {
                        if(nc_strlen($array_search[$key])<4) continue;
                        $wheres .= " OR UPPER(title) LIKE BINARY('".addslashes(nc_strtoupper((nc_strlen($array_search[$key])>4) ? nc_substr($array_search[$key], 0, nc_strlen($array_search[$key])-2) : $array_search[$key]))."%')";
                    }
                }
                if(nc_strlen($wheres)>29){
                    $result = $main->db->sql_query("SELECT id, shop_id, title, date FROM ".SHOP." WHERE (".nc_substr($wheres, 4).") AND ".(($main->rewrite_id) ? "shop_id<>'{$_GET['id']}'" : "id<>'{$_GET['id']}'"));
                    if($main->db->sql_numrows($result)>0){
                        open();
                        echo "<div class='similar_pub'>{$main->lang['similar_pub_title']}</div>";
                        $similar_pub = 'similar_pub1';
                        while(list($id, $shop_id, $title, $date) = $main->db->sql_fetchrow($result)){
                            echo "<div class='{$similar_pub}'>{$main->img['shop_mini_ico']}".format_date($date)." - <a href='".$main->url(array('module' => $main->module, 'do' => 'more', 'id' => case_id($shop_id, $id)))."' title='{$title}'>{$title}</a></div>";
                            $similar_pub = ($similar_pub=="similar_pub1") ? "similar_pub2" : "similar_pub1";
                        }
                        close();
                    }
                }
            }
            //Deduce comments
            if($shop['comments']==ENABLED AND $row['show_comment']=='1') comments(SHOP, $row['id'], $row['shop_id'], $shop['guests_comments'], $shop['comments_sort'], true, $msg);
        } else info($main->lang['noinfo']);
    }
}

function rss_shop(){
global $main, $shop;
    if($shop['rss']==ENABLED){
        $result = $main->db->sql_query("SELECT s.id, s.shop_id, s.title, s.description, s.author, s.date, c.title
            FROM ".SHOP." AS s LEFT JOIN ".CAT." AS c ON(s.cid=c.cid)
            WHERE s.status='1' AND UNIX_TIMESTAMP(s.date) <= UNIX_TIMESTAMP('".gmdate('Y-m-d H:i:s')."')
            ORDER BY s.id DESC LIMIT {$shop['rss_limit']}");
        if($main->db->sql_numrows($result)>0){
            $rss_writer = new rss_writer;
            while(list($id, $shop_id, $title, $description, $author, $date,$cat_title) = $main->db->sql_fetchrow($result)){
                $rss_writer->add_item(($main->mod_rewrite) ? $shop_id : $id, $title, $date, $cat_title, $description, $author, $shop['rss_title']);
            }
            $rss_writer->write();
        } else info($main->lang['noinfo']);
    } else info($main->lang['rss_disabled']);
}

function global_upload_attach(){
global $shop;
    require_once "includes/function/attache.php";
    upload_attach($shop);
}

function ordering($msg=""){
global $main, $shop_form, $navi, $shop;
    echo $navi;
    if($shop['default_shopping_cart']) default_shopping_cart();
    if(!empty($msg)) warning($msg);
    open();
    echo "<form method='post' action='".$main->url(array('module' => $main->module, 'do' => 'send_order'))."'><table class='form' align='center' id='form_{$main->module}'>\n";
    foreach($shop_form as $row){
        $in = "";
        $row['default'] = $row['default']=='user_password'?'':$row['default'];
        switch($row['type']){
            case "text": $in = in_text($row['name'], $row['class'], $row['default']); break;
            case "textarea": $in = in_area($row['name'], $row['class'], 5, $row['default']); break;
            case "select": $in = in_sels($row['name'], $row['option'], $row['class'], $row['default']); break;
            case "checkbox": $in = in_chck($row['name'], $row['class'], $row['default']); break;
            case "radio": 
                $i = 0;
                if($row['default'] = false OR $row['default'] == "") $row['default'] = 0;
                foreach($row['option'] as $arr){
                    $in .= in_radio($row['name'], $arr['value'], $arr['title'], $arr['value']."_id", ($row['default']==$i)?true:false)." "; 
                    $i++;
                }
            break;
        }
        echo "<tr class='row_tr'><td class='form_text'>{$row['title']}:".($row['must']==true?"<span class='star'>*</span>":"")."</td><td class='form_input'>{$in}</td></tr>\n";
    }
    echo "<tr><td class='form_submit' colspan='2' align='center'>".send_button()."</td></tr>\n</table></form><br />\n";
    close();
}

function send_order(){
global $main, $shop, $shop_form;
    $content = $ids = $list = ""; $i = $sum = 0;
    foreach($shop_form as $row){
        $value = "";
        if(isset($_POST[$row['name']]) OR (!isset($_POST[$row['name']]) AND $row['type']=='checkbox')){
            if($row['type']=='select') $value = $row['option'][$_POST[$row['name']]];
            elseif($row['type']=='checkbox') $value = isset($_POST[$row['name']]) ? $main->lang['shop_yes'] : $main->lang['shop_no'];
            else $value = $_POST[$row['name']];
            if($row['must']==true  AND (!isset($_POST[$row['name']]) OR $_POST[$row['name']]=="")) {
                $msg = "error";
                break;
            }
            $content .= "<tr><td width='200'>".parse_mylang($row['title']).":</td><td>".$value."</td></tr>";
        }
    }   
    if(isset($_SESSION['shopping_cart']) AND is_array($_SESSION['shopping_cart']) AND count($_SESSION['shopping_cart'])>0){
        foreach($_SESSION['shopping_cart'] AS $key => $count) $ids .= "{$key},";
        $ids = nc_substr($ids, 0, nc_strlen($ids)-1);
        $result = $main->db->sql_query("SELECT * FROM ".SHOP." WHERE id IN({$ids}) ORDER BY BINARY(title)");
        $count = $main->db->sql_numrows($result); 
        $tr = "shop_row1";
        $list = "<table width='100%' class='border_table'><tr><th width='15'>#</th><th>{$main->lang['title_shop']}</th><th width='20'>{$main->lang['count']}</th><th width='110'>{$main->lang['price_count_one']}</th><th width='110'>{$main->lang['price_all']}</th></tr>";
        while(($row = $main->db->sql_fetchrow($result))){
            ++$i;
            if(!isset($_SESSION['shopping_cart'][$row['id']])) continue;
            $sum += $row['pay']*$_SESSION['shopping_cart'][$row['id']];
            $list .= "<tr class='{$tr}'><td align='center'>{$i}.</td><td><a href='".$main->url(array('module' => $main->module, 'do' => 'more', 'id' => case_id($row['shop_id'], $row['id'])))."'>{$row['title']}</a></td><td align='center'>{$_SESSION['shopping_cart'][$row['id']]}</td><td align='center'>{$row['pay']} {$shop['symbol_rate']}</td><td class='col_sum' align='center'>".($row['pay']*$_SESSION['shopping_cart'][$row['id']])." {$shop['symbol_rate']}</td></tr>";
            $tr = ($tr=="shop_row1") ? "shop_row2" : "shop_row1";
        }
        $list .= "</table>";
        
    } else $msg = $main->lang['shopping_cart_clear'];
    if(empty($msg)) {
        unset($_SESSION['shopping_cart']);
        $content = "<h2>{$main->lang['form_order']}</h2><table>{$content}</table><br /><h2>{$main->lang['list_shops']}</h2>{$list}<br /><b>{$main->lang['sum_price']}: {$sum} {$shop['symbol_rate']}</b>";
        list($count_this_day) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(*) FROM ".SHOP_CLIENT." WHERE date='".nc_date("Y-m-d")."'"));
        $count_this_day++;
        sql_insert(array(
            'date'      => nc_date("Y-m-d"),
            'form'      => magic_quotes($content),
            'pay'       => $sum,
            'user'      => $main->user['uid'],
            'status'    => $shop['default_status'],
            'unique_id' => nc_date("dmy")."-{$count_this_day}"
        ), SHOP_CLIENT);
        send_mail($shop['email'], "Shop", $main->config['sends_mail'], 'noreply', $main->lang['new_shoping'].' @ '.$main->config['site_name_for_mail'], "<style>.border_table{border: 1px #BDBDBD solid;}.border_table td{border: 1px #BDBDBD solid;}</style>".$content."<br /><br />User name: {$main->user['user_name']}<br />IP: {$main->ip}<br />Date: ".nc_date("Y-m-d H:i:s")."\n  ");
        meta_refresh(5, MODULE, $main->lang['bay_apply']);
    } else ordering($msg);    
}

function default_shopping_cart(){
global $main, $shop;
    $ids = ""; $i=1; $sum = 0;
    echo "<div id='default_shopping_cart' ".((isset($_SESSION['shopping_cart']) AND is_array($_SESSION['shopping_cart']) AND count($_SESSION['shopping_cart'])>0 AND $shop['default_shopping_cart']==ENABLED)?"":"style='display: none;'").">".open(true)."<table width='100%'>".
    "<tr><td width='33%'><h2>".$main->lang['shopping_cart']."</h2></td><td align='center'><img src='includes/images/loading/small.gif' alt='Loading' style='display: none;' class='shopping_cart_loading' /></td><td align='right' width='33%'><a href='#' onclick='return clear_shoped();' class='clear_shoped'>".$main->lang['clear_shoped']."</a></td></tr>".
    "<tr><td colspan='3'><div class='shopping_cart'>";
    if(isset($_SESSION['shopping_cart']) AND is_array($_SESSION['shopping_cart']) AND count($_SESSION['shopping_cart'])>0){
        foreach($_SESSION['shopping_cart'] AS $key => $count) $ids .= "{$key},";
        $ids = nc_substr($ids, 0, nc_strlen($ids)-1);
        $result = $main->db->sql_query("SELECT * FROM ".SHOP." WHERE id IN({$ids}) ORDER BY BINARY(title)");
        $count = $main->db->sql_numrows($result); 
        echo "<table width='100%' class='reset'>";
        while(($row = $main->db->sql_fetchrow($result))){
            if(!isset($_SESSION['shopping_cart'][$row['id']])) continue;
            $sum += $row['pay']*$_SESSION['shopping_cart'][$row['id']];
            echo "<tr class='row_cont'>
                <td>{$row['title']}</td>
                <td width='50'><div class='input_counter'><span><input class='hidden_pay_{$row['id']}' value='{$row['pay']}' type='hidden' name='hidden_pay_{$row['id']}' /><input type='text' class='cart_count_{$row['id']}' name='cart_count_{$row['id']}' value='{$_SESSION['shopping_cart'][$row['id']]}' readonly='readonly' /></span><a class='plus' href='#' onclick=\"return add_goods_update({$row['id']}, '+', {$row['pay']}, '{$shop['symbol_rate']}')\"><img src='includes/images/pixel.gif' alt='+' title='{$main->lang['add_goods']}' /></a><a class='minus' href='#' onclick=\"return add_goods_update({$row['id']}, '-', {$row['pay']}, '{$shop['symbol_rate']}')\"><img src='includes/images/pixel.gif' alt='-' title='{$main->lang['subtract_goods']}' /></a></div></td>
                <td width='20' nowrap='nowrap'><b style='font-size: 10px;' class='sum_product_{$row['id']}'>".($row['pay']*$_SESSION['shopping_cart'][$row['id']])." {$shop['symbol_rate']}</b></td>
                <td width='20'><a class='delete' href='#' onclick='return delete_product({$row['id']});'><img src='includes/images/pixel.gif' alt='{$main->lang['delete']}' title='{$main->lang['delete']}' /></a></td>
            </tr>";
            $i++;
        }
        echo "</table>";
    }
    echo "</div></td></tr>".
    "<tr><td colspan='2'><b>{$main->lang['sum_price']}</b>:</td><td align='right'><div class='orders_pay'><h2 class='price'>{$sum} {$shop['symbol_rate']}</h2></div></td></tr>".
    "</table>";
    echo ((isset($_GET['do']) AND $_GET['do']!='order' AND $_GET['do']!='send_order') OR !isset($_GET['do'])) ? "<div><a href='".$main->url(array('module' => 'shop', 'do' => "order"))."' class='purchase'>{$main->lang['bay_product']}</a></div>" : "";
    echo close(true)."</div>";
}

function update_shopping_cart(){
global $main, $shop;
    $ids = ""; $i=1; $sum = 0;
    if(isset($_SESSION['shopping_cart']) AND is_array($_SESSION['shopping_cart']) AND count($_SESSION['shopping_cart'])>0){
        foreach($_SESSION['shopping_cart'] AS $key => $count) $ids .= "{$key},";
        $ids = nc_substr($ids, 0, nc_strlen($ids)-1);
        $result = $main->db->sql_query("SELECT * FROM ".SHOP." WHERE id IN({$ids}) ORDER BY BINARY(title)");
        $count = $main->db->sql_numrows($result);
        echo "<table width='100%' class='reset'>";
        while(($row = $main->db->sql_fetchrow($result))){
            if(!isset($_SESSION['shopping_cart'][$row['id']])) continue;
            $sum += $row['pay']*$_SESSION['shopping_cart'][$row['id']];
            echo "<tr class='row_cont'>
                <td>{$row['title']}</td>
                <td width='50'><div class='input_counter'><span><input class='hidden_pay_{$row['id']}' value='{$row['pay']}' type='hidden' name='hidden_pay_{$row['id']}' /><input type='text' class='cart_count_{$row['id']}' name='cart_count_{$row['id']}' value='{$_SESSION['shopping_cart'][$row['id']]}' readonly='readonly' /></span><a class='plus' href='#' onclick=\"return add_goods_update({$row['id']}, '+', {$row['pay']}, '{$shop['symbol_rate']}')\"><img src='includes/images/pixel.gif' alt='+' title='{$main->lang['add_goods']}' /></a><a class='minus' href='#' onclick=\"return add_goods_update({$row['id']}, '-', {$row['pay']}, '{$shop['symbol_rate']}')\"><img src='includes/images/pixel.gif' alt='-' title='{$main->lang['subtract_goods']}' /></a></div></td>
                <td width='20' nowrap='nowrap'><b style='font-size: 10px;' class='sum_product_{$row['id']}'>".($row['pay']*$_SESSION['shopping_cart'][$row['id']])." {$shop['symbol_rate']}</b></td>
                <td width='20'><a class='delete' href='#' onclick='return delete_product({$row['id']});'><img src='includes/images/pixel.gif' alt='{$main->lang['delete']}' title='{$main->lang['delete']}' /></a></td>
            </tr>";
            $i++;
        }
        echo "</table>";
        echo "<script type='text/javascript'>j('.orders_pay').html('<h2 class=\"price\">{$sum} {$shop['symbol_rate']}</h2>'); if('{$shop['default_shopping_cart']}'=='on') j('#default_shopping_cart').css('display', '');</script>";
    } else echo "<center><i style='color: #888888'>{$main->lang['empty_cart']}</i></center><script type='text/javascript'>j('.orders_pay').html('<h2 class=\"price\">{$sum} {$shop['symbol_rate']}</h2>'); if('{$shop['default_shopping_cart']}'=='on') $$('default_shopping_cart').style.display = '';</script>";
    exit;
}

function add_shopping_cart(){
global $main;
    if(is_ajax()){
        $result = $main->db->sql_query("SELECT * FROM ".SHOP." WHERE id='{$_POST['id']}'");
        if($main->db->sql_numrows($result)>0){
            if(!empty($_POST['type'])){
                if($_POST['type']=='+') $_SESSION['shopping_cart'][$_POST['id']] = isset($_SESSION['shopping_cart'][$_POST['id']]) ? intval($_POST['count'])+$_SESSION['shopping_cart'][$_POST['id']] : intval($_POST['count']);
                else $_SESSION['shopping_cart'][$_POST['id']] = isset($_SESSION['shopping_cart'][$_POST['id']]) ? $_SESSION['shopping_cart'][$_POST['id']]-intval($_POST['count']) : intval($_POST['count']);
            } else $_SESSION['shopping_cart'][$_POST['id']] = isset($_SESSION['shopping_cart'][$_POST['id']]) ? intval($_POST['count'])+$_SESSION['shopping_cart'][$_POST['id']] : intval($_POST['count']);
            if($_SESSION['shopping_cart'][$_POST['id']]<1) unset($_SESSION['shopping_cart'][$_POST['id']]);
        }
        update_shopping_cart();
    }
}

function set_count_shop(){
    if(is_ajax()){
        $arr_ids = explode(',', $_POST['id'][0]);
        foreach($arr_ids as $value){
            list($id, $count) = explode('|', $value);
            if($count>0) $_SESSION['shopping_cart'][$id] = $count;
            elseif(isset($_SESSION['shopping_cart'][$id])) unset($_SESSION['shopping_cart'][$id]);
        }
    }
    update_shopping_cart();
}

function delete_shopping_cart(){
    if(is_ajax() AND isset($_SESSION['shopping_cart']) AND $_SESSION['shopping_cart'][$_POST['id']]) unset($_SESSION['shopping_cart'][$_POST['id']]);
    update_shopping_cart();
}

function clear_shoped(){
    unset($_SESSION['shopping_cart']);
    update_shopping_cart();
}

function show_form(){
global $main, $tpl_create;
    $tpl_create->design = false;    
    $result = $main->db->sql_fetchrow($main->db->sql_query("SELECT * FROM ".SHOP_CLIENT." WHERE sid={$_GET['id']}"));
    echo "<div style='padding: 5px;'>{$result['form']}</div>";
    set_meta_value(array($main->lang['order']." ".$result['unique_id'], $main->lang['shop']));
}

function list_orders(){
global $main, $shop, $navi;
    echo $navi;    
    $num = isset($_GET['page']) ? intval($_GET['page']) : "1";
    $offset = ($num-1) * 30;    
    $result = $main->db->sql_query("SELECT s.*, u.* FROM ".SHOP_CLIENT." AS s LEFT JOIN ".USERS." AS u ON(s.user=u.uid) WHERE s.user = {$main->user['uid']} ORDER BY s.date, s.unique_id LIMIT {$offset}, 30");
    if($main->db->sql_numrows($result)){
        $tr = "row1";
        $i = (1*$num>1) ? (30*($num-1))+1 : 1*$num;
        open();
        echo "<table width='100%' class='table'><tr><th width='15'>#</th><th width='70'>{$main->lang['date']}</th><th width='90'>{$main->lang['code_order']}</th><th width='100'>{$main->lang['sum_price']}</th><th width='110'>{$main->lang['status']}</th><th>{$main->lang['note']}</th></tr>";//<th width='30'></th></tr>";
        while(($row = $main->db->sql_fetchrow($result))){
            switch($row['status']){
                case "0": $status = "<span style='color: red;'>{$main->lang['queued']}</span>"; break;
                case "1": $status = "<span style='color: green;'>{$main->lang['paid']}</span>"; break;
                case "2": $status = "<span style='color: orange;'>{$main->lang['processing']}</span>"; break;
                case "3": $status = "<span style='color: #BDBDBD;'>{$main->lang['procesed']}</span>"; break;
            }
            echo "<tr><td align='center'>{$i}</td><td align='center'>".format_date($row['date'])."</td><td align='center'><a href='http://".get_host_name()."/index.php?module={$main->module}&amp;do=show_form&amp;id={$row['sid']}' onclick=\"newWindow = window_open('http://".get_host_name()."/index.php?module={$main->module}&amp;do=show_form&amp;id={$row['sid']}', '', 'toolbar=0,width=720,height=600,resizable=0,menubar=0,scrollbars=1,status=0'); return false;\">{$row['unique_id']}</a></td><td align='center'>{$row['pay']} {$shop['symbol_rate']}</td><td align='center'>{$status}</td><td>{$row['comment']}</td></tr>\n";
            $tr = ($tr=="row1") ? "row2" : "row1";
            $i++;
        }
        echo "</table>";
        close();
    } else info($main->lang['noinfo']);
}

if(isset($_GET['do'])){
    switch($_GET['do']){
        case "more": more_shop(); break;
        case "print": more_shop(); break;
        case "categoryes": categoryes_shop(); break;
        case "upload": global_upload_attach(); break;
        case "rss": rss_shop(); break;
        case "list": main_shop(); break;
        case "popular": main_shop(); break;
        case "category": main_shop(); break;
        case "add_shopping_cart": add_shopping_cart(); break;
        case "clear_shoped": clear_shoped(); break;
        case "set_count_shop": set_count_shop(); break;
        case "delete_shopping_cart": delete_shopping_cart(); break;
        case "order": ordering(); break;
        case "send_order": send_order(); break;
        case "show_form": show_form(); break;
        case "list_orders": list_orders(); break;
        default: main_shop(); break;
    }
} else main_shop();
?>