<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('NOVACMS')) die("Hacking attempt!");

global $navi, $main, $topsite;
//Create the navigation module
$links[] = array($main->url(array('module' => $main->module)), $main->lang['home'], "");
$links[] = array($main->url(array('module' => $main->module, 'do' => 'popular')), $main->lang['popular'], "popular");
if(($topsite['publications_users']==ENABLED AND is_user()) OR ($topsite['publications_guest']==ENABLED AND is_guest()) OR is_support())  $links[] = array($main->url(array('module' => $main->module, 'do' => 'add')), $main->lang['add_site'], "add");
$navi = navi($links);

require_once "modules/{$main->module}/globals.php";

function main_top_site(){
global $main, $navi, $topsite, $tpl_create;
    if(!is_home()) echo $navi;
    $list_where = $where = "";
    $wheres = (isset($_GET['do']) AND $_GET['do']=='popular') ? $_GET['do'] : '';
    if(empty($wheres)) $main->parse_rewrite(array('module', 'page'));
    elseif($wheres=="popular") $main->parse_rewrite(array('module', 'do', 'page'));
    //Determine the type of sorting publications
    $order_by = ($wheres!="popular") ? "hits_in DESC" : "hits_out DESC";
    
    $num = isset($_GET['page']) ? intval($_GET['page']) : "1";
    $offset = ($num-1) * $topsite['publications_in_page'];
    $result = $main->db->sql_query("SELECT * FROM ".TOPSITES." WHERE status='1' ORDER BY {$order_by} LIMIT {$offset}, {$topsite['publications_in_page']}");
    $rows = $main->db->sql_numrows($result);
    $topsite['publications_cols'] = $rows<$topsite['publications_cols'] ? $rows : $topsite['publications_cols'];
    if($rows>0){
        $i = (1*$num>1) ? ($topsite['publications_in_page']*($num-1))+1 : 1*$num;
        $line = "row1"; $col = 1;
        if($topsite['publications_cols']>1) echo "<table width='100%' cellpadding='2' cellspacing='0' style='position: relative; top:-2px;'>";
        //Loop through the result of SQL query
        while(($row = $main->db->sql_fetchrow($result))){
            //Create an array of parameters for the withdrawal of publication
            $img = empty($row['img']) ? $topsite['privew_url'].$row['link'] : $topsite['directory'].$row['img'];
            $pub = array(
                'title'        => "<a target='_BLANK' class='sys_link' href='".$main->url(array('module' => $main->module, 'do' => 'goto', 'id' => $row['id']))."' title='{$row['title']}'>{$row['title']}</a>",
                'link'         => $main->url(array('module' => $main->module, 'do' => 'goto', 'id' => $row['id'])),
                'text_title'   => $row['title'],
                'rating'       => ($topsite['ratings']==ENABLED) ? "<div class='rating_div' id='r_{$row['id']}'>".(is_ajax() ? rating_calc($row['id'], "r_{$row['id']}", $row['rating'], 'topsites', $row['voted']) : "")."</div>" : "",
                'content'      => $topsite['description_status']==ENABLED ? parse_bb($row['description']) : "",
                'language'     => $row['language'],
                'date'         => user_format_date($row['date']),
                'year'         => format_date($row['date'], 'Y'),
                'month'        => format_date($row['date'], 'm'),
                'day'          => format_date($row['date'], 'd'),
                'lang_date'    => $main->lang['date_pub'],
                'in_hit'       => $row['hits_in'],
                'out_hit'      => $row['hits_out'],                
                'image'        => $topsite['privew_status']==ENABLED ? "<a target='_BLANK' class='sys_link' href='".$main->url(array('module' => $main->module, 'do' => 'goto', 'id' => $row['id']))."' title='{$row['title']}'><img src='{$img}' title='{$row['title']}' alt='{$row['title']}' align='left' style='margin: 4px;' /></a>" : "",
                'image_url'    => $img,                
                'lang_in_hit'  => $main->lang['in_hit'],
                'lang_out_hit' => $main->lang['out_hit'],                
                'load_tpl'     => $main->tpl,
                'row'          => $line,
                'num_id'       => $i
            );
            $line = ($line=="row1") ? "row2" : "row1";
            //If rating is active add JS
            if($topsite['ratings']==ENABLED AND !is_ajax()) $tpl_create->add2script("rating({$row['id']}, 'topsites', {$row['rating']}, {$row['voted']}, ".((is_guest() AND $topsite['guests_evaluate']!=ENABLED) ? "0" : "1").");", false);
            //Derive publication
            $c = publisher($row['id'], $pub, true);
            if ($topsite['publications_cols']>1){
                if ($col==1) echo "<tr><td valign='top' width='".round(100/$topsite['publications_cols'], 0)."%'>{$c}</td>\n";
                if ($col<=$topsite['publications_cols']-1 AND $col!=1) echo "<td valign='top' width='".round(100/$topsite['publications_cols'], 0)."%'>{$c}</td>\n";
                if ($col==$topsite['publications_cols']) {echo "<td valign='top'>{$c}</td></tr>\n"; $col=0;}
                $col++;
            } else echo $c;
            $i++;
        }
        if($topsite['publications_cols']>1) echo ($col<$topsite['publications_cols'] AND $col!=1) ? "</tr></table>" : "</table>";
        //pages($numrows, $topsite['publications_in_page'], array('module' => $main->module), true);
        if ($rows==$topsite['publications_in_page'] OR isset($_GET['page'])){
            //Obtain the total number of publications
            list($numrows) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(*) FROM ".TOPSITES." AS t WHERE t.status='1' AND (t.language='{$main->language}' OR t.language='') AND UNIX_TIMESTAMP(t.date) <= UNIX_TIMESTAMP('".gmdate('Y-m-d H:i:s')."'){$where}{$list_where}"));            
            //If the number of publications, more than the number of publications per page
            if($numrows>$topsite['publications_in_page']){
                //Open the style sheet
                open();
                //Depending on the type of output create a page
                if(empty($wheres)) pages($numrows, $topsite['publications_in_page'], array('module' => $main->module), true);
                elseif($wheres=="popular") pages($numrows, $topsite['publications_in_page'], array('module' => $main->module, 'do' => $wheres), true);
                //Close the style sheet
                close();
            }
        }
    } else info($main->lang['noinfo']);
}

function add_top_site(){
global $navi, $topsite;    
    //Deduce the navigation module
    echo $navi;
    if(($topsite['publications_users']==ENABLED AND is_user()) OR ($topsite['publications_guest']==ENABLED AND is_guest()) OR is_support()) global_add_topsite();
    else redirect(MODULE);
}

function send_top_site(){
global $topsite;
    if(!(($topsite['publications_users']==ENABLED AND is_user()) OR ($topsite['publications_guest']==ENABLED AND is_guest()) OR is_support())) redirect(MODULE);
    else global_save_topsite();
}

function goto_top_site(){
global $main;
    $result = $main->db->sql_query("SELECT * FROM ".TOPSITES." WHERE id='{$_GET['id']}'");
    if($main->db->sql_numrows($result)){
        $info = $main->db->sql_fetchrow($result);
        sql_update(array('hits_out' => $info['hits_out']+1), TOPSITES, "id={$_GET['id']}");
        redirect($info['link']);
    } else redirect(MODULE);
}

function referer_top_site(){
global $main;
    $result = $main->db->sql_query("SELECT * FROM ".TOPSITES." WHERE link='http://".$_GET['id']."' LIMIT 1");
    if($main->db->sql_numrows($result)>0){
        $info = $main->db->sql_fetchrow($result);
        sql_update(array('hits_in' => $info['hits_in']+1), TOPSITES, "id='{$info['id']}'");
    }
    //redirect("http://".get_host_name());
}

if(isset($_GET['do'])){
    switch($_GET['do']){        
        case "add": add_top_site(); break;
        case "save": send_top_site(); break;
        case "goto": goto_top_site(); break;
        case "referer": referer_top_site(); break;
        default: main_top_site(); break;  
    }
} else main_top_site();
?>