<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if(!defined('ADMIN_FILE')) die("Hacking attempt!");

global $navi, $main, $break_load;
$break_load=false;
if(!empty($main->user['user_adm_modules']) AND !in_array($main->module, explode(',', $main->user['user_adm_modules']))){
    warning($main->lang['admin_error']);
    $break_load = true;
}

$navi = array(
    array('', 'home'),
    array('add', 'addvoting'),
    array('config', 'config')
);

function main_voting(){
global $main, $adminfile;    
    $num = isset($_GET['page']) ? intval($_GET['page']) : "1";
    $offset = ($num-1) * 30;
    $sort = (isset($_GET['sort']) AND !empty($_GET['sort'])) ? $_GET['sort'] : "id";
    $sorttype = (isset($_GET['sorttype']) AND !empty($_GET['sorttype'])) ? $_GET['sorttype'] : "DESC";
    $result = $main->db->sql_query("SELECT * FROM ".VOTING." ORDER BY {$sort} {$sorttype} LIMIT {$offset}, 30");
    $rows = $main->db->sql_numrows($result);
    if($rows>0){        
        $tr = "row1";
        $i = (1*$num>1) ? (30*($num-1))+1 : 1*$num;
        echo "<div align='right'>".sort_as(array(array("status", $main->lang['asstatus']), array("title", $main->lang['astitle'])))."</div><br />\n";
        echo "<form id='send_ajax_form' action='{$adminfile}?module={$main->module}&amp;do=change_op".parse_get(array('module', 'do', 'id'))."' method='post'>\n<table cellspacing='1' class='table' width='100%'>\n<tr><th width='25' align='center'>".in_chck("checkbox_sel", "", "", "onclick=\"ckeck_uncheck_all();\"")."</th><th width='15'>#</th><th>{$main->lang['title']}</th><th width='50'>{$main->lang['language']}</th><th width='80'>{$main->lang['status']}</th><th width='70'>{$main->lang['functions']}</th></tr>\n";        
        while(($row = $main->db->sql_fetchrow($result))){
            $op = "<table cellspacing='1' class='cl'><tr><td>".edit_button("{$adminfile}?module={$main->module}&amp;do=edit&amp;id={$row['id']}").delete_button("{$adminfile}?module={$main->module}&amp;do=delete&amp;id={$row['id']}".parse_get(array('module', 'do', 'id')), 'ajax_content')."</td></tr></table>";
            $lang = (isset($main->lang[$row['language']])) ? $main->lang[$row['language']] : (empty($row['language']) ? $main->lang['no'] : $row['language']);
            echo "<tr class='{$tr}".($row['status']==2?"_warn":"")."'><td align='center'><input type='checkbox' name='sels[]' value='{$row['id']}' /></td><td class='col' align='center'>{$i}</td><td>{$row['title']}</td><td align='center'>{$lang}</td><td class='col' align='center' id='onoff_{$row['id']}' style='cursor: pointer;' onclick=\"onoff('{$adminfile}?module={$main->module}&amp;do=on_off&amp;id={$row['id']}', 'onoff_{$row['id']}')\">".(($row['status']==1) ? $main->lang['on'] : $main->lang['off'])."</td><td align='center'>{$op}</td></tr>\n";
            $tr = ($row=="row1") ? "row2" : "row1";
            $i++;
        }
        echo "</table><table width='100%'><tr><td>".get_function_checked()."</td></tr></table></form>";  
    } else info($main->lang['noinfo']);
}

function on_off_voting(){
global $main;
    list($status) = $main->db->sql_fetchrow($main->db->sql_query("SELECT status FROM ".VOTING." WHERE id='{$_GET['id']}'"));
    if($status==1){
        $main->db->sql_query("UPDATE ".VOTING." SET status='2' WHERE id='{$_GET['id']}'");
        echo $main->lang['off']."<script type='text/javascript'>node = document.getElementById('onoff_{$_GET['id']}'); for(i=0;i<20;i++){if(node.nodeName!='TR') node = node.parentNode; else break;} node.className = node.className+'_warn';</script>";
    } else {
        $main->db->sql_query("UPDATE ".VOTING." SET status='1' WHERE id='{$_GET['id']}'");
        echo $main->lang['on']."<script type='text/javascript'>node = document.getElementById('onoff_{$_GET['id']}'); for(i=0;i<20;i++){if(node.nodeName!='TR') node = node.parentNode; else break;} node.className = node.className.replace('_warn', '');</script>";
    }
}

function change_op_voting(){
global $main;
    if(isset($_POST['sels']) AND is_array($_POST['sels']) AND !empty($_POST['sels'])){
        if($_POST['op']=="status"){
            foreach($_POST['sels'] as $value){
                list($status) = $main->db->sql_fetchrow($main->db->sql_query("SELECT status FROM ".VOTING." WHERE id='{$value}'"));
                sql_update(array('status' => (($status!=1) ? 1 : 2)), VOTING, "id='{$value}'");
            }
        } else foreach($_POST['sels'] as $value) $main->db->sql_query("DELETE FROM ".VOTING." WHERE id='{$value}'");
    }
    if(!is_ajax()) redirect(MODULE);
    else main_voting();
}

function dels_voting(){
global $main;
    $main->db->sql_query("DELETE FROM ".VOTING." WHERE id='{$_GET['id']}'");    
    if(!is_ajax()) redirect(MODULE);
    else main_voting();
}


function add_voting($msg=""){
global $main, $adminfile;
    if(!empty($msg)) warning($msg);
    echo "<form method='post' action='{$adminfile}?module={$main->module}&amp;do=save'>\n".
    "<table class='form' align='center' id='form_{$main->module}'>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['title']}:<span class='star'>*</span></td><td class='form_input'>".in_text("question", "input_text2")."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['language']}:</td><td class='form_input'>".get_lang_file()."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['vote_case']}:<span class='star'>*</span></td><td class='form_input'>".in_text_many("answer", "input_text2")."</td></tr>\n".
    "<tr><td class='form_text'>{$main->lang['active_comments']}</td><td class='form_input '>".in_chck("comments", "input_checkbox")."</td></tr>".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['active_voting']}</td><td class='form_input '>".in_chck("active", "input_checkbox", ENABLED)."</td></tr>".
    "<tr><td class='form_submit' colspan='2' align='center'>".send_button()."</td></tr>\n".
    "</table>\n</form>\n";
}

function save_voting(){
global $main, $adminfile, $pull;
    $answers = "";
    $msg = error_empty(array('question'), array('question_err'));
    foreach($_POST['answer'] as $value) $answers .= (!empty($value)) ? $value."|" : "";
    if(empty($answers) OR count(explode('|', $answers))<2) $msg .= $main->lang['err_answer_voting'];
    if(empty($msg)){
        $op = array(
            'title'         => $_POST['question'],
            'vote_case'     => $answers,
            'date'          => nc_date("Y-m-d H:i:s"),  
            'status'        => (isset($_POST['active']) AND $_POST['active']==ENABLED) ? 1 : 0,
            'show_comment'  => (isset($_POST['comments']) AND $_POST['comments']==ENABLED) ? 1 : 0,
            'language'      => isset($_POST['language']) ? $_POST['language'] : ""            
        );
        if(!isset($_GET['id'])) sql_insert($op, VOTING);
        else sql_update($op, VOTING, "id='{$_GET['id']}'");
        redirect(MODULE);
    } else add_voting($msg);
}

function edit_voting($msg=""){
global $main, $adminfile;
    if(!empty($msg)) warning($msg);
    $info = $main->db->sql_fetchrow($main->db->sql_query("SELECT * FROM ".VOTING." WHERE id='{$_GET['id']}'"));
    $vote_case = explode('|', $info['vote_case']);
    unset($vote_case[count($vote_case)-1]);
    echo "<form method='post' action='{$adminfile}?module={$main->module}&amp;do=save&amp;id={$_GET['id']}'>\n".
    "<table class='form' align='center' id='form_{$main->module}'>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['title']}:<span class='star'>*</span></td><td class='form_input'>".in_text("question", "input_text2", $info['title'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['language']}:</td><td class='form_input'>".get_lang_file($info['language'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['vote_case']}:<span class='star'>*</span></td><td class='form_input'>".in_text_many("answer", "input_text2", $vote_case)."</td></tr>\n".
    "<tr><td class='form_text'>{$main->lang['active_comments']}</td><td class='form_input '>".in_chck("comments", "input_checkbox", $info['show_comment']==1?ENABLED:"")."</td></tr>".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['active_voting']}</td><td class='form_input '>".in_chck("active", "input_checkbox", $info['status']==1?ENABLED:"")."</td></tr>".
    "<tr><td class='form_submit' colspan='2' align='center'>".send_button()."</td></tr>\n".
    "</table>\n</form>\n";
}

function config_vote(){
global $pull, $main, $adminfile;
    echo "<form id='block_form' action='{$adminfile}?module={$main->module}&amp;do=save_conf' method='post'><table align='center' class='form' id='form_{$main->module}'>".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['comments_sort']}</b>:<br /><i>{$main->lang['comments_sort_d']}</i></td><td class='form_input2'>".in_sels('comments_sort', array('ASC'=>'ASC', 'DESC'=>'DESC'), 'select', $pull['comments_sort'])."</td></tr>\n".            
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['guests_comments']}</b>:<br /><i>{$main->lang['guests_comments_d']}</i></td><td class='form_input2'>".in_chck('guests_comments', 'input_checkbox', $pull['guests_comments'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['conf_comments']}</b>:<br /><i>{$main->lang['conf_comments_dv']}</i></td><td class='form_input2'>".in_chck('comments', 'input_checkbox', $pull['comments'])."</td></tr>\n".    
    "<tr><td class='form_submit' colspan='2' align='center'>{$main->imgadmin['done_button']}</td></tr>\n".
    "</table></form>";
}

function saves_vote(){
global $pull, $adminfile;
    require_once "includes/function/sources.php";
    save_config('config_voting.php', '$pull', $pull);
    redirect("{$adminfile}?module={$_GET['module']}&do=config");
}   

if(isset($_GET['do']) AND $break_load==false){
    switch($_GET['do']){        
        case "on_off": on_off_voting(); break;
        case "delete": dels_voting(); break;
        case "change_op": change_op_voting(); break;        
        case "add": add_voting(); break;
        case "save": save_voting(); break;
        case "edit": edit_voting(); break;
        case "config": config_vote(); break;
        case "save_conf": saves_vote(); break;
        default: main_voting(); break;
    }
} elseif($break_load==false) main_voting();
?>