<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if(!defined('NOVACMS')) die("Hacking attempt!");   

global $navi, $main, $tpl_create;
//Create the navigation module
$navi = navi(array(), false, false);

function main_voting(){
global $main, $navi;
    if(!is_home()) echo $navi;
    $result = $main->db->sql_query("SELECT id, title, date, result, vote_case FROM ".VOTING." WHERE status='1' AND (language='{$main->language}' OR language='') ORDER BY date DESC");
    if($main->db->sql_numrows($result)){
        open();
        echo "<table class='table2' width='100%'>";
        $i = $sum = 0; $tr = 'row1';
        while(($row = $main->db->sql_fetchrow($result))){
            $_result = explode(",", $row['result']);
            $tmpcase = explode("|", $row['vote_case']);
            for($y=0; $y<count($tmpcase); $y++){
                $case = $tmpcase[$y];
                $vote[$case] = 0;
                for($j=0; $j<count($_result); $j++){
                    if($_result[$j]==$y+1) {$vote[$case]++; $sum++;}
                }
            }
            echo "<tr class='{$tr} pointer' onclick=\"location.href='".$main->url(array('module' => $main->module, 'do' => 'more', 'id' => $row['id']))."'\"><td width='80'>".format_date($row['date'])."</td><td><a href='".$main->url(array('module' => $main->module, 'do' => 'more', 'id' => $row['id']))."'><b>{$row['title']}</b></a></td><td width='110' align='right'>{$main->lang['votes']} ({$sum})</td></tr>";             
            $tr = ($tr=='row1') ? 'row2' : 'row1';
            $sum = 0;
        }
        echo "</table>";
        close();
    } else info($main->lang['noinfo']);
}

function more_voting($msg=""){
global $main, $navi;
    echo $navi;
    if(!empty($msg)) warning($msg);
    $result = $main->db->sql_query("SELECT id, title, vote_case, vote_ip, vote_users, date FROM ".VOTING." WHERE id='".intval($_GET['id'])."' AND status='1'");
    if($main->db->sql_numrows($result)>0){
        $vote = $main->db->sql_fetchrow($result);
        $tmp = explode("|", $vote['vote_case']);
        $variables = "<table align='center'>";
        for ($i=0;$i<count($tmp)-1;$i++) $variables .= "<tr><td>".in_radio('var', $i+1, $tmp[$i], "vote{$i}")."</td></tr>";        
        $variables .= "</table>";    
        open();      
        echo "<form method='post' action='".$main->url(array('module' => $main->module, 'do' => 'set_votes', 'id' => $vote['id']))."'>\n<div align='center'>\n".
        "<div><h2 class='vote_title'>{$vote['title']}</h2></div>\n".
        "<div><br />{$variables}</div>\n".
        "<div><br /><input type='submit' value='{$main->lang['vote']}' /></div>\n".
        "<div><br /><a class='result_votes link_button' href='".$main->url(array('module' => $main->module, 'do' => 'result', 'id' => $vote['id']))."' title='{$main->lang['result_vote']}'>{$main->lang['result_vote']}</a> <a class='other_votes link_button' href='".$main->url(array('module' => $main->module))."' title='{$main->lang['other_votes']}'>{$main->lang['other_votes']}</a></div>\n".
        "</div>\n</form>\n";
        close();
    } else {
        $result = $main->db->sql_query("SELECT id, title, vote_case, vote_ip, vote_users, date FROM ".VOTING." WHERE id='".intval($_GET['id'])."'");
        if($main->db->sql_numrows($result)>0){
            result_voting();
        } else info($main->lang['noinfo']);
    }
}

function result_voting($msg=""){
global $main, $navi, $pull;
    //Plug-in comments
    require_once "includes/function/comments.php";
    if(!isset($_POST['id'])){
        if(!isset($_POST['voteblock']) AND $_GET['do']!='more') echo $navi;
        $sum=0;
        $result = $main->db->sql_query("SELECT * FROM ".VOTING." WHERE id='".intval($_GET['id'])."'");
        if($main->db->sql_numrows($result)>0){
            $vote = $main->db->sql_fetchrow($result);
            $tmp = explode(",", $vote['result']);
            $tmpcase = explode("|", $vote['vote_case']);
            for ($y=0; $y<count($tmpcase)-1; $y++){
                $case = $tmpcase[$y];
                $vote[$case]=0;
                for ($i=0; $i<count($tmp); $i++) if ($tmp[$i]==$y+1) {$vote[$case]+=1; $sum+=1;}
            }
            if(!isset($_POST['voteblock'])) open();
            echo "<h2 class='vote_title'>{$vote['title']}</h2><table width='100%'>";
            $pl=1;
            for ($y=0; $y<count($tmpcase)-1; $y++){
                $case = $tmpcase[$y];
                $res = 50;
                $res = ($sum>0) ? ((100*$vote[$case]/$sum)) : 0;
                $proc = round( $res, 2 );
                echo "<div class='vote'>{$case}  - ".$vote[$case]."</div><div class='progress polled progress_{$pl}'><span style='width: ".intval($proc)."%;'><b>{$proc}%</b></span></div>";
                $pl++;
                if($pl == 6) $pl=1;
            }
            echo "<tr><td colspan='2' align='center'><br />{$main->lang['votes']}: (".$sum.")<br /><a class='other_votes link_button' href='".$main->url(array('module' => $main->module))."' title='{$main->lang['other_votes']}'>{$main->lang['other_votes']}</a></td></tr></table>";
            if(!isset($_POST['voteblock'])) {
                close();
                if($pull['comments']==ENABLED AND $vote['show_comment']=='1') comments(VOTING, $vote['id'], $vote['id'], $pull['guests_comments'], $pull['comments_sort'], true, $msg, 'result');
            }
        } else info($main->lang['noinfo']);
    } else add_comment(VOTING, $pull['comments_sort'], $pull['guests_comments'], 'result');
}

function set_vote_voting(){
global $main, $points, $ip;
    if(isset($_POST['var']) AND $_POST['var']!=""){
        $result = $main->db->sql_query("SELECT * FROM ".VOTING." WHERE id='".intval($_GET['id'])."'");
        $vote = $main->db->sql_fetchrow($result);
        $cook = isset($_COOKIE['voting']) ? $_COOKIE['voting'] : "";
        if((nc_strpos($vote['vote_ip'], $ip.",")===false OR nc_strpos($vote['vote_users'], $main->user['user_name'].",")===false) AND nc_strpos($cook, $vote['id'].",")===false){
            $main->db->sql_query("UPDATE ".VOTING." SET vote_ip='{$vote['vote_ip']}{$ip},', vote_users='{$vote['vote_users']}{$main->user['user_name']},', result='{$vote['result']}".intval($_POST['var']).",' WHERE id='{$vote['id']}'");
            $cook = isset($_COOKIE['voting']) ? $_COOKIE['voting'].$vote['id']."," : $vote['id'].",";
            setcookies($cook, "voting");
            add_points($points['voting']);
            if(!is_ajax()) redirect($main->url(array('module' => $main->module, 'do' => 'result', 'id' => $_GET['id'])));            
            else result_voting();
        } else meta_refresh(5, $main->url(array('module' => $main->module, 'do' => 'result', 'id' => $_GET['id'])), $main->lang['yourisvoted']);
    } else more_voting($main->lang['yourisnotselectvote']);
}

if(isset($_GET['do'])){
    switch($_GET['do']){
        case "more": more_voting(); break;
        case "result": result_voting(); break;
        case "set_votes": set_vote_voting(); break;
        default: main_voting(); break;
    }
} else main_voting();
?>