<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('ADMIN_FILE')) die("Hacking attempt!"); 

global $navi, $main, $break_load;
$break_load = false;
if(is_moder()) {
    warning($main->lang['moder_error']);
    $break_load = true;
} elseif(!empty($main->user['user_adm_modules']) AND !in_array($main->module, explode(',', $main->user['user_adm_modules']))){
    warning($main->lang['admin_error']);
    $break_load = true;
}

$navi = array(
    array('', 'home'),
    array('add_support', 'add_support'),
    array("config", "config")
);

function main_admin(){
global $main, $adminfile;
    $result = $main->db->sql_query("SELECT * FROM ".USERS." AS u LEFT JOIN ".GROUPS." AS g ON(u.user_group=g.id) WHERE u.user_level>0 ORDER BY u.user_level DESC");
    $tr = "row1"; $i = 1;
    echo "<table width='100%' class='table'><tr><th width='25' align='center'>".in_chck("checkbox_sel", "", "", "onclick=\"ckeck_uncheck_all();\"")."</th><th width='15'>#</th><th>{$main->lang['login']}</th><th align='center' width='140'>{$main->lang['group']}</th><th width='120'>{$main->lang['reg_date']}</th><th width='140'>{$main->lang['level_type']}</th><th width='70'>{$main->lang['functions']}</th></tr>";
    while(($row = $main->db->sql_fetchrow($result))){
        $op = "<table cellspacing='1' class='cl'><tr><td>".edit_button("{$adminfile}?module={$main->module}&amp;do=edit&amp;id={$row['uid']}").delete_button("{$adminfile}?module={$main->module}&amp;do=delete&amp;id={$row['uid']}".parse_get(array('module', 'do', 'id')), 'ajax_content')."</td></tr></table>";         
        $group = (!empty($row['title'])) ? "<span style='color: #{$row['color']}'>{$row['title']}</span>" : "<span style='color: #BDBDBD;'><i>{$main->lang['noinfo']}</i></span>";
        echo "<tr class='{$tr}'>
            <td align='center'><input type='checkbox' name='sels[]' value='{$row['uid']}' /></td>
            <td align='center'>{$i}</td>
            <td><a href='{$adminfile}?module=users&amp;do=edit&amp;id={$row['uid']}' title='{$main->lang['edit']} {$row['user_name']}'>{$row['user_name']}</a></td>
            <td align='center'>{$group}</td>
            <td align='center'>".format_date($row['user_regdate'])."</td>
            <td class='col' align='center' id='flip_level_{$row['uid']}' style='cursor: pointer;' onclick=\"onoff('{$adminfile}?module={$main->module}&amp;do=flip_level&amp;id={$row['uid']}', 'flip_level_{$row['uid']}')\">".($row['user_level']==1?$main->lang['moderator']:$main->lang['administrator'])."</td>
            <td align='center'>{$op}</td>
        </tr>";
        $tr = ($tr=='row1') ? 'row2' : 'row1';
        $i++;
    }
    echo "</table>";
}

function flip_level(){
global $main;
    list($active) = $main->db->sql_fetchrow($main->db->sql_query("SELECT user_level FROM ".USERS." WHERE uid='{$_GET['id']}'"));
    if($active==1){
        $main->db->sql_query("UPDATE ".USERS." SET user_level='2' WHERE uid='{$_GET['id']}'");
        echo $main->lang['administrator'];
    } else {
        $main->db->sql_query("UPDATE ".USERS." SET user_level='1' WHERE uid='{$_GET['id']}'");
        echo $main->lang['moderator'];
    }
}

function delete_support(){
    sql_update(array('user_level' => '0'), USERS, "uid={$_GET['id']}");
    if (is_ajax()) main_admin(); else redirect(MODULE);
}

function support_access($title, $arr, $name, $id, $style="", $sels=""){
    $i = 1;
    $modules_content = "<table".(!empty($style)?$style:"")." width='100%' id='{$id}'><tr><th colspan='3'>{$title}</th></tr>";    
    foreach($arr as $key => $value){
        $value = preg_replace('/(.+?)\.php$/i', '\\1', $value);
        $col = "<td width='33%'>".in_chck("{$name}[]", 'checkbox', (is_array($sels)?(in_array($key, $sels)?true:false):true), "value='{$key}'", false)." {$value}</td>";        
        if($i==1) $modules_content .= "<tr>".$col;
        elseif($i>1 AND $i<3) $modules_content .= $col;        
        elseif($i==3) {$modules_content .= $col."</tr>"; $i=0;}
        $i++;
    }
    if($i>1) for($y = $i; $y<=3; $y++) $modules_content .= "<td>&nbsp;</td>";
    $modules_content .= ($i>1) ? "</tr></table>" : "</table>";
    return $modules_content;
}

function add_support($msg=""){
global $main, $adminfile;
    if(!empty($msg)) warning($msg);
    $_modules = $__modules = array(); $modules = array(); 
    $mod = scan_dir("administrator/modules/", '/(.+?)\.php$/i');
    asort($mod);
    foreach($mod as $value) {
        $file_name = preg_replace('/(.+?)\.php$/i', '\\1', $value);
        if(in_array($file_name, array('statistic', 'management', 'logout', 'modules', 'serverinfo', 'systeminfo'))) continue;
        $value = isset($main->lang["ad_".$file_name]) ? $main->lang["ad_".$file_name] : $file_name;
        $_modules[$file_name] = $value;
    }
    if(($handle = nc_opendir("modules/"))){
        while (false !== ($file = readdir($handle))) if(nc_is_dir("modules/{$file}") AND nc_file_exists("modules/{$file}/admin/")) $modules[] = $file;                    
        closedir($handle);            
    }
    sort($modules);
    foreach($modules as $value) $__modules[$value] = isset($main->lang[$value]) ? $main->lang[$value] : $value;    
    $modules_content = support_access($main->lang['administration_modules'], $_modules, 'modules_admin', 'admin_table', " style='display: none;'").support_access($main->lang['moderation_module'], $__modules, 'modules_user', 'moder_table');
    echo "<form enctype='multipart/form-data' method='post' action='{$adminfile}?module={$main->module}&amp;do=save_support'>\n".
    "<table class='form' align='center' id='form_{$main->module}'>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['login']}:<span class='star'>*</span></td><td class='form_input'>".in_text("user_name", "input_text2")."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['level_type']}:<span class='star'>*</span></td><td class='form_input'>".in_radio('level', '1', $main->lang['moderator'], 'mod_l', true, " onchange=\"$$('admin_table').style.display='none'\"")."<br />".in_radio('level', '2', $main->lang['administrator'], 'mod_2', false, " onchange=\"$$('admin_table').style.display=''\"")."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['access_modules']}:</td><td class='form_input'>{$modules_content}</td></tr>\n".    
    "<tr><td class='form_submit' colspan='2' align='center'>".send_button()."</td></tr>\n".
    "</table>\n</form>\n";
}

function save_support(){
global $main;
    $result = $main->db->sql_query("SELECT * FROM ".USERS." WHERE UPPER(user_name)='".nc_strtoupper($_POST['user_name'])."'");
    $msg = ($main->db->sql_numrows($result)!=1) ? $main->lang['nosearchuser'] : "";
    if(empty($msg)){
        $info = $main->db->sql_fetchrow($result);
        if($_POST['level']==1 AND isset($_POST['modules_user']) AND !empty($_POST['modules_user'])) $modules = implode(',',$_POST['modules_user']);
        elseif($_POST['level']==2 AND isset($_POST['modules_user']) AND isset($_POST['modules_admin']) AND !empty($_POST['modules_user']) AND !empty($_POST['modules_admin'])) $modules = implode(',', array_merge($_POST['modules_admin'], $_POST['modules_user']));
        elseif($_POST['level']==2 AND isset($_POST['modules_admin']) AND !empty($_POST['modules_admin'])) $modules = implode(',',$_POST['modules_admin']);
        else $modules = '';
        sql_update(array(
            'user_level'        => ($main->user['uid']!=$info['uid']) ? $_POST['level'] : $main->user['user_level'],
            'user_adm_modules'  => $modules
        ), USERS, "uid='{$info['uid']}'");
        redirect(MODULE);
    } else add_support($msg);
}

function edit_support($msg=""){
global $main, $adminfile;
    if(!empty($msg)) warning($msg);
    $result = $main->db->sql_query("SELECT * FROM ".USERS." WHERE uid='{$_GET['id']}' AND user_level>'0'");
    if($main->db->sql_numrows($result)==0) redirect(MODULE);
    $info = $main->db->sql_fetchrow($result);
    $check_modules = preg_match('/\,/i', $info['user_adm_modules']) ? explode(',', $info['user_adm_modules']) : array($info['user_adm_modules']);
    $_modules = $__modules = array(); $modules = array();
    $mod = scan_dir("administrator/modules/", '/(.+?)\.php$/i');
    asort($mod);
    foreach($mod as $value) {
        $file_name = preg_replace('/(.+?)\.php$/i', '\\1', $value);
        if(in_array($file_name, array('statistic', 'management', 'logout', 'modules', 'serverinfo', 'systeminfo'))) continue;
        $value = isset($main->lang["ad_".$file_name]) ? $main->lang["ad_".$file_name] : $file_name;
        $_modules[$file_name] = $value;
    }
    if(($handle = nc_opendir("modules/"))){
        while (false !== ($file = readdir($handle))) if(nc_is_dir("modules/{$file}") AND nc_file_exists("modules/{$file}/admin/")) $modules[] = $file;                    
        closedir($handle);            
    }
    sort($modules);
    foreach($modules as $value) $__modules[$value] = isset($main->lang[$value]) ? $main->lang[$value] : $value;    
    $modules_content = support_access($main->lang['administration_modules'], $_modules, 'modules_admin', 'admin_table', $info['user_level']==1?" style='display: none;'":"", $check_modules).support_access($main->lang['moderation_module'], $__modules, 'modules_user', 'moder_table', '', $check_modules);
    echo "<form enctype='multipart/form-data' method='post' action='{$adminfile}?module={$main->module}&amp;do=save_edit&amp;id={$_GET['id']}'>\n".
    "<table class='form' align='center' id='form_{$main->module}'>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['login']}:</td><td class='form_input'><b>{$info['user_name']}</b></td></tr>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['level_type']}:<span class='star'>*</span></td><td class='form_input'>".in_radio('level', '1', $main->lang['moderator'], 'mod_l', $info['user_level']==1?true:false, " onchange=\"$$('admin_table').style.display='none'\"")."<br />".in_radio('level', '2', $main->lang['administrator'], 'mod_2', $info['user_level']==2?true:false, " onchange=\"$$('admin_table').style.display=''\"")."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['access_modules']}:</td><td class='form_input'>{$modules_content}</td></tr>\n".    
    "<tr><td class='form_submit' colspan='2' align='center'>".send_button()."</td></tr>\n".
    "</table>\n</form>\n";
}

function save_edit_support(){
global $main;
	$result = $main->db->sql_query("SELECT * FROM ".USERS." WHERE uid='{$_GET['id']}'");
	$info = $main->db->sql_fetchrow($result);
	if($_POST['level']==1 AND isset($_POST['modules_user']) AND !empty($_POST['modules_user'])) $modules = implode(',',$_POST['modules_user']);
	elseif($_POST['level']==2 AND isset($_POST['modules_user']) AND isset($_POST['modules_admin']) AND !empty($_POST['modules_user']) AND !empty($_POST['modules_admin'])) $modules = implode(',', array_merge($_POST['modules_admin'], $_POST['modules_user']));
	elseif($_POST['level']==2 AND isset($_POST['modules_admin']) AND !empty($_POST['modules_admin'])) $modules = implode(',',$_POST['modules_admin']);
	else $modules = '';
	sql_update(array(
		'user_level'       => ($main->user['uid']!=$_GET['id']) ? $_POST['level'] : $main->user['user_level'],
		'user_adm_modules' => $modules
	), USERS, "uid='{$info['uid']}'");
    redirect(MODULE);
}

function config_admin(){
global $main, $adminfile, $default_modules_admin;     
    $en_array = $_modules = array();
    $mod = scan_dir("administrator/modules/", '/(.+?)\.php$/i');    
    foreach($mod as $value) {
        $file_name = preg_replace('/(.+?)\.php$/i', '\\1', $value);
        if(in_array($file_name, array('logout', 'serverinfo', 'systeminfo'))) continue;
        $value = isset($main->lang["ad_".$file_name]) ? $main->lang["ad_".$file_name] : $file_name;
        $_modules[$file_name] = $value;
    }    
    asort($_modules);
    $modules = array_merge(array('begin_optgroup_1' => $main->lang['administration_modules']), $_modules, array('end_optgroup_1' => ''));
    $_modules = array();
    if(($handle = nc_opendir("modules/"))){
        while (false !== ($file = readdir($handle))) if (nc_is_dir("modules/{$file}") AND nc_file_exists("modules/{$file}/admin/")) $_modules[$file] = $file;                    
        closedir($handle);            
    }            
    foreach($_modules as $value) $_modules[$value] = isset($main->lang[$value]) ? $main->lang[$value] : $value;
    asort($_modules);            
    $mod = $adm = array();
    foreach($default_modules_admin as $val) {
        if(isset($_modules[$val])) {
            $mod[$val] = isset($main->lang["ad_".$val])?$main->lang["ad_".$val]:(isset($main->lang[$val])?$main->lang[$val]:$val);
            unset($_modules[$val]);
        } elseif(isset($modules[$val])) {
            $adm[$val] = isset($main->lang["ad_".$val])?$main->lang["ad_".$val]:(isset($main->lang[$val])?$main->lang[$val]:$val);
            unset($modules[$val]);
        }
    }
    asort($mod); asort($adm); 
    $en_array = !empty($adm) ? array_merge(array('begin_optgroup_1' => $main->lang['administration_modules']), $adm, array('end_optgroup_1' => '')) : array_merge(array('begin_optgroup_1' => $main->lang['administration_modules']), array('end_optgroup_1' => '')) ;
    $en_array = !empty($mod) ? array_merge($en_array, array('begin_optgroup_2' => $main->lang['moderation_module']), $mod, array('end_optgroup_2' => '')) : array_merge($en_array, array('begin_optgroup_2' => $main->lang['moderation_module']), array('end_optgroup_2' => ''));

    echo "<script type='text/javascript'>
    <!--
    var obj_sel, sel_name;
    
    function _module(d, e, tp){
        var tp_id = (tp=='add') ? 'dis_modules' : 'en_modules';
        var tp_id_set = (tp=='add') ? 'en_modules' : 'dis_modules';
        //Find the desired option
        var tmp_option = tmp_group = set_module = tmp_option_id = null;
        var selects = NC_AJAX.document.getElementsByTagName('OPTION', tp_id);
        for(i=0;i<selects.length;i++){
            if(selects[i].value==obj_sel.value){
                tmp_option_id = i; 
                tmp_option = selects[i]; 
                break;
            }
        }
        if(tmp_option_id==null) return false;
        //Find a group of options
        var groups_select = NC_AJAX.document.getElementsByTagName('OPTGROUP', tp_id);        
        var all_break = false;
        for(i=0;i<groups_select.length;i++){
            var selects = NC_AJAX.document.getElementsByTagName('OPTION', groups_select[i]);
            for(y=0;y<selects.length;y++){if(selects[y].value==tmp_option.value){tmp_group = i; all_break = true; break;}}
            if(all_break==true) break;
        }
        set_module = true;
        var selects = NC_AJAX.document.getElementsByTagName('OPTION', tp_id_set);
        for(i=0;i<selects.length;i++) if(selects[i].value==tmp_option.value) set_module = false; 
        if(set_module==true){
            //Inserts
            var groups_select = NC_AJAX.document.getElementsByTagName('OPTGROUP', tp_id_set);            
            option = NC_AJAX.create.element('OPTION', {value:tmp_option.value, text:tmp_option.text}, {}, false);
            groups_select[tmp_group].appendChild(option);
            if(tp_id_set=='dis_modules') sortOptions(groups_select[tmp_group]);
        } 
        $$(tp_id).remove(tmp_option_id);
        $$('delete_button').disabled = true;
        $$('add_button').disabled = true;
    }
    
    function allSelected(e){
        var selects = NC_AJAX.document.getElementsByTagName('OPTION', $$(e));
        var set_text = '';
        for(i=0;i<selects.length;i++) set_text += selects[i].value+','; 
        $$('set_conf').value = set_text;
    }
    
    function sortOptions(parent) {
        var lb = NC_AJAX.document.getElementsByTagName('OPTION', parent);        
        arrTexts = new Array();
        arrValues = new Array();
        for(i=0; i<lb.length; i++) arrTexts[i] = [lb[i].text, lb[i].value];
        arrTexts.sort();
        for(i=0; i<lb.length; i++)  {
            lb[i].text = arrTexts[i][0];
            lb[i].value = arrTexts[i][1];
        }
    }
    
    function change_select(obj, sel){        
        obj_sel = obj;
        sel_name = sel;
        if(sel=='dis_modules') {
            $$('delete_button').disabled = true;
            $$('add_button').disabled = false;
        } else {
            $$('delete_button').disabled = false;
            $$('add_button').disabled = true;
        }        
    }
    
    // -->    
    </script>";
    
    $modules = array_merge($modules, array('begin_optgroup_2' => $main->lang['moderation_module']), $_modules, array('end_optgroup_2' => ''));        
    echo "<form onsubmit=\"allSelected('en_modules');\" action='{$adminfile}?module={$main->module}&amp;do=save_config' method='post'><table width='100%' class='form'>".
    "<tr><td width='40%'><b>{$main->lang['admin_module_list']}</b>".in_sels('dis_modules', $modules, 'select2', "", " onchange=\"change_select(this, 'dis_modules')\"", false, 10)."</td><td align='center'><input type='submit' style='width: 90px;' value='{$main->lang['add']} &#8594;' disabled='disabled' id='add_button' onclick=\"_module('dis_modules', 'en_modules', 'add'); return false;\" /><br /><input type='submit' style='width: 90px;' value='&#8592; {$main->lang['delete']}' disabled='disabled' id='delete_button' onclick=\"_module('dis_modules', 'en_modules', 'remove'); return false;\" /></td><td width='40%'><b>{$main->lang['home_module_list']}</b><br />".in_sels('en_modules', $en_array, 'select2', "", " onchange=\"change_select(this, 'en_modules')\"", false, 10)."</td></tr>".
    "<tr><td class='form_submit' colspan='3' align='center'><br />".send_button()."</td></tr>\n".
    "</table>".in_hide('set_conf', '')."</form>";    
}

function save_config_admin(){
global $main, $adminfile, $copyright_file; 
    $arr_text = "";    
    if(!empty($_POST['set_conf'])){
        $arr = explode(',', nc_substr($_POST['set_conf'], 0, nc_strlen($_POST['set_conf'])-1));
        $arr_text = '$default_modules_admin = array('."\n";
        foreach($arr as $val) $arr_text .= "\t'{$val}',\n";    
        $arr_text = nc_substr($arr_text, 0, nc_strlen($arr_text)-2);
        $arr_text .= "\n);";
    } else $arr_text = '$default_modules_admin = array();';
    $file_link = "includes/config/admin_panel.php";
    if(is_writable($file_link)){
        $file = fopen($file_link, "w");
        fputs ($file, $copyright_file.$arr_text."\n"."?".">");
        fclose ($file);
    }
    redirect("{$adminfile}?module={$main->module}&do=config");
}

if(isset($_GET['do']) AND $break_load==false){
    switch($_GET['do']){
        case "add_support": add_support(); break;
        case "save_support": save_support(); break;
        case "edit": edit_support(); break;
        case "save_edit": save_edit_support(); break;
        case "flip_level": flip_level(); break;
        case "delete": delete_support(); break;
        case "config": config_admin(); break;
        case "save_config": save_config_admin(); break;
        default: main_admin(); break;
    }
} elseif($break_load==false) main_admin();
?>
