<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('ADMIN_FILE')) die("Hacking attempt!");

global $modules_links, $main, $adminfile;
$modules = array();
if(($handle = nc_opendir("modules/"))){
    while (false !== ($file = readdir($handle))) if(nc_is_dir("modules/{$file}") AND nc_file_exists("modules/{$file}/admin/")) $modules[] = $file;
    closedir($handle);
}
sort($modules);
$count = count($modules);
echo "<table class='modulelist'>";
$i=0;
while($i<$count){
    echo "<tr><td>";
    for($y=1;$y<=3;$y++){
        if(isset($modules[$i+$y-1])){
            $link = array();
            require_once "modules/{$modules[$i+$y-1]}/admin/link.php";
            $modules_links[$modules[$i+$y-1]] = $link;
            $link['name'] = (isset($main->lang[$link['name']])) ? $main->lang[$link['name']] : $link['name'];
            $link['ico'] = (isset($link['ico']) AND nc_file_exists("includes/images/admin/{$link['ico']}")) ? "includes/images/admin/{$link['ico']}" : "includes/images/admin/ico.png";
            if(isset($link['desc'])) {
                $link['desc'] = (isset($main->lang[$link['desc']])) ? "<i>".$main->lang[$link['desc']]."</i>" : "<i>".$link['desc']."</i>";
            } else $link['desc'] = '';
            $mod = str_replace(".php", "", $modules[$i+$y-1]);
            echo "<div><a href='{$adminfile}?module={$mod}' title='{$link['name']}'><span><img src='{$link['ico']}' alt='' /><b>{$link['name']}</b><br />{$link['desc']}</span></a></div>";
        }    
    }
    echo "</td></tr>";
    $i+=3;
}
echo "</table>";
?>