<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

define('NOVACMS', true);

require_once "base.php";  
require_once "includes/function/xining.php";

if(!nc_file_exists("uploads/tmpfiles/runer.locked")) exit;

require_once "includes/nocache.php";
require_once "includes/function/init.php";
require_once "includes/classes/backup.class.php";

$max_backups = 3;
$backup = new backuper;
$backup->dir = 'uploads/backup/';
$backup->prefix = 'auto_';
$backup->backup();
$backup_dir = nc_opendir("uploads/backup");
$backups_array = array();
while(($file = readdir($backup_dir))){
    if (preg_match('/auto_([0-9\-_]+).([a-z.]*)/s', $file)){
    	$match = "";
        preg_match('/auto_([0-9\-_]+).([a-z.]*)/s', $file, $match);
        $backups_array[] = $match[1].".".$match[2];
    }
}
closedir($backup_dir);

$count = count($backups_array);
if($count>$max_backups){
    sort($backups_array);
    $b = 1;
    foreach ($backups_array as $name=>$value){
        if($b<$count-($max_backups-1)) nc_unlink("uploads/backup/auto_{$value}");
        $b++;
    }
}
?>