<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('BLOCK_FILE')) {
    Header("Location: ../index.php");
    exit;
}

global $main, $menu_config;
if(count($menu_config)>0){
    echo "<ul class='navs'>\n";
    $arr_groups = array_merge(!empty($main->user['group'])?array($main->user['group']):array(), !empty($main->user['groups'])?explode(',', $main->user['groups']):array());
    foreach($menu_config as $row){
        if(!empty($row['groups'])  AND !check_user_group($row['groups'])) continue;
        echo "<li><a ".(!empty($row['class'])?"class='{$row['class']}'":"class='modules_menu'")." href='{$row['url']}' title='{$row['title']}'>{$row['title']}</a></li>\n";
    }
     echo "</ul>";
}
?>