<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('BLOCK_FILE')) {
    Header("Location: ../index.php");
    exit;
}

global $main, $modules, $supervision;
    $admin_view = true; 
    $HTML = '';
    $where  = array('user' => '', 'bots' => '');
    $online = array('admin' => array(), 'users' => array(),'bots' => array(),'guest' => array());
    $admin_view = (is_admin()) ? true : $admin_view;
    foreach ($online as $type=>$array) {
        if (count($supervision[$type])) {
            foreach ($supervision[$type] as $key=>$user) {
                $image = get_image_module($user['module'], $user['url']);
                if (($type=='admin' and $admin_view) or $type=='users') $online[$type][] = "<tr><td width='25px'>".get_flag($user['country'])."</td><td><a class='sys_link' style='color:#{$user['color']};' href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($user['user_id'], $user['uid'])))."' id='info_{$user['user_id']}' onmouseover=\"show_userinfo(this, '{$user['uid']}')\">{$user['uname']}</a></td><td align='right'>{$image}</td></tr>\n"; 
                if ($type=='bots')  $online[$type][] = "<tr><td width='25px'>".get_flag($user['country'])."</td><td>{$user['uname']}</td><td align='right'>{$image}</td></tr>\n"; 
                if ($type=='guest') $online[$type][$user['country']][] = "<tr><td width='25px'></td><td><a href='{$main->config['whois']}{$user['ip']}' title='".htmlspecialchars($user['user_agent'], ENT_QUOTES)."'>{$user['ip']}</a></td><td align='right'>{$image}</td></tr>\n";
                $where['user'].= ($type=='admin' or $type=='users') ? " AND u.user_name<>'{$user['uname']}'" : '';
                $where['bots'].= ($type=='bots') ? " AND name<>'{$user['uname']}'" : '';
            }
        }
    }
    foreach ($online as $type=>$array) {
        if (count($online[$type])) {
            $lng = $type.'_mon';
            if ($type!='guest') {
                $HTML.= "<div>&nbsp;{$main->lang[$lng]}: ".count($online[$type])."</div>".
                "<table width='100%'>".implode("", $online[$type])."</table>";
            } else { 
                $HTML.= "<div>&nbsp;{$main->lang[$lng]}: ".count($supervision['guest'])."&nbsp;</div>";
                foreach ($online['guest'] as $key => $value) {
                    $HTML.= "<table width='100%'><tr><td width='25px'>".get_flag($key)."</td><td ".((is_admin())? "class='pointer' onclick=\"switcher('{$key}_online');\"" : '').">".(($key == 'default')? 'default' : $key).": </td><td align='right'>".(count($online['guest'][$key]))."</td></tr>\n";			            
                    if (is_admin()) $HTML.= "</table><table width='100%' id='{$key}_online' style='display:none;'>".implode("", $online['guest'][$key]);
                    $HTML.= "</table>";
                }
            } 
        }
    }
    echo $HTML;
    $_SESSION['online_monitor'] = $where;
    if (is_admin()) unset($_SESSION['supervision']);

/**
* 
* @param string $modul
* @param string $url
* @return string
*/	
function get_image_module($modul, $url){
global $main, $modules;
    if (empty($modul)) return '';
    $url   = str_replace("&", "&amp;", $url);
    $image = ($modul) ? $modul : 'home';
    $title = ($modul AND isset($modules[$modul])) ? $modules[$modul]['title'] : (is_home()?$main->lang['home']:'');
    $image = (file_exists("includes/images/blocks/{$image}.png")) ? "<img src='includes/images/blocks/{$image}.png' title='{$title}'>" : '';
    $image = ($url!='' and $image!='') ? "<a class='sys_link' href='{$url}'>{$image}</a>" : $image;
    return $image;
}

?>