<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

define('NOVACMS', true);
define('ENGINE', true);

require_once "base.php";
require_once "includes/function/xining.php";
require_once "includes/function/init.php";


if(preg_match('/(.*?)engine.php\?do=redirect(.*?)/is', get_env('REQUEST_URI'))){
    $uri = get_env('REQUEST_URI');
    $redirect = str_replace('/engine.php?do=redirect&url=', '', $uri);
    $_GET['do']='redirect';
}

function mail2admin(){
global $config, $captcha_set, $main, $ip, $lang_dbg;
    $captcha_set = true;
    require_once "includes/language/{$config['language']}/debugging.php";
    $msg = error_empty(array('name', 'message'), array('name_err', 'message_err')).check_captcha();
    $msg = preg_replace('/\<li(.+?)\>/i', '', $msg);
    $msg = str_replace('</li>', '<br />', $msg);
    if(empty($msg)){
        $message = "<br /><hr /><b>IP:</b> {$ip}<br />".
        "<b>REFERER:</b> {$_POST['referer']}<br />".
        "<b>ERROR URL:</b> {$_POST['url']}<br />".
        "<b>MESSAGE ERROR:</b> {$_POST['msg']}<br />".
        "<b>DATE ERROR:</b> ".nc_date("Y-m-d H:i:s")."";
        send_mail($main->config['admin_mail'], "noreply", $main->config['sends_mail'], $_POST['name'], "{$_POST['title']} - {$main->config['site_name_for_mail']}", "<h1>{$_POST['title']}</h1>".$_POST['message'].$message);
        info_page($lang_dbg['admin_sending'], str_replace("{URL}", 'http://'.get_host_name().'', $lang_dbg['admin_message']), 3, false);
    } else info_page($lang_dbg['error'], $lang_dbg['admin_message_err'].$msg, 3, false, isset($_POST['url'])?$_POST['url']:'http://'.get_host_name());
}

function download(){
global $config;      
    if(preg_match('/\.\.\//i', $_GET['file']) OR preg_match('/\.\.\\\/i', $_GET['file'])) nc_http_ereor_logs(403);
    require_once "includes/classes/download.class.php";
    $file = "uploads/".$_GET['file'];
    $download = new file_download($file, ($config['download_resume']==ENABLED)?1:0, $config['download_speed']);
    $download->download();
}   

function attach(){ 
global $config, $main;        
    if(preg_match('/\.\.\//i', $_GET['file']) OR !preg_match('/uploads(.*?)/i', $_GET['file'])) nc_http_ereor_logs(403);
    require_once "includes/classes/download.class.php";
    $download = new file_download($_GET['file'], ($config['download_resume']==ENABLED)?1:0, $config['download_speed']);
    $download->download();
}   

function tourl(){
global $main, $tpl_create, $security;
    if(!isset($_GET['url'])) redirect("http://".get_host_name());
    $site = parse_url($_GET['url']);
    if(empty($site['host']))  redirect('http://'.get_env('HTTP_HOST'));
    $goto = preg_replace('/www\.(.*?)/', '\\1', $site['host']);
    if($goto==preg_replace('/www\.(.*?)/', '\\1', get_env('HTTP_HOST'))) redirect($_GET['url']);
    if(in_array($goto, explode(', ', $security['allowed_domain']))) $redirect = true;
    elseif(in_array($goto, explode(', ', $security['negative_domain']))) $redirect = false;
    else $redirect = null;
    if($redirect == true) redirect($_GET['url']);
    $text = preg_replace(
        array('/\{SITE\}/is', '/\{URL2GO\}/is', '/\{SIET2GO\}/is', '/\{CANCEL\}/is', '/\{LINK2GO\}/is'), 
        array("<b>{$main->config['home_title']}</b>", "<b>{$_GET['url']}</b>", "<b>{$site['host']}</b>", "<a href='javascript:window.close()' title='{$main->lang['cancel']}'>{$main->lang['cancel2']}</a>", "<a href='{$_GET['url']}'>{$_GET['url']}</a>"),
        $redirect!==false?$main->lang['redirect_warn']:$main->lang['redirect_stoped']
    );
    $content = preg_replace(        
        array('/\$title/is', '/\$link/is', '/\$meta/is', '/\$content/is', '/\$redirect/is', '/\$direction/is'),
        array("{$main->config['home_title']} {$main->config['separator']} {$main->lang['redirect_page']}", "<link rel='stylesheet' type='text/css' href='optimizer/?includes/template/css/redirect.css' />", $tpl_create->meta_insert(), $text, $main->lang['redirect_page'], $main->lang['direction']),
        nc_get_content('includes/template/redirect.tpl')
    );
    require_once "includes/nocache.php";
    die($content);    
}

if(isset($_GET['do'])){
    switch($_GET['do']){
        case "mail2admin": mail2admin(); break;
        case "download": download(); break;
        case "attach": attach(); break;
        case "redirect": tourl(); break;
    }
}
?>