<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined("FUNC_FILE")) die("Access is limited");

$generate_template = 0;
class template{
    var $keys = array();
    var $vars = array();
    var $template;

    /**
    * Processing Function Tag display
    * 
    * @return void
    */
    function dysplay(){
        if(is_admin()) {
            $this->template = preg_replace("#<(guest|user|moder)>(.+?)</(guest|user|moder)>#is", "", $this->template);
            $this->template = preg_replace("#<admin>(.+?)</admin>#is", "\\1", $this->template);
        } elseif (is_moder()) {
            $this->template = preg_replace("#<(guest|user|admin)>(.+?)</(guest|user|admin)>#is", "", $this->template);
            $this->template = preg_replace("#<moder>(.+?)</moder>#is", "\\1", $this->template);
        } elseif (is_user()) {
            $this->template = preg_replace("#<(guest|admin|moder)>(.+?)</(guest|admin|moder)>#is", "", $this->template);
            $this->template = preg_replace("#<user>(.+?)</user>#is", "\\1", $this->template);        
        } else {
            $this->template = preg_replace("#<(user|admin|moder)>(.+?)</(user|admin|moder)>#is", "", $this->template);
            $this->template = preg_replace("#<guest>(.+?)</guest>#is", "\\1", $this->template);        
        }
    }

    /**
    *
     * Function of loading and processing the template
    * 
    * @param string $tpl_name
    * @return void
    */
    function get_tpl($tpl_name){
        extract($GLOBALS, EXTR_SKIP);          // Unpacking the global variables
        ob_start();   
        $data = nc_get_content($tpl_name);
        $err = eval(" ?>{$data}<?php ");
        if($err!==null) $this->template = "Error in {$tpl_name}: ".ob_get_contents();
        else $output = ob_get_contents(); ob_end_clean(); 
        $this->template = $output;             // Return the contents
        $this->dysplay();
    }

    /**
    * Function to set variables in template
    * 
    * @param string $key
    * @param string $var
    * @return void
    */
    function set_tpl($key,$var){
        $this->keys[] = $key;
        $this->vars[] = $var;
    }

    /**
    * Function to create a template
    * 
    * @param bool $return
    * @return string
    */
    function tpl_create($return=false){
    global $generate_template;
        $generate = new timer;
        $this->template = str_replace($this->keys, $this->vars, $this->template);
        $generate_template += $generate->stop();
        if(!$return) echo $this->template;
        else return $this->template;
        return true;
    }
}
$template = new template;
?>