<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('FUNC_FILE')) die('Access is limited');

/**
* Reading function download directory
* 
* @param string $dir
* @return string
*/
function update_list_files($dir, $options=true){
global $main;
    //Restrict directory
    if(nc_strpos($dir, 'uploads/') === false) $dir = 'uploads/';
    //If not download directory of files, create it
    if(!nc_file_exists($dir)) {
        if(empty($_POST)){
            remove_dir($dir);
            nc_mkdir($dir, 0777);
        }
    } else nc_mkdir($dir, 0777);
    //Checks whether the catalog
    if(nc_file_exists($dir)){
        //Open Directory
        $attache_dir = nc_opendir($dir);
        $files_arr = array('file'=>array(), 'dir'=>array());
        $row = "up_row1"; $i = 1; $list_upload = "";
        //Check whether the root directory
        if($dir!='uploads/' AND is_support()){
            $dir_arr = explode("/", $dir);
            $backdir = "";
            for($y=0;$y<count($dir_arr)-2;$y++) $backdir .= $dir_arr[$y]."/";
            $list_upload .= "<tr class='up_back'><td class='pointer' colspan='3' align='left' onclick=\"update_upload('{$backdir}');\"><img src='includes/images/swfupload/folder_up.png' title='{$main->lang['up']}' alt='{$main->lang['up']}' /> ..</td></tr>\n";
        }   
        //Reading directory
        while(($file = readdir($attache_dir))){
            if(nc_is_dir($dir.$file)) $files_arr['dir'][] = $file;
            else $files_arr['file'][] = $file;
        }
        //Close the directory
        closedir($attache_dir);
        //Sort files
        sort($files_arr['file']);
        //Sort directories
        sort($files_arr['dir']);
        //Derive catalogs
        foreach($files_arr['dir'] as $file) {
            $buttons = "";
            $buttons .= "<td><img class='pointer' onclick=\"rename('{$dir}', '{$file}')\" src='includes/images/swfupload/rename.png' alt='{$main->lang['rename']}' title='{$main->lang['rename']}' /></td>";
            $buttons .= "<td><img class='pointer' onclick=\"delete_attach('index.php?ajaxed=delete_attach&amp;dir={$dir}&amp;file={$file}', '{$main->lang['realdelete']} \\'\\'{$file}\\'\\'.');\" src='includes/images/swfupload/delete.png' alt='{$main->lang['delete']}' title='{$main->lang['delete']}' /></td>";
            if($file!='.' AND $file!='..') $list_upload .= "<tr class='{$row}'><td align='left' class='pointer' onclick=\"update_upload('{$dir}{$file}/');\"><img src='includes/images/swfupload/dir.png' alt='' align='left' />&nbsp;&nbsp;{$file}</td><td width='18' align='right'><table class='up_butons' cellpadding='0' cellspacing='0'><tr>{$buttons}</tr></table></td></tr>\n";
            $row = ($row=="up_row1") ? "up_row2" : "up_row1";
        }
        //Displays the files
        foreach($files_arr['file'] as $file) {
            $buttons = "";            
            if($options==true){
                if(preg_match('/mini\-(.*?).(jpeg|jpg|png|gif)$/is', $file)) continue;
                if(preg_match('/(.*?).(jpeg|jpg|png|gif)$/is', $file)) $buttons = (nc_file_exists($dir."mini-".$file)) ? "<td><img onclick=\"bbeditor.insert('[miniature={$dir}mini-{$file} align=middle]', '');\" class='pointer' src='includes/images/swfupload/mini_image.png' alt='{$main->lang['paste_mini_image']}' title='{$main->lang['paste_mini_image']}' /></td><td><img onclick=\"bbeditor.insert('[img]{$dir}{$file}[/img]', '');\" class='pointer' src='includes/images/swfupload/image.png' alt='{$main->lang['paste_image']}' title='{$main->lang['paste_image']}' /></td>" : "<td><img onclick=\"bbeditor.insert('[img]{$dir}{$file}[/img]', '');\" class='pointer' src='includes/images/swfupload/image.png' alt='{$main->lang['paste_image']}' title='{$main->lang['paste_image']}' /></td>";
                $buttons .= "<td><img class='pointer' onclick=\"rename('{$dir}', '{$file}')\" src='includes/images/swfupload/rename.png' alt='{$main->lang['rename']}' title='{$main->lang['rename']}' /></td>";
                $buttons .= "<td><img class='pointer' onclick=\"alert('http://".get_host_name()."{$dir}{$file}')\" src='includes/images/swfupload/info.png' alt='{$main->lang['info_file']}' title='{$main->lang['info_file']}' /></td>";
                $buttons .= "<td><img class='pointer' onclick=\"bbeditor.insert('[attach={$dir}{$file}]', '');\" src='includes/images/swfupload/add.png' alt='{$main->lang['paste_file']}' title='{$main->lang['paste_file']}' /></td>";
                $buttons .= "<td><img class='pointer' onclick=\"delete_attach('index.php?ajaxed=delete_attach&amp;dir={$dir}&amp;file={$file}', '{$main->lang['realdelete']} \\'\\'{$file}\\'\\'.');\" src='includes/images/swfupload/delete.png' alt='{$main->lang['delete']}' title='{$main->lang['delete']}' /></td>";
            } else $buttons .= "<td><img class='pointer' onclick=\"rename('{$dir}', '{$file}')\" src='includes/images/swfupload/rename.png' alt='{$main->lang['rename']}' title='{$main->lang['rename']}' /></td><td><img class='pointer' onclick=\"delete_attach('index.php?ajaxed=delete_attach&amp;dir={$dir}&amp;file={$file}', '{$main->lang['realdelete']} \\'\\'{$file}\\'\\'.');\" src='includes/images/swfupload/delete.png' alt='{$main->lang['delete']}' title='{$main->lang['delete']}' /></td>";
            if($file!='.' AND $file!='..') $list_upload .= "<tr class='{$row}'><td align='left' class='pointer' onclick=\"location.href='http://".get_host_name()."{$dir}{$file}'\">".get_ico_image(get_type_file(nc_strtolower($file)), $dir, $file) ."&nbsp;&nbsp;{$file}</td><td width='18'><table align='right' class='up_butons' cellpadding='0' cellspacing='0'><tr>{$buttons}</tr></table></td></tr>\n";
            $row = ($row=="up_row1") ? "up_row2" : "up_row1";
        }        
        $uprd = in_hide('update_upload_options', $options?'true':'false')."<table width='100%' cellpadding='2' cellspacing='0' class='up_read_dir'><tr><td align='left'><span class='dir_string'>{$main->lang['dir']}</span>: {$dir}</td><td align='right' style='padding-right: 8px;'>".(is_support()?"<a href='#' class='create_dir' onclick='return create_dir();'><b>{$main->lang['create_dir']}</b></a>":"&nbsp;")."</td></tr></table>";
        if(!empty($list_upload)){
            $list_upload = "<div style='padding: 5px;'><table width='100%' cellpadding='3' cellspacing='0' id='up_table' class='up_table'>\n{$list_upload}";
            $list_upload .= ($i!=1) ? "</table><br />\n" : "<tr><td></td></tr></table></div>\n";
        }
    }
    return $uprd.$list_upload;
}

/**
* Function configuration SWFUpload
* 
* @param string $upload_file
* @param string $types
* @param int $size
* @param int $limit
*/
function SWFUpload($upload_file, $types="*.*", $size=1024, $limit=10){
global $tpl_create, $main;

$tpl_create->add2link("optimizer/?includes/css/swfupload.css");
$tpl_create->add2script("optimizer/?includes/javascript/swfupload.js");
$s = "<script type='text/javascript'>
<!--
NC_AJAX.addEvent(window, 'load', function(){setTimeout(function(){upload_swf_func('../../../../".str_replace("amp;", "", $upload_file)."', '".session_id()."', '".$main->user['user_name']."', {$size}, '".get_mask_types($types)."', '".($types!='*'?str_replace(",", ";", nc_strtoupper($types)):'All')."', '{$limit}', '{$main->tpl}')}, 200);});
// -->
</script>";
    return $s."<div id='flash_upload'><div align='right' style='padding-bottom: 10px; padding-right: 10px;'><span id='spanButtonPlaceholder1'></span>".
    '<input class="cancel_upload" id="cancel" type="button" value="'.$main->lang['cancel'].'" onclick="cancelQueue(upload1);" disabled="disabled" /><br />'.
    '</div></div>';
}

/**
* Function of loading attachments
* 
* @param array $conf
* @return void
*/
function upload_attach($conf){
global $main;
    if(!isset($_POST['uname'])) return false;
    $result = $main->db->sql_query("SELECT * FROM ".SESSIONS." WHERE uname='{$_POST['uname']}'");
    if($main->db->sql_numrows($result)==0) return false;
    $sid = $main->db->sql_fetchrow($result);
    $user_info = $main->db->sql_fetchrow($main->db->sql_query("SELECT * FROM ".USERS." WHERE user_name='{$sid['uname']}'")); 
    //Check the possibility of attaching files
    if($conf['attaching']!=ENABLED AND !is_support()) return false;
    //Check the download session
    //if(session_id()!=$_POST['PHPSESSID']) return false;
    //Plugin file downloads
    require_once "includes/classes/uploader.class.php";
    //Specifies the directory to download files
    $uploaddir = (isset($_SESSION['uploaddir'])) ? $_SESSION['uploaddir'] : $conf['directory']."filedata-".$user_info['user_id']."/";
    if(isset($_FILES["Filedata"])){
        //Create a folder for downloading files, if it is not
        if(!nc_file_exists($uploaddir)) nc_mkdir($uploaddir, 0777);
        //Generate a new file name
        $new_name = cyr2lat(get_name_file($_FILES["Filedata"]['name']));
        //Create an array of options for uploading files
        $atrib = array(
            'dir'   => $uploaddir,
            'file'  => $_FILES["Filedata"],
            'size'  => $conf['attaching_files_size'],
            'type'  => explode(",", $conf['attaching_files_type']),
            'name'  => $new_name
        );   
        //Determine the type of uploaded file
        $exp = get_type_file(nc_strtolower($_FILES["Filedata"]['name']));
        //If the picture add to the parameters of size limits
        if(preg_match('/jpg|jpeg|gif|png/is', $exp)){
            $image_type = true;
            $atrib = $atrib + array('width' => $conf['max_image_width'], 'height' => $conf['max_image_height']);
        } else $image_type = false;
        //Load the file
        $attach = new upload($atrib);
        if($image_type AND !$attach->error){
            //If the file has been downloaded, connect class work with graphics
            require_once "includes/classes/graphics.class.php";
            //Create a class object
            $graphics = new graphics(array(
                'name'                  => $new_name.".".$exp,
                'new_name'              => $new_name,
                'width'                 => $conf['miniature_image_width'],
                'height'                => $conf['miniature_image_height'],
                'watermark'             => $main->config['mark_img'],
                'watermark_position'    => $main->config['mark'],
                'directory_image'       => $uploaddir,
                'directory_new_image'   => $uploaddir
            ));
            //Carry out the establishment of a watermark
            $graphics->watermark();
            //Returns information about the image
            $size_image = getimagesize($uploaddir.$attach->file);
            //Perform image conversion
            if($size_image[0]>$conf['miniature_image_width'] OR $size_image[1]>$conf['miniature_image_height']) $graphics->resize_image();
        }        
        if(!$attach->error) {
            $attach_file = $attach->file;
            //Store information about downloading the file
            sql_insert(array(
                'module'  => $main->module,
                'path'    => $uploaddir,
                'file'    => $attach_file,
                'user_id' => $user_info['uid'],
                'date'    => nc_date("Y-m-d H:i:s")
            ), ATTACH);
        //Error downloading file
        } else header("HTTP/1.1 50{$attach->error_number} File Upload Error");
    } else header("HTTP/1.1 500 File Upload Error");
    return true;
}
?>