<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('FUNC_FILE')) die('Access is limited');

function check_pda(){
    $pdas = array(
        'acer',                 'alcatel',      'audiovox',         'avantgo',      'blackberry',
        'blazer',               'cdm',          'digital paths',    'elaine',       'epoc',
        'ericsson',             'handspring',   'iemobile',         'kyocera',      'lg',
        'xiino',                'mmp',          'mobile',           'motorola',     'nec',
        'nokia',                'o2',           'openwave',         'opera mini',   'operamini',
        'opwv',                 'palm',         'panasonic',        'pda ',         'phone',
        'playstation portable', 'pocket','psp', 'qci',              'sagem',        'sanyo',
        'samsung',              'sec',          'sendo',            'sharp',        'smartphone',
        'sonyericsson',         'symbian',      'telit',            'tsm',          'up-browser',
        'up.browser',           'up.link',      'vodafone',         'wap',          'windows ce'
    );

    $accept = isset($_SERVER['HTTP_ACCEPT'])?nc_strtolower($_SERVER['HTTP_ACCEPT']):'';
    if(((nc_strpos($accept,'text/vnd.wap.wml')===true) OR (nc_strpos($accept,'application/vnd.wap.xhtml+xml')===true)) OR
        isset($_SERVER['HTTP_X_WAP_PROFILE']) OR
        isset($_SERVER['HTTP_PROFILE']) OR
        isset($_SERVER['X-OperaMini-Features']) OR
        isset($_SERVER['UA-pixels'])) return true;

    if(isset($_SERVER['HTTP_USER_AGENT'])){
        $agent = nc_strtolower($_SERVER['HTTP_USER_AGENT']);
        foreach($pdas as $browser) if(false!==nc_strpos($agent, $browser)) return true;
    }
    return false;
}
?>
