<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('FUNC_FILE')) die('Access is limited');

function set_mylang($val){
global $language, $mylang;  
    if(isset($mylang[$val]) AND isset($mylang[$val][$language])) return $mylang[$val][$language];
    else return "";
}

function parse_mylang($txt){
    return preg_replace('/mylang\[(.+?)\]/ise', "set_mylang('\\1')", $txt);
}

function replace_content($html){
    $in = array();
    $out = array();
    return parse_mylang(preg_replace($in, $out, $html));
}

function replace_link($html){
    return $html;
}
?>