<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('FUNC_FILE')) die('Access is limited');

/**
* The search function keys of an array of maximum length
* 
* @param array $array
* @param int $max
* @return int
*/
function max_length_value($array, $max=0){
    foreach ($array as $kay=>$value) $max = ($max<nc_strlen($kay)) ? nc_strlen($kay) : $max;
    return $max;
}

/**
* Function of preserving the configuration files
* 
* @param string $file_config
* @param string $var
* @param array $config
* @return void
*/
function save_config($file_config, $var, $config, $duble=false){
global $copyright_file;
    $string = "{$copyright_file}{$var} = array(\n";
    $max_legth_var = max_length_value($config)+4;
    $i = 1;
    $count = count($config);
    foreach ($config as $kay=>$value){
        $space = create_space($max_legth_var-nc_strlen($kay));
        $string .= "    '{$kay}'{$space} => ".($duble==true?'"':"'")."".((isset($_POST[$kay]) OR $value==ENABLED) ? (isset($_POST[$kay]) ? magic_quotes($_POST[$kay]) : ((isset($_POST['hide_'.$kay]) AND !isset($_POST[$kay])) ? '' : magic_quotes($value))) : magic_quotes($value))."".($duble==true?'"':"'")."";
        $string .= ($i<$count) ? ",\n" : "\n";
        $i++;
    }
    $string .= ");\n?".">";
    $drs = explode('/', $file_config);
    $file_link = (count($drs)==1) ? "includes/config/{$file_config}" : $file_config;
    if(is_writable($file_link)){
        $file = fopen($file_link, "w");
        fputs ($file, $string);
        fclose ($file);
    }
}

/**
* The function updates the configuration of the RSS feeds
* 
* @return void
*/
function update_rss_config(){
global $rss, $main;
    $config = $_POST;
    $rss[$main->module] = $config['rss_title'].'|'.(isset($config['rss'])?$config['rss']:"");
    save_config("includes/config/config_rss.php", '$rss', $rss);
}

/**
* Function of creating a specified number of spaces
*  
* @param int $int
* @param string $space
* @return string
*/
function create_space($int, $space="", $char=' '){
    for($i=1;$i<=$int;$i++) $space .= $char;
    return $space;
}
?>