/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if(!window.NC_AJAX) NC_AJAX = {};

(function($){$.extend($, {
    ajaxParam:{},    
    tab:{
        init:function(p){
            defP = {className:'', active:1, ajax:''}
            for (var i in defP) if(!p[i]) p[i] = defP[i];
            tabmenu = NC_AJAX.document.getElementsByClassName(p.className);
            for(i=0;i<tabmenu.length;i++){
                tabContent = NC_AJAX.document.getElementsByClassName('tabContent', tabmenu[i]);
                id = 'id'+i;
                tabmenu[i].id = 'tabs_'+id;
                if(tabContent.length>1){
                    tabHTML = '<table width="100%" class="tabsRows" cellpadding="0" cellspacing="0"><tr><td><div>';
                    for(y=0;y<tabContent.length;y++){
                        id2 = id+y;
                        tabTitle = NC_AJAX.document.getElementsByClassName('tabTitle', tabContent[y])[0];
                        tabTitle.style.display = tabContent[y].style.display = 'none';
                        tabClass = (y==p.active-1) ? 'tab_active' : (y<tabContent.length-1) ? 'tab' : 'tab_last';
                        tabContent[y].id = 'con_'+id2;
                        if(tabTitle.nodeName!='A' || tabTitle.href=='#') tabHTML += '<a id="tab_'+id2+'" class="'+tabClass+'" href="#" onclick=\'NC_AJAX.tab.showTab("'+tabmenu[i].id+'", '+(y+1)+', "'+id+'"); return false;\'>'+tabTitle.innerHTML+'</a>';
                        else tabHTML += '<a id="tab_'+id2+'" class="'+tabClass+'" href="#" onclick=\'NC_AJAX.tab.showTabAjax("'+tabTitle.href+'" ,"'+tabmenu[i].id+'", '+(y+1)+', "'+id+'"); return false;\'>'+tabTitle.innerHTML+'</a>';
                    }
                    if(tabContent[p.active-1]) tabContent[p.active-1].style.display = '';
                    else tabContent[0].style.display = '';
                    tabHTML += '</div></td></tr></table>';
                    tabmenu[i].insertAdjacentHTML("afterBegin", tabHTML);
                }
            }
            
        },
        
        showTab:function(parent, tab, id){
            par = $$(parent);
            this.removeChildrenFromNode(NC_AJAX.document.getElementsByClassName('tabsRows', par)[0]);
            this.init({className:par.className, active:tab});
        },
        
        showTabAjax:function(ajax, parent, tab, id){
            par = $$(parent);
            this.showTab(parent, tab, id);            
            haja({action:ajax, animation:true}, $.tab.ajaxParam, {
                onendload:function(){
                    tabContent = NC_AJAX.document.getElementsByClassName('AjaxCon', par);
                    for(y=0;y<tabContent.length;y++){
                        tabContent[y].innerHTML = NC_AJAX.result;
                    }
                }
            });
        },
        
        removeChildrenFromNode:function(node){
            if(node == 'undefined' || node == null) return;
            var len = node.childNodes.length; 
            for(var i = 0; i < len; i++) node.removeChild(node.childNodes[i]);
        }
    }
})
})(NC_AJAX)