<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!@defined("FUNC_FILE")) die("Access is limited");

global $lang, $load_tpl;
$img = array(
     //account
     'account'                   => "<img src='includes/images/48x48/home.png' alt='{$lang['account']}' />",
     'controls'                  => "<img src='includes/images/48x48/controlpanel.png' alt='{$lang['user_controls']}' />",
     'logout'                    => "<img src='includes/images/48x48/logout.png' alt='{$lang['logout']}' />",
     
     'admin'                     => "<img src='includes/images/16x16/admin.png' alt='' align='left' />",
     'user'                      => "<img src='includes/images/16x16/user.png' alt='' align='left' />",
     'guest'                     => "<img src='includes/images/16x16/guest.png' alt='' align='left' />",
     'bots'                      => "<img src='includes/images/16x16/bot.png' alt='' align='left' />",
     'all_users'                 => "<img src='includes/images/16x16/allonline.png' alt='' align='left' />",
     'plus'                      => "<img src='includes/images/16x16/plus.png' style='margin:0px; position: relative; top: 6px;' alt='' align='left' />",
     'female'                    => "<img src='includes/images/16x16/female.png' alt='' style='margin-right: 3px;' />",
     'male'                      => "<img src='includes/images/16x16/male.png' alt='' style='margin-right: 3px;' />",
     'skype'                     => "<img src='includes/images/16x16/skype.png' alt='Skype' align='left' style='margin-right: 3px;' />",///////////////
     'talk'                      => "<img src='includes/images/16x16/talk.png' alt='Google Talk' align='left' style='margin-right: 3px;' />",///////////////
     'icq'                       => "<img src='includes/images/16x16/icq.png' alt='ICQ' align='left' style='margin-right: 3px;' />",
     'aim'                       => "<img src='includes/images/16x16/aim.png' alt='AIM' align='left' style='margin-right: 3px;' />",
     'yim'                       => "<img src='includes/images/16x16/yim.png' alt='YIM' align='left' style='margin-right: 3px;' />",
     'msnm'                      => "<img src='includes/images/16x16/msn.png' alt='MSNM' align='left' style='margin-right: 3px;' />",
     'email'                     => "<img src='includes/images/16x16/email.png' alt='E-mail' align='left' style='margin-right: 3px;' />",
     'ip'                        => "<img src='includes/images/16x16/ip.png' alt='IP' align='left' style='margin-right: 3px;' />",
     'ico_logout'                => "<img src='includes/images/blocks/logout.png' alt='' title='{$lang['logout']}' align='left' style='margin-right: 3px;' />",
     'ico_files'                 => "<img src='includes/images/blocks/files.png' alt='' align='left' style='margin-right: 3px;' />",
     'ico_audio'                 => "<img src='includes/images/blocks/audio.png' alt='' align='left' style='margin-right: 3px;' />",
     'ico_jokes'                 => "",
     'pages_mini_ico'            => "<img src='includes/images/blocks/pages.png' alt='' align='left' style='margin-right: 3px;' />",
     'news_mini_ico'             => "<img src='includes/images/blocks/news.png' alt='' align='left' style='margin-right: 3px;' />",
     'media_mini_ico'            => "<img src='includes/images/blocks/media.png' alt='' align='left' style='margin-right: 3px;' />",
     'files_mini_ico'            => "<img src='includes/images/blocks/files.png' alt='' align='left' style='margin-right: 3px;' />",
     'shop_mini_ico'             => "<img src='includes/images/blocks/shop.png' alt='' align='left' style='margin-right: 3px;' />",
     'top_sites_ico'             => "<img src='includes/images/blocks/top_site.png' alt='' align='left' style='margin-right: 3px;' />",
     'register'                  => "<img src='includes/images/blocks/newuser.png' align='left' alt='' style='margin-right: 3px;' />",
     'news_pass'                 => "<img src='includes/images/blocks/passlost.png' align='left' alt='' style='margin-right: 3px;' />",
     
     //other     
     'info'                      => "<img src='includes/images/16x16/info.png' align='left' alt='' />",
     'help'                      => "<img src='includes/images/16x16/help.png' align='left' alt='' />",
     
     //forum
     'new_topic'                 => "<img src='templates/{$load_tpl}/forum/images/english/new_topic.png' alt='{$lang['newtopic']}' />",
     'new_post'                  => "<img src='templates/{$load_tpl}/forum/images/english/new_post.png' alt='{$lang['newpost']}' />",
     'quick_reply'               => "<img src='templates/{$load_tpl}/forum/images/english/quick_reply.png' alt='{$lang['quick_reply']}' />",
     'forum_profile'             => "<img src='templates/{$load_tpl}/forum/images/english/profil.png' alt='{$lang['user_profile']}' />",
     'forum_pm'                  => "<img src='templates/{$load_tpl}/forum/images/english/pm.png' alt='{$lang['semdpm']}' />",
     'forum_new_pm'              => "<img src='templates/{$load_tpl}/forum/images/english/new_pm.png' alt='{$lang['new_pm']}' style='margin-bottom: 5px;' />",
     'forum_new_post'            => "<img src='templates/{$load_tpl}/forum/images/english/new_post.png' alt='{$lang['reply']}' style='margin-bottom: 5px;' />",
     'forum_quote'               => "<img src='templates/{$load_tpl}/forum/images/english/quote.png' alt='{$lang['quote']}' />",
     'forum_edit'                => "<img src='templates/{$load_tpl}/forum/images/english/edit.png' alt='{$lang['edit']}' />",
     'forum_delete'              => "<img src='templates/{$load_tpl}/forum/images/english/delete.png' alt='{$lang['delete']}' />",
     'forum_ip'                  => "<img src='templates/{$load_tpl}/forum/images/english/ip.png' alt='{$lang['showip']}' />",
     
     'forum_totop'               => "<img src='templates/{$load_tpl}/forum/images/up.png' alt='{$lang['totop']}' />",
     'forum_report'              => "<img src='templates/{$load_tpl}/forum/images/english/report.png' alt='{$lang['postreport']}' />",
     'forum_tnx'                 => "<img src='templates/{$load_tpl}/forum/images/english/tnx.png' alt='{$lang['tnxthis']}' />",
     
     'close_topic'               => "<img src='templates/{$load_tpl}/forum/images/english/close_topic.png' alt='{$lang['topic_closed']}' />",
     'adm_edit_topic'            => "<img src='templates/{$load_tpl}/forum/images/icon_edit.png' alt='{$lang['adm_edit_topic']}' />",
     'adm_close_topic'           => "<img src='templates/{$load_tpl}/forum/images/icon_close.png' alt='{$lang['adm_close_topic']}' />",
     'adm_open_topic'            => "<img src='templates/{$load_tpl}/forum/images/icon_open.png' alt='{$lang['adm_open_topic']}' />",
     'adm_split_topic'           => "<img src='templates/{$load_tpl}/forum/images/icon_split.png' alt='{$lang['adm_split_topic']}' />",
     'adm_move_topic'            => "<img src='templates/{$load_tpl}/forum/images/icon_move.png' alt='{$lang['adm_move_topic']}' />",
     'adm_delete_topic'          => "<img src='templates/{$load_tpl}/forum/images/icon_delete.png' alt='{$lang['adm_delete_topic']}' />",
     
     
     'folder_locked_big'         => "templates/{$load_tpl}/forum/images/folder_locked_big.png",
     'folder_locked_big_new'     => "templates/{$load_tpl}/forum/images/folder_locked_big_new.png",
     'folder_new_big'            => "templates/{$load_tpl}/forum/images/folder_new_big.png",
     'folder_big'                => "templates/{$load_tpl}/forum/images/folder_big.png",
     'folder_announce'           => "templates/{$load_tpl}/forum/images/folder_announce.png",
     'folder_sticky'             => "templates/{$load_tpl}/forum/images/folder_sticky.png",
     'folder_new_hot'            => "templates/{$load_tpl}/forum/images/folder_new_hot.png",
     'folder_hot'                => "templates/{$load_tpl}/forum/images/folder_hot.png",
     'folder_hot'                => "templates/{$load_tpl}/forum/images/folder_hot.png",
     
     'forum_folder_big'          => "templates/{$load_tpl}/forum/images/folder_big.png",
     'forum_folder_new_big'      => "templates/{$load_tpl}/forum/images/folder_new_big.png",
     'forum_folder_locked_big'   => "templates/{$load_tpl}/forum/images/folder_locked_big.png",
     
     /*system*/
     'submit_button'             => "templates/{$load_tpl}/images/english/send.png",
     'search_module_image'       => "",
     'search_image'              => "",
);

$imgadmin = array(
     /*system*/
     'done_button'       => "<input class='submit' type='image' src='templates/{$main->tpl}/images/english/done.png' alt='{$main->lang['send']}' />",
     'login_button'      => "<input type='image' src='templates/{$main->tpl}/images/english/login.png' alt='Login' />",
     'send_button'      => "<input class='submit' type='image' src='templates/{$main->tpl}/images/english/login.png' alt='{$main->lang['send']}' />",
);
?>