<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!@defined("FUNC_FILE")) die("Access is limited"); 

$lang = array( 
     /*blocks*/ 
     'google_search'            => 'جستجو در گوگل',
     'yandex_search'            => 'جستجو در یاندکس',
     'adm_blocks'               => 'بلوکها',
     'management'               => 'مدیریت',
     'access_rights'            => 'مدیران',
     'security'                 => 'امنیت',
     'statistic'                => 'آمار',
     'server_info'              => 'اطلاعات سرور',
     'modules'                  => 'ماژول',
     'help'                     => 'کمک',
     'version_check'            => 'بررسی بروز رسانی',
     'phpinfo'                  => 'اطلاعات سرور',
     'admin_login'              => 'ورود به مدیریت سیستم',
     'total'                    => 'عمومی',
     'config'                   => 'تنظیمات',
     'database'                 => 'دیتابیس',
     'confmail'                 => 'ایمیل',
     'home_title'               => 'نام سایت',
     'home_title_d'             => 'برای مثال: "My site"',
     'http_home_url'            => 'آدرس سایت',
     'http_home_url_d'          => 'برای مثال: http://yoursite.net/',
     'charset'                  => 'انکودینگ سایت',
     'charset_d'                => 'انگودینگ نمایش اطلاعات سایت. برای مثال: windows-2151',
     'description'              => 'توضیحات از سایت (توضیحات)',
     'description_d'            => 'شرح مختصر، نه بیش از 200 سمبل',
     'keywords'                 => 'کلمات کلیدی از سایت (کلمات کلیدی)',
     'keywords_d'               => 'بعد از هر کیورد با کاما (,) جدا شود',
     'GMT_correct'              => 'منطقه زمانی',
     'GMT_correct_d'            => 'بر ساعت است. به عنوان مثال : 3 (به همراه سه ساعت)، -2 (منهای دو ساعت) ',
     'rewrite'                  => 'فعال سازی mod rewrite',
     'rewrite_d'                => 'از طریق این مود میتوانید ادرس های را تغییر داده و به شکل دلخواه خود تغییر داده. برای مثال: http://yoursite.net/name_news',
     'separator_rewrite'        => 'جداسازی لینک',
     'separator_rewrite_d'      => 'استفاده از کاراکتر برای جدا کردن اجزای لینک. برای مثال: اگر "-" باشد به شکل http://yoursite.net/news-name_news نمایش داده میشود',
     'file_rewrite'             => 'نام پایانی لینک',
     'file_rewrite_d'           => 'نام پایانی لینک. برای مثال: اگر". html" باشد لینک به صورت زیر نمایش داده میشود <br /> http://yoursite.net/news-name_news.html',
     'separator'                => 'جداکننده عنوان',
     'separator_d'              => 'برای مثال: اگر باشد "|",  در عنوان سایت به صورت "خبر مهم | News @ My Site نمایش داده میشود',
     'sitelogo'                 => 'لوگو سایت',
     'sitelogo_d'               => 'برای مثال: includes/images/logo.png',
     'user_cookies'             => 'نام کوکی مدیران',
     'admin_cookies'            => 'نام کوکی کاربران',
     'user_cookies_d'           => 'نام تعیین شده برای ثبت اطلاعات کوکی کاربران',
     'admin_cookies_d'          => 'نام تعیین شده برای ثبت اطلاعات کوکی مدیران',
     'adm_language'             => 'استفاده از زبان',
     'language_d'               => 'انتخاب زبان، در صورت عدم انتخاب به صورت پیشفرض میباشد',
     'template_d'               => 'انتخاب تمپلیت، در صورت عدم انتخاب به صورت پیشفرض میباشد',
     'default_module'           => 'ماژول پیشفرض صفحه اصلی',
     'default_module_d'         => 'امکان انتخاب چند ماژول در صفحه اصلی',
     'case_template'            => 'تغییر تمپلیت توسط کاربران',
     'case_template_d'          => 'در صورت غیرفعال بود این گزینه تمپلیت سایت به پیشفرض تغییر خواهد کرد',
     'disable_site'             => 'غیرفعال سازی سایت',
     'disable_site_d'           => 'با غیرفعال سازی سایت بازدید کنندگان قادر به استفاده از امکانات سایت نمیباشند',
     'disable_description'      => 'توضیحات علت غیرفعال سازی سایت',
     'disable_description_d'    => 'توضیحات علت غیرفعال سازی سایت. اچ تی ام ال مجاز میباشد',
     'smiles'                   => 'شکلک ها',
     'smile'                    => 'شکلک',
     'smile_code'               => 'کد',
     'undefined'                => 'نامشخص',
     'mode_on'                  => 'فعال',
     'mode_off'                 => 'غیرفعال',
     'serverinfo'               => 'اطلاعات سرور',
     'systeminfo'               => 'اطلاعات سیستم',
     'licence'                  => 'لایسنس',
     'status_site'              => 'وضعیت سایت',
     'rewrite_status'           => 'Rewrite', 
     'gzip'                     => 'حالت فشرده سازی',
     'gzip_level'               => 'سطح فشرده سازی',
     'def_template'             => 'قالب',
     'addnews'                  => 'افزودن خبر',
     'desc_news'                => 'ماژول ایجاد و نگهداری اخبار در سایت',
     'desc_files'               => 'ماژول دریافت فایل',
     'desc_topsite'             => 'ماژول برترین سایت های همکار و دوستان',
     'sortas'                   => 'مرتب سازی',
     'asdate'                   => 'بر اساس تاریخ',
     'astitle'                  => 'بر اساس نام',
     'asstatus'                 => 'بر اساس وضعیت',
     'asname'                   => 'بر اساس نام',
     'asregdate'                => 'بر اساس اطلاعات ثبت نام',
     'aslastvisit'              => 'تاریخ آخرین بازدید',
     'methoddown'               => 'نزولی',
     'methodup'                 => 'صعودی',
     'directory'                => 'مسیر ذخیره سازی فایل',
     'attaching_files_type'     => 'پسوند های مجاز فایل',
     'miniature_image_width'    => 'حداکثر طول عکس کوچک',
     'miniature_image_height'   => 'حداکثر عرض عکس کوچک',
     'max_image_width'          => 'حداکثر طول عکس',
     'max_image_height'         => 'حداکثر عرض عکس',
     'attaching_files_size'     => 'حداکثر حجم',
     'file_upload_limit'        => 'حداکثر فایلهای پیوست شده',
     'publications_in_page'     => 'تعداد نمایش در صفحه',
     'sort_type_publications'   => 'روش مرتب سازی',
     'sort_publications'        => 'نوع مرتب سازی',
     'comments_sort'            => 'مرتب سازی نظرات',
     'rss_title'                => 'عنوان بخش rss',
     'rss_limit'                => 'تعداد نمایش در بخش rss',
     'conf_rss'                 => 'فعال سازی rss ',
     'attaching'                => 'اجازه پیوست فایل',
     'list_publications'        => 'فعال سازی فهرست نشریات',
     'conf_categories'          => 'فعال سازی لیست شاخه ها',
     'multiple_cat'             => 'اجازه دادن به چند شاخه',
     'ratings'                  => 'فعال سازی رای',
     'guests_evaluate'          => 'اجازه رای دادن مهمان',
     'conf_comments'            => 'نظرات',
     'guests_comments'          => 'نظرات مهمان ها',
     'similar_publications'     => 'نمایش مطالب مشابه',
     'moderation_publications'  => 'ارسال مطلب توسط مدیر',
     'comments_publishing'      => 'حذف نظرات',
     'publications_users'       => 'اجازه دادن به کاربران جهت ایجاد نشریات',
     'publications_guest'       => 'اجازه دادن به مهمان ها جهت ایجاد نشریات',
     'conf_page_break'          => 'To allow the page break in the publication', 
     'directory_d'              => 'دایرکتوری برای ذخیره فایل های ضمیمه',
     'attaching_files_type_d'   => 'حق استفاده از فایل های قابل قبول برای دانلود',
     'miniature_image_width_d'  => 'کاهش طول عکس و کوچک سازی بر حسب پیکسل',
     'miniature_image_height_d' => 'کاهش عرض عکس و کوچک سازی بر حسب پیکسل',
     'max_image_width_d'        => 'حداکثر طول عکس واقعی جهت لود بر حسب پیکسل',
     'max_image_height_d'       => 'حداکثر عرض عکس واقعی جهت لود بر حسب پیکسل',
     'attaching_files_size_d'   => 'حداکثر مجاز اپلود فایل به کیلوبایت (Kb)',
     'file_upload_limit_d'      => 'حداکثر تعداد فایل پیوست به در یک نشریه',
     'publications_in_page_d'   => 'تعداد قابل نمایش در هر صفحه',
     'sort_type_publications_d' => 'مرتب کردن بر اساس نوع انتشار به صورت نزولی / صعودی',
     'sort_publications_d'      => 'گزینه ای برای مرتب کردن نشریات',
     'comments_sort_d'          => 'مرتب کردن بر اساس نظرات نزولی / صعودی',
     'rss_title_d'              => 'عنوان کانال آر اس اس که در عنوان صفحه نمایش داده میشود',
     'rss_limit_d'              => 'تعداد نمایش نشریات در کانال آر اس اس',
     'conf_rss_d'               => 'فعال سازی و  غیرفعال سازی کانال ار اس اس',
     'attaching_d'              => 'فعال سازی پیوست فایل در نشریات توسط کاربر',
     'list_publications_d'      => 'نمایش لیست نشریات در صفحه',
     'conf_categories_d'        => 'نمایش لیست شاخه ها در صفحه',
     'multiple_cat_d'           => 'امکان انتخاب شاخه های مختلف برای مطلب',
     'ratings_d'                => 'فعال سازی امکان رای دادن',
     'guests_evaluate_d'        => 'فعال سازی رای دادن توسط تمام بازدید کننده گان',
     'conf_comments_d'          => 'فعال سازی نظرات در تمامی نشریات',
     'guests_comments_d'        => 'فعال کردن نظرات برای مهمانان',
     'similar_publications_d'   => 'نشان دادن تمام مطالب مشابه در بلوک',
     'moderation_publications_d'=> 'فعال و غیرفعال سازی ارسال مطالب توسط مدیر',
     'comments_publishing_d'    => 'کاربران مجاز به حذف نظر خود باشند',
     'publications_users_d'     => 'فعال سازی امکان ارسال مطلب توسط کاربران',
     'publications_guest_d'     => 'فعال سازی امکان ارسال مطلب توسط مهمان',
     'conf_page_break_d'        => 'To activate the multiple page publications',
     'text_smile'               => 'مقدار متن',
     'url_smile'                => 'آدرس عکس',
     'tools'                    => 'ابزار',
     'filemanager'              => 'فایل منیجر',
     'categories_ico'           => 'فعال سازی ایکون شاخه ها',
     'categories_desc'          => 'فعال سازی توضیحات شاخه',
     'categories_ico_d'         => 'نمایش ایکون شاخه های در صفحات',
     'categories_desc_d'        => 'نمایش توضیحات شاخه های در صفحات',
     'sataus_f'                 => 'فعال / غیرفعال سازی انتخاب شده ها',
     'delete_f'                 => 'حذف انتخاب شده ها',
     'weight'                   => 'موقعیت',
     'position'                 => 'مکان',
     'who_views'                => 'قابل نمایش',
     'top_baner'                => 'بنر بالا',
     'top_block'                => 'بالا در مرکز',
     'left_block'               => 'راست',
     'right_block'              => 'چپ',
     'bottom_block'             => 'پایین در مرکز',
     'bottom_baner'             => 'بنر پایین',
     'alluser'                  => 'همه',
     'onlyguest'                => 'فقط مهمان',
     'onlyuser'                 => 'فقط کاربران',
     'onlyadmin'                => 'فقط مدیران',
     'on'                       => '<span style="color: green;"> فعال </ span>',
     'off'                      => '<span style="color: red;"> غیر فعال </ span>',
     'moderation'               => '<span style="color: #2673CC;"> مدیریت </ span>',
     'move_up'                  => 'انتقال به بالا',
     'move_down'                => 'انتقال به پایین',
     'add_block'                => 'افزودن بلوک',
     'create_block'             => 'ایجاد بلوک',
     'admin_block'              => 'کنترل بلوک',
     'php_code'                 => 'افزودن بلوک جدید با کد php',
     'show_module'              => 'نمایش بلوک در ماژول',
     'create_news'              => 'افزودن خبر',
     'configuratin'             => 'تنظیمات',
     'further'                  => 'پیشرفته',
     'patterns_text'            => 'متن ها',
     'message_registration'     => 'قالب پیام برای ثبت نام در سایت',
     'pat_activation_user'      => 'قالب فعال سازی کاربر',
     'message_registration_d'   => 'پیام سایت پس از ثبت نام موفقیت آمیز <br />{SITE} - لینک به وب سایت <br /> {USER} - ورود <br /> {PASSWORD} - رمز عبور کاربر',
     'activation_user_d'        => 'تنظیمات کد فعال سازی در ایمیل کاربر. <br /> {SITE} - لینک به سایت <br /> {USER} - ورود به سایت <br /> {EMAIL} - ایمیل گیرنده <br / > {CODE} - کد فعال سازی کاربر',
     'adminfile'                => 'فایل پنل مدیریت',
     'adminfile_d'              => 'شما می توانید نام فایل را از پنل مدیریت تغییر دهید. به طور پیش فرض، این admin.php است، اگر شما قسمتی از نام فایل را تغییر داده اید  همان تغییر را بر روی سرور اعمال نموده.',
     'logined_admin'            => 'روش مجوز در پنل مدیریت',
     'logined_admin_d'          => 'زمانی که از این روش برای ورود به پنل مدیریت استفاده کنید در هر بار ورود به سایت پسورد از شما خواسته جهت ایجاد کوکی جدید برای جلوگیری از سرقت کوکی ها',
     'standart_method'          => 'روش استاندارد',
     'specify_method'           => 'روش پیشرفته',
     'admin_mail'               => 'آدرس پست الکترونیکی مدیر',
     'admin_mail_d'             => 'آدرس پست الکترونیکی سایت را وارد کنید',
     'send_mail'                => 'تعویض ارسال ایمیل',
     'send_mail_d'              => 'فعال سازی گزینه send_mail()',
     'serverbd'                 => 'سرور دیتابیس',
     'userbd'                   => 'دیتابیس کاربر',
     'passwordbd'               => 'کلمه عبور نام کاربری دیتابیس',
     'namebd'                   => 'نام دیتابیس',
     'prefixbd'                 => 'پیشوند پایگاه داده',
     'typebd'                   => 'نوع دیتابیس',
     'charsetbd'                => 'رمزگذاری دیتابیس',
     'serverbd_d'               => 'آدرس سرور دیتابیس جهت اتصال',
     'userbd_d'                 => 'کاربر پایگاه داده <br /> برای مثال: root',
     'passwordbd_d'             => 'رمز عبور کاربر بانک اطلاعاتی',
     'namebd_d'                 => 'نام پایگاه داده',
     'prefixbd_d'               => 'پیشوند جداول در پایگاه داده',
     'typebd_d'                 => 'انتخاب نوع دیتابیس',
     'charsetbd_d'              => 'رمزنگاری دیتابیس <br /> برای مثال: cp1251',
     'cachebd'                  => 'کش کوئری دیتابیس',
     'cachebd_d'                => 'کش باعث کاهش درخواست ها به دیتابیس میشود',
     'sql_cache_clear'          => 'پاک سازی ذخیره سازی',
     'sql_cache_clear_d'        => 'پاک سازی ذخیره سازی های باعث تمیز شدن و ایجاد ذخیره سازی جدید میشود.',
     'no_cache_tables'          => 'تیبل ذخیره سازی نشود',
     'no_cache_tables_d'        => 'فهرست جداول، با کاما جدا شده نمایش داده شد که نمایش داده نمی شود در ذخیره سازی',
     'capcha_symbols'           => 'لیست خروجی نمادها',
     'capcha_count_symbols'     => 'تعداد نماد خروجی',
     'capcha_symbols_d'         => 'خروجی نمادها، در کد امنیتی',
     'capcha_count_symbols_d'   => 'تعداد نمادهای در خروجی کد امنیتی. به عنوان مثال : 3-5، 3 تا 5 کاراکتر',
     'ajaxload'                 => 'فعال سازی ایجکس',
     'ajaxload_d'               => 'فعال یا غیر فعال کردن انتقال از صفحه به صفحه، با استفاده از آژاکس. تکنولوژی آژاکس باعث کاهش تعداد نمایش داده شد',
     'geoip'                    => 'شناسایی منطقه',
     'geoip_d'                  => 'این گزینه اجازی میدهد تا از ای پی کاربر کشور را انتخاب کند',
     'gz'                       => 'فعال کردن فشرده سازی gZip',
     'gz_d'                     => 'این گزینه برای فشرده سازی اجازه می دهد تا خروجی قابل توجهی از کد تولید شده',
     'gzlevel'                  => 'درجه فشرده سازی gZip',
     'gzlevel_d'                => 'سطح فشرده سازی. توصیه می شود سطح 5 باشد',
     'date_format'              => "فرمت تاریخ <a href = '#' onclick = \" newWindow = window_open ( '/includes/docs/date.html', '', 'toolbar = 0, width = 720, height = 600, resizable = 0, menubar = 0, scrollbars = 1, status = 0 '); return false;\">[&#191;]</a>",
     'date_format_d'            => 'فرمت تاریخ در حالت خروجی',
     'classes_links'            => 'کلاس لینک های ایجکس',
     'classes_links_d'          => 'پیوندهای در این کلاس به طور خودکار به منو آیجکس تبدیل میشوند',
     'interval_session_update'  => 'بازخوانی  session',
     'interval_session_update_d'=> 'مدت زمان بازخوانی مجدد session ها',
     'time_online'              => 'زمان انلاین',
     'time_online_d'            => 'مدت زمان انلاین بودن در سایت بعد از هر بازدید',
     'time_of_life_session'     => 'زمان ذخیره سازی کوکی ها',
     'time_of_life_session_d'   => 'مدت زمان باقی ماندن کوکی های در سایت',
     'editor_conf'              => 'ویرایشگر',
     'dewlope'                  => 'توصعه',
     'rss_chenal'               => 'ار اس اس خوردها',
     
     'mark1'                    => 'پایین گوشه سمت راست',
     'mark2'                    => 'بالا گوشه سمت راست',
     'mark3'                    => 'گوشه پایین سمت چپ',
     'mark4'                    => 'بالا گوشه سمت چپ',
     'mark5'                    => 'وسط',
     'textarea_editor'          => 'متن عادی',
     'bb_editor'                => 'BB ویراشگر',
     'mark_img'                 => 'مارک عکس',
     'mark'                     => 'افزودن مارک',
     'htmlTags'                 => 'لیستی از تگ های اچ تی ام ال مجاز',
     'typeEditor'               => 'نوع ویرایشگر متن',
     'mark_img_d'               => 'لطفا یک تصویر جهت استفاده در مارک از ریشه سایت تعیین کنید',
     'mark_d'                   => 'انتخاب وضعیت مارک',
     'htmlTags_d'               => 'لیستی از تگ های اچ تی ام ال که فیلتر نیست',
     'typeEditor_d'             => 'انتخاب نوع ویرایشگر برای نشریات',
     'allusers'                 => 'همه کاربران',
     'off2'                     => 'غیرفعال',
     'query'                    => 'تحلیل پایگاه داده',
     'variables'                => 'تحلیل متغیرها',
     'mode_debugging_php'       => 'خطا پی اچ پی',
     'mode_debugging_http'      => 'نتیجه خطای HTTP',
     'mode_debugging_sql'       => 'خطا SQL',
     'log_debugging_php'        => 'لاگ اشکالات پی اچ پی',
     'log_debugging_sql'        => 'لاگ خطاهای SQL',
     'log_debugging_http'       => 'لاگ خطاهای HTTP',
     'log_error_user_logined'   => 'لاگ ورود به سیستم',
     'query_d'                  => 'قابلیت نمایش تحلیل کوئری های دیتابیس',
     'variables_d'              => 'نمایش تحلیل متغییرها برای',
     'mode_debugging_php_d'     => 'فعال کردن اشکال زدائی اشکالات پی اچ پی صفحه',
     'mode_debugging_http_d'    => 'فعال کردن دیباگ خطا HTTP  صفحه',
     'mode_debugging_sql_d'     => 'فعال کردن اشکال زدایی خطا SQL صفحه',
     'log_debugging_php_d'      => 'فعال کردن نوشتن بر روی فایل تمام خطاهای پی اچ پی',
     'log_debugging_sql_d'      => 'فعال کردن نوشتن بر روی فایل تمام خطاهای SQL',
     'log_debugging_http_d'     => 'فعال کردن نوشتن بر روی فایل تمام خطاهای HTTP',
     'log_error_user_logined_d' => 'فعال کردن نوشتن بر روی فایل تمام ورودهای ناموفق',
     'monitoring'               => 'نمایش انلاین ها',
     'lastpublications'         => 'انتشارات جدید',
     'newsites'                 => 'آخرین سایت',
     'newjokes'                 => 'آخرین جوک',
     'newfiles'                 => 'آخرین فایل',
     'newmedia'                 => 'آخرین مدیا',
     'newnews'                  => 'آخرین اخبار',
     'dbsize'                   => 'حجم دیتابیس',
     'tablesdb'                 => 'جدول در پایگاه داده',
     'rowsdb'                   => 'تعداد مطالب در دیتابیس',
     'charsetdb'                => 'رمزگذاری جداول',
     'allsites'                 =>' تعداد سایت ها',
     'alljokes'                 =>' همه جوک ها',
     'allfiles'                 =>'همه فایل ها',
     'allmedia'                 => 'همه مدیا ها',
     'allnews'                  => 'مجموع اخبار',
     'stat_database'            => 'دیتابیس',
     'stat_newpub'              => 'انتشارات جدید',
     'stat_allpub'              => 'همه انتشارات',
     'stat_user'                => 'کاربران',
     'stat_alluser'             => 'همه کاربران',
     'nocativeuser'             => 'کاربران غیرفعال',
     'sevendaysreg'             => 'کاربران جدید هفته',
     '30daysreg'                => 'کاربران جدید ماه',
     'visittoday'               => 'تعداد دفعات کاربر در روز',
     'stat_filesystem'          => 'فایل سیستم',
     'cachesize'                => 'حجم حافظه کچ',
     'cachefiles'               => 'تعداد فایل های ذخیره سازی',
     'cachesizesql'             => 'حجم کچ دیتابیس',
     'cachefilessql'            => 'تعداد فایل های ذخیره سازی دیتابیس',
     'logsize'                  => 'حجم فایل لاگ',
     'freespase'                => 'فضای خالی',
     'stat_forum'               => 'انجمن',
     'stat_cats'                => 'ایجاد انجمن',
     'stat_topics'              => 'ایجاد نظم',
     'stat_posts'               => 'پست های چپ',
     'sendmail'                 => 'ارسال ایمیل',
     'categories'               => 'شاخه ها',
     'add_cat'                  => 'افزودن شاخه',
     'add_cubcat'               => 'افزودن زیرشاخه',
     'yes'                      => 'بله',
     'subcat'                   => 'زیرشاخه',
     'yes2'                     => 'بله',
     'level'                    => 'سطح',
     'main_cat'                 => 'شاخه اصلی',
     'description2'             => 'توضیحات',
     'preview'                  => 'پیش نمایش',
     'cat_title_err'            => '<li class="error"> نام شاخه وارد نشده است!</li>',
     'module_err'               => '<li class="error"> شاخه ماؤول انتخاب نشده است!</li>',
     'cat_case_error'           => '<li class="error"> زیر شاخه انتخاب نشده است!</li>',
     'title_mess_err'           => '<li class="error"> عنوان پیام را وارد کنید!</li>',
     'case_module'              => '-= انتخاب =- ماژول',
     'case_cat'                 => '-= انتخاب گروه شاخه =-',
     'groups_sends'             => 'ارسال به',
     'desc_send_meil'           => '{USER} - نام کاربری <br /> {EMAIL} - ایمیل کاربر <br /> {SITE} - لینک به سایت',
     'desc_case_group'          => 'انتخاب گروه جهت ارسال خبرنامه',
     'admin_dec'                => 'مدیریت مدیران و دسترسی به پنل مدیریت',
     'blocks_desc'              => 'مدیریت بلوک ها ، ایجاد ، ویرایش ، حذف ، انتقال',
     'cat_desc'                 => 'کنترل شاخه ها ، زیر شاخه',
     'conf_desc'                => 'تنظیمات سیستم و سایت',
     'db_desc'                  => 'مدیریت و تنظیمات دیتابیس',
     'groups_desc'              => 'مدیریت گروه های کاربری از سایت',
     'modules_desc'             => 'سیستم ماژول، نصب، حذف، قطع ارتباط',
     'rss_chenal_desc'          => 'مدیریت آر اس اس خوردها',
     'sendmail_desc'            => 'مجموع پیام ها',
     'users_desc'               => 'مدیریت کاربران سایت',
     'desc_pages'               => 'ماژول ایجاد و نگهداری از مقالات را در سایت خود. ',
     'filrer_referer'           => 'فعال سازی فیلتر لینک ورودی',
     'filrer_referer_d'         => 'این گزینه تمام متدهای پست را که از سایت های دیگر وارد شده را بلاک میکند',
     'language_conf'            => 'فایل زبان',
     'language_donf_desc'       => 'ویرایش فایل زبان',
     'desc_shop'                => 'ماژول فروشگاه سایت',
     'desc_forum'               => 'ماژول انجمن گفتگو و کنفرانس های انلاین',
     'forum_desc'               => 'توضیحات انجمن',
     'user_lang'                => 'فایل کاربر',
     'vari'                     => 'متغیرها',
     'vari_value'               => 'مقدار',
     'name_file'                => 'نام فایل',
     'file_size'                => 'حجم فایل',
     'count_lang'               => 'تعداد کلمات',
     'info_lang'                => 'جهت ویرایش فایل های زبان باید دسترسی انها را به 666 تغییر داده',
     'key'                      => 'کلید',
     'configmenu'               => 'منو',
     'configmenu_desc'          => 'مدیریت پنل منو',
     'add_row_menu'             => 'افزودن لینک',
     'class'                    => 'سبک های کلاس',
     'errorurl'                 => '<li class="error">لینک ادرس وارد نشده!</li>',
     'configmessages'           => 'پیام ها',
     'messages_desc'            => 'پیام های مهم صفحه اصلی',
     'add_message'              => 'افزودن پیام',
     'enabled'                  => 'فعال سازی',
     'error_message'            => '<li class="error">متن پیام نمیتواند خالی باشد</li>',
     'search_modules'           => 'یافتن ماژول',
     'install'                  => 'نصب',
     'block_status'             => 'نمایش بلوک در ماژول',
     'only_left_block'          => 'فعال کردن تنها بلوک سمت چپ',
     'only_right_block'         => 'فعال کردن فقط بلوک راست',
     'all_block'                => 'فعال کردن بلوک های سمت چپ و راست',
     'disabled_all_block'       => 'غیر فعال کردن بلوک های سمت چپ و راست',
     'access_module'            => 'دسترسی',
//check_translate    
     'add_user'                 => 'افزودن کاربر',
     'search_user'              => 'جستجو کاربر',
     'newpassword'              => 'پسور جدید',
     'allregister'              => 'ثبت نام استاندارد',
     'emailregister'            => 'ثبت نام تایید پست الکترونیکی',
     'adminregister'            => 'ثبت نام برای تست',
     'noregister'               => 'غیرفعال سازی ثبت نام',
     'directory_avatar'         => 'مسیر ذخیره سازی اوتار',
     'directory_avatar_d'       => 'مسیر اپلود و ذخیره سازی اوتار های کاربران',
     'registration_c'           => 'نوع ثبت نام',
     'registration_c_d'         => 'انتخاب نوع ثبت نام کاربران در سایت',
     'guest_name'               => 'نام مهمان',
     'guest_name_d'             => 'نام نمایش برای کاربران مهمان',
     'size_avatar'              => 'حداکثر حجم اوتار',
     'width_avatar'             => 'حداکثر طول اوتار',
     'height_avatar'            => 'حداکثر عرض اوتار',
     'type_avatar'              => 'پسوندهای مجاز اپلود اوتار',
     'password_length'          => 'کلمه عبور',
     'default_group'            => 'گروه پیشفرض',
     'enabled_load_avatar'      => 'فعال سازی اپلود اوتار',
     'load_avatar_d'            => 'اجازه آپلود اواتار به کاربر',
     'attachingpm_d'            => 'اجازه پیوست فایل در پیام خصوصی به کاربر',
     'novalidcatparametr'       => '<li class="error"> شاخه به درستی مشخص نشده است </ li>',
     'cat_cols'                 => 'تعداد ستون شاخه ها',
     'cat_cols_d'               => 'تعداد ستون ها برای نمایش شاخه های موجود در ماژول',
     'clasic_cat'               => 'فعال کردن شاخه های نتیجه گیری ',
     'clasic_cat_d'             => 'Use the attached withdrawal categories',
     'download_resume'          => 'فعال سازی بارگذاری فایل های دانلود',
     'download_speed'           => 'حداکثر سرعت',
     'download_resume_d'        => 'شما می توانید استفاده از بارگذاری فایل ها را به کاربران خود اجازه ندهید ، زمانی که مشکل در هنگام دانلود ارتباط رخ داده است.',
     'download_speed_d'         => 'شما میتوانید حداکثر سرعت دانلود فایل را به کیلو بایت مشخص کنید ',
    'log_emeail'                => 'فعال سازی ارسال پیامهای لاگ ها به ایمیل',
    'log_emeail_d'              => 'هنگامی که ارسال پیامهای لاگ ها به ایمیل را فعال کنید، دردایرکتوری uploads/log/mails/ فایل *.eml ایجاد خواهد شد.',
    'mail_is_html'              => 'روش ارسال پیام',
    'mail_is_html_d'            => 'فرمت متن ارسال پیام',
    'contact_mail'              => 'فرستادن پاسخ به ایمیل',
    'contact_mail_d'            => 'را وارد کنید پست الکترونیک، تحویل داده خواهد شد که تمام پیام های ارسال شده از ماژول "بازخورد"',
    'sends_mail'                => 'ایمیل فرستنده',
    'sends_mail_d'              => 'وارد کنید ایمیل فرستنده اطلاعات',
    'charset_mail'              => 'کاراکتر ایمیل',
    'charset_mail_d'            => 'وارد کنید چارست متن ایمیل ارسالی را',
    'bcc_send'                  => 'Use BCC field to send',
    'bcc_send_d'                => 'If you activate this option, when sending messages as a recipient to be specified multiple recipients, thereby reducing the total time of sending the messages and the number of sent messages.',
    'type_email_send'           => 'نوع ارسال',
    'type_email_send_d'         => 'اگر mail() دردسترس نیست, از  SMTP استفاده کنید',
    'smtp_host'                 => 'SMTP هاست',
    'smtp_port'                 => 'SMTP پورت',
    'smtp_user'                 => 'SMTP نام کاربری',
    'smtp_password'             => 'SMTP کلمه عبور',
    'smtp_host_d'               => 'SMTP آدرس سرور',
    'smtp_port_d'               => 'SMTP پورت سرور',
    'smtp_user_d'               => 'SMTP نام کاربری سرور',
    'smtp_password_d'           => 'SMTP کلمه عبور سرور',
    
    'post_report_pat'           => 'قالب گزارش پست در انجمن',
    'post_report_pat_d'         => 'قالب الگو گزارش کاربر. <br /> {SITE} - لینک به سایت <br /> {USER} - نام کاربر <br /> {TOPIC} - لینک تاپیک انجمن <br /> {POST} - لینک پست انجمن',
    'new_pm_pat'                => 'قالب ایمیل دریافت اطلاع از پیام های شخصی',
    'new_pm_pat_d'              => 'الگو های ارسال پیام خصوصی در ایمیل. <br /> {SITE} - لینک به سایت <br /> {USER} - نام کاربر <br /> (SUBJECT) - عنوان پیام <br /> {SENDER} - فرستنده <br /> {URL} - لینک به پیام',
    'new_password_pat'          => 'قالب درخواست بازیابی پسورد',
    'new_password_pat_d'        => 'پیغام درخواست کاربران از طریق ایمیل. <br /> {SITE} - لینک به سایت <br /> {USER} - نام کاربر <br /> {CODE} - لینک تغییر پسورد',
    'save_newpassword_pat'      => 'قالب ارسال رمز جدید',
    'save_newpassword_pat_d'    => 'الگو پیام پسورد جدید. <br /> {SITE} - لینک به سایت <br /> {USER} - نام کاربر <br /> {PASSWORD} - پسورد جدید',
    'browsers_statistic'        => 'امار مرورگر ها',
    'other_browsers'            => 'مرورگر های ناشناخته',
    'os_statistic'              => 'امار سیستم عامل کاربرها',
    'other_os'                  => 'سیستم عامل ناشناخته',
    'user_id'                   => 'شماره کاربر',
    'case_language_site'        => 'زبان سایت',
    'case_template_site'        => 'قالب سایت',
    'adm_viewemail'             => 'نمایش ایمیل',
    'adm_user_pm_send'          => 'بعد از دریافت پیغام خصوصی از طریق ایمیل با خبر کن',
    'adm_you_avatar'            => 'اوتار کاربر',
    'adm_load_avatar'           => 'آپلود اوتار',
    'case_groups'               => 'گروه کاربری',
    
    'download_guest'             => 'اجازه دریافت فایل برای مهمان',
    'download_guest_d'           => 'بازدید کنندگان غیر عضو مجاز به دریافت فایل هستند',
    'all_users'                  => 'همه کاربران',
    'only_users'                 => 'فقط کاربران',
    'only_moder'                 => 'فقط مدیران',
    'only_admin'                 => 'فقط مدیریت',
    'all'                        => 'همه',
    'ip'                         => 'آدرس آی پی',
    'user_agent_full'            => 'امار پیشرفته',
    'user_agent_full_d'          => 'این گزینه به شما اجازه می دهد تا جزئیات بیشتری از سیستم عامل و مرورگر کاربران داشته باشید',
    'add_group'                  => 'افزودن گروه',
    'points_for_group'           => 'امتیازها',
    'user_in_group'              => 'کاربران',
    'is_special_group'           => 'ویژه',
    'show_user_in_group'         => 'مشاهده کاربران این گروه',
    'color_group'                => 'رنگ گروه',
    'name_group_error'           => '<li class="error"> نام گروه نمیتوان خالی باشد! </li>',
    'points_conf'                => 'امتیازات',
    'limit'                      => 'محدود',
    'status_on'                  => '<span style="color: green;">فعال</span>',
    'status_off'                 => '<span style="color: red;">غیرفعال</span>',
    'optimization_db'            => '<b>بهینه سازی دیتابیس</b>',
    'optimization_db_d'          => 'انجام بهینه سازی جداول پایگاه داده وکاهش حجم ان.',
    'repair_db'                  => '<b>تعمیر دیتابیس</b>',
    'repair_db_d'                => 'وقتی که مشکل در پایگاه داده رخ دهد ، ممکن است صدمه به ساختار جداول پایگاه داده وارد شود ، این تابع سعی خواهد کرد تا آنها را بازگرداند.',
    'run'                        => 'اجرا',
    'backup_db'                  => 'بکاپ',
    'sql_db'                     => 'مدیریت دیتابیس',
    'name_table'                 => 'نام تیبل',
    'size_table'                 => 'حجم تیبل',
    'end_size_table'             => 'حجم بعد از بهینه سازی',
    'optimize_table'             => 'بهینه سازی',
    'rows_table'                 => 'تعداد محتوا',
    'all_size_table'             => 'اندازه کل دیتابیس',
    'status_error'               => 'وضعیت خطاها',
    'status_ok'                  => 'با موفقیت',
    'backup_db2'                 => '<b>پشایبان گیری از دیتابیس</b>',
    'restore_db'                 => '<b>بازیابی بکاپ</b>',
    'list_table_backup'          => 'لیست جداول برای پشتیبان گیری',
    'time_backuper'              => 'مدت زمان ایجاد بکاپ',
    'sizes'                      => 'حجم',
    'create_date'                => 'ایجاد شده',
    'update_date'                => 'آخرین بروز رسانی',
    'type_table'                 => 'نوع',
    'charset_db'                 => 'چارست',
    'field'                      => 'فیلد',
    'type_col'                   => 'نوع فیلد',
    'key_col'                    => 'Key',
    'default_col'                => 'مقدار پیشفرض',
    'extra_col'                  => 'ادامه',
    'insert'                     => 'افزودن',
    'clear'                      => 'تمیز کردن',
    'successful_sql'             => 'درخواست با موفقیت انجام شده ، پردازش شده (تعداد) فیلدها.',
    'successful_sql2'            => 'درخواست با موفقیت انجام شد.',
    'page_list'                  => 'برو به صفحه',
    'run_request'                => 'اجرای کوئری',
    'struct_table'               => 'مشاهده ساختار',
    'realy_clear'                => 'ایا مطمئن هستید از پاک سازی جدول?',
    'show_query'                 => 'مشاهده اطلاعات',
    'structure'                  => 'ساختار',
    'level_type'                 => 'وضعیت',
    'administrator'              => '<span style="color: red;">مدیر سایت</span>',
    'moderator'                  => '<span style="color: green;">مدیر</span>',
    'add_support'                => 'افزودن کاربر',
    'access_modules'             => 'دسترسی ماژول',
    'ad_admin'                   => 'دسترسی ها',
    'ad_blocks'                  => 'بلوک',
    'ad_categories'              => 'شاخه ها',
    'ad_config'                  => 'تنظیمات',
    'ad_database'                => 'دیتابیس',
    'ad_groups'                  => 'گروه ها',
    'ad_language'                => 'فایل زبان',
    'ad_menu'                    => 'منو سایت',
    'ad_messages'                => 'پیام ها',
    'ad_moduleslist'             => 'ماژول',
    'ad_phpinfo'                 => 'اطلاعات سرور',
    'ad_rss'                     => 'خوراک خوان',
    'ad_sendmail'                => 'خبرنامه',
    'ad_statistic'               => 'آمار سایت',
    'ad_users'                   => 'کاربران',
    'ad_management'              => 'لیست مدیریت ماژول ها',
    'ad_modules'                 => 'لیست ماژول های سفارشی',
    'administration_modules'     => 'مدیرت',
    'moderation_module'          => 'مدیران',
    'admin_module_list'          => 'لیست ماژول های موجود',
    'home_module_list'           => 'لیست ماژول های فعال',
    'error_load_amin_module'     => 'یک مشکل در بارگذاری یکی از بخش های مدیریت ماژول وجود دارد، لطفا تنظیمات را چک کنید.',
    'add_shop'                   => 'افزودن آیتم',
    'price'                      => 'قیمت',
    'form_config'                => 'تنظیمات فرم',
    'new_forum'                  => 'ایحاد بخش جدید',
    'new_forum_cat'              => 'ایجاد شاخه جدید',
    'optimize_db'                => 'بهینه سازی و تعمیر دیتابیس',
    'visite_nova'                => 'سایت رسمی',
    'install_stat'               => 'نمایش آمار نصب',
    'change_chmod'               => 'تغییر سطح دسترسی',
    'mod_date'                   => 'آخرین بروز رسانی',
    'copy'                       => 'کپی',
    'paste'                      => 'چسباندن',
    'file_is_copied'             => 'کپی فایل!',
    'enter_octal_number'         => 'Enter octal',
    'changing_access_rights'     => 'تغییر دسترسی',
    'owner'                      => 'مدیر سایت',
    'others'                     => 'غیره',
    'numeric_chmod'              => 'شماره سطح دسترسی',
    'reading'                    => 'خواندن',
    'record'                     => 'نوشتن',
    'execution'                  => 'execution',
    'error_copy'                 => 'Buffer empty',
    'newfile'                    => 'ایجاد فایل جدید',
    'input_filename'             => 'نام فایل جدید را وارد کنید',
    'file_exists'                => 'فایل با این نام از قبل موجود میباشد',
    'input_fildername'           => 'نام فولدر جدید را وارد کنید',
    'folder_exists'              => 'فولدر با این نام از قبل موجود میباشد.',
    'is_writable'                => '<span style="color: green;">قابل نوشتن</span>',
    'is_not_writable'            => '<span style="color: red;">غیرقابل نوشتن</span>',
    'newfolder'                  => 'ایجاد یک دایرکتوری جدید',
    'upload_file'                => 'دریافت فایل',
    'file_is_not_writable'       => '<li class="error"> اشتباه! فایل یا پوشه قابل نوشتن نیست. </li>',
    'file_is_notfound'           => '<li class="error"> اشتباه! فایل یا دایرکتوری یافت نشد. </li>',
    'error_chmod_set'            => '<li class="error"> خطا در نصب و راه اندازی فایل یا دایرکتوری. </li>',
    'error_chmod_func'           => '<li class="error"> خطای ناشناخته! حقوق دسترسی به فایل یا دایرکتوری نصب نشده است. </li>',
    'file'                       => 'فایل',
    'moder_error'                => '<li class="error"> دسترسی غیر ممکن! </li>',
    'admin_error'                => '<li class="error"> شما دسترسی به پانل مدیر این بخش را ندارید! </li>',
    'ad_filemanager'             => 'فایل منیجر',
    'ad_comments'                => 'نظرات',
    'comments_desc'              => 'نمایش نظرات کاربران',
    'ad_attach'                  => 'پیوست ها',
    'attach_desc'                => 'نمایش پیوست ها',
    'ad_pm'                      => 'پیغام خصوصی',
    'pm_desc'                    => 'مشاهده پیام های خصوصی کاربران',
    'security_desc'              => 'سیستم مدیریت امنیت',
    'filemanager_desc'           => 'مدیریت کامل فایل های سیستم',
    'guest_comments_status'      => 'ارسال نظر توسط مهمان',
    'delete_tmp_dir'             => 'حذف پوشه موقت',
    'ad_private_message'         => 'پیغام خصوصی',
    'site_show'                  => 'نمایش سایت',
    'desc_voting'                => 'ماژول نظرسنجی در سایت ایجاد نظرسنجی',
    'desc_search'                => 'ماژول جستجو در سایت.',
    'content_replace'            => 'Car replacement',
    'phplogs'                    => 'PHP Bugs',
    'sqllogs'                    => 'SQL error',
    'httplogs'                   => 'HTTP errors',
    'loginedlogs'                => 'مجوز خطا',
    'center_forum'               => 'آخرین ارسال های انجمن',
    'shopping_cart'              => 'فروشگاه',
    'user_menu'                  => 'منو کاربران',
    'top5_files'                 => 'برترین 5 فایل',
    'voting_random'              => 'نظرسنجی تصادفی',
    'line'                       => 'شروع',
    'page'                       => 'صفحه',
    'code_error'                 => 'خطا',
    'query_string'               => 'کوئری اس کیو ال',
    'size_avatar_d'              => 'حداکثر اندازه مجاز اوتار، که می تواند کاربر ارسال کند',
    'width_avatar_d'             => 'حداکثر طول اوتار، کاربران میتواند ارسال کند',
    'height_avatar_d'            => 'حداکثر عرض اوتار، کاربران میتواند ارسال کند',
    'type_avatar_d'              => 'نوع تصاویر که کاربر می تواند به عنوان اوتار ارسال کند',
    'password_length_d'          => 'حداقل طول کلمه عبور کاربر',
    'default_group_d'            => 'گروه پیشفرض که کاربران بعد از عضویت به ان می پیوندن',
    'enabled_load_avatar_d'      => 'فعال / غیرفعال سازی قابلیت آپلود اوتار سفارشی.',
    'clear_rating_site'          => 'پاک سازی امار سایت',
    'favorite_page_status'       => 'بوکمارک صفحه',
    'favorite_page_status_d'     => 'فعال / غیرفعال سازی نمایش بوک مارک در صفحه',
    'favorite_status'            => 'بوک مارک',
    'favorite_status_d'          => 'فعال / غیرفعال سازی نمایش بوک مارک در ماژول',
    'whois_servoce'              => 'جستجو دامنه',
    'whois_servoce_d'            => 'لینک به خدمات دامنه',
    'tags_page_status'           => 'فعال سازی برچسب صفحات',
    'tags_page_status_d'         => 'فعال / غیرفعال سازی برچسب ها برای ماژول',
    'tags_status'                => 'فعال سازی برچسب در ماژول',
    'tags_status_d'              => 'فعال / غیرفعال سازی برچسب در ماژول',
    'compatibility'              => 'سازگاری',
    'nocompatibility'            => 'بدون ادغام',
    'compatibility_d'            => 'سازگاری سیستم با یک سیستم دیگر',
    'sitemap'                    => 'نقشه سایت',
    'sitemap_desc'               => 'ایجاد اتوماتیک فایل sitemap.xml',
    'always'                     => 'همیشه',
    'hourly'                     => 'هر ساعت',
    'daily'                      => 'روزانه',
    'weekly'                     => 'هفتگی',
    'monthly'                    => 'ماهانه',
    'yearly'                     => 'سالانه',
    'never'                      => 'هرگز',
    'alles'                      => 'مجموع',
    'priority'                   => 'اولویت',
    'changefreq'                 => 'بروز رسانی',
    'all_link'                   => 'لینک ها',
    'create_sitemap'             => 'ایجاد نقشه سایت',
    'mess_sitemap'               => '<b>Sitemap.xml</b> فایل موجود نمیابشد!',
    'monitor_last_robot'         => 'لیست آخرین بات های بازدید کننده',
    'monitor_last_user'          => 'لیست آخرین کاربران بازدید کننده',
    'monitor_online'             => 'مانیتورینگ کاربران انلاین',
    'top5_news'                  => '5 خبر برتر',
    'top5_users'                 => '5 کاربر برتر',
    'tags_files'                 => 'برچسب ماژول دریافت فایل',
    'tags_news'                  => 'برچسب ماژول اخبار',
    'tags_pages'                 => 'برچسب ماژول مقالات',
    'last_news'                  => 'عناوین خبری',
    'last_files'                 => 'جدیدترین فایل ها',
    'last_voting'                => 'آخرین نظرسنجی',
    'in_replace'                 => 'تماس ورودی',
    'out_replace'                => 'تماس خروجی',
    'addblockedip'               => 'بلوک آی پی',
    'top5_sites'                 => '5 سایت برتر',
    'must'                       => 'اجباری',
    'default_value'              => 'پیشفرض',
    'activate'                   => 'فعال سازی',
    'deactivate'                 => 'غیر فعال سازی',
    'case_value'                 => 'The choices',
    'arhive'                     => 'انتشارات',
    'jquery_conf'                => 'پیکربندی جی کوئری',
    'jquery_conf_d'              => 'انتخاب منبع لود فریم ورک',
    'loadlocal'                  => 'هاست',
    'googleserver'               => 'سرور گوگل',
    'noload'                     => 'اشکال در اتصال',
    'new_pm_pat2'                => 'قالب اطلاع رسانی دریافت پیغام خصوصی',
    'new_pm_pat_d2'              => 'الگو های دریافت ایمیل پیغام خصوصی<br />{USER} - نام کاربر<br />{B_LINK_READ} – شروع نگ مشاهده لینک پیغام خصوصی <br />{E_LINK_READ} – بستن تگ مشاهده لینک پیغام خصوصی<br />{B_LINK_CLOSE} – شروع تگ بستن صفحه<br />{E_LINK_CLOSE} – خروج تگ بستن صفحه<br />{B_LINK_ACCOUNT} – شروع تگ لینک به صفحه شخصی<br />{E_LINK_ACCOUNT} – خروج تگ لینک به صفحه شخصی<br />{B_SMALL_STYLE} – شروع تگ سبک های ارتباطی<br />{E_SMALL_STYLE} – خروج تگ سبک های ارتباطی<br />',
    'newpages'                   => 'صفحه جدید',
    'allpages'                   => 'مجموع صفحات',
    'desc_static_pages'          => 'ماژول ایجاد صفحات استاتیک.',
    'desc_contact'               => 'ماژول تماس با مدیریت',
    'newspages'                  => 'صفحه جدید',
    'allowed_domain'             => 'لیست سفید دامنه',
    'negative_domain'            => 'لیست سیاه دامنه',
    'allowed_domain_d'           => 'دامنه های مجاز برای پیوند ها و ارتباط بین سایت',
    'negative_domain_d'          => 'دامنه های غیر مجاز که بسته شده اند از طرف سایت',
    'type_form_row'              => 'نوع فیلد',
    'text_form'                  => 'Textbox',
    'select_form'                => 'Combobox',
    'checkbox_form'              => 'Checkbox',
    'radio_form'                 => 'Radio',
    'textarea_form'              => 'TEXTAREA',
    'add_row_form'               => 'افزودن فیلد',
    'file_form'                  => 'فایل ضمیمه',
    'site_name_for_mail'         => 'نام سایت برای ایمیل',
    'site_name_for_mail_d'       => 'نام استفاده شده برای ارسال نامه ها',
    'template_mail'              => 'قالب نامه ها',
    'template_mail_d'            => 'قالب نامه های و پیام های ارسال شده به ایمیل ها',
    'ad_sitemap'                 => 'نقشه سایت',
    'ad_security'                => 'امنیتی',
    'capcha_admin_login'         => 'فعال سازی کد امنیتی مدیر',
    'capcha_admin_login_d'       => 'فعال سازی کد امنیتی ورود به مدیریت جهت جلوگیری از هک',
);
?>
