<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!@defined("FUNC_FILE")) die("Access is limited"); 
$lang = array(
    'direction'             => 'rtl',
    'error_size'            => 'بیش از اندازه مجاز',
    'error_type'            => 'نوع فایل تصویر اشتباه است',
    'error_pix'             => 'پیکسل بیش از اندازه مجاز',
    'error_load'            => 'خطا در بارگذاری',
    'generate'              => 'مدت زمان اجرای اسکریپت {time} ثانیه',
    'generate_template'     => 'مدت زمان تلفیق تمپلیت {time} ثانیه',
    'time_sql_query'        => 'مدت زمان انجام کوئری {time} ثانیه',
    'sql_querys'            => 'تعداد کوئری های گرفته شده: {query} ',
    'gz_level'              => 'انکودینگ نمایش محتوای صفحه {encoding}',
    'page_size'             => 'اندازه کل صفحه: {size_page} بایت و بعد از فشرده سازی: {gz_size_page} بایت',
    'page_generate'         => 'مدت زمان ایجاد صفحه {time} ثانیه. تعداد ارتباط {query} کوئری در مدت زمان {query_time} ثانیه',
    'error_load_module'     => 'خطا در بارگذاری ماژول. لطفا با مدیریت تماس حاصل فرمائید.',
    'module_off'            => 'این بخش از سایت توسط مدیر غیر فعال شده.',
    'no_view_module'        => 'شما مجاز به دیدن این بخش نیستید.',
    'noinfo'                => 'نامشخص',
    'send'                  => 'ارسال',
    'home'                  => 'صفحه اصلی',
    'home_index'            => 'سایت',
    'account'               => 'صفحه شخصی',
    'news'                  => 'اخبار',
    'files'                 => 'دریافت فایل',
    'media'                 => 'مسیر پوشه مدیا',
    'faq'                   => 'سوالات رایج',
    'top_site'              => 'سایت برتر',
    'contact'               => 'تماس با ما',
    'recommend'             => 'پیشنهادات',
    'priv_message'          => 'پیامهای شخصی',
    'user_controls'         => 'تنظیمات شخصی',
    'logout'                => 'خروج',
    'account_login'         => 'ورود به سایت',
    'login'                 => 'نام کاربری',
    'password'              => 'کلمه عبور',
    'save_authorisation'    => 'مرا به خاطر بسپار',
    'forgot_your_password'  => 'آیا رمز عبور خود را فراموش کرده اید؟',
    'new_user'              => 'ثبت نام',
    'register_info'         => 'با سلام بازدید کننده گرامی. با ثبت نام در سایت شما میتوانید از تمامی بخش های سایت به صورت کامل استفاده کرده برای مثال شرکت در نظرات  افزودن اخبار و بسیاری دیگر. در صورت بروز هرگونه مشکل لطفا با مدیر سایت تماس گرفته',
    'registration_on_site'  => 'ثبت نام در سایت',
    'email'                 => 'ایمیل شما',
    'repassword'            => 'تکرار رمزعبور',
    'reg_user_data'         => 'اطلاعات شما',
    'activation_user'       => 'فعال سازی کاربر',
    'message_reg_all'       => 'با تشکر از شما برای ثبت نام در وب سایت ما بعد از چند لحظه به صفحه شخصی خود منتقل می شوید.',
    'message_reg_email'     => 'با تشکر از شما برای ثبت نام در سایت ما. لینک فعال سازی حساب کاربری به ایمیل شما فرستاده شده است.',
    'message_reg_admin'     => 'با تشکر از شما برای ثبت نام در سایت ما. حساب کاربری شما بعد از تایید مدیر فعال می شود.',
    'you_ip'                => 'آدرس  IP',
    'you_name'              => 'نام شما',
    'you_friend_name'       => 'نام دوستان شما',
    'you_mail'              => 'ایمیل شما',
    'you_friend_mail'       => 'ایمیل گیرنده ',
    'reg_date'              => 'تاریخ عضویت',
    'birthday'              => 'متولد',
    'day'                   => 'روز',
    'month'                 => 'ماه',
    'year'                  => 'سال',
    'blocknocontent'        => 'بدون محتوا',
    'blockproblem'          => 'فایل بلوک یافت نشد',
    'gender'                => 'جنسیت',
    'woman'                 => 'زن',
    'male'                  => 'مرد',
    'icq'                   => 'ICQ number', 
    'aim'                   => 'AIM address', 
    'yim'                   => 'یاهو',
    'msn'                   => 'MSN messenger', 
    'home_page'             => 'صفحه اصلی',
    'occupation'            => 'شغل',
    'interests'             => 'علاقه مندیها',
    'locality'              => 'موقعیت',
    'signature'             => 'امضا',
    'personalcontrols'      => 'تنظیمات شخصی',
    'language_site'         => 'انتخاب زبان',
    'template_site'         => 'انتخاب تمپلیت',
    'viewemail'             => 'نمایش ایمیل برای کاربران',
    'controlsavatars'       => 'تنظیمات اوتار',
    'you_avatar'            => 'اواتار',
    'case_avatar'           => 'انتخاب اوتار',
    'case_avatar2'          => 'انتخاب اوتار',
    'case'                  => 'انتخاب',
    'close'                 => 'بستن',
    'load_avatar'           => 'آپلود اوتار از کامپیوتر شخصی',
    'new_user_password'     => 'تغییر کلمه عبور',
    'you_password'          => 'کلمه عبور شما',
    'you_newpassword'       => 'کلمه عبور جدید',
    'you_renewpassword'     => 'تکرار کلمه عبور جدید',
    'country'               => 'کشور',
    'captcha_input'         => 'محل نوشتن کد امنیتی',
    'captcha'               => 'کد امنیتی',
    'captcha_refresh'       => 'کد امنیتی جدید',
    'captcha_confirmation'  => 'تایید کد امنیتی',
    'message'               => 'پیام',
    'recommend_message'     => 'سلام! <br /> پس از بازدید از سایت {SITENAME} به دوستان خود {USER}  found it interesting and decided to inform you about it. <br /> نام سایت: {SITENAME} <br /> <br /> {DESCRIPTION} <br /> <br /> آدرس سایت: {SITEURL}',
    'contact_send'          => 'پیام شما با موفقیت به مدیر ارسال می شود.',
    'recommend_send'        => 'از معرفی این سایت به دیگران سپاسگزاریم . پیام شما با موفقیت برای دوستتان ارسال گردید',
    /*mouths*/ 
    'january'               => 'فروردین',
    'february'              => 'اردیبهشت',
    'march'                 => 'خرداد',
    'april'                 => 'تیر',
    'may'                   => 'مرداد',
    'june'                  => 'شهریور',
    'july'                  => 'مهر',
    'august'                => 'آبان',
    'september'             => 'آذر',
    'october'               => 'دی',
    'november'              => 'بهمن',
    'december'              => 'اسفند',
    'more'                  => 'ادامه',
    'view_cat'              => 'مشاهده شاخه ها',
    'category'              => 'شاخه',
    'views'                 => 'تعداد بازدید ',
    'author'                => 'نویسنده',
    'date_pub'              => 'تاریخ',
    'total_pages'           => 'مجموع {TOTAL} از {PAGES} صفحات {COUNT} در هر صفحه',
    'title_page'            => 'صفحه از',
    'user_profile'          => 'مشاهده صفحه شخصی',
    'nocat'                 => 'بدون شاخه',
    'comments'              => 'نظرات',
    'nocomment'             => 'بدون نظر',
    'comment'               => 'نظر',
    'only_guest_comment'    => 'فقط کاربران مجاز ارسال نظر میباشند',
    'search'                => 'جستجو',
    'name'                  => 'عنوان',
    'no'                    => 'خیر',
    'text'                  => 'خلاصه',
    'content_text'          => 'جزئیات',
    'attach'                => 'فایل ضمیمه',
    'upload'                => 'دریافت',
    'cancel'                => 'انصراف',
    'delete'                => 'حذف',
    'realdelete'            => 'آیا شما واقعا می خواهید حذف کنید؟',
    'size'                  => 'حجم',
    'active_comments'       => 'فعال سازی نظرات؟',
    'active'                => 'فعال کردن انتشار?',
    'key_link'              => 'متن لینک',
    'popular'               => 'برترین',
    'list'                  => 'فهرست',
    'add'                   => 'افزودن',
    'add_news'              => 'افزودن خبر',
    'author_err'            => '<li class="error"> نام نویسنده وارد نشده است! </li>',
    'name_err'              => '<li class="error"> نام نوشته نشده است! </li>',
    'message_err'           => '<li class="error"> متن نوشته نشده است! </li>',
    'title_err'             => '<li class="error"> عنوان تعیین نشده است! </li>',
    'text_err'              => '<li class="error"> متن تعیین نشده است! </li>',
    'error_email'           => '<li class="error"> آدرس پست الکترونیکی اشتباه است! </li>',
    'error_repass'          => '<li class="error"> کلمه عبور باید یکسان باشد! </li> ',
    'error_user_name'       => '<li class="error"> نام کاربری نمیتواند خالی باشد! </li>',
    'error_user_mail'       => '<li class="error"> ایمیل وارد شده قبلا ثبت نام کرده است! </li>',
    'upload_file_exists'    => '<li class="error"> فایل با این نام از قبل موجود میباشد! </li> ',
    'upload_file_size'      => '<li class="error"> بیش از حدمجاز! </li>',
    'upload_file_type'      => '<li class="error"> فرمت فایل مجاز نیست! </li>',
    'upload_file_image'     => '<li class="error"> اندازه فایل بیش از حد مجاز میباشد! </li>',
    'upload_file_error'     => '<li class="error"> خطا در بارگذاری فایل! </li>',
    'error_this_password'   => '<li class="error"> کلمه عبور قبلی اشتباه است! </li>',
    'error_new_password'    => '<li class="error"> کلمه عبور اشتباه است! </li>',
    'not_correct_capcha'    => '<li class="error"> کد امنیتی اشتباه است! </li>',
    'empty_message'         => '<li class="error"> متن پیام شما استباه است! </li>',
    'empty_friend_name'     => '<li class="error"> نام دوست شما اشتباه است! </li>',
    'empty_friend_mail'     => '<li class="error"> ایمیل دوست شما اشتباه است! </li>',
    'error_login_pass'      => '<li class="error"> نام کاربری یا کلمه عبور اشتباه است! </li> ',
    'error_login_pass2'     => '<li class="error"> نام کاربری و کلمه عبور وارد شده صحیح نیست! </li>',
    'comment_err'           => '<li class="error"> متن پیام وارد نشده است! </li>',
    'dublicate_pub'         => '<li class="error"> انتشارات با همین نام موجود میباشد! </li>',
    'js_code'               => ':کد جاوا اسکریپت',
    'php_codes'             => 'PHP کد',
    'html_code'             => 'HTML کد',
    'css_code'              => 'CSS', 
    'sql_code'              => 'SQL', 
    'code'                  => 'کد:',
    'quote'                 => 'نقل قول',
    'language'              => 'زبان',
    'no_parametrs'          => '<li class="error"> یکی از فیلدهای اجباری پر نشده است! </li> ',
    'save'                  => 'ذخیره',
    'edit'                  => 'ویرایش',
    'edit2'                 => 'تغییر',
    'rss_disabled'          => 'ار اس اس خوان توسط مدیر غیرفعال میباشد.',
    'categoryes'            => 'شاخه ها',
    'hide'                  => 'بازدید کننده محترم، شما وارد سایت نشده اید. لطفا وارد سایت شده در صورت نداشتن نام کاربری میتوانید ثبت نام کنید.',
    'new_open_window'       => 'لینک در پنجره جدید باز میشود',
    'quotes'                => 'to cite', 
    'r1'                    => 'بد',
    'r2'                    => 'قابل قبول',
    'r3'                    => '​​متوسط',
    'r4'                    => 'خوب',
    'r5'                    => 'عالی',
    'wrote'                 => 'نوشته',
    'ok'                    => 'تائید',
    'loading'               => 'در حال بارگزاری',
    'detect_new_ver'        => 'نسخه جدید موجود میباشد',
    'no_detect_new_ver'     => 'نسخه جدیدی پیدا نشد',
    'your_version'          => 'نسخه شما',
    'image'                 => 'عکس',
    'goto'                  => 'رفتن به',
    'up'                    => 'بالا',
    'russian'               => 'روسیه',
    'nova'                  => 'قالب استاندارد',
    'paste_file'            => 'افزودن فایل',
    'paste_mini_image'      => 'افزودن منیاتور',
    'paste_image'           => 'افزودن عکس',
    'dir'                   => 'فهرست ',
    'create_dir'            => 'ایجاد شاخه',
    'rename'                => 'تغییر نام',
    'error_rename'          => 'فایل با این نام از قبل موجود می باشد',
    'rating'                => 'برترین',
    'pub_date'              => 'تاریخ انتشار',
    'pub_time'              => 'زمان',
    'calendar'              => 'تقویم',
    'today'                 => 'امروز ساعت',
    'yesterday'             => 'روز گذشته در',
    'hello'                 => 'سلام',
    'apply'                 => 'تائید',
    'admin_mon'             => 'مدیر',
    'users_mon'             => 'کاربران',
    'users'                 => 'کاربران',
    'bots_mon'              => 'رباتها',
    'bots'                  => 'رباتها',
    'online'                => 'انلاین',
    'guest_mon'             => 'مهمانها',
    'all_mon'               => 'همه',
    'status'                => 'وضعیت',
    'browser'               => 'مرورگر',
    'os'                    => 'سیستم عامل',
    'sek'                   => 'ثانیه.',
    'timetuped'             => 'زمان بیکار',
    'website'               => 'وبسایت',
    'logotype'              => 'نوع لوگو',
    'mail'                  => 'آدرس ایمیل',
    'date'                  => 'تاریخ',
    'english'               => 'انگلیسی',
    'persian'               => 'فارسی',
    'empty_var'             => '<li class="error"> یکی از فیلدها الزامی پر نشده است! </li>',
    'pages'                 => 'صفحه',
    'add_pages'             => 'افزودن صفحه',
    'addmedia'              => 'افزودن مدیا',
    'descript'              => 'توضیحات',
    'links'                 => 'لینک',
    'load_image'            => 'اپلود عکس از کامپیوتر',
    'top_users'             => 'برترین کاربران',
    'group'                 => 'گروه',
    'age'                   => 'سن',
    'userinfo'              => 'اطلاعات کاربر',
    'closed'                => 'مسدوس!',
    'noprivmsg_messages'    => 'بدون پیغام خصوصی',
    'new_pm'                => 'پیغام خصوصی جدید',
    'inbox'                 => 'صندوق پیام',
    'sentbox'               => 'ارسال شده',
    'outbox'                => 'درحال ارسال',
    'savebox'               => 'ذخیره شده',
    'recipient'             => 'گیرنده',
    'recipient_err'         => '<li class="error">متن پیام نمیتواند خالی باشد! </li>',
    'subj_err'              => '<li class="error">عنوان نمیتواند خالی باشد! </li>',
    'subj'                  => 'موضوع',
    'sender'                => 'فرستنده',
    'message_from'          => 'گیرنده',
    'reply'                 => 'پاسخ',
    'pm_save'               => 'ذخیره انتخاب شده ها',
    'pm_delete'             => 'حذف انتخاب شده ها',
    'replys'                =>' پاسخ به پیام:',
    'forum'                 => 'انجمن',
    'shop'                  => 'فروشگاه',
    'add_media'             => 'افزودن مدیا',
    'languages'             => 'زبان ها',
    'templates'             => 'قالب ها',
    'template'              => 'قالب',
    'multilanguage'         => 'فعال سازی انتخاب زبان',
    'multilanguage_d'       => 'فعال کردن فایل زبان خودکار، بسته به آدرس. برای مثال: http://mysite.com/en/news.html یا http://mysite.com/pe/news.html ',
    'jan'                   => 'January',
    'feb'                   => 'February',
    'mar'                   => 'March',
    'apr'                   => 'April',
    'may2'                  => 'May',
    'jun'                   => 'June',
    'jul'                   => 'July',
    'aug'                   => 'August',
    'sep'                   => 'September',
    'oct'                   => 'October',
    'nov'                   => 'November',
    'dec'                   => 'December',
    'pn'                    => 'Mo',
    'vt'                    => 'Tu',
    'sr'                    => 'We',
    'ct'                    => 'Th',
    'pt'                    => 'Fr',
    'sb'                    => 'Sa',
    'vs'                    => 'Su',
    'pdaversion'            => 'فعال کردن پشتیبانی اتوماتیک از PDA',
    'pdaversion_d'          => 'اگر شما این افزونه را برای بازدید کنندگان سایت خود فعال کنید با تلفن های همراه هوشمند، رایانه جیبی، تلفن، سبک خاصی از طراحی سایت خود استفاده کردید در نمایش عکسها.',
    'imgpdaversion'         => 'درج تصویردر زمان مشاهده نشریات نسخه کامپیوتر دستی',
    'imgpdaversion_d'       => 'در صورت فعال سازی، بدون تغییر انتشار ظاهر خواهد شد، اگر نه، در هنگام مشاهده نسخه کامپیوتر دستی انتشار به منظور صرفه جویی در ترافیک تمام عکسها حذف شده است.',
    'points'                => 'امتیازات',
    'posts'                 => 'پست ها',
    'info_file'             => 'آدرس عکس',
    'ukraine'               => 'اوکراین',
    'allerror'              => '<li class="error">هیچ پارامتری در فورم ارسال نشده</li>',
    'errortitle'            => '<li class="error">عنوان نمیتواند خالی باشد</li>',
    'menu'                  => 'منو',
    'cases'                 => 'انتخاب ',
    'open'                  => 'باز',
    'value'                 => 'مقدار',
    'link'                  => 'لینک',
    'last_visit'            => 'آخرین بازدید',
    'last_visitor'          => 'آخرین بازدید کنندگان',
    'newtopic'              => 'تاپیک جدید',
    'newpost'               => 'پاسخ جدید',
    'quick_reply'           => 'پاسخ سریع',
    'semdpm'                => 'ارسال پیغام خصوصی',
    'showip'                => 'نمایش IP ادرس',
    'totop'                 => 'برترین',
    'tnxthis'               => 'با تشکر',
    'postreport'            => 'گزارش سوء استفاده از تاپیک',
    'u_day'                     => 'روز',
    'u_day2'                    => 'روز',
    'u_day3'                    => 'روز',
    'u_h'                       => 'ساعت',
    'u_h2'                      => 'ساعت',
    'u_h3'                      => 'ساعت',
    'u_m'                       => 'دقیقه',
    'u_m2'                      => 'دقیقه',
    'u_m3'                      => 'دقیقه',
    'u_s'                       => 'ثانیه',
    'u_s2'                      => 'ثانیه',
    'u_s3'                      => 'ثانیه',
    'send_new_pm'               => 'پیام خصوصی جدید',
    'to_new_pm'                 => 'برو به صفحه پیام خصوصی',
    'user_pm_send'              => 'بعد از دریافت پیغام خصوصی از طریق ایمیل با خبر کن',
    'sendnewpassword'           => 'بازیابی کلمه عبور',
    'sendnewpassword_info'      => 'برای بازیابی کلمه عبور، نام کاربری و یا پست الکترونیکی خود را وارد کرده تا پیام و نحوه عملکرد برای شما به پست الکترونیکی ارسال شود. این عمل جهت جلوگیری از ورود مهاجمان میباشد.',
    'no_login_search'           => '<li class="error">کاربر با نام کاربری مشخص شده را نمی توان یافت!</li>',
    'no_email_search'           => '<li class="error">کاربر با آدرس ایمیل وارد شده را نمی توان یافت!</li>',
    'send_mail_instruct'        => 'دستور العمل ثبت نام به ایمیل شما ارسالد شد',
    'change_password'           => 'تغییر کلمه عبور',
    'nosearchkey'               => 'شناسه کاربر وارد شده -- یافت نشد!',
    'change_new_password'       => 'شما در حال تغییر رمز عبور در {SITE} هستید',
    'apply_change_password'     => 'رمز عبور شما با موفقیت تغییر کرد',
    'your_user_activeation'     => 'ثبت نام با موفقیت انجام شد. حالا شما می توانید با استفاده از نام کاربری و کلمه عبور وارد شوید.',
    'error_activation_user'     => '<li class="error">خطا!کاربری با چنین کد فعال سازی حساب کاربری یافت نشد.</li>',
    'nodeletefile'              => 'شما مجوز حذف این فایل را ندارید!',
    'norenamefile'              => 'شما مجوز تغییر نام این فایل را ندارید!',
    'new_file_name_empty'       => 'خطا! نام پرونده نمی تواند خالی باشد!',
    'no_cat'                    => 'بدون شاخه',
    'topic_closed'              => 'تاپیک بسته شده',
    'adm_delete_topic'          => 'حذف تاپیک',
    'adm_move_topic'            => 'انتقال تاپیک',
    'adm_split_topic'           => 'تقسیم تاپیک',
    'adm_close_topic'           => 'قفل کردن تاپیک',
    'adm_open_topic'            => 'باز کردن تاپیک',
    'adm_edit_topic'            => 'ویرایش تاپیک',
    'new_posts'                 => 'پست جدید',
    'no_new_posts'              => 'پست جدید وجود ندارد',
    'forum_locked'              => 'تاپیک قفل شده',
    'announcement'              => 'خبر همگانی جدید',
    'new_posts_hot'             => 'پیام های جدید [تاپیک داغ]',
    'no_new_posts_hot'          => 'پیام جدیدی موجود نمیباشد[مطلب داغ]',
    'sticky'                    => 'خبر همگانی',
    'new_posts_locked'          => 'پست جدید [تاپیک بسته شده]',
    'no_new_posts_locked'       => 'بدون پست جدید [تاپیک بسته شده]',
    'forum_folder_locked'       => 'انجمن قفل شده است',
    'forum_folder_new'          => 'پیغام جدید',
    'forum_folder'              => 'پیغام جدید موجود نمیباشد',
    'topic_title'               => 'تاپیک ها',
    'topic_views'               => 'مشاهده',
    'topic_replies'             => 'پاسخ',
    'poster_name'               => 'آخرین پیام',
    'adminpanel'                => 'پنل مدیریت',
    'only_guest_module'         => 'این بخش از سایت در دسترس است تنها برای مهمانان',
    'only_users_module'         => 'این بخش از سایت در دسترس است تنها برای کاربران',
    'only_admin_module'         => 'این بخش از سایت در دسترس است تنها برای مدیران',
    'add_files'                 => 'افزودن فایل',
    'homepage'                  => 'صفحه اصلی',
    'filelink'                  => 'لینک به فایل',
    'uploadfile'                => 'آپلود فایل',
    'file_version'              => 'نسخه فایل',
    'downloads_file'            => 'دریافت',
    'filesize'                  => 'حجم',
    'count_hits'                => 'مشاهده',
    'download'                  => 'دریافت فایل',
    'download_only_user'        => 'دانلود فایل تنها توسط کاربران مجاز است.',
    'site'                      => 'وبسایت',
    'url'                       => 'لینک',
    'print_version'             => 'چاپ',
    'show_user_country'         => 'مشاهده تمام کاربران در منطقه',
    'groups'                    => 'گروه ها',
    'points_rule'               => 'امتیازات',
    'p_add_pages'               => 'انتشار صفحه',
    'p_comment_pages'           => 'نظرات صفحه',
    'p_rating_pages'            => 'امتیاز صفحه',
    'p_add_news'                => 'انتشار خبر',
    'p_comment_news'            => 'نظرات خبر',
    'p_rating_news'             => 'امتیاز خبر',
    'p_add_files'               => 'انتشار فایل',
    'p_comment_files'           => 'نظرات فایل',
    'p_rating_files'            => 'امتیاز به فایل',
    'p_rating_account'          => 'امتیاز کاربر',
    'p_voting'                  => 'شرکت در نظرسنجی',
    'p_contact'                 => 'تماس با ما',
    'p_recoment'                => 'معرفی دوستان',
    'p_forum_topic'             => 'پست جدید در فروم',
    'p_forum_post'              => 'موضوع جدید در انجمن',
    'p_comment_voting'          => 'نظر در نظرسنجی',
    'p_add_pages_d'             => 'ایجاد صفحه جدید در سایت',
    'p_comment_pages_d'         => 'نظر دادن به صفحه',
    'p_rating_pages_d'          => 'امتیاز دادن به صفحه',
    'p_add_news_d'              => 'ایجاد خبر جدید در سایت',
    'p_comment_news_d'          => 'نظر دادن به خبر',
    'p_rating_news_d'           => 'امتیاز دادن به خبر',
    'p_add_files_d'             => 'ایجاد فایل در سایت',
    'p_comment_files_d'         => 'نظر دادن به فایل های افزوده شده',
    'p_rating_files_d'          => 'امتیاز دادن به فایل های افزوده شده',
    'p_rating_account_d'        => 'امتیاز دادن به کاربر',
    'p_voting_d'                => 'شرکت در نظرسنجی های ایجاد شده در سایت',
    'p_contact_d'               => 'تماس با نویسنده و یا مدیر سایت با استفاده از فرم تماس با ما',
    'p_recoment_d'              => 'دعوت دوستان خود به سایت از طریق بخش معرفی دوستان',
    'p_forum_topic_d'           => 'ایجاد تاپیک جدید در انجمن سایت',
    'p_forum_post_d'            => 'ایجاد پست جدید در تاپیک های ایجاد شده در انجمن سایت',
    'p_comment_voting_d'        => 'نظر دادن به نظرسنجی های سایت',
    'action_points'             => 'نوع',
    'descript_points'           => 'توضیحات',
    'count_points'              => 'امتیاز',
    'count_user_in_group'       => 'تعداد اعضا',
    'group_descript'            => 'توضیحات گروه',
    'regions'                   => 'مناطق',
    'subtract_goods'            => 'حذف کردن',
    'add_goods'                 => 'افزودن',
    'count'                     => 'مقدار',
    'info'                      => 'اطلاعات',
    'sum_price'                 => 'مجموع',
    'purchase'                  => 'سفارش',
    'note'                      => 'توضیحات',
    'queued'                    => 'درحال انتظار',
    'paid'                      => 'پرداخت شده',
    'processing'                => 'در حال بررسی',
    'procesed'                  => 'بررسی شده',
    'bay_product'               => 'خرید',
    'last_page'                 => 'پایان',
    'first_page'                => 'خانه',
    'next_page'                 => 'صفحه بعد',
    'prev_page'                 => 'صفحه قبل',
    'lastpublicarions'          => 'آخرین مطالب ارسالی',
    'user'                      => 'کاربران',
    'pm_read'                   => 'خوانده شده',
    'pm_no_read'                => 'خوانده نشده',
    'redirect_page'             => 'انتقال به لینک های خارجی',
    'redirect_warn'             => 'You are leaving the site {SITE} to an external link {URL2GO}, provided one of the user or participant in the project. Administration {SITE} is not responsible for the content of the site {SIET2GO} and strongly recommends <b> not specify </ b> any of its data <b> </ b>, <b> Password </ b>, related to {SITE}, the third-party sites. <br /> <br /> In addition, the site {SIET2GO} may contain viruses, trojans and other malware, dangerous for your computer. If you are unsure about this web site is best for him not to go. <br /> <br /> If you have not changed your mind, click on {LINK2GO}. <br /> If you do not want to risk the security of your account and your computer or do not want to move, press {CANCEL}.',
    'cancel2'                   => 'لغو',
    'voting'                    => 'نظرسنجی',
    'nosearchuser'              => '<li class="error">گیرنده مشخص نشده است</li>',
    'votes'                     => 'مجموع آرا',
    'result_vote'               => 'نتایج آرا',
    'other_votes'               => 'نظرسنجی های دیگر',
    'vote'                      => 'رای',
    'yourisvoted'               => 'شما در این نظرسنجی شرکت کرده اید',
    'yourisnotselectvote'       => '<li class="error"> ایا پاسخ خود را وارد کرده اید! </li>',
    'err_descript'              => '<li class="error"> بدون شرح! </li>',
    'err_name'                  => '<li class="error"> بدون نام! </li>',
    'width'                     => 'طول',
    'height'                    => 'عرض',
    'favorite'                  => 'علاقه مندیها',
    'favorite_add'              => 'افزودن به علاقه مندیها',
    'favorite_del'              => 'حذف علاقه مندی',
    'send_pm'                   => 'ارسال پیام خصوصی',
    'send_email'                => 'ارسال پیام به ایمیل',
    'tags'                      => 'برچسب ها',
    'tags_add'                  => 'افزودن برچسب',
    'tags_goto'                 => 'بازگشت به پیگیری برچسب',
    'case_tags'                 => 'انتخاب برچسب',
    'case_tag_in_module'        => 'انتخاب ماژول برچسب',
    'tag'                       => 'برچسب',
    'user_email_sends'          => 'پیام شما ارسال شد!',
    'title'                     => 'عنوان',
    'module'                    => 'ماژول',
    'functions'                 => 'گزینه ها',
    'list_online'               => 'لیست انلاین ها',
    'newlatpub'                 => 'جدید',
    'error'                     => 'اشتباه',
    'baner'                     => 'بنر',
    'shopping_cart_block'       => 'سبد خرید',
    'shopping_cart_clears'      => 'تخلیه سطل زباله',
    'empty_cart'                => 'سبد خرید شما خالی است',
    'down'                      => 'پایین',
    'search_query'              => 'جستجو',
    'search_ignore'             => 'نادیده گرفته شده',
    'logined'                   => '<b>ورود</b>',
    'register'                  => 'عضویت',
    'personal_page'             => 'بخش خصوصی',
    'isnotsupported'            => '<span style="color: red; font-size: 9px;">این گزینه در این نسخه از سیستم استفاده نمی باشد.</span>',
    'isnotsupported_m'          => '<li class="error"> ماژول در این نسخه از سیستم در دسترس نیست. </li>',
    'similar_pub_title'         => 'نشریات مرتبط',
    'skype'                     => 'اسکایپ',
    'googletalk'                => 'گوگل تاک',
    'checked_user'              => '<span style="color:red">این نام قبلا ثبت شده است</span>',
    'nochecked_user'            => '<span style="color:green">شما می توانید این نام را برای ثبت نام استفاده</span>',
    'checked_empty'             => '<span style="color:red">نام کاربری نمی تواند خالی باشد!</span>',
    'checked_pass'              => 'کلمه عبور هر دو یکسان هستند',
    'nochecked_pass'            => 'کلمه عبور هماهنگ نمیباشد',
    'counts'                    => 'بار',
    'bay_apply'                 => 'سفارش شما ارسال شد. با تشکر.',
    'error_lenghtpass'          => '<li class="error">حداقل طول کلمه عبور {COUNT} کاراکتر!</li>',
    'account_general'           => 'عمومی',
    'account_contact'           => 'تماس با ما',
    'account_avatar'            => 'اوتار',
    'notify_receiving_pm'       => 'باخبر سازی بعد از دریافت پیغام خصوصی',
    'pm_all_read'               => 'علامت زدن به عنوان خوانده شده',
    'static_pages'              => 'صفحات ثابت',
    'static'                    => 'صفحات ثابت',
    'redirect_stoped'           => '<center>کاربر گرامی. مدیریت سایت  {SITE} لینک مورد نظر را بلوک کرده و نمیتوان منتقل شد به ادرس.</center>',
);
?>
