<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

class account_system {
    function login($login, $pass, $redirect=true){
    global $session, $main, $ip;
        $pass = pass_crypt($pass);
        $user = $main->db->sql_fetchrow($main->db->sql_query("SELECT uid, user_name, user_password FROM ".USERS." WHERE user_activation<>'1' AND user_name='{$login}'"));
        if($user['user_password']==$pass){
            if ($_SESSION['save_authorise']=='on') setcookies($login.",".$pass, $main->config['user_cookies']);
             else setcookies($login.",".$pass, $main->config['user_cookies'],1);
            $main->db->sql_query("UPDATE ".USERS." SET user_last_os='".nc_filter($main->agent['os'], TAGS)."', user_last_browser='".nc_filter($main->agent['browser'], TAGS)."', user_last_ip='{$main->ip}', user_last_visit=NOW() WHERE user_name='{$login}'");
            if($main->db->sql_numrows($main->db->sql_query("SELECT uname FROM ".SESSIONS." WHERE uname='{$login}'"))==0) $main->db->sql_query("UPDATE ".SESSIONS." SET uname='{$login}' WHERE sid='".session_id()."'");
            $session->register($login);
            if($redirect) redirect(MODULE);
        } else {
            $log = "".nc_date("Y-m-d H:i:s")." | Incorrect username or password | username::{$_POST['user_name']} | password::{$_POST['user_password']} | {$ip}||\n";
            if(isset($log) AND !empty($log) AND $main->config['log_error_user_logined']) file_write("uploads/logs/logined_logs.log", $log, "a");
            login($main->lang['error_login_pass2']);
        } 
    }
    
    function logout(){
    global $main, $session;
        $session->kill_session_cache();
        if(isset($_SESSION['cache_session_user'])) unset($_SESSION['cache_session_user']);
        if(isset($_SESSION['user'])) unset($_SESSION['user']);
        if(isset($_SESSION['lastVisit'])) unset($_SESSION['lastVisit']);
        if(isset($_SESSION['lastAction'])) unset($_SESSION['lastAction']);
        if(isset($_SESSION['uploaddir'])) unset($_SESSION['uploaddir']);
        setcookies("", $main->config['user_cookies'], 1);
        setcookies("", "update_session", 1);
        setcookies("", "online", 1);
        $main->db->sql_query("UPDATE ".SESSIONS." SET uname='{$main->ip}', ip='{$main->ip}', time='".time()."', module='{$main->module}', url='".get_env('REQUEST_URI')."' WHERE sid='".session_id()."'");
    }
    
    function newuser($user, $email, $password, $admin=false){
    global $userconf, $patterns, $main;
        $chack_mail = ($userconf['registration']=="email" AND $admin==false)?1:0;
        $activation_code = get_random_string(25);
        sql_insert(array(
            'user_id'              => cyr2lat($user),
            'user_name'            => $user,
            'user_email'           => $email,
            'user_password'        => pass_crypt($password),
            'user_regdate'         => nc_date("Y-m-d H:m:s"),
            'user_last_visit'      => nc_date("Y-m-d H:m:s"),
            'user_group'           => $userconf['default_group'],
            'user_activation'      => $chack_mail,
            'user_activation_code' => $activation_code,
            'user_password_update' => time()
        ), USERS);
        if($admin==false){
            unset($_SESSION['cache_session_user']);
            $message = preg_replace(array("#{USER}#", "#{SITE}#", "#{PASSWORD}#"), array($user, "<a href='{$main->config['http_home_url']}'>{$main->config['home_title']}</a>", $password), $patterns['message_registration']);
            send_mail($email, $user, $main->config['sends_mail'], "noreply", $main->lang['registration_on_site'].' @ '.$main->config['site_name_for_mail'], $message);
            if($chack_mail!=0){
                $message = preg_replace(array("#{USER}#", "#{SITE}#", "#{CODE}#", "#{EMAIL}#"), array($user, "<a href='{$main->config['http_home_url']}'>{$main->config['home_title']}</a>", "<a href='{$main->config['http_home_url']}index.php?module=account&do=activation&code={$activation_code}'>{$main->lang['activation_user']}</a>", $email), $patterns['activation_user']);
                send_mail($email, $user, $main->config['sends_mail'], "noreply", $main->lang['activation_user'].' @ '.$main->config['site_name_for_mail'], $message);
            }
            if($userconf['registration']=='all'){sign(false); meta_refresh(6, $main->url(array('module' => $main->module)), $main->lang['message_reg_all']);}
            elseif($userconf['registration']=='email') meta_refresh(6, $main->url(array('module' => $main->module)), $main->lang['message_reg_email']);
            elseif($userconf['registration']=='admin') meta_refresh(6, $main->url(array('module' => $main->module)), $main->lang['message_reg_admin']);
            else meta_refresh(6, $main->url(array('module' => $main->module)), $main->lang['message_reg_admin']);
        }
    }
    
    function new_pawssword(){
    global $main, $captcha_set, $patterns;
        sql_update(array('user_password' => pass_crypt($_POST['user_newpassword'])), USERS, "user_activation_code='{$_POST['key']}'");
        $info = $main->db->sql_fetchrow($main->db->sql_query("SELECT user_name, user_email FROM ".USERS." WHERE user_activation_code='{$_POST['key']}'"));
        $ms = preg_replace(
            array(
                '/\{USER\}/is',
                '/\{SITE\}/is',
                '/\{PASSWORD\}/is'
            ),
            array(
                $info['user_name'],
                "<a href='{$main->config['http_home_url']}'>{$main->config['home_title']}</a>",
                $_POST['user_newpassword']
            ),
            $patterns['save_newpassword']
        );
        send_mail($info['user_email'], $info['user_name'], $main->config['sends_mail'], "noreply", str_replace('{SITE}', $main->config['home_title'], $main->lang['change_new_password']), $ms);
        meta_refresh(3, $main->url(array('module' => $main->module)), $main->lang['apply_change_password']);
    }
    
    function user_update(){
    global $main;
        unset($_SESSION['cache_session_user']);
        sql_update(array(
            'user_gender'       => isset($_POST['user_gender'])?$_POST['user_gender']:"",
            'user_email'        => nc_chenge_reg($_POST['user_email']),
            'user_skype'        => isset($_POST['user_skype'])?$_POST['user_skype']:"",
            'user_gtalk'        => isset($_POST['user_gtalk'])?$_POST['user_gtalk']:"",
            'user_icq'          => isset($_POST['user_icq'])?$_POST['user_icq']:"",
            'user_aim'          => isset($_POST['user_aim'])?$_POST['user_aim']:"",
            'user_yim'          => isset($_POST['user_yim'])?$_POST['user_yim']:"",
            'user_msnm'         => isset($_POST['user_msnm'])?$_POST['user_msnm']:"",
            'user_website'      => isset($_POST['user_website'])?$_POST['user_website']:"",
            'user_occupation'   => isset($_POST['user_occupation'])?$_POST['user_occupation']:"",
            'user_interests'    => isset($_POST['user_interests'])?$_POST['user_interests']:"",
            'user_locality'     => isset($_POST['user_locality'])?$_POST['user_locality']:"",
            'user_signature'    => isset($_POST['user_signature'])?bb($_POST['user_signature']):"",
            'user_new_pm_window'=> isset($_POST['user_new_pm_window'])?bb($_POST['user_new_pm_window']):"",
            'user_viewemail'    => $_POST['viewemail'],
            'user_pm_send'      => $_POST['user_pm_send'],
            'user_avatar'       => $_POST['user_avatar'],
            'user_template'     => $_POST['template'],
            'user_language'     => isset($_POST['language'])?$_POST['language']:"",
            'user_password'     => $_POST['user_password'],
            'user_birthday'     => $_POST['user_birthday'],
            'user_gmt'          => $_POST['user_gmt']
        ), USERS, "user_name='{$main->user['user_name']}'");
    }
    
    function delete_user($id){
    global $main;
        $result = $main->db->sql_fetchrow($main->db->sql_query("SELECT user_name FROM ".USERS." WHERE uid='{$id}'"));
        $main->db->sql_query("DELETE FROM ".USERS." WHERE uid='{$id}'");    
        $main->db->sql_query("DELETE FROM ".COMMENTS." WHERE name='{$result['user_name']}'");
    }
}
?>