<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('NOVACMS')) die("Hacking attempt!");

function global_add_files($msg=""){
global $main, $files, $adminfile, $tpl_create;
    //If there is an error, display it
    if(!empty($msg)) warning($msg);
    //Plug attachment files
    require_once "includes/function/attache.php";
    //If the administration, connect Calendar
    if(is_support()){
        $tpl_create->add2script("optimizer/?includes/javascript/calendar.js");
        $tpl_create->add2link("optimizer/?includes/css/calendar.css");
    }
    //Delete session file downloads
    if(isset($_SESSION['uploaddir'])) unset($_SESSION['uploaddir']);
    if(isset($_SESSION['tags_pub'])) unset($_SESSION['tags_pub']);
    //Open the style sheet
    open();
    //Specifies whether to lock the auto-filled fields
    $disabled = (!is_support() AND is_user()) ? true : false;
    //Create a form add publications
    echo "<form id='autocomplete' enctype='multipart/form-data' method='post' action='".((!defined("ADMIN_FILE")) ? $main->url(array('module' => $main->module, 'do' => 'save')) : "{$adminfile}?module={$main->module}&amp;do=save")."'>\n".
    "<table class='form' align='center' id='form_{$main->module}'>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['you_name']}:<span class='star'>*</span></td><td class='form_input'>".in_text("name", "input_text", $main->user['user_name'], $disabled)."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['you_mail']}:<span class='star'>*</span></td><td class='form_input'>".in_text("mail", "input_text", $main->user['user_email'], $disabled)."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['name']}:<span class='star'>*</span></td><td class='form_input'>".in_text("title", "input_text2", "", false, " onkeyup=\"rewrite_key('key_link', this.value);\"")."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['key_link']}:</td><td class='form_input'>".in_text("key_link", "input_text2")."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['category']}:</td><td class='form_input'>".get_cat(array(''), $main->module, $files['multiple_cat']==ENABLED?true:false)."</td></tr>\n".
    (is_support() ? "<tr class='row_tr'><td class='form_text'>{$main->lang['language']}:</td><td class='form_input'>".get_lang_file()."</td></tr>\n" : "").
    "<tr class='row_tr'><td class='form_text'>{$main->lang['text']}:<span class='star'>*</span></td><td class='form_input'>".editor("descript", 10, "97%")."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['content_text']}:</td><td class='form_input'>".editor("content", 10, "97%")."</td></tr>\n";
    if($files['attaching']==ENABLED OR is_support()) echo "<tr class='row_tr'><td colspan='2' style='margin: 0px; padding: 0px;'><div align='right'><a href='#' class='attache' onclick=\"switch_content('attache'); return false;\">{$main->lang['attach']}</a></div><div id='attache' style='display: none;'><br />".in_hide("uploaddir", $files['directory'].USER_FOLDER."/", true)."<div class='flash' id='upload_progress'></div><div id='upl_up'>".update_list_files($files['directory'].USER_FOLDER."/")."</div>".SWFUpload("index.php?module={$main->module}&amp;do=upload", $files['attaching_files_type'], $files['attaching_files_size'], $files['file_upload_limit'])."</div></td></tr>\n";
    echo $files['tags_status']==ENABLED ? "<tr class='row_tr'><td class='form_text'>{$main->lang['tags_add']}:</td><td class='form_input'>".in_tag()."</td></tr>":'';
    echo "<tr class='row_tr'><td class='form_text'>{$main->lang['homepage']}:</td><td class='form_input'>".in_text('homepage', 'input_text', 'http://')."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['filelink']}:</td><td class='form_input'>".in_text('link', 'input_text', 'http://')."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['file_version']}:</td><td class='form_input'>".in_text('version', 'input_text')."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['uploadfile']}:</td><td class='form_input'><input type='file' name='userfile' size='44' /></td></tr>\n";
    echo "<tr class='row_tr'><td class='form_text'>{$main->lang['filesize']}:</td><td class='form_input'>".in_text('size', 'input_text2')."</td></tr>\n";
    echo is_support() ? "<tr class='row_tr'><td class='form_text'>{$main->lang['pub_date']}:</td><td class='form_input'>".get_date_case(format_date(gmdate("Y-m-d H:i:s"), "Y-m-d H:i:s"))."</td></tr>\n" : "";
    if($files['comments_publishing']==ENABLED OR is_support()) echo "<tr><td class='form_text'>{$main->lang['active_comments']}</td><td class='form_input '>".in_chck("comments", "input_checkbox")."</td></tr>";
    if(is_support()) echo "<tr class='row_tr'><td class='form_text'>{$main->lang['active']}</td><td class='form_input '>".in_chck("active", "input_checkbox", ENABLED)."</td></tr>";
    echo (!defined("ADMIN_FILE")?captcha():"")."<tr><td class='form_submit' colspan='2' align='center'>".send_button()."</td></tr>\n".
    "</table>\n</form><script type='text/javascript'>document.getElementById('autocomplete').setAttribute('autocomplete','off');</script>\n";
    close();
}

function global_save_files(){
global $main, $files;
    //Create a list of elements filtriruemyh POST
    $filter = array('name', 'title', 'key_link', 'tags');
    $filter += (isset($_POST['comments'])) ? array('comments') : array();
    filter_arr($filter, POST, TAGS);
    //Create a list of elements filtriruemyh POST
    if(isset($_POST['cid']) AND is_array($_POST['cid']) AND count($_POST['cid'])>0) foreach ($_POST['cid'] as $kay=>$value) $_POST['cid'][$kay] = nc_filter($_POST['cid'][$kay], TAGS);        
    //Checking Fields
    $msg = error_empty(array('name', 'title', 'descript'), array('author_err', 'title_err', 'text_err')).check_captcha().check_mail($_POST['mail']);
    //Create ID NC
    $files_id = (!isset($_POST['key_link']) OR empty($_POST['key_link'])) ? cyr2lat($_POST['title']) : $_POST['key_link'];
    $load_file = false;
    //Check for duplicate publication
    if(empty($msg)){
        $result = $main->db->sql_query("SELECT files_id, title FROM ".FILES." WHERE files_id='{$files_id}' OR title='{$_POST['title']}'");
        $msg .= ($main->db->sql_numrows($result)>0) ? $main->lang['dublicate_pub'] : "";
        //If no errors are trying to download the file
        if(empty($msg)){
            //Check whether you need to download the file
            if(isset($_FILES["userfile"]) AND !empty($_FILES["userfile"]['name'])){
                //Plugin file downloads
                require_once "includes/classes/uploader.class.php";
                //Create a new file name
                $new_name = get_name_file(cyr2lat($_FILES["userfile"]['name']));
                //Create an array of options for uploading files
                $attach = new upload(array(
                    'dir'    => $files['directory'].USER_FOLDER."/",
                    'file'   => $_FILES["userfile"],
                    'size'   => $files['attaching_files_size'],
                    'type'   => explode(",", $files['attaching_files_type']),
                    'name'   => $new_name
                ));
                if($attach->error) $msg = $attach->get_error_msg();
                elseif(!empty($_FILES["userfile"]['name'])) $load_file = true;
            }
        }
    }
    //If no errors are doing an insert
    if(empty($msg)){
         $cid = ""; 
         //Create a list of tags
         $tags=nc_normalize_tags();
         if(isset($_POST['cid']) AND is_array($_POST['cid']) AND count($_POST['cid'])>0) foreach ($_POST['cid'] as $kay=>$value) $cid .= $value."|";
         $nex_id = $main->db->sql_nextid(sql_insert(array(
             'files_id'      => $files_id,
             'title'         => $_POST['title'],
             'author'        => $_POST['name'],
             'date'          => isset($_POST['year']) ? backgmdate("{$_POST['year']}-{$_POST['month']}-{$_POST['day']}".(isset($_POST['H'])?" {$_POST['H']}:{$_POST['i']}:{$_POST['s']}":" ".nc_date("H:i:s")), "Y-m-d H:i:s") : nc_date("Y-m-d H:i:s"),
             'cid'           => $cid,
             'status'        => ((is_support() AND isset($_POST['active']) AND $_POST['active']==ENABLED) OR $files['moderation_publications']!=ENABLED) ? 1 : 0,
             'show_comment'  => (isset($_POST['comments']) AND $_POST['comments']==ENABLED) ? 1 : 0,
             'tags'          => $tags['str'],
             'show_group'    => '',
             'email'         => $_POST['mail'],
             'url'           => (!empty($_POST['link']) AND $_POST['link']!='http://' AND $load_file==false)?$_POST['link']:($load_file?$attach->file:""),
             'filesize'      => (!isset($_POST['size'])?(!empty($_POST['link']) AND $_POST['link']!='http://' AND $load_file==false)?get_fsize($_POST['link']):($load_file?filesize($files['directory'].USER_FOLDER."/".$attach->file):"0"):$_POST['size']),
             'version'       => nc_substr($_POST['version'], 0, 14),
             'homepage'      => nc_substr($_POST['homepage'], 0, 99),
             'language'      => isset($_POST['language']) ? $_POST['language'] : "",
             'description'   => bb(nc_filter($_POST['descript'])),
             'content'       => bb(nc_filter(empty($_POST['content']) ? $_POST['descript'] : $_POST['content'])),
         ), FILES));
         set_calendar_date($nex_id, $main->module, isset($_POST['year'])?date("Y-m-d", strtotime("{$_POST['year']}-{$_POST['month']}-{$_POST['day']}")):nc_date("Y-m-d"), ((is_support() AND isset($_POST['active']) AND $_POST['active']==ENABLED) OR $files['moderation_publications']!=ENABLED) ? 1 : 0);
         //Adding tags to the database
         set_tags_sql($tags, $nex_id, $main->module);
         //Add items to the user
         add_points($main->points['add_files']);
         //Attach file
         if(rename_attach($files['directory'].USER_FOLDER."/", $files['directory'].$nex_id."/")){ 
             //Update text
             sql_update(array(
                'description'  => bb(nc_filter(str_replace(USER_FOLDER, $nex_id, $_POST['descript']))),
                'content'      => bb(nc_filter(str_replace(USER_FOLDER, $nex_id, empty($_POST['content']) ? $_POST['descript'] : $_POST['content'])))
             ), FILES, "id='{$nex_id}'");
         } elseif($load_file==true AND nc_file_exists($files['directory'].USER_FOLDER."/".$attach->file)) nc_rename($files['directory'].USER_FOLDER."/", $files['directory'].$nex_id."/"); 
         redirect(MODULE);
    } else global_add_files($msg);
}

function global_upload_attach_files(){
global $files;
    require_once "includes/function/attache.php";
    upload_attach($files);
}
?>