<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('NOVACMS')) die("Hacking attempt!");
global $main, $supervision, $forum;

$content = "";
$tpl = new template();
$tpl->get_tpl("templates/{$main->tpl}/forum/show_forum.tpl");
$match = "";
preg_match('/<\!--begin\scat_forum\srow-->(.+?)<\!--end\scat_forum\srow-->/si', $tpl->template, $match);
$tpl->template = preg_replace('/<\!--begin\scat_forum\srow-->(.+?)<\!--end\scat_forum\srow-->/si', '{FORUM_CONTENT}', $tpl->template);
$cat_content = preg_replace('/<\!--begin\sforum\srow-->(.+?)<\!--end\sforum\srow-->/si', '{ROW_CONTENT}', $match[1]);
preg_match('/<\!--begin\sforum\srow-->(.+?)<\!--end\sforum\srow-->/si', $match[1], $match);
$row_content = $match[1];

list($total_posts) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(post_id) FROM ".POSTS.""));
list($total_thems) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(topic_id) FROM ".TOPICS.""));
list($total_users) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(uid)-1 FROM ".USERS.""));

$result = $main->db->sql_query("SELECT f.forum_status, f.forum_id, f.forum_name, f.cat_id, f.forum_posts, f.forum_topics, f.forum_desc, f.forum_last_post_id, f.forum_topics, 
    c.cat_id, c.cat_title, c.cat_sort, 
    p.post_id, p.topic_id, p.post_time, p.poster_id, 
    t.topic_id, t.topic_title, t.topic_replies, t.topic_time,
    u.uid, u.user_id, u.user_name 
    FROM ".FORUMS." AS f LEFT JOIN ".CAT_FORUM." AS c ON(f.cat_id=c.cat_id) LEFT JOIN
    ".POSTS." AS p ON(f.forum_last_post_id=p.post_id) LEFT JOIN
    ".TOPICS." AS t ON(p.topic_id=t.topic_id) LEFT JOIN
    ".USERS." AS u ON(p.poster_id=u.uid)
    ORDER BY c.cat_sort, f.pos");
$arr = array();
$count_rows = $main->db->sql_numrows($result);
if($count_rows>0){
    $_cat_id = -1; $_cat_title = ""; $_rows = ""; $i = 1;
    $row_c = "row2";
    while($i<=$count_rows+1){
        $row = $main->db->sql_fetchrow($result);
        if ($_cat_id!=$row['cat_id'] AND $_cat_id!=-1){
            $forum_cat = array(
                'OPEN_TABLE'          => open(true),
                'CLOSE_TABLE'         => close(true),
                'ROW_CONTENT'         => $_rows,
                'ROW_STYLE'           => $row_c,
                'L_FORUM'             => $main->lang['forum'],
                'L_TOPICS'            => $main->lang['topics'],
                'L_POSTS'             => $main->lang['posts'],
                'L_LASTPOST'          => $main->lang['lastpost'],
                'catrow.CAT_DESC'     => $_cat_title
            );
            $row_c = ($row_c=='row2') ? "row1" : 'row2';
            $replace = array('key' => array(), 'value' => array());
            foreach($forum_cat as $key => $value){$replace['key'][] = '{'.$key.'}'; $replace['value'][] = $value;}
            $content .= str_replace($replace['key'], $replace['value'], $cat_content);
            $_cat_id = $row['cat_id'];
            $_cat_title = $row['cat_title'];
            $_rows = "";
        } elseif($_cat_id==-1) {$_cat_id=$row['cat_id']; $_cat_title=$row['cat_title'];}
        if($i==$count_rows+1) break;
        $floder = get_floder_forum($row['topic_id'], $row['post_time'], $row['forum_status']);
        $y=4;
        while($y>1){
            $topic_title = cut_text($row['topic_title'], $y);
            if(nc_strlen($topic_title)>26) $y--;
            else break;
        }
        
        $forum_row = array(
            'catrow.forumrow.FORUM_NAME'           => "<a class='forumlink' href='".$main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => $row['forum_id']))."' title='{$row['forum_name']}'>{$row['forum_name']}</a>",
            'catrow.forumrow.FORUM_DESC'           => $row['forum_desc'],
            'catrow.forumrow.TOPICS'               => $row['forum_topics'],
            'catrow.forumrow.POSTS'                => $row['forum_posts'],
            'catrow.forumrow.LAST_POST_TITLE'      => !empty($row['user_name']) ? "<img src='templates/{$main->tpl}/forum/images/topic.png' alt='' /><a href='".$main->url(array('module' => $main->module, 'do' => 'showtopic', 'id' => $row['topic_id']))."' title='{$row['topic_title']}'>".$topic_title."</a>" : "<center class='noposts'>{$main->lang['noposts']}</center>",
            'catrow.forumrow.LAST_POST_TIME'       => !empty($row['user_name']) ? user_format_date(gmdate("Y-m-d H:i:s", $row['post_time']), true) : "",
            'catrow.forumrow.LAST_POST_AUTHOR'     => !empty($row['user_name']) ? $main->lang['ot']." ".(($row['poster_id']!=-1) ? "<a href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($row['user_id'], $row['uid'])))."' title='{$main->lang['user_profile']}'>{$row['user_name']}</a>" : $row['user_name']) : "",
            'catrow.forumrow.LAST_POST_IMG'        => !empty($row['topic_title']) ? "<a href='".$main->url(array('module' => $main->module, 'do' => 'lastpost', 'id' => $row['topic_id']))."'><img src='templates/{$main->tpl}/forum/images/icon_topic_latest.png' alt='' /></a>" : "",
            'catrow.forumrow.FORUM_FOLDER_IMG'     => $floder[0],
            'catrow.forumrow.L_FORUM_FOLDER_ALT'   => $floder[1],
            'LOAD_TPL'                             => $main->tpl
        );
        $replace = array('key' => array(), 'value' => array());
        foreach($forum_row as $key => $value){$replace['key'][] = '{'.$key.'}'; $replace['value'][] = $value;}
        $_rows .= (!empty($replace['key'])) ? str_replace($replace['key'], $replace['value'], $row_content) : "";
        $i++;
    }
} else $content = info($main->lang['noforumlist'], true);

$userlist = "";
foreach(array_merge($supervision['admin'], $supervision['users'], $supervision['bots']) as $key => $value) $userlist .= (!empty($value['user_name'])) ? "<a href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($value['user_id'], $value['uid'])))."' title='{$main->lang['user_profile']}' style='color: #{$value['color']}'>{$value['user_name']}</a>, " : "";
$userlist = nc_substr($userlist, 0, nc_strlen($userlist)-2);

$formlogin = "<form action='index.php?module=account&amp;do=sign' method='post'><div align='center'>
{$main->lang['login']}: <input type='text' name='user_name' value='' style='margin-right: 10px;' /> 
{$main->lang['password']}: <input type='password' name='user_password' value='' />
<input type='submit' value='{$main->lang['send']}' /></div>
</form>";
if(is_user()) $tpl->template = preg_replace('/<\!--begin\slogin-->(.+?)<\!--end\slogin-->/si', '', $tpl->template);
else $tpl->set_tpl('{USER_LOGINED}', $formlogin);

$forum_template = array(
    'OPEN_TABLE'          => open(true),
    'CLOSE_TABLE'         => close(true),
    'FORUM_CONTENT'       => $content,
    
    'MENU_PROFILE'        => "<a href='".$main->url(array('module' => 'account', 'do' => 'controls'))."' title='{$main->lang['personal_page']}'>{$main->lang['personal_page']}</a>",
    'MENU_SEARCH'         => "<a href='".$main->url(array('module' => $main->module, 'do' => 'search'))."' title='{$main->lang['search']}'>{$main->lang['search']}</a>",
    'MENU_USERS'          => "<a href='".$main->url(array('module' => 'top_users'))."' title='{$main->lang['users']}'>{$main->lang['users']}</a>",
    'MENU_LOGOUT'         => is_user() ? "<a href='".$main->url(array('module' => 'account', 'do' => 'logout'))."' title='{$main->lang['logout']}'><b>{$main->lang['logout']} [ {$main->user['user_name']} ]</b></a>" : "<a href='".$main->url(array('module' => 'account', 'do' => 'login'))."' title='{$main->lang['logined']}'>{$main->lang['logined']}</a> | <a href='".$main->url(array('module' => 'account', 'do' => 'new_user'))."' title='{$main->lang['register']}'>{$main->lang['register']}</a>",
    
    'LOAD_TPL'            => $main->tpl,
    'LAST_VISIT_DATE'     => is_user()?$main->lang['forum_last_visit'].": ".format_date(isset($_SESSION['lastVisit'])?$_SESSION['lastVisit']:nc_date("Y-m-d H:i:s"), "{$main->config['date_format']} H:i:s"):"",
    'CURRENT_TIME'        => format_date(nc_date("Y-m-d H:i:s"), "{$main->config['date_format']} H:i:s"),
    'L_WHO_IS_ONLINE'     => $main->lang['who_is_online'],
    'L_NEW_POSTS'         => $main->lang['new_posts'],
    'L_NO_NEW_POSTS'      => $main->lang['no_new_posts'],
    'L_FORUM_LOCKED'      => $main->lang['forum_locked'],
    'TOTAL_POSTS'         => $main->lang['total_posts'].": ".$total_posts,
    'TOTAL_THEMS'         => $main->lang['total_thems'].": ".$total_thems,
    'TOTAL_USERS'         => $main->lang['total_users'].": ".$total_users,
    'TOTAL_USERS_ONLINE'  => $main->lang['total_users_online'].": ".(count(array_merge($supervision['admin'], $supervision['users'], $supervision['bots'], $supervision['guest']))),
    'LOGGED_IN_USER_LIST' => $main->lang['logged_in_user_list'].": ".$userlist,
    'L_INDEX'             => "<a href='".$main->url(array('module' => $main->module))."' title='{$forum['forum_title']}'>{$forum['forum_title']}</a>",
    'L_SEARCH_NEW'        => is_user()?"<a href='".$main->url(array('module' => $main->module, 'do' => 'unanswered'))."' title='{$main->lang['search_new']}'>{$main->lang['search_new']}</a>":"",
    'L_SEARCH_SELF'       => is_user()?"<a href='".$main->url(array('module' => $main->module, 'do' => 'egosearch', 'id' => nc_encodeurl($main->user['user_name'])))."' title='{$main->lang['search_self']}'>{$main->lang['search_self']}</a>":"",
    'L_SEARCH_UNANSWERED' => is_user()?"<a href='".$main->url(array('module' => $main->module, 'do' => 'newposts'))."' title='{$main->lang['search_unanswered']}'>{$main->lang['search_unanswered']}</a>":""
);
foreach($forum_template as $key => $value) $tpl->set_tpl("{".$key."}", $value);
$tpl->tpl_create();  


?>