<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('NOVACMS')) die("Hacking attempt!");  
global $main, $forum, $smiles, $ip, $cache_ignore, $type_select;

//Check if ID
$id = isset($_GET['id']) ? intval($_GET['id']) : (isset($_POST['id'])?intval($_POST['id']):0);
if(empty($id)) nc_http_ereor_logs(403);

//Plug attachment files
require_once "includes/function/attache.php";
if(isset($_SESSION['uploaddir'])) unset($_SESSION['uploaddir']);

//Initialize the template
$tpl = new template();    
$tpl->get_tpl("templates/{$main->tpl}/forum/posting.tpl");

//Create a list of possible "do"
$topic_posting = array('newtopic', 'sendnewtopic', 'topicedit', 'sendtopicedit');
$post_posting = array('newpost', 'sendnewpost', 'postedit', 'sendpostedit', 'qutoepost');

//If you are not a moderator or administrator - remove the administrator of a template function
if((!is_support() AND !is_moder($_GET['id'])) OR !in_array($_GET['do'], $topic_posting)) $tpl->template = preg_replace('/<\!--onlyadmin-->(.+?)<\!--onlyadmin-->/si', '', $tpl->template);

//If you edit the topic
if($_GET['do']=='topicedit') {
    $tpl->template = preg_replace('/<\!--message\sbox-->(.+?)<\!--message\sbox-->/si', '', $tpl->template);
    $topic_info = $main->db->sql_fetchrow($main->db->sql_query("SELECT topic_title, topic_desc, topic_type, ico FROM ".TOPICS." WHERE topic_id='".intval($_GET['id'])."'"));
}

//If you edit the message
if($_GET['do']=='postedit' OR $_GET['do']=='qutoepost') $post_info = $main->db->sql_fetchrow($main->db->sql_query("SELECT * FROM ".POSTS." WHERE post_id='".intval($_GET['id'])."'"));

//Create a table of emoticons
$i=0; $y=1;
$smilesbox = "<table align='center'>";
foreach($smiles as $key=>$arr){
    if($y==21) break;
    $img = "<td align='center' width='39' height='39'><img onclick=\"$$('message').value=$$('message').value+' ".magic_quotes($arr[0])." '\" style='cursor: pointer;' src='{$arr[1]}' alt='".htmlspecialchars($arr[0], ENT_QUOTES)."' title='".htmlspecialchars($arr[0], ENT_QUOTES)."' /></td>";
    if($i==0) $smilesbox .= "<tr>{$img}";
    elseif($i==3) {$smilesbox .= "{$img}</tr>"; $i=-1;}
    else $smilesbox .= $img;
    $i++; $y++;
}

//Create a table of icons
$sel_ico = (!isset($topic_info) AND !isset($post_info)) ? 'noico' : (isset($topic_info) ? (!empty($topic_info['ico'])?$topic_info['ico']:'noico') : (!empty($post_info['ico'])?$post_info['ico']:'noico'));
$ico = "<table><tr>\n";
for ($i=1; $i<=14; $i++) {
    $ico .= "<td>".in_radio('ico', "icon{$i}", "<img src='templates/{$main->tpl}/forum/ico_topic/icon{$i}.gif' alt='icon-{$i}' />", "icon-{$i}", ($sel_ico=="icon{$i}")?true:false)."</td>\n";
    $ico .= ($i==7) ? "</tr><tr>" : "";
}
$ico .= "</tr><tr><td colspan='7'>".in_radio('ico', '', $main->lang['no_ico_posting'], "icon-no", ($sel_ico=='noico')?true:false)."</td></tr></table>";

//If you do the same with an array of topics
if(in_array($_GET['do'], $topic_posting)){    
    if($_GET['do']=='sendnewtopic' OR $_GET['do']=='newtopic') $result = $main->db->sql_query("SELECT forum_id, forum_name, forum_status, acc_write FROM ".FORUMS." WHERE forum_id='{$id}'");
    else $result = $main->db->sql_query("SELECT f.forum_id, f.forum_name, f.forum_status, f.acc_write, t.topic_id, t.forum_id FROM ".FORUMS." AS f, ".TOPICS." AS t WHERE t.forum_id=f.forum_id AND t.topic_id='{$id}'");        
    //If not found a forum topic and shows the error
    if($main->db->sql_numrows($result)==0) nc_http_ereor_logs(404);
    $topic = $main->db->sql_fetchrow($result);
    user_type_change($topic['forum_id']);
    if(is_acc($topic['acc_write'])){
        //Check whether the user can not post new threads
        if($topic['forum_status']!=1 OR is_moder($topic['forum_id']) OR is_support()){
            $msg = "";
            //If you save
            if($_GET['do']=='sendnewtopic' OR $_GET['do']=='sendtopicedit'){
                filter_arr(array('title', 'desc', 'type', 'ico'), POST, TAGS);
                if($_GET['do']!='sendtopicedit'){
                    $_POST['message'] = nc_filter($_POST['message'], HTML);
                    $msg = error_empty(array('title', 'message'), array('topic_title_empty', 'tp_message_empty'));
                } else $msg = error_empty(array('title'), array('topic_title_empty'));
                //Include ignoring cache
                $cache_ignore = true;
                list($timeout) = $main->db->sql_fetchrow($main->db->sql_query("SELECT user_timeout FROM ".USERS." WHERE uid='{$main->user['uid']}'"));
                //Turn off ignoring cache
                $cache_ignore = false;
                if($_GET['do']=='sendnewtopic') $msg .= ($timeout>time() AND !is_support()) ? str_replace('{TIME}', time2string($timeout-time()), $main->lang['timeoutpost']) : "";
                if(empty($msg)){
                    $_topic = array(
                        'forum_id'          => intval($topic['forum_id']),
                        'topic_title'       => nc_substr($_POST['title'], 0, 149),
                        'topic_desc'        => nc_filter($_POST['desc'], TAGS),
                        'topic_poster'      => $main->user['uid'],
                        'topic_time'        => date("U", strtotime(nc_date("Y-m-d H:i:s"))),
                        'topic_poster_name' => $main->user['user_name'],
                        'ico'               => nc_filter($_POST['ico'], TAGS),
                        'topic_views'       => '0',
                        'topic_type'        => empty($_POST['type'])?"0":intval($_POST['type'])
                    );
                    if($_GET['do']=='sendnewtopic'){
                        //Create a new topic
                        sql_insert($_topic, TOPICS);
                        //Learn generated ID threads
                        list($topic_id) = $main->db->sql_fetchrow($main->db->sql_query("SELECT topic_id FROM ".TOPICS." WHERE topic_poster='{$main->user['uid']}' ORDER BY topic_id DESC LIMIT 1"));
                        //Create the first post topics
                        sql_insert(array(
                            'topic_id'      => $topic_id,
                            'forum_id'      => intval($topic['forum_id']),
                            'poster_id'     => $main->user['uid'],
                            'post_time'     => date("U", strtotime(nc_date("Y-m-d H:i:s"))),
                            'poster_ip'     => $ip,
                            'post_subject'  => nc_substr($_POST['title'], 0, 149),
                            'post_text'     => bb($_POST['message']),
                            'poster_name'   => $main->user['user_name'],
                            'ico'           => nc_filter($_POST['ico'], TAGS)
                        ), POSTS);    
                        add_points($main->points['forum_topic']);
                        //Learn-generated message ID
                        list($post_id) = $main->db->sql_fetchrow($main->db->sql_query("SELECT post_id FROM ".POSTS." WHERE topic_id='{$topic_id}' AND poster_id='{$main->user['uid']}' ORDER BY post_id DESC LIMIT 1"));                    
                        //Update the information on the topic
                        $main->db->sql_query("UPDATE ".TOPICS." SET topic_first_post_id='{$post_id}', topic_last_post_id='{$post_id}' WHERE topic_id='{$topic_id}'");
                        //Update the information on the forum
                        $main->db->sql_query("UPDATE ".FORUMS." SET forum_posts=forum_posts+1, forum_topics=forum_topics+1, forum_last_post_id='{$post_id}' WHERE forum_id='{$id}'");                
                        //Adds +1 to the number of messages posted
                        update_posts($main->user['uid'], "+");
                        //Check if attachments
                        if(rename_attach($forum['directory'].USER_FOLDER."/", $forum['directory'].$post_id."/")){
                            $_POST['message'] = str_replace(USER_FOLDER, $post_id, $_POST['message']);
                            sql_update(array('post_text' => bb($_POST['message'])), POSTS, "post_id='{$post_id}'");
                        }
                        redirect($main->url(array('module' => $main->module, 'do' => 'showtopic', 'id' => $topic_id)));
                    } elseif(is_moder($topic['forum_id']) OR is_support()){
                        //Remove unnecessary parameters
                        $unset = array('topic_views', 'topic_time', 'topic_poster_name', 'topic_poster', 'forum_id');
                        foreach($unset as $value) unset($_topic[$value]);
                        //Saving edited with Topeka
                        sql_update($_topic, TOPICS, "topic_id='".intval($_GET['id'])."'");
                        redirect($main->url(array('module' => $main->module, 'do' => 'showtopic', 'id' => $id)));
                    }
                }
            }

            //Create a list of possible topics
            $posting_type = "";
            $_arr_types = array('normal_topic', 'advertisement_topic', 'important_topic');
            $key_sel = (!isset($topic_info)) ? 0 : $topic_info['topic_type'];
            foreach($_arr_types as $key => $value) $posting_type .= "<span class='type_topic'>".in_radio('type', $key, $main->lang[$value], 'type'.$key, (($key==$key_sel)?true:false))."</span>";
        
            if(($_GET['do']!='topicedit' AND $_GET['do']!='sendtopicedit')) add_meta_value($main->lang['new_topic']);
            else add_meta_value($main->lang['edit_topic']);
            //Create a template topic
            $forum_template = array(
                'OPEN_TABLE'            => open(true),
                'CLOSE_TABLE'           => close(true),
                'LOAD_TPL'              => $main->tpl,

                'posting.TOPIC'         => "",
                'posting.MSG'           => !empty($msg)?warning($msg, true):"",
                'posting.ACTION'        => ($_GET['do']=='newtopic' OR $_GET['do']=='sendnewtopic') ? $main->url(array('module' => $main->module, 'do' => 'sendnewtopic', 'id' => $_GET['id'])) : $main->url(array('module' => $main->module, 'do' => 'sendtopicedit', 'id' => $_GET['id'])),
                'posting.CASE_ICO'      => $ico,
                'posting.CASE_TYPE'     => $posting_type,
                'posting.TITLE'         => in_text('title', 'input_text2', isset($topic_info) ? $topic_info['topic_title'] : ""),
                'posting.DESC'          => in_text('desc', 'input_text2', isset($topic_info) ? $topic_info['topic_desc'] : ""),
                'posting.EDITOR'        => ($_GET['do']!='topicedit' AND $_GET['do']!='sendtopicedit') ? "<div class='editorbox'>".editor('message', '160px', '100%')."</div>" : "",
                'posting.SMILES'        => "<div class='smilesbox'>{$smilesbox}</table></div>",
                'posting.SUBMIT'        => send_button(),
                'posting.ATTACH'        => "<div id='attache' style='display : none;' class='box'><h3>{$main->lang['attach']}</h3><br />".in_hide("uploaddir", $forum['directory'].USER_FOLDER."/", true)."<div class='flash' id='upload_progress'></div><div id='upl_up'>".update_list_files($forum['directory'].USER_FOLDER."/")."</div>".SWFUpload("index.php?module={$main->module}&amp;do=upload", $forum['attaching_files_type'], $forum['attaching_files_size'], $forum['file_upload_limit'])."</div>",

                'FORUM_NAME'            => "<a href='".$main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => $topic['forum_id']))."' title='{$topic['forum_name']}'>{$topic['forum_name']}</a>",
                'L_INDEX'               => "<a href='".$main->url(array('module' => $main->module))."' title='{$main->lang['forum_index']} {$main->config['home_title']}'>{$forum['forum_title']}</a>",
                'L_POSTING_TITLE'       => $main->lang['topic_name'],
                'L_POSTING_DESC'        => $main->lang['topic_desc'],
                'L_POSTING_TYPE'        => $main->lang['topic_type'],
                'L_POSTING_ICO'         => $main->lang['topic_ico'],
            );

            //Apply the variables
            foreach($forum_template as $key => $value) $tpl->set_tpl("{".$key."}", $value);
            //Deduce template
            $tpl->tpl_create();
        }
    } else {
        //Create a template topic
        $tpl->template = preg_replace('/<\!--content-->(.+?)<\!--content-->/si', '{CONTENT}', $tpl->template);
        $forum_template = array(
            'OPEN_TABLE'            => open(true),
            'CLOSE_TABLE'           => close(true),
            'LOAD_TPL'              => $main->tpl,
            'CONTENT'               => info("<b>{$main->lang['no_acc_new_topic']}</b>", true),
            'posting.MSG'           => '',
            'posting.TOPIC'         => '',
            'FORUM_NAME'            => "<a href='".$main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => $topic['forum_id']))."' title='{$topic['forum_name']}'>{$topic['forum_name']}</a>",
            'L_INDEX'               => "<a href='".$main->url(array('module' => $main->module))."' title='{$main->lang['forum_index']} {$main->config['home_title']}'>{$forum['forum_title']}</a>",
        );
        
        //Apply the variables
        foreach($forum_template as $key => $value) $tpl->set_tpl("{".$key."}", $value);
        //Deduce template
        $tpl->tpl_create();
    }
//If you do the same with an array of post ...
}elseif($post_posting){
    if($_GET['do']=='sendnewpost' OR $_GET['do']=='newpost') $result = $main->db->sql_query("SELECT f.forum_id, f.forum_name, f.forum_status, f.acc_post, t.topic_id, t.forum_id, t.topic_title, t.topic_status FROM ".FORUMS." AS f, ".TOPICS." AS t WHERE t.forum_id=f.forum_id AND t.topic_id='{$id}'");
    else $result = $main->db->sql_query("SELECT f.forum_id, f.forum_name, f.forum_status, f.acc_post, t.topic_id, t.forum_id, t.topic_title, t.topic_status, p.post_id, p.topic_id, p.forum_id, p.poster_id FROM ".FORUMS." AS f, ".TOPICS." AS t, ".POSTS." AS p WHERE t.topic_id=p.topic_id AND p.forum_id=f.forum_id AND p.post_id='{$id}'");
    //If not found topic, we derive a 404
    if($main->db->sql_numrows($result)==0) nc_http_ereor_logs(404);
    $topic = $main->db->sql_fetchrow($result);
    user_type_change($topic['forum_id']);
    if(is_acc($topic['acc_post'])){
        //Remove the template functions are applicable only to the creation topics
        $tpl->template = preg_replace('/<\!--onlytopic-->(.+?)<\!--onlytopic-->/si', '', $tpl->template);
        //Check whether the user can leave a message
        if(($topic['forum_status']!=1 AND $topic['topic_status']!=1 AND ($_GET['do']=='qutoepost' OR !isset($topic['poster_id']) OR $topic['poster_id']==$main->user['uid'] OR is_moder($topic['forum_id']) OR is_support()))){            
            $msg = "";
            //Defining the download directory
            $uploaddir = (isset($topic['post_id']) AND nc_file_exists($forum['directory'].$topic['post_id']."/") AND $_GET['do']!='qutoepost') ? $forum['directory'].$topic['post_id']."/" : $forum['directory'].USER_FOLDER."/";
            $_SESSION['uploaddir'] = $uploaddir;
            //If you save
            if($_GET['do']=='sendnewpost' OR $_GET['do']=='sendpostedit'){
                //Filters the received data
                filter_arr(array('title', 'ico'), POST, TAGS);
                $_POST['message'] = nc_filter($_POST['message'], HTML);
                $msg = error_empty(array('message'), array('tp_message_empty'));
                //Include ignoring cache
                $cache_ignore = true;
                list($timeout) = $main->db->sql_fetchrow($main->db->sql_query("SELECT user_timeout FROM ".USERS." WHERE uid='{$main->user['uid']}'"));
                //Turn off ignoring cache
                $cache_ignore = false;
                //Check timeout
                if($_GET['do']=='sendnewpost') $msg .= ($timeout>time() AND !is_support()) ? str_replace('{TIME}', time2string($timeout-time()), $main->lang['timeoutpost']) : "";
                if(empty($msg)){
                    if($_GET['do']=='sendnewpost'){
                        //Create a new message
                        $new_post_id = sql_insert(array(
                            'topic_id'      => intval($topic['topic_id']),
                            'forum_id'      => intval($topic['forum_id']),
                            'poster_id'     => $main->user['uid'],
                            'post_time'     => date("U", strtotime(nc_date("Y-m-d H:i:s"))),
                            'poster_ip'     => $ip,
                            'post_subject'  => !empty($_POST['title'])?nc_substr($_POST['title'], 0, 149):addslashes(nc_substr("Re: {$topic['topic_title']}", 0, 149)),
                            'post_text'     => bb($_POST['message']),
                            'poster_name'   => $main->user['user_name'],
                            'ico'           => nc_filter($_POST['ico'], TAGS)
                        ), POSTS); 
                        add_points($main->points['forum_post']);
                        //Learn-generated message ID
                        list($post_id) = $main->db->sql_fetchrow($main->db->sql_query("SELECT post_id FROM ".POSTS." WHERE topic_id='{$topic['topic_id']}' AND poster_id='{$main->user['uid']}' ORDER BY post_id DESC LIMIT 1"));                    
                        //Update the information on the topic
                        $main->db->sql_query("UPDATE ".TOPICS." SET topic_last_post_id='{$post_id}', topic_replies=topic_replies+1 WHERE topic_id='{$topic['topic_id']}'");
                        //Update the information on the forum
                        $main->db->sql_query("UPDATE ".FORUMS." SET forum_posts=forum_posts+1, forum_last_post_id='{$post_id}' WHERE forum_id='{$topic['forum_id']}'");
                        //Adds +1 to the number of messages posted
                        update_posts($main->user['uid'], "+");
                        //Check if attachments
                        if(rename_attach($uploaddir, $forum['directory'].$post_id."/")){
                            $_POST['message'] = str_replace(USER_FOLDER, $post_id, $_POST['message']);
                            sql_update(array('post_text' => bb($_POST['message'])), POSTS, "post_id='{$post_id}'");
                        }
                        /*[X]*/
                        //If adding ajax post request
                        if(is_ajax()){
                            //Check whether you need to do a redirect to last page
                            if($_POST['count_post']<$forum['post_views_num'] AND $_POST['page']==$_POST['pages']){
                                //Substitute the appropriate values ​​in a GET
                                $_GET = array('module' => $main->module, 'do' => 'showtopic', 'id' => $topic['topic_id']);
                                // If there is more than 1 page add them as well as GET
                                if($_POST['page']!=1) $_GET = array_merge($_GET, array('page' => $_POST['page']));
                                //Set a flag-type sample
                                $type_select = 1;
                                //Plug-in output messages
                                require_once "modules/{$main->module}/showtopic.php";
                            } else echo "<script type='text/javascript'>location.href='".$main->url(array('module' => $main->module, 'do' => 'lastpost', 'id' => $topic['topic_id']))."'.replaceAll('&amp;', '&');</script>";
                            exit;
                        } else redirect($main->url(array('module' => $main->module, 'do' => 'lastpost', 'id' => $topic['topic_id'])));
                    } else {
                        //Check if attachments
                        if(rename_attach($uploaddir, $forum['directory'].intval($_GET['id'])."/")) $_POST['message'] = str_replace(USER_FOLDER, intval($_GET['id']), $_POST['message']);
                        //Saving you are editing the post.
                        sql_update(array(
                            'post_text'      => bb($_POST['message']),
                            'post_subject'   => nc_filter($_POST['title'], TAGS),
                            'ico'            => magic_quotes($_POST['ico']),
                            'post_edit_time' => strtotime(nc_date('Y-m-d H:i:s')),
                            'post_edit_user' => $main->user['user_name']
                        ), POSTS, "post_id='".intval($_GET['id'])."'");
                        $rediret = (!isset($_POST['page_post']) OR $_POST['page_post']==1) ? array('module' => $main->module, 'do' => 'showtopic', 'id' => $topic['topic_id']) : array('module' => $main->module, 'do' => 'showtopic', 'id' => $topic['topic_id'], 'page' => $_POST['page_post']);
                        redirect($main->url($rediret));
                    }
                }
            }
            if(is_ajax()){echo "<script type='text/javascript'>alert('".strip_tags($msg)."');</script>"; exit;}
            if(isset($post_info)) ($_GET['do']!='qutoepost')?add_meta_value($main->lang['edit_post']):add_meta_value($main->lang['new_post']);
            else add_meta_value($main->lang['new_post']);
            //Create a template topic
            if($_GET['do']=='qutoepost'){
                $post_info['post_subject'] = "Re: {$post_info['post_subject']}";
                $post_info['post_text'] = "[cite={$post_info['poster_name']}, ".format_date(date("Y-m-d H:i:s", $post_info['post_time']), "{$main->config['date_format']} H:i:s")."]{$post_info['post_text']}[/cite]";
            }
            $forum_template = array(
                'OPEN_TABLE'            => open(true),
                'CLOSE_TABLE'           => close(true),
                'LOAD_TPL'              => $main->tpl,

                'posting.TOPIC'         => "<b><a href='".$main->url(array('module' => $main->module, 'do' => 'showtopic', 'id' => $topic['topic_id']))."' title='{$topic['topic_title']}'>{$topic['topic_title']}</a></b>",
                'posting.MSG'           => !empty($msg)?warning($msg, true):"",
                'posting.ACTION'        => ((!isset($post_info) OR $_GET['do']=='qutoepost') AND $_GET['do']!='sendpostedit')?$main->url(array('module' => $main->module, 'do' => 'sendnewpost', 'id' => $topic['topic_id'])):$main->url(array('module' => $main->module, 'do' => 'sendpostedit', 'id' => $_GET['id'])),
                'posting.CASE_ICO'      => $ico,
                'posting.TITLE'         => in_text('title', 'input_text2', !isset($post_info)?"Re: {$topic['topic_title']}":$post_info['post_subject']),
                'posting.EDITOR'        => "<div class='editorbox'>".editor('message', '160px', '100%', isset($post_info)?bb($post_info['post_text'], DECODE):"")."</div>",
                'posting.SMILES'        => "<div class='smilesbox'>{$smilesbox}</table></div>",
                'posting.SUBMIT'        => (isset($_GET['page'])?in_hide('page_post', $_GET['page']):"").send_button(),
                'posting.ATTACH'        => "<div id='attache' style='display : none;' class='box'><h3>{$main->lang['attach']}</h3><br />".in_hide("uploaddir", $uploaddir, true)."<div class='flash' id='upload_progress'></div><div id='upl_up'>".update_list_files($uploaddir)."</div>".SWFUpload("index.php?module={$main->module}&amp;do=upload", $forum['attaching_files_type'], $forum['attaching_files_size'], $forum['file_upload_limit'])."</div>",

                'FORUM_NAME'            => "<a href='".$main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => $topic['forum_id']))."' title='{$topic['forum_name']}'>{$topic['forum_name']}</a>",
                'L_INDEX'               => "<a href='".$main->url(array('module' => $main->module))."' title='{$main->lang['forum_index']} {$main->config['home_title']}'>{$forum['forum_title']}</a>",
                'L_POSTING_TITLE'       => $main->lang['post_name'],
                'L_POSTING_ICO'         => $main->lang['topic_ico'],
            );
            //Apply the variables
            foreach($forum_template as $key => $value) $tpl->set_tpl("{".$key."}", $value);
            //Deduce template
            $tpl->tpl_create();
        } else {
            if(($topic['forum_status']==1 OR $topic['topic_status']==1) AND $_GET['do']!='postedit' AND $_GET['do']!='sendpostedit') $warnin = warning("<b>{$main->lang['error_forum_closed']}</b>", true);
            if(($topic['forum_status']==1 OR $topic['topic_status']==1) AND ($_GET['do']=='postedit' OR $_GET['do']=='sendpostedit')) $warnin = warning("<b>{$main->lang['edit_forum_closed']}</b>", true);
            elseif($topic['topic_status']==1) $warnin = warning("<b>{$main->lang['error_topic_closed']}</b>", true);
            elseif(isset($topic['poster_id']) AND $topic['poster_id']!=$main->user['uid'] AND $main->user['uid']!='-1') $warnin = warning("<b>{$main->lang['error_post_editing']}</b>", true); 
            else nc_http_ereor_logs(403);
            $tpl->template = preg_replace('/<\!--content-->(.+?)<\!--content-->/si', '{CONTENT}', $tpl->template);
            $forum_template = array(
                'OPEN_TABLE'            => open(true),
                'CLOSE_TABLE'           => close(true),
                'LOAD_TPL'              => $main->tpl,
                'CONTENT'               => $warnin,
                'posting.MSG'           => '',
                'posting.TOPIC'         => '',
                'FORUM_NAME'            => "<a href='".$main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => $topic['forum_id']))."' title='{$topic['forum_name']}'>{$topic['forum_name']}</a>",
                'L_INDEX'               => "<a href='".$main->url(array('module' => $main->module))."' title='{$forum['forum_title']}'>{$forum['forum_title']}</a>",
            );  
            //Apply the variables
            foreach($forum_template as $key => $value) $tpl->set_tpl("{".$key."}", $value);    
            //Deduce template
            $tpl->tpl_create();
        }
    } else {        
        add_meta_value($main->lang['new_post']);
        $tpl->template = preg_replace('/<\!--content-->(.+?)<\!--content-->/si', '{CONTENT}', $tpl->template);
        $warn = $main->lang['no_acc_new_post'];
        $forum_template = array(
            'OPEN_TABLE'            => open(true),
            'CLOSE_TABLE'           => close(true),
            'LOAD_TPL'              => $main->tpl,
            'CONTENT'               => info("<b>{$warn}</b>", true),
            'posting.MSG'           => '',
            'posting.TOPIC'         => '',
            'FORUM_NAME'            => "<a href='".$main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => $topic['forum_id']))."' title='{$topic['forum_name']}'>{$topic['forum_name']}</a>",
            'L_INDEX'               => "<a href='".$main->url(array('module' => $main->module))."' title='{$forum['forum_title']}'>{$forum['forum_title']}</a>",
        );

        //Apply the variables
        foreach($forum_template as $key => $value) $tpl->set_tpl("{".$key."}", $value);
        //Deduce template
        $tpl->tpl_create();
    }
} else nc_http_ereor_logs(404);
?>