<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('NOVACMS')) die("Hacking attempt!");  
global $main, $forum, $usertype, $config, $userconf, $supervision, $tpl_create, $smiles, $type_select, $cache_clear_ignore;

$num = isset($_GET['page']) ? intval($_GET['page']) : "1";
$offset = ($num-1) * $forum['post_views_num'];
if($offset<0) nc_http_ereor_logs(404);
$tp = ($_GET['do']=='showtopic')?true:false;
$ajax_post = (is_ajax() AND !empty($type_select) AND $type_select==1) ? true : false;
$this_page = isset($_GET['page'])?$_GET['page']:1;

$result = $main->db->sql_query("SELECT p.post_id, p.poster_id, p.post_time, p.post_subject, p.post_text, p.ico, p.post_edit_time, p.post_edit_user, p.post_tnx, 
    u.uid, u.user_id, u.user_name, u.user_regdate, u.user_avatar, u.user_group, u.user_signature, u.user_posts, u.user_locality, u.user_birthday, u.user_tnx, u.user_country,
    g.id, g.title, g.color, g.img 
    FROM ".POSTS." AS p LEFT JOIN
        ".USERS." AS u ON(p.poster_id=u.uid) LEFT JOIN
        ".GROUPS." AS g ON(u.user_group=g.id)
    ".($ajax_post?"WHERE p.topic_id='".intval($_GET['id'])."' AND p.post_id>'".intval($_POST['last_post'])."'":"WHERE ".(!$tp?"p.post_id='".intval($_GET['id'])."'":"p.topic_id='".intval($_GET['id'])."'"))."
    ORDER BY p.post_id".(!$ajax_post?" LIMIT {$offset}, {$forum['post_views_num']}":"")."");
$count_rows = $main->db->sql_numrows($result);
if($ajax_post){
    if($count_rows+$_POST['count_post']>$forum['post_views_num']) echo "<script type='text/javascript'>location.href='".$main->url(array('module' => $main->module, 'do' => 'lastpost', 'id' => $_GET['id']))."';</script>";
}

if($count_rows>0){
    $_SESSION['topic_list'] = (!isset($_SESSION['topic_list'])) ? $_GET['id']."=".time().",":$_SESSION['topic_list'].$_GET['id']."=".time().",";
    $content = ""; $online = array();
    
    if($tp) $topic = $main->db->sql_fetchrow($main->db->sql_query("SELECT t.topic_id, t.forum_id, t.topic_title, t.topic_views, t.topic_status, f.forum_id, f.forum_name, f.forum_status, f.acc_view, f.acc_write, f.acc_post, f.acc_edit, f.acc_delete FROM ".TOPICS." AS t, ".FORUMS." AS f WHERE t.topic_id='".intval($_GET['id'])."' AND t.forum_id=f.forum_id"));        
    else $topic = $main->db->sql_fetchrow($main->db->sql_query("SELECT t.topic_id, t.forum_id, t.topic_title, t.topic_views, t.topic_status, f.forum_id, f.forum_name, f.forum_status, f.acc_view, f.acc_write, f.acc_post, f.acc_edit, f.acc_delete, p.post_id, p.topic_id FROM ".TOPICS." AS t, ".FORUMS." AS f, ".POSTS." AS p WHERE p.post_id='".intval($_GET['id'])."' AND t.topic_id=p.topic_id AND t.forum_id=f.forum_id"));            
    user_type_change($topic['forum_id']);
    $tp?set_meta_value(array($topic['topic_title'], $topic['forum_name'], $main->title)):set_meta_value(array($main->lang['showonepost'], $topic['topic_title'], $topic['forum_name'], $main->title));

    if(!$ajax_post){
        $tpl = new template();
        $tpl->get_tpl("templates/{$main->tpl}/forum/show_post.tpl");
        $match = "";    
        preg_match('/<\!--begin\spost\srow-->(.+?)<\!--end\spost\srow-->/si', $tpl->template, $match);
        $post_row = $match[1];
        $tpl->template = preg_replace('/<\!--begin\spost\srow-->(.+?)<\!--end\spost\srow-->/si', '{POST_CONTENT}', $tpl->template);
        if(!$tp) $tpl->template = preg_replace('/<\!--begin\sshowonepost-->(.+?)<\!--end\sshowonepost-->/si', '', $tpl->template);
        foreach(array_merge($supervision['admin'], $supervision['users']) as $key=>$value) $online[] = $value['user_name'];

        $pagenums = "";
        if($count_rows==$forum['post_views_num'] OR isset($_GET['page'])){
            list($count) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(*) FROM ".POSTS." WHERE topic_id='".intval($_GET['id'])."'"));        
            $pages = ceil($count/$forum['post_views_num']);
            $pagenums = pages_forum($count, $forum['post_views_num'], array('module' => $main->module, 'do' => 'showtopic', 'id' => intval($_GET['id'])));
        } else $pages = 1;
    } else {        
        preg_match('/<\!--begin\spost\srow-->(.+?)<\!--end\spost\srow-->/si', file_get_contents("templates/{$main->tpl}/forum/show_post.tpl"), $match);
        $post_row = $match[1];
    }

    if(is_acc($topic['acc_view'])){
        $autch = (is_acc($topic['acc_view']) OR is_support(intval($_GET['id']))) ? $main->lang['acc_view']."<br />" : $main->lang['acc_view2']."<br />";
        $autch .= (is_acc($topic['acc_write']) OR is_support(intval($_GET['id']))) ? $main->lang['acc_write']."<br />" : $main->lang['acc_write2']."<br />";
        $autch .= (is_acc($topic['acc_post']) OR is_support(intval($_GET['id']))) ? $main->lang['acc_post']."<br />" : $main->lang['acc_post2']."<br />";
        $autch .= (is_acc($topic['acc_edit']) OR is_support(intval($_GET['id']))) ? $main->lang['acc_edit']."<br />" : $main->lang['acc_edit2']."<br />";
        $autch .= (is_acc($topic['acc_delete']) OR is_support(intval($_GET['id']))) ? $main->lang['acc_delete']."<br />" : $main->lang['acc_delete2']."<br />";
        $autch .= ($usertype>=2 OR is_moder(intval($_GET['id']))) ? $main->lang['acc_moderation']."<br />" : $main->lang['acc_moderation2']."<br />";        

        $i=1; $row_c = "row1"; $_last_post = 0;
        $inum = !isset($_POST['num']) ? ((1*$num>1) ? ($forum['post_views_num']*($num-1))+1 : 1*$num) : $_POST['num'];
        while($i<=$count_rows){   
            $row = $main->db->sql_fetchrow($result);
            $_last_post = $row['post_id'];
            $tnx = (!empty($row['post_tnx'])) ? "<br /><br /><fieldset class='post_tnx' style='margin-left: 30px;' title='{$main->lang['tnxplay']}'><legend class='post'>{$main->lang['tnxplay']}</legend>{$row['post_tnx']}</fieldset>" : "";
            $row_post = array(            
                'OPEN_TABLE'              => open(true),
                'CLOSE_TABLE'             => close(true),
                'L_POST_SUBJECT'          => $main->lang['title_message'],
                'L_POSTED'                => $main->lang['postdate'],
                'BACK_TO_TOP'             => "<a href='#' onclick='scroll(0,0); return false;'>{$main->img['forum_totop']}</a>",
                'LOAD_TPL'                => $main->tpl,

                'postrow.PROFILE_IMG'     => ($row['poster_id']!='-1')?"<a href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($row['user_id'], $row['uid'])))."' title='{$main->lang['user_profile']}'>{$main->img['forum_profile']}</a>":"",
                'postrow.PM_IMG'          => ($row['poster_id']!='-1')?"<a href='".$main->url(array('module' => 'account', 'do' => 'message', 'id' => 'create', 'user' => urlencode($row['user_name'])))."' title='{$main->lang['semdpm']}'>{$main->img['forum_pm']}</a>":"",
                ///////////////////////////////////////////////////////////////////////////////////////////////
                'postrow.QUOTE_IMG'       => (($tp AND $topic['forum_status']==0 AND $topic['topic_status']==0 AND is_acc($topic['acc_post'])) OR is_support() OR is_moder($topic['forum_id']))?"<a href='".$main->url(array('module' => $main->module, 'do' => 'qutoepost', 'id' => $row['post_id']))."'>{$main->img['forum_quote']}</a>":"",
                'postrow.EDIT_IMG'        => ($tp AND (is_support() OR is_moder($topic['forum_id']) OR ($row['poster_id']==$main->user['uid'] AND $topic['forum_status']==0 AND $topic['topic_status']==0) OR is_acc($topic['acc_edit'])) AND $main->user['uid']!=-1)?"<a href='".$main->url(array('module' => $main->module, 'do' => 'postedit', 'id' => $row['post_id'], 'page' => $this_page))."' title='{$main->lang['edit']}'>{$main->img['forum_edit']}</a>":"",
                'postrow.DELETE_IMG'      => ($tp AND (is_support() OR is_moder($topic['forum_id']) OR is_acc($topic['acc_delete'])))?"<a href='".$main->url(array('module' => $main->module, 'do' => 'deletepost', 'id' => $row['post_id'], 'page' => isset($_GET['page'])?$_GET['page']:1))."' title='{$main->lang['delete']}'>{$main->img['forum_delete']}</a>":"",
                'postrow.IP_IMG'          => ($tp AND (is_support() OR is_moder($topic['forum_id'])))?"<a href='".$main->url(array('module' => $main->module, 'do' => 'showip', 'id' => $row['post_id']))."' title='{$main->lang['showip']}'>{$main->img['forum_ip']}</a>":"",
                'postrow.REPORT'          => "<a href='#' onclick=\"return send_report('http://".get_host_name()."index.php?module={$main->module}&amp;do=report', '{$row['post_id']}');\" title='{$main->lang['postreport']}'>{$main->img['forum_report']}</a>",
                'postrow.TNX'             => ($row['poster_id']!=$main->user['uid'])?"<a href='#' onclick=\"haja({elm:'posttnx_{$row['post_id']}', action:'http://".get_host_name()."index.php?module={$main->module}&amp;do=user_tnx'}, {'post_id':'{$row['post_id']}'}, {}); return false;\" title='{$main->lang['tnxthis']}'>{$main->img['forum_tnx']}</a>":"",
                'postrow.POSTER_NAME'     => "<a name='entry{$inum}'>&nbsp;</a>".get_flag($row['user_country'], "", " style='position: relative; top: 4px; margin: 0px 10px 0px 10px;'")."<a href='#' onclick=\"return name_user_set('{$row['user_name']}');\"><b>{$row['user_name']}</b></a>",
                ///////////////////////////////////////////////////////////////////////////////////////////////
                'postrow.COUNTRY'         => "",
                'postrow.RANK_IMAGE'      => "",
                'postrow.POSTER_AVATAR'   => "<img src='{$userconf['directory_avatar']}{$row['user_avatar']}' alt='{$row['user_name']}' />",
                'postrow.USER_NUMBER'     => ($row['poster_id']!='-1')?$main->lang['user_num'].": {$row['uid']}<br />":"",
                'postrow.USER_TNX'        => ($row['poster_id']!='-1')?$main->lang['user_tnx'].": {$row['user_tnx']} {$main->lang['counts']}<br />":"",
                'postrow.POSTER_JOINED'   => ($row['poster_id']!='-1')?$main->lang['reg_date'].": ".format_date($row['user_regdate'])."<br />":"",
                'postrow.POSTER_POSTS'    => ($row['poster_id']!='-1')?$main->lang['posts'].": {$row['user_posts']}<br />":"",
                'postrow.POSTER_AGE'      => ($row['user_birthday']!="0000-00-00")?$main->lang['age'].": ".get_age($row['user_birthday'])."<br />":"",
                'postrow.POSTER_GROUP'    => ($row['user_group']!=0)?$main->lang['group'].": <span style='color: #{$row['color']}'>".$row['title']."</span><br />":"",
                'postrow.POSTER_STATUS'   => ($row['poster_id']!='-1')?($main->lang['status'].": ".(in_array($row['user_name'], $online)?"<span style='color: green;'>Online</span>":"<span style='color: red;'>Offline</span>")):"",

                'postrow.ROW_CLASS'       => $row_c,
                'postrow.POST_LAST_EDIT'  => !empty($row['post_edit_time'])?"<br /><span class='last_post_edit'>".str_replace(array('{DATE}', '{USER}'), array(format_date(date('Y-m-d H:i:s', $row['post_edit_time']), "d.m.Y H:i:s"), "<b>{$row['post_edit_user']}</b>"), $main->lang['last_post_edit'])."</span>":'',
                'postrow.SIGNATURE'       => !empty($row['user_signature'])?"<br />__________________<br />".parse_bb($row['user_signature']):"",
                'postrow.POST_NUMBER'     => ($tp)?"<a href='".$main->url(array('module' => $main->module, 'do' => 'showtopic', 'id' => intval($_GET['id']))+(isset($_GET['page'])?array('page' => $_GET['page']):array()))."#entry{$inum}'>#{$inum}</a>":"",
                'postrow.POST_DATE'       => format_date(date("Y-m-d H:i:s", $row['post_time']), "{$main->config['date_format']} H:i:s"),
                'postrow.POST_SUBJECT'    => ($tp)?"<a href='".$main->url(array('module' => $main->module, 'do' => 'showpost', 'id' => $row['post_id']))."' title='{$main->lang['showonepost']}'>{$row['post_subject']}</a>":$row['post_subject'],
                'postrow.MESSAGE'         => "<div id='posttext_{$row['post_id']}'>".parse_bb($row['post_text'])."</div><div id='posttnx_{$row['post_id']}'>{$tnx}</div>"
            );
            $row_c = ($row_c=='row1') ? "row2" : 'row1';
            $replace = array('key' => array(), 'value' => array());
            foreach($row_post as $key => $value){$replace['key'][] = '{'.$key.'}'; $replace['value'][] = $value;}
            $content .= (!empty($replace['key'])) ? str_replace($replace['key'], $replace['value'], $post_row) : "";
            $i++; $inum++;
        }
        if($ajax_post){
            echo $content.
            "<script type='text/javascript'>
            $$('count_post').value = parseInt($$('count_post').value) + {$count_rows};
            $$('num').value = '{$inum}';
            $$('last_post').value = '{$_last_post}';
            $$('message').value = '';
            </script>";
            exit;
        }
        $cache_clear_ignore = true;
        sql_update(array('topic_views' => $topic['topic_views']+1), TOPICS, "topic_id='".intval($_GET['id'])."'");
        $cache_clear_ignore = false;
        $i=0; $y=1;
        $smilesbox = "<table align='center'>";
        foreach($smiles as $key=>$arr){
            if($y==21) break;
            $img = "<td align='center' width='39' height='39'><img onclick=\"$$('message').value=$$('message').value+' ".magic_quotes($arr[0])." '\" style='cursor: pointer;' src='{$arr[1]}' alt='".htmlspecialchars($arr[0], ENT_QUOTES)."' title='".htmlspecialchars($arr[0], ENT_QUOTES)."' /></td>";
            if($i==0) $smilesbox .= "<tr>{$img}";
            elseif($i==3) {$smilesbox .= "{$img}</tr>"; $i=-1;}
            else $smilesbox .= $img;
            $i++; $y++;
        }

        $admin_button = (is_support() OR is_moder($topic['forum_id'])) ? "
        <a href='".$main->url(array('module' => $main->module, 'do' => 'topicedit', 'id' => intval($_GET['id'])))."' title='{$main->lang['adm_edit_topic']}'>{$main->img['adm_edit_topic']}</a>
        <a href='".$main->url(array('module' => $main->module, 'do' => 'closetopic', 'id' => intval($_GET['id'])))."' title='".($topic['topic_status']=='0'?$main->lang['adm_close_topic']:$main->lang['adm_open_topic'])."'>".($topic['topic_status']=='0'?$main->img['adm_close_topic']:$main->img['adm_open_topic'])."</a>    
        <a href='".$main->url(array('module' => $main->module, 'do' => 'topicmove', 'id' => intval($_GET['id'])))."' title='{$main->lang['adm_move_topic']}'>{$main->img['adm_move_topic']}</a>
        <a href='".$main->url(array('module' => $main->module, 'do' => 'topicsplit', 'id' => intval($_GET['id'])))."' title='{$main->lang['adm_split_topic']}'>{$main->img['adm_split_topic']}</a>        
        <a onclick=\"return dialog('{$main->lang['real_delete_topic']}');\" href='".$main->url(array('module' => $main->module, 'do' => 'topicdel', 'id' => intval($_GET['id'])))."' title='{$main->lang['adm_delete_topic']}'>{$main->img['adm_delete_topic']}</a>
        " : "";

        //If the topic is closed - remove the quick reply
        if($topic['topic_status']!='0' OR !is_acc($topic['acc_post']) OR $topic['forum_status']!='0') $tpl->template = preg_replace('/<\!--begin\squick_reply-->(.+?)<\!--end\squick_reply-->/si', '', $tpl->template);

        echo in_hide('last_post', $_last_post).
        in_hide('count_post', $count_rows).
        in_hide('pages', $pages).
        in_hide('page', $this_page).
        in_hide('num', $inum);

        $forum_template = array(
            'OPEN_TABLE'            => open(true),
            'CLOSE_TABLE'           => close(true),
            'LOAD_TPL'              => $main->tpl,
            'PAGINATION'            => $pagenums,
            'SMILES_BOX'            => ($topic['topic_status']=='0' AND $topic['forum_status']=='0')?"<div class='smilesbox' id='smilesbox'>{$smilesbox}</table></div>":"",
            'FORUM_NAME'            => "<a href='".$main->url(array('module' => $main->module, 'do' => 'showforum', 'id' => $topic['forum_id']))."' title='{$topic['forum_name']}'>{$topic['forum_name']}</a>",
            'L_INDEX'               => "<a href='".$main->url(array('module' => $main->module))."' title='{$forum['forum_title']}'>{$forum['forum_title']}</a>",
            'TOPIC_TITLE'           => "<a href='".$main->url(array('module' => $main->module, 'do' => 'showtopic', 'id' => $topic['topic_id']))."' title='{$topic['topic_title']}'>{$topic['topic_title']}</a>",
            'POST_NEW_TOPIC'        => "<a href='".$main->url(array('module' => $main->module, 'do' => 'newtopic', 'id' => $topic['forum_id']))."' title='{$main->lang['newtopic']}'>{$main->img['new_topic']}</a>",   
            'POST_REPLY_TOPIC'      => (($topic['topic_status']=='0' AND $topic['forum_status']=='0') OR is_support() OR is_moder($topic['forum_id']))?"<a href='".$main->url(array('module' => $main->module, 'do' => 'newpost', 'id' => $topic['topic_id']))."' title='{$main->lang['newpost']}'>{$main->img['new_post']}</a>":$main->img['close_topic'],       
            'QUICK_REPLY'           => ($topic['topic_status']=='0' AND $topic['forum_status']=='0' AND is_acc($topic['acc_post']))?"<a href='#' onclick=\"quickreply_box('quickreply', true); return false;\">{$main->img['quick_reply']}</a>":"",   
            'S_AUTH_LIST'           => $autch,
            
            'MENU_PROFILE'          => "<a href='".$main->url(array('module' => 'account', 'do' => 'controls'))."' title='{$main->lang['personal_page']}'>{$main->lang['personal_page']}</a>",
            'MENU_SEARCH'           => "<a href='".$main->url(array('module' => $main->module, 'do' => 'search'))."' title='{$main->lang['search']}'>{$main->lang['search']}</a>",
            'MENU_USERS'            => "<a href='".$main->url(array('module' => 'top_users'))."' title='{$main->lang['users']}'>{$main->lang['users']}</a>",
            'MENU_LOGOUT'           => is_user() ? "<a href='".$main->url(array('module' => 'account', 'do' => 'logout'))."' title='{$main->lang['logout']}'><b>{$main->lang['logout']} [ {$main->user['user_name']} ]</b></a>" : "<a href='".$main->url(array('module' => 'account', 'do' => 'login'))."' title='{$main->lang['logined']}'>{$main->lang['logined']}</a> | <a href='".$main->url(array('module' => 'account', 'do' => 'new_user'))."' title='{$main->lang['register']}'>{$main->lang['register']}</a>",
        
            'QUICKREPLY_ACTION'     => ($topic['topic_status']=='0' AND $topic['forum_status']=='0' AND is_acc($topic['acc_post']))?$main->url(array('module' => $main->module, 'do' => 'sendnewpost', 'id' => $_GET['id'])):"",
            'QUICKREPLY_BOX'        => ($tp AND $topic['topic_status']=='0' AND $topic['forum_status']=='0' AND is_acc($topic['acc_post']))?"<div class='editorbox'>".editor('message', '160px', '99%')."</div>":"",
            'QUICKREPLY_BUTTON'     => ($topic['topic_status']=='0' AND $topic['forum_status']=='0' AND is_acc($topic['acc_post']))?send_button(" onclick=\"sendpost('".$main->url(array('module' => $main->module, 'do' => 'sendnewpost', 'id' => $_GET['id']))."'); return false;\""):"",
            'AUTHOR_POST'           => $main->lang['author_post'],
            'MESSAGE_POST'          => $main->lang['message_post'],
            'PAGE_NUMBER'           => preg_replace(array('/\{THIS\}/i', '/\{ALL\}/i'), array(isset($_GET['page'])?$_GET['page']:1, $pages), $main->lang['numberpage']),
            'POST_CONTENT'          => $content,
            'S_TOPIC_ADMIN'         => $admin_button
        );
        foreach($forum_template as $key => $value) $tpl->set_tpl("{".$key."}", $value);
        $tpl->tpl_create();  
    } else  meta_refresh(3, $main->url(array('module' => $main->module)), $main->lang['not_view_this_forum']);
} else nc_http_ereor_logs("404");
?>