<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if (!defined('NOVACMS')) die("Hacking attempt!");

function global_add_pages($msg=""){
global $main, $pages, $adminfile, $tpl_create;
    if(!empty($msg)) warning($msg);
    require_once "includes/function/attache.php";
    if(is_support()){
        $tpl_create->add2script("optimizer/?includes/javascript/calendar.js");
        $tpl_create->add2link("optimizer/?includes/css/calendar.css");
    }
    if(isset($_SESSION['uploaddir'])) unset($_SESSION['uploaddir']);
    if(isset($_SESSION['tags_pub'])) unset($_SESSION['tags_pub']);
    open();
    $disabled = (!is_support() AND is_user()) ? true : false;
    echo "<form id='autocomplete' method='post' action='".((!defined("ADMIN_FILE")) ? $main->url(array('module' => $main->module, 'do' => 'save')) : "{$adminfile}?module={$main->module}&amp;do=save")."'>\n".
    "<table class='form' align='center' id='form_{$main->module}'>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['you_name']}:<span class='star'>*</span></td><td class='form_input'>".in_text("name", "input_text2", $main->user['user_name'], $disabled)."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['name']}:<span class='star'>*</span></td><td class='form_input'>".in_text("title", "input_text2", "", false, " onkeyup=\"rewrite_key('key_link', this.value);\"")."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['key_link']}:</td><td class='form_input'>".in_text("key_link", "input_text2")."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['category']}:</td><td class='form_input'>".get_cat(array(''), $main->module, $pages['multiple_cat']==ENABLED?true:false)."</td></tr>\n".
    (is_support() ? "<tr class='row_tr'><td class='form_text'>{$main->lang['language']}:</td><td class='form_input'>".get_lang_file()."</td></tr>\n" : "").
    "<tr class='row_tr'><td class='form_text'>{$main->lang['text']}:<span class='star'>*</span></td><td class='form_input'>".editor("main_text", 10, "97%")."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['content_text']}:</td><td class='form_input'>".editor("content_text", 10, "97%")."</td></tr>\n";
    if($pages['attaching']==ENABLED OR is_support()) echo "<tr class='row_tr'><td colspan='2' style='margin: 0px; padding: 0px;'><div align='right'><a href='#' class='attache' onclick=\"switch_content('attache'); return false;\">{$main->lang['attach']}</a></div><div id='attache' style='display: none;'><br />".in_hide("uploaddir", $pages['directory'].USER_FOLDER."/", true)."<div class='flash' id='upload_progress'></div><div id='upl_up'>".update_list_files($pages['directory'].USER_FOLDER."/")."</div>".SWFUpload("index.php?module={$main->module}&amp;do=upload", $pages['attaching_files_type'], $pages['attaching_files_size'], $pages['file_upload_limit'])."</div></td></tr>\n";
    echo $pages['tags_status']==ENABLED ? "<tr class='row_tr'><td class='form_text'>{$main->lang['tags_add']}:</td><td class='form_input'>".in_tag()."</td></tr>":'';
    echo is_support() ? "<tr class='row_tr'><td class='form_text'>{$main->lang['pub_date']}:</td><td class='form_input'>".get_date_case(format_date(gmdate("Y-m-d H:i:s"), "Y-m-d H:i:s"))."</td></tr>\n" : "";
    if($pages['comments_publishing']==ENABLED OR is_support()) echo "<tr><td class='form_text'>{$main->lang['active_comments']}</td><td class='form_input '>".in_chck("comments", "input_checkbox")."</td></tr>";
    if(is_support()) echo "<tr class='row_tr'><td class='form_text'>{$main->lang['active']}</td><td class='form_input '>".in_chck("active", "input_checkbox", ENABLED)."</td></tr>";
    echo (!defined("ADMIN_FILE")?captcha():"")."<tr><td class='form_submit' colspan='2' align='center'>".send_button()."</td></tr>\n".
    "</table>\n</form><script type='text/javascript'>document.getElementById('autocomplete').setAttribute('autocomplete','off');</script>\n";
    close();
}

function global_save_pages(){
global $main, $pages;
    $filter = array('name', 'title', 'key_link', 'tags');
    if(isset($_POST['cid']) AND is_array($_POST['cid']) AND count($_POST['cid'])>0) foreach ($_POST['cid'] as $kay=>$value) $_POST['cid'][$kay] = nc_filter($_POST['cid'][$kay], TAGS);
    $filter += (isset($_POST['comments'])) ? array('comments') : array();
    filter_arr($filter, POST, TAGS);
    $msg = error_empty(array('name', 'title', 'main_text'), array('author_err', 'title_err', 'text_err')).check_captcha();
    $pages_id = (!isset($_POST['key_link']) OR empty($_POST['key_link'])) ? cyr2lat($_POST['title']) : $_POST['key_link'];
    if(empty($msg)){
        $result = $main->db->sql_query("SELECT pages_id, title FROM ".PAGES." WHERE pages_id='{$pages_id}' OR title='{$_POST['title']}'");
        $msg .= ($main->db->sql_numrows($result)>0) ? $main->lang['dublicate_pub'] : "";
    }
    if(empty($msg)){
        $cid = "";
        //Create a list of tags
        $tags=nc_normalize_tags();
        if(isset($_POST['cid']) AND is_array($_POST['cid']) AND count($_POST['cid'])>0) foreach ($_POST['cid'] as $kay=>$value) $cid .= $value."|";
        $nex_id = $main->db->sql_nextid(sql_insert(array(
            'pages_id'      => $pages_id,
            'title'         => $_POST['title'],
            'author'        => $_POST['name'],
            'date'          => isset($_POST['year']) ? backgmdate("{$_POST['year']}-{$_POST['month']}-{$_POST['day']}".(isset($_POST['H'])?" {$_POST['H']}:{$_POST['i']}:{$_POST['s']}":" ".nc_date("H:i:s")), "Y-m-d H:i:s") : nc_date("Y-m-d H:i:s"),
            'cid'           => $cid,
            'status'        => ((is_support() AND isset($_POST['active']) AND $_POST['active']==ENABLED) OR $pages['moderation_publications']!=ENABLED) ? 1 : 0,
            'show_comment'  => (isset($_POST['comments']) AND $_POST['comments']==ENABLED) ? 1 : 0,
            'tags'          => $tags['str'],  
            'show_group'    => '',
            'language'      => isset($_POST['language']) ? $_POST['language'] : "",
            'begin'         => bb(nc_filter(empty($_POST['content_text']) ? cut_text(preg_replace('/\[PAGE_BREAK\]/is', '', $_POST['main_text'])) : preg_replace('/\[PAGE_BREAK\]/is', '', $_POST['main_text']))),
            'content'       => bb(nc_filter(empty($_POST['content_text']) ? $_POST['main_text'] : $_POST['content_text']))
        ), PAGES));
        set_calendar_date($nex_id, $main->module, isset($_POST['year'])?date("Y-m-d", strtotime("{$_POST['year']}-{$_POST['month']}-{$_POST['day']}")):nc_date("Y-m-d"), ((is_support() AND isset($_POST['active']) AND $_POST['active']==ENABLED) OR $pages['moderation_publications']!=ENABLED) ? 1 : 0);
        //Adding tags to the database
        set_tags_sql($tags, $nex_id, $main->module);
        //Add items to the user
        add_points($main->points['add_pages']);
        ////Attaching files
        if(rename_attach($pages['directory'].USER_FOLDER."/", $pages['directory'].$nex_id."/")){
            $_POST['main_text'] = str_replace(USER_FOLDER, $nex_id, $_POST['main_text']);
            $_POST['content_text'] = str_replace(USER_FOLDER, $nex_id, $_POST['content_text']);
            sql_update(array(
                'begin'         => bb(nc_filter(empty($_POST['content_text']) ? cut_text(preg_replace('/\[PAGE_BREAK\]/is', '', $_POST['main_text'])) : preg_replace('/\[PAGE_BREAK\]/is', '', $_POST['main_text']))),
                'content'       => bb(nc_filter(empty($_POST['content_text']) ? $_POST['main_text'] : $_POST['content_text']))
            ), PAGES, "id='{$nex_id}'");
        }
        redirect(MODULE);
    } else global_add_pages($msg);
}

function global_upload_attach_pages(){
global $pages;
    require_once "includes/function/attache.php";
    upload_attach($pages);
}
?>