<?php

/*
 * Evolution Nova
 *
 * @author       Bahram Davodi  <dev@nova-cms.com>
 * @copyright    Copyright (C) 2008-2010 All rights reserved.
 * @license      GNU/GPLv2 http://www.gnu.org/licenses/
 * @link         http://www.nova-cms.com
 *
 */

if(!defined('ADMIN_FILE')) die("Hacking attempt!");

global $navi, $main, $break_load;
$break_load=false;
if(!empty($main->user['user_adm_modules']) AND !in_array($main->module, explode(',', $main->user['user_adm_modules']))){
    warning($main->lang['admin_error']);
    $break_load = true;
}

$navi = array(
    array('', 'home'),
    array('add', 'add_shop'),
    array('orders', 'orders_shop'),
    array('form', 'form_config'),
    array('config', 'config')
);

function main_shop(){
global $main, $adminfile;
    $num = isset($_GET['page']) ? intval($_GET['page']) : "1";
    $offset = ($num-1) * 30;    
    $sort = (isset($_GET['sort']) AND !empty($_GET['sort'])) ? $_GET['sort'] : "date";
    $sorttype = (isset($_GET['sorttype']) AND !empty($_GET['sorttype'])) ? $_GET['sorttype'] : "DESC";    
    $result = $main->db->sql_query("SELECT s.id, s.shop_id, s.title, s.author, s.date, s.cid, s.status, s.language, s.pay, u.uid, u.user_id, u.user_name FROM ".SHOP." AS s LEFT JOIN ".USERS." AS u ON(s.author=u.user_name) ORDER BY s.{$sort} {$sorttype} LIMIT {$offset}, 30");
    $rows = $main->db->sql_numrows($result);
    if($rows>0){
        $row = "row1";
        $i = (1*$num>1) ? (30*($num-1))+1 : 1*$num;
        echo "<div align='right'>".sort_as(array(array("date", $main->lang['asdate']), array("status", $main->lang['asstatus']), array("title", $main->lang['astitle'])))."</div><br />\n";                                                                                                                                                                               
        echo "<form id='send_ajax_form' action='{$adminfile}?module={$_GET['module']}&amp;do=change_op".parse_get(array('module', 'do', 'id'))."' method='post'>\n<table cellspacing='1' class='table' width='100%'>\n<tr><th width='15' align='center'>".in_chck("checkbox_sel", "", "", "onclick=\"ckeck_uncheck_all();\"")."</th><th width='15'>#</th><th>{$main->lang['title']}</th><th width='90'>{$main->lang['price']}</th><th width='80'>{$main->lang['author']}</th><th width='50'>{$main->lang['language']}</th><th width='80'>{$main->lang['status']}</th><th width='70'>{$main->lang['functions']}</th></tr>\n";        
        while(($r = $main->db->sql_fetchrow($result))){
            $aut = (!is_guest_name($r['author']) AND !empty($r['user_name'])) ? "<a class='author' href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($r['user_id'], $r['uid'])))."' title='{$main->lang['user_profile']}'>{$r['author']}</a>" : $r['author'];
            $lang = (isset($main->lang[$r['language']])) ? $main->lang[$r['language']] : (empty($r['language']) ? $main->lang['no'] : $r['language']);
            $op = "<table cellspacing='1' class='cl'><tr><td>".edit_button("{$adminfile}?module={$_GET['module']}&amp;do=edit&amp;id={$r['id']}").delete_button("{$adminfile}?module={$_GET['module']}&amp;do=delete&amp;id={$r['id']}".parse_get(array('module', 'do', 'id')), 'ajax_content')."</td></tr></table>";
            echo "<tr class='{$row}".($r['status']==2?"_warn":"")."'><td align='center'><input type='checkbox' name='sels[]' value='{$r['id']}' /></td><td class='col' align='center'>{$i}</td><td><a class='sys_link' href='".$main->url(array('module' => $main->module, 'do' => 'more', 'id' => case_id($r['shop_id'], $r['id'])))."' title='{$r['title']}'>{$r['title']}</a></td><td align='center'>{$r['pay']}</td><td align='center' class='col'>{$aut}</td><td align='center'>{$lang}</td><td class='col' align='center' id='onoff_{$r['id']}' style='cursor: pointer;' onclick=\"onoff('{$adminfile}?module={$_GET['module']}&amp;do=on_off&amp;id={$r['id']}', 'onoff_{$r['id']}')\">".(($r['status']==1) ? $main->lang['on'] : $main->lang['off'])."</td><td align='center'>{$op}</td></tr>\n";
            $row = ($row=="row1") ? "row2" : "row1";
            $i++;
        }
        echo "</table><table width='100%'><tr><td>".get_function_checked()."</td></tr></table></form>";  
        if ($rows==30 OR isset($_GET['page'])){
            list($numrows) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(*) FROM ".SHOP." "));
            pages($numrows, 30, array('module' => $main->module), true, false, array(), true);
        }
    } else info($main->lang['noinfo']);
}

function config_shop(){
global $shop, $main, $adminfile;
    echo "<form id='block_form' action='{$adminfile}?module={$_GET['module']}&amp;do=save_conf' method='post'><table align='center' class='form' id='form_{$main->module}'>".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['directory']}</b>:<br /><i>{$main->lang['directory_d']}</i></td><td class='form_input2'>".in_text('directory', 'input_text2', $shop['directory'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['shop_email']}</b>:<br /><i>{$main->lang['shop_email_d']}</i></td><td class='form_input2'>".in_text('email', 'input_text2', $shop['email'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['attaching_files_type']}</b>:<br /><i>{$main->lang['attaching_files_type_d']}</i></td><td class='form_input2'>".in_text('attaching_files_type', 'input_text2', $shop['attaching_files_type'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['miniature_image_width']}</b>:<br /><i>{$main->lang['miniature_image_width_d']}</i></td><td class='form_input2'>".in_text('miniature_image_width', 'input_text2', $shop['miniature_image_width'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['miniature_image_height']}</b>:<br /><i>{$main->lang['miniature_image_height_d']}</i></td><td class='form_input2'>".in_text('miniature_image_height', 'input_text2', $shop['miniature_image_height'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['max_image_width']}</b>:<br /><i>{$main->lang['max_image_width_d']}</i></td><td class='form_input2'>".in_text('max_image_width', 'input_text2', $shop['max_image_width'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['max_image_height']}</b>:<br /><i>{$main->lang['max_image_height_d']}</i></td><td class='form_input2'>".in_text('max_image_height', 'input_text2', $shop['max_image_height'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['attaching_files_size']}</b>:<br /><i>{$main->lang['attaching_files_size_d']}</i></td><td class='form_input2'>".in_text('attaching_files_size', 'input_text2', $shop['attaching_files_size'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['file_upload_limit']}</b>:<br /><i>{$main->lang['file_upload_limit_d']}</i></td><td class='form_input2'>".in_text('file_upload_limit', 'input_text2', $shop['file_upload_limit'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['publications_in_page']}</b>:<br /><i>{$main->lang['publications_in_page_d']}</i></td><td class='form_input2'>".in_text('publications_in_page', 'input_text2', $shop['publications_in_page'])."</td></tr>\n".        
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['sort_type_publications']}</b>:<br /><i>{$main->lang['sort_type_publications_d']}</i></td><td class='form_input2'>".in_sels('sort_type_publications', array('ASC'=>'ASC', 'DESC'=>'DESC'), 'select', $shop['sort_type_publications'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['sort_publications']}</b>:<br /><i>{$main->lang['sort_publications_d']}</i></td><td class='form_input2'>".in_sels('sort_publications', array('date'=>$main->lang['asdate'], 'title'=>$main->lang['astitle']), 'select', $shop['sort_publications'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['comments_sort']}</b>:<br /><i>{$main->lang['comments_sort_d']}</i></td><td class='form_input2'>".in_sels('comments_sort', array('ASC'=>'ASC', 'DESC'=>'DESC'), 'select', $shop['comments_sort'])."</td></tr>\n".            
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['cat_cols']}</b>:<br /><i>{$main->lang['cat_cols_d']}</i></td><td class='form_input2'>".in_text('cat_cols', 'input_text2', $shop['cat_cols'])."</td></tr>\n".        
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['rss_title']}</b>:<br /><i>{$main->lang['rss_title_d']}</i></td><td class='form_input2'>".in_text('rss_title', 'input_text2', $shop['rss_title'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['rss_limit']}</b>:<br /><i>{$main->lang['rss_limit_d']}</i></td><td class='form_input2'>".in_text('rss_limit', 'input_text2', $shop['rss_limit'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['cover_type_shop']}</b>:<br /><i>{$main->lang['cover_type_shop_d']}</i></td><td class='form_input2'>".in_text('cover_type_img', 'input_text2', $shop['cover_type_img'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['cover_size_shop']}</b>:<br /><i>{$main->lang['cover_size_shop_d']}</i></td><td class='form_input2'>".in_text('cover_size_img', 'input_text2', $shop['cover_size_img'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['cover_width_shop']}</b>:<br /><i>{$main->lang['cover_width_shop_d']}</i></td><td class='form_input2'>".in_text('cover_width_img', 'input_text2', $shop['cover_width_img'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['cover_height_shop']}</b>:<br /><i>{$main->lang['cover_height_shop_d']}</i></td><td class='form_input2'>".in_text('cover_height_img', 'input_text2', $shop['cover_height_img'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['cover_width_mini_shop']}</b>:<br /><i>{$main->lang['cover_width_mini_shop_d']}</i></td><td class='form_input2'>".in_text('cover_width_minimg', 'input_text2', $shop['cover_width_minimg'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['cover_height_mini_shop']}</b>:<br /><i>{$main->lang['cover_height_mini_shop_d']}</i></td><td class='form_input2'>".in_text('cover_height_minimg', 'input_text2', $shop['cover_height_minimg'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['symbol_rate']}</b>:<br /><i>{$main->lang['symbol_rate_d']}</i></td><td class='form_input2'>".in_text('symbol_rate', 'input_text2', $shop['symbol_rate'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['default_status']}</b>:<br /><i>{$main->lang['default_status_d']}</i></td><td class='form_input2'>".in_sels('default_status', array($main->lang['queued'], $main->lang['paid'], $main->lang['processing'], $main->lang['procesed']), 'select2', $shop['default_status'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['conf_rss']}</b>:<br /><i>{$main->lang['conf_rss_d']}</i></td><td class='form_input2'>".in_chck('rss', 'input_checkbox', $shop['rss'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['default_shopping_cart']}</b>:<br /><i>{$main->lang['default_shopping_cart_d']}</i></td><td class='form_input2'>".in_chck('default_shopping_cart', 'input_checkbox', $shop['default_shopping_cart'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['clasic_cat']}</b>:<br /><i>{$main->lang['clasic_cat_d']}</i></td><td class='form_input2'>".in_chck('clasic_cat', 'input_checkbox', $shop['clasic_cat'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['attaching']}</b>:<br /><i>{$main->lang['attaching_d']}</i></td><td class='form_input2'>".in_chck('attaching', 'input_checkbox', $shop['attaching'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['list_publications']}</b>:<br /><i>{$main->lang['list_publications_d']}</i></td><td class='form_input2'>".in_chck('list_publications', 'input_checkbox', $shop['list_publications'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['conf_categories']}</b>:<br /><i>{$main->lang['conf_categories_d']}</i></td><td class='form_input2'>".in_chck('categories', 'input_checkbox', $shop['categories'])."</td></tr>\n".        
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['categories_ico']}</b>:<br /><i>{$main->lang['categories_ico_d']}</i></td><td class='form_input2'>".in_chck('categories_ico', 'input_checkbox', $shop['categories_ico'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['categories_desc']}</b>:<br /><i>{$main->lang['categories_desc_d']}</i></td><td class='form_input2'>".in_chck('categories_desc', 'input_checkbox', $shop['categories_desc'])."</td></tr>\n".        
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['multiple_cat']}</b>:<br /><i>{$main->lang['multiple_cat_d']}</i></td><td class='form_input2'>".in_chck('multiple_cat', 'input_checkbox', $shop['multiple_cat'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['ratings']}</b>:<br /><i>{$main->lang['ratings_d']}</i></td><td class='form_input2'>".in_chck('ratings', 'input_checkbox', $shop['ratings'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['guests_evaluate']}</b>:<br /><i>{$main->lang['guests_evaluate_d']}</i></td><td class='form_input2'>".in_chck('guests_evaluate', 'input_checkbox', $shop['guests_evaluate'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['conf_comments']}</b>:<br /><i>{$main->lang['conf_comments_d']}</i></td><td class='form_input2'>".in_chck('comments', 'input_checkbox', $shop['comments'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['guests_comments']}</b>:<br /><i>{$main->lang['guests_comments_d']}</i></td><td class='form_input2'>".in_chck('guests_comments', 'input_checkbox', $shop['guests_comments'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['similar_publications']}</b>:<br /><i>{$main->lang['similar_publications_d']}</i></td><td class='form_input2'>".in_chck('similar_publications', 'input_checkbox', $shop['similar_publications'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['guest_shop']}</b>:<br /><i>{$main->lang['guest_shop_d']}</i></td><td class='form_input2'>".in_chck('guest_shop', 'input_checkbox', $shop['guest_shop'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text2'><b>{$main->lang['more_link_shop']}</b>:<br /><i>{$main->lang['more_link_shop_d']}</i></td><td class='form_input2'>".in_chck('more_link', 'input_checkbox', $shop['more_link'])."</td></tr>\n".    
    "<tr><td class='form_submit' colspan='2' align='center'>{$main->imgadmin['done_button']}</td></tr>\n".
    "</table></form>";
}

function save_conf_shop(){
global $shop, $adminfile;
    require_once "includes/function/sources.php";
    save_config('config_shop.php', '$shop', $shop);
    update_rss_config();
    redirect("{$adminfile}?module={$_GET['module']}&do=config");
}

function on_off_shop(){
global $main;
    $info = $main->db->sql_fetchrow($main->db->sql_query("SELECT * FROM ".SHOP." WHERE id='{$_GET['id']}'"));
    if($info['status']==1){
        $main->db->sql_query("UPDATE ".SHOP." SET status='2' WHERE id='{$_GET['id']}'");
        set_calendar_date($info['id'], $main->module, $info['date'], 0);
        echo $main->lang['off']."<script type='text/javascript'>node = document.getElementById('onoff_{$_GET['id']}'); for(i=0;i<20;i++){if(node.nodeName!='TR') node = node.parentNode; else break;} node.className = node.className+'_warn';</script>";
    } else {
        $main->db->sql_query("UPDATE ".SHOP." SET status='1' WHERE id='{$_GET['id']}'");
        set_calendar_date($info['id'], $main->module, $info['date'], 1);
        echo $main->lang['on']."<script type='text/javascript'>node = document.getElementById('onoff_{$_GET['id']}'); for(i=0;i<20;i++){if(node.nodeName!='TR') node = node.parentNode; else break;} node.className = node.className.replace('_warn', '');</script>";
    }
}

function change_op_shop(){
global $main, $shop;
    if(isset($_POST['sels']) AND is_array($_POST['sels']) AND !empty($_POST['sels'])){
        if($_POST['op']=="status"){
            foreach($_POST['sels'] as $value){
                list($status) = $main->db->sql_fetchrow($main->db->sql_query("SELECT status FROM ".SHOP." WHERE id='{$value}'"));
                sql_update(array('status' => (($status!=1) ? 1 : 2)), SHOP, "id='{$value}'");
            }
        } else {
            foreach($_POST['sels'] as $value) {
                $main->db->sql_query("DELETE FROM ".SHOP." WHERE id='{$value}'");
                $main->db->sql_query("DELETE FROM ".COMMENTS." WHERE parentid='{$value}'");
                $main->db->sql_query("DELETE FROM ".ATTACH." WHERE path LIKE '{$shop['directory']}{$value}/%'");
                $main->db->sql_query("DELETE FROM ".CALENDAR." WHERE module='{$main->module}' AND id='{$value}'");
                if(nc_file_exists($shop['directory'].$value)) remove_dir($shop['directory'].$value);
            }
        }
    }
    if(!is_ajax()) redirect(MODULE);
    else main_shop();
}

function dels_shop(){
global $main, $shop;
    $main->db->sql_query("DELETE FROM ".SHOP." WHERE id='{$_GET['id']}'");
    $main->db->sql_query("DELETE FROM ".COMMENTS." WHERE parentid='{$_GET['id']}'");
    $main->db->sql_query("DELETE FROM ".ATTACH." WHERE path LIKE '{$shop['directory']}{$_GET['id']}/%'");
    $main->db->sql_query("DELETE FROM ".CALENDAR." WHERE module='{$main->module}' AND id='{$_GET['id']}'");
    if(nc_file_exists($shop['directory'].$_GET['id'])) remove_dir($shop['directory'].$_GET['id']);
    if(is_ajax()) main_shop(); else redirect(MODULE);
}

function add_shop($msg=""){
global $main, $adminfile, $shop, $tpl_create;    
    //If there is an error, display it
    if(!empty($msg)) warning($msg);    
    //Plug attachment files
    require_once "includes/function/attache.php";
    //Delete session file downloads
    if(isset($_SESSION['uploaddir'])) unset($_SESSION['uploaddir']);
    //Connect Calendar
    $tpl_create->add2script("optimizer/?includes/javascript/calendar.js");
    $tpl_create->add2link("optimizer/?includes/css/calendar.css");
    echo "<form enctype='multipart/form-data' method='post' action='{$adminfile}?module={$main->module}&amp;do=save'>\n".
    "<table class='form' align='center' id='form_{$main->module}'>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['author']}:<span class='star'>*</span></td><td class='form_input'>".in_text("name", "input_text2", $main->user['user_name'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['name']}:<span class='star'>*</span></td><td class='form_input'>".in_text("title", "input_text2", "", false, " onkeyup=\"rewrite_key('key_link', this.value);\"")."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['key_link']}:</td><td class='form_input'>".in_text("key_link", "input_text2")."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['category']}:</td><td class='form_input'>".get_cat(array(''), $main->module, $shop['multiple_cat']==ENABLED?true:false)."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['language']}:</td><td class='form_input'>".get_lang_file()."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['text']}:<span class='star'>*</span></td><td class='form_input'>".editor("descript", 10, "97%")."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['content_text']}:</td><td class='form_input'>".editor("content", 10, "97%")."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['advanced']}:</td><td class='form_input'>".in_area("advanced", "textarea", 4)."</td></tr>\n".
    "<tr class='row_tr'><td colspan='2' style='margin: 0px; padding: 0px;'><div align='right'><a href='#' class='attache' onclick=\"switch_content('attache'); return false;\">{$main->lang['attach']}</a></div><div id='attache' style='display: none;'><br />".in_hide("uploaddir", $shop['directory'].USER_FOLDER."/", true)."<div class='flash' id='upload_progress'></div><div id='upl_up'>".update_list_files($shop['directory'].USER_FOLDER."/")."</div>".SWFUpload("index.php?module={$main->module}&amp;do=upload", $shop['attaching_files_type'], $shop['attaching_files_size'], $shop['file_upload_limit'])."</div></td></tr>\n".        
    "<tr class='row_tr'><td class='form_text'>{$main->lang['price']}:<span class='star'>*</span></td><td class='form_input'>".in_text("pay", "input_text2", '0.00')."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['load_image']}:</td><td class='form_input'><input type='file' name='file_cover' size='44' /></td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['pub_date']}:</td><td class='form_input'>".get_date_case(format_date(gmdate("Y-m-d H:i:s"), "Y-m-d H:i:s"))."</td></tr>\n".
    "<tr><td class='form_text'>{$main->lang['active_comments']}</td><td class='form_input '>".in_chck("comments", "input_checkbox")."</td></tr>".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['active']}</td><td class='form_input '>".in_chck("active", "input_checkbox", ENABLED)."</td></tr>".
    "<tr><td class='form_submit' colspan='2' align='center'>".send_button()."</td></tr>\n".
    "</table>\n</form>\n";
}

function save_shop(){
global $main, $shop;
    filter_arr(array('name', 'title', 'key_link'), POST, TAGS);
    $msg = error_empty(array('name', 'title', 'descript', 'pay'), array('author_err', 'title_err', 'text_err', 'pay_err'));
    $msg = ($_POST['pay']=='0.00') ? $main->lang['price_err'] : "";
    $shop_id = (!isset($_POST['key_link']) OR empty($_POST['key_link'])) ? cyr2lat($_POST['title']) : $_POST['key_link'];
    $img = "";
    //Check for duplicate publication
    if(empty($msg)){
        $result = $main->db->sql_query("SELECT shop_id, title FROM ".SHOP." WHERE shop_id='{$shop_id}' OR title='{$_POST['title']}'");
        $msg .= ($main->db->sql_numrows($result)>0) ? $main->lang['dublicate_pub'] : "";
        //If no errors are trying to download the file
        if(empty($msg)){
            //Check whether you need to download the file
            if(isset($_FILES["file_cover"]) AND !empty($_FILES["file_cover"]['name'])){
                require_once "includes/classes/uploader.class.php";
                $new_name = get_name_file(cyr2lat($_FILES["file_cover"]['name']));
                $attach = new upload(array(
                    'dir'    => $shop['directory'].USER_FOLDER."/",
                    'file'   => $_FILES["file_cover"],
                    'size'   => $shop['cover_size_img'],
                    'type'   => explode(",", $shop['cover_type_img']),
                    'name'   => $new_name,
                    'width'  => $shop['cover_width_img'], 
                    'height' => $shop['cover_height_img']
                ));
                if(!$attach->error) {
                    $img = $attach->file;
                    require_once "includes/classes/graphics.class.php";
                    $graphics = new graphics(array(
                        'name'                => $attach->file,
                        'new_name'            => $new_name,
                        'width'               => $shop['cover_width_minimg'],
                        'height'              => $shop['cover_height_minimg'],
                        'watermark'           => $main->config['mark_img'],
                        'watermark_position'  => $main->config['mark'],
                        'directory_image'     => $shop['directory'].USER_FOLDER."/",
                        'directory_new_image' => $shop['directory'].USER_FOLDER."/"
                    ));
                    $graphics->watermark();
                    $size_image = getimagesize($shop['directory'].USER_FOLDER."/".$attach->file);
                    if($size_image[0]>$shop['cover_width_minimg'] OR $size_image[1]>$shop['cover_height_minimg']) $graphics->resize_image();
                    else nc_copy($shop['directory'].USER_FOLDER."/{$attach->file}", $shop['directory'].USER_FOLDER."/mini-{$attach->file}");
                } else $msg = $attach->get_error_msg();
            }
        }
    }
    if(empty($msg)){
        $cid = "";
        if(isset($_POST['cid']) AND is_array($_POST['cid']) AND count($_POST['cid'])>0) foreach($_POST['cid'] as $value) $cid .= $value."|";
        $nex_id = $main->db->sql_nextid(sql_insert(array(
            'shop_id'       => $shop_id,
            'title'         => $_POST['title'],
            'author'        => $_POST['name'],
            'date'          => isset($_POST['year']) ? backgmdate("{$_POST['year']}-{$_POST['month']}-{$_POST['day']}".(isset($_POST['H'])?" {$_POST['H']}:{$_POST['i']}:{$_POST['s']}":""), "Y-m-d H:i:s") : nc_date("Y-m-d H:i:s"),  
            'cid'           => $cid,
            'status'        => (isset($_POST['active']) AND $_POST['active']==ENABLED) ? 1 : 0,
            'show_comment'  => (isset($_POST['comments']) AND $_POST['comments']==ENABLED) ? 1 : 0,
            'language'      => $_POST['language'],
            'advanced'      => $_POST['advanced'],
            'img'           => $img,
            'description'   => bb(nc_filter($_POST['descript'])),
            'content'       => bb(nc_filter(empty($_POST['content']) ? $_POST['descript'] : $_POST['content'])),
            'pay'           => str_replace(',', '.', $_POST['pay'])
        ), SHOP));
        set_calendar_date($nex_id, $main->module, isset($_POST['year'])?date("Y-m-d", strtotime("{$_POST['year']}-{$_POST['month']}-{$_POST['day']}")):nc_date("Y-m-d"), (isset($_POST['active']) AND $_POST['active']==ENABLED) ? 1 : 0); 
        if(rename_attach($shop['directory'].USER_FOLDER."/", $shop['directory'].$nex_id."/")){
            $_POST['descript'] = str_replace(USER_FOLDER, $nex_id, $_POST['descript']);
            $_POST['content'] = str_replace(USER_FOLDER, $nex_id, $_POST['content']);
            sql_update(array(
                'description'   => bb(nc_filter($_POST['descript'])),
                'content'       => bb(nc_filter(empty($_POST['content']) ? $_POST['descript'] : $_POST['content'])),
            ), SHOP, "id='{$nex_id}'");
        } elseif(!empty($img) AND nc_file_exists($shop['directory'].USER_FOLDER."/".$img)) nc_rename($shop['directory'].USER_FOLDER."/", $shop['directory'].$nex_id."/");
        redirect(MODULE);
    } else add_shop($msg);
}

function edit_shop($msg=""){
global $main, $shop, $adminfile, $tpl_create;
    //If there is an error, display it
    if(!empty($msg)) warning($msg);    
    //Plug attachment files
    require_once "includes/function/attache.php";
    //Delete session file downloads
    if(isset($_SESSION['uploaddir'])) unset($_SESSION['uploaddir']);
    //Connect Calendar
    $tpl_create->add2script("optimizer/?includes/javascript/calendar.js");
    $tpl_create->add2link("optimizer/?includes/css/calendar.css");
    $r = $main->db->sql_fetchrow($main->db->sql_query("SELECT * FROM ".SHOP." WHERE id='{$_GET['id']}'"));
    $uploaddir = $_SESSION['uploaddir'] = nc_file_exists($shop['directory'].$_GET['id']."/") ? $shop['directory'].$_GET['id']."/" : $shop['directory'].USER_FOLDER."/";
    echo "<form enctype='multipart/form-data' method='post' action='{$adminfile}?module={$main->module}&amp;do=save_edit&amp;id={$_GET['id']}'>\n".
    "<table class='form' align='center' id='form_{$main->module}'>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['author']}:<span class='star'>*</span></td><td class='form_input'>".in_text("name", "input_text2", $r['author'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['name']}:<span class='star'>*</span></td><td class='form_input'>".in_text("title", "input_text2", $r['title'], false, " onkeyup=\"rewrite_key('key_link', this.value);\"")."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['key_link']}:</td><td class='form_input'>".in_text("key_link", "input_text2", $r['shop_id'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['category']}:</td><td class='form_input'>".get_cat(explode('|', $r['cid']), $main->module, $shop['multiple_cat']==ENABLED?true:false)."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['language']}:</td><td class='form_input'>".get_lang_file($r['language'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['text']}:<span class='star'>*</span></td><td class='form_input'>".editor("descript", 10, "97%", bb($r['description'], DECODE))."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['content_text']}:</td><td class='form_input'>".editor("content", 10, "97%", bb($r['content'], DECODE))."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['advanced']}:</td><td class='form_input'>".in_area("advanced", "textarea", 4, bb($r['advanced'], DECODE))."</td></tr>\n".
    "<tr class='row_tr'><td colspan='2' style='margin: 0px; padding: 0px;'><div align='right'><a href='#' class='attache' onclick=\"switch_content('attache'); return false;\">{$main->lang['attach']}</a></div><div id='attache' style='display: none;'><br />".in_hide("uploaddir", $uploaddir, true)."<div class='flash' id='upload_progress'></div><div id='upl_up'>".update_list_files($uploaddir)."</div>".SWFUpload("index.php?module={$main->module}&amp;do=upload", $shop['attaching_files_type'], $shop['attaching_files_size'], $shop['file_upload_limit'])."</div></td></tr>\n".            
    "<tr class='row_tr'><td class='form_text'>{$main->lang['price']}:<span class='star'>*</span></td><td class='form_input'>".in_text("pay", "input_text2", $r['pay'])."</td></tr>\n".            
    "<tr class='row_tr'><td class='form_text'>{$main->lang['image']}:</td><td class='form_input'>".in_text("image", "input_text2", $r['img'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['load_image']}:</td><td class='form_input'><input type='file' name='file_cover' size='44' /></td></tr>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['rating']}:</td><td class='form_input'>".in_text("rating", "input_text2", $r['rating'])."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['pub_date']}:</td><td class='form_input'>".get_date_case(format_date($r['date'], "Y-m-d H:i:s"))."</td></tr>\n".
    "<tr><td class='form_text'>{$main->lang['active_comments']}</td><td class='form_input '>".in_chck("comments", "input_checkbox", ($r['show_comment']==1)?ENABLED:"")."</td></tr>".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['active']}</td><td class='form_input '>".in_chck("active", "input_checkbox", ($r['status']==1)?ENABLED:"")."</td></tr>".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['delete']}?:</td><td class='form_input '>".in_chck("delete", "input_checkbox", "")."</td></tr>".
    "<tr><td class='form_submit' colspan='2' align='center'>".send_button()."</td></tr>\n".
    "</table>\n</form>\n";
    
}

function save_edit_shop(){
global $main, $shop;
    if(isset($_POST['delete']) AND $_POST['delete']==ENABLED){
        $main->db->sql_query("DELETE FROM ".SHOP." WHERE id={$_GET['id']}");
        $main->db->sql_query("DELETE FROM ".COMMENTS." WHERE parentid='{$_GET['id']}'");
        $main->db->sql_query("DELETE FROM ".ATTACH." WHERE path LIKE '{$shop['directory']}{$_GET['id']}/%'");
        if(nc_file_exists($shop['directory'].$_GET['id'])) remove_dir($shop['directory'].$_GET['id']);
        redirect(MODULE);
    }
    filter_arr(array('name', 'title', 'key_link'), POST, TAGS);
    $msg = error_empty(array('name', 'title', 'descript', 'pay'), array('author_err', 'title_err', 'text_err', 'pay_err'));
    $msg = ($_POST['pay']=='0.00') ? $main->lang['price_err'] : "";
    $shop_id = (!isset($_POST['key_link']) OR empty($_POST['key_link'])) ? cyr2lat($_POST['title']) : $_POST['key_link'];
    $img = "";
    if(empty($msg)){
        $result = $main->db->sql_query("SELECT shop_id, title FROM ".SHOP." WHERE (shop_id='{$shop_id}' OR title='{$_POST['title']}') AND id<>'{$_GET['id']}'");
        $msg .= ($main->db->sql_numrows($result)>0) ? $main->lang['dublicate_pub'] : "";
        if(empty($msg)){
            if(isset($_FILES["file_cover"]) AND !empty($_FILES["file_cover"]['name'])){
                require_once "includes/classes/uploader.class.php";
                $new_name = get_name_file(cyr2lat($_FILES["file_cover"]['name']));
                $atrib = array(
                    'dir'    => (!nc_file_exists($shop['directory'].$_GET['id']."/")) ? $shop['directory'].USER_FOLDER."/":$shop['directory'].$_GET['id']."/",
                    'file'   => $_FILES["file_cover"],
                    'size'   => $shop['cover_size_img'],
                    'type'   => explode(",", $shop['cover_type_img']),
                    'name'   => $new_name,
                    'width'  => $shop['cover_width_img'], 
                    'height' => $shop['cover_height_img']
                );                            
                $attach = new upload($atrib);
                if($attach->error) $img = $_POST['image'];
                else {
                    $img = $attach->file;
                    require_once "includes/classes/graphics.class.php";
                    $atribute = array(
                        'name'                => $attach->file,
                        'new_name'            => $new_name,
                        'width'               => $shop['cover_width_minimg'],
                        'height'              => $shop['cover_height_minimg'],
                        'watermark'           => $main->config['mark_img'],
                        'watermark_position'  => $main->config['mark'],
                        'directory_image'     => (!nc_file_exists($shop['directory'].$_GET['id']."/")) ? $shop['directory'].USER_FOLDER."/":$shop['directory'].$_GET['id']."/",
                        'directory_new_image' => (!nc_file_exists($shop['directory'].$_GET['id']."/")) ? $shop['directory'].USER_FOLDER."/":$shop['directory'].$_GET['id']."/"
                    );
                    $graphics = new graphics($atribute);
                    $graphics->watermark();
                    $size_image = getimagesize(((!nc_file_exists($shop['directory'].$_GET['id']."/")) ? $shop['directory'].USER_FOLDER."/":$shop['directory'].$_GET['id']."/").$attach->file);
                    if($size_image[0]>$shop['cover_width_minimg'] OR $size_image[1]>$shop['cover_height_minimg']) $graphics->resize_image();
                    else nc_copy(((!nc_file_exists($shop['directory'].$_GET['id']."/")) ? $shop['directory'].USER_FOLDER."/":$shop['directory'].$_GET['id']."/").$attach->file, ((!nc_file_exists($shop['directory'].$_GET['id']."/")) ? $shop['directory'].USER_FOLDER."/":$shop['directory'].$_GET['id']."/")."mini-{$attach->file}");
                }
            } else $img = $_POST['image'];
        }
    }
    if(empty($msg)){
         $cid = "";
         if(isset($_POST['cid']) AND is_array($_POST['cid']) AND count($_POST['cid'])>0) foreach($_POST['cid'] as $value) $cid .= $value."|";
         sql_update(array(
             'shop_id'       => $shop_id,
             'title'         => $_POST['title'],
             'author'        => $_POST['name'],
             'date'          => isset($_POST['year']) ? backgmdate("{$_POST['year']}-{$_POST['month']}-{$_POST['day']} {$_POST['H']}:{$_POST['i']}:{$_POST['s']}", "Y-m-d H:i:s") : nc_date("Y-m-d H:i:s"),  
             'cid'           => $cid,
             'status'        => (isset($_POST['active']) AND $_POST['active']==ENABLED) ? 1 : 0,
             'show_comment'  => (isset($_POST['comments']) AND $_POST['comments']==ENABLED) ? 1 : 0,
             'language'      => $_POST['language'],
             'advanced'      => $_POST['advanced'],
             'img'           => $img,
             'rating'        => $_POST['rating'],
             'description'   => bb(nc_filter($_POST['descript'])),
             'content'       => bb(nc_filter(empty($_POST['content']) ? $_POST['descript'] : $_POST['content'])),
             'pay'           => str_replace(',', '.', $_POST['pay'])
         ), SHOP, "id='{$_GET['id']}'");  
         set_calendar_date($_GET['id'], $main->module, date("Y-m-d", strtotime(backgmdate("{$_POST['year']}-{$_POST['month']}-{$_POST['day']}"))), (isset($_POST['active']) AND $_POST['active']==ENABLED) ? 1 : 0);
         if(rename_attach($shop['directory'].USER_FOLDER."/", $shop['directory'].$_GET['id']."/")){
            $_POST['descript'] = str_replace(USER_FOLDER, $_GET['id'], $_POST['descript']);
            $_POST['content'] = str_replace(USER_FOLDER, $_GET['id'], $_POST['content']);
             sql_update(array(
                'description'   => bb(nc_filter($_POST['descript'])),
                'content'       => bb(nc_filter(empty($_POST['content']) ? $_POST['descript'] : $_POST['content'])),
             ), SHOP, "id='{$_GET['id']}'");
         }
         redirect(MODULE);
    } else edit_shop($msg); 
    
}

function form_config(){
global $main, $adminfile, $shop_form;
    echo "<table cellspacing='1' class='table' width='100%'>".
    "<tr><th width='15'>#</th><th>{$main->lang['title']}</th><th width='120'>{$main->lang['name']}</th><th width='120'>{$main->lang['type_form_row']}</th><th width='70'>{$main->lang['position']}</th><th width='70'>{$main->lang['functions']}</th></tr>";
    $i = 1; $row = "row1";
    $count = count($shop_form);
    foreach($shop_form as $arr){
        $op = "<table cellspacing='1' class='cl'><tr><td>".edit_button("{$adminfile}?module={$main->module}&amp;do=edit_form&amp;id=".($i-1)).delete_button("{$adminfile}?module={$main->module}&amp;do=delete_form_row&amp;id=".($i-1), 'ajax_content')."</td></tr></table>";
        $up_down = ($count>1) ? up_down_analizy($i, $count, $i-1, 'ajax_content') : "";
        echo "<tr class='{$row}'><td align='center' class='col'>{$i}</td><td>{$arr['title']}</td><td class='col'>{$arr['name']}</td><td align='center'>"._type_form_name_set($arr['type'])."</td><td class='col' align='center'>{$up_down}</td><td align='center'>{$op}</td></tr>";
        $row = ($row=="row1") ? "row2" : "row1"; 
        $i++;
    }
    echo "</table><br /><div align='right'><input onclick=\"location.href='{$adminfile}?module={$main->module}&amp;do=form_add';\" class='admin_button' type='submit' value='{$main->lang['add_row_form']}' /></div>";
}

function moves_shop(){
global $main, $shop_form, $adminfile;
    if($_GET['type']=="up") $next = $_GET['id']-1; else $next = $_GET['id']+1;
    $_arr = $shop_form[$_GET['id']];
    $shop_form[$_GET['id']] = $shop_form[$next];
    $shop_form[$next] = $_arr;
    save_config_file($shop_form);
    if(is_ajax()) form_config(); else redirect("{$adminfile}?module={$main->module}&do=form");
}

function dels_form_row(){
global $main, $shop_form, $adminfile;
    unset($shop_form[$_GET['id']]);
    $_shop_form = $shop_form;
    unset($shop_form);
    $shop_form = array();
    foreach($_shop_form as $value) $shop_form[] = $value;
    save_config_file($shop_form);
    if(is_ajax()) form_config(); else redirect("{$adminfile}?module={$main->module}&do=form");
}

function edit_form_shop(){
global $main, $adminfile, $lang, $shop_form;
    if(!empty($msg)) warning($msg);
    $d = $shop_form[$_GET['id']]['default'];
    if($shop_form[$_GET['id']]['type']=='select') {
        $o = $shop_form[$_GET['id']]['option'];
    } elseif($shop_form[$_GET['id']]['type']=='radio') {
        $o = array();
        foreach($shop_form[$_GET['id']]['option'] as $value) $o[] = $value['title'];
    }
    $m = $shop_form[$_GET['id']]['must'];
    echo "<form action='{$adminfile}?module={$main->module}&amp;do=save_elm_form&amp;id={$_GET['id']}' method='post'>".
    "<table class='form' align='center' id='form_{$main->module}'>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['title']}:</td><td class='form_input'>".in_text("title", "input_text2", $shop_form[$_GET['id']]['title'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['name']}:</td><td class='form_input'>".in_text("name", "input_text2", $shop_form[$_GET['id']]['name'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['class']}:</td><td class='form_input'>".in_text("class", "input_text2", $shop_form[$_GET['id']]['class'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['type_form_row']}:</td><td class='form_input'>".in_sels("type", array('text' => $lang['text_form'], 'textarea' => $lang['textarea_form'], 'checkbox' => $lang['checkbox_form'], 'radio' => $lang['radio_form'], 'select' => $lang['select_form']), "select", $shop_form[$_GET['id']]['type'], " onchange=\"select_form_elm(this);\"")."</td></tr>\n".    
    "<tr class='row_tr' id='def_val'".(($shop_form[$_GET['id']]['type']=='text' OR $shop_form[$_GET['id']]['type']=='textarea')?'':" style='display:none;'")."><td class='form_text'>{$main->lang['default_value']}:</td><td class='form_input'>".in_text("default", 'input_text2', is_string($d)?$d:'')."</td></tr>\n".
    "<tr class='row_tr' id='def_val_ck'".($shop_form[$_GET['id']]['type']=='checkbox'?'':" style='display:none;'")."><td class='form_text'>{$main->lang['default_value']}:</td><td class='form_input'>".in_radio("default_ck", 'yes', $main->lang['activate'], 'ac', (is_bool($d) AND $d==true)?true:false)." ".in_radio("default_ck", 'no', $main->lang['deactivate'], 'deac', (is_bool($d) AND $d==true)?false:true)."</td></tr>\n".
    "<tr class='row_tr' id='case_val'".(($shop_form[$_GET['id']]['type']=='select' OR $shop_form[$_GET['id']]['type']=='radio')?'':" style='display:none;'")."><td class='form_text'>{$main->lang['case_value']}:</td><td class='form_input'>".in_case_val('select', 'input_text', (isset($o) AND is_array($o))?$o:array(), $d)."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['must']}:</td><td class='form_input'>".in_chck("must", "checkbox", is_bool($m)?$m:false)."</td></tr>\n".
    "<tr><td class='form_submit' colspan='2' align='center'>".send_button()."</td></tr>\n".
    "</table></form>";
}

function form_add($msg=""){
global $main, $adminfile, $lang;
    if(!empty($msg)) warning($msg);
    echo "<form action='{$adminfile}?module={$main->module}&amp;do=save_elm_form' method='post'>".
    "<table class='form' align='center' id='form_{$main->module}'>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['title']}:</td><td class='form_input'>".in_text("title", "input_text2")."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['name']}:</td><td class='form_input'>".in_text("name", "input_text2")."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['class']}:</td><td class='form_input'>".in_text("class", "input_text2")."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['type_form_row']}:</td><td class='form_input'>".in_sels("type", array('text' => $lang['text_form'], 'textarea' => $lang['textarea_form'], 'checkbox' => $lang['checkbox_form'], 'radio' => $lang['radio_form'], 'select' => $lang['select_form']), "select", '', " onchange=\"select_form_elm(this);\"")."</td></tr>\n".    
    "<tr class='row_tr' id='def_val'><td class='form_text'>{$main->lang['default_value']}:</td><td class='form_input'>".in_text("default", 'input_text2', '')."</td></tr>\n".
    "<tr class='row_tr' id='def_val_ck' style='display:none;'><td class='form_text'>{$main->lang['default_value']}:</td><td class='form_input'>".in_radio("default_ck", 'yes', $main->lang['activate'], 'ac')." ".in_radio("default_ck", 'no', $main->lang['deactivate'], 'deac', true)."</td></tr>\n".
    "<tr class='row_tr' id='case_val' style='display:none;'><td class='form_text'>{$main->lang['case_value']}:</td><td class='form_input'>".in_case_val('select', 'input_text')."</td></tr>\n".    
    "<tr class='row_tr'><td class='form_text'>{$main->lang['must']}:</td><td class='form_input'>".in_chck("must", "checkbox")."</td></tr>\n".
    "<tr><td class='form_submit' colspan='2' align='center'>".send_button()."</td></tr>\n".
    "</table>".
    "</form>";
}

function save_elm_form(){
global $main, $adminfile, $lang, $shop_form;
    if(empty($_POST['title']) OR empty($_POST['name'])) $msg = $main->lang['allerror'];
    if($_POST['type']=='text' OR $_POST['type']=='textarea'){
        $default = $_POST['default'];
        $option = false;
    } elseif($_POST['type']=='checkbox'){
        $default = $_POST['default_ck']=='no' ? false : true;
        $option = false;
    } elseif($_POST['type']=='select'){
        $default = (isset($_POST['selected']) AND !empty($_POST['selected'])) ? $_POST['selected'] : 0;
        $option = array();
        if(is_array($_POST['select']) AND count($_POST['select'])>0){
            foreach($_POST['select'] as $key => $value) if($value!='') $option[] = $value;
            if(count($option)==0) $msg = $main->lang['allerror'];
        } else $msg = $main->lang['allerror'];
    } elseif($_POST['type']=='radio'){
        $default = (isset($_POST['selected']) AND !empty($_POST['selected'])) ? $_POST['selected'] : 0;
        $option = array();
        if(is_array($_POST['select']) AND count($_POST['select'])>0){
            foreach($_POST['select'] as $key => $value) {
                if($value!='') {
                    $option[] = array(
                        'title' => $value,
                        'value' => "val1".$key
                    );
                }
            }
            if(count($option)==0) $msg = $main->lang['allerror'];
        } else $msg = $main->lang['allerror'];
    } 
    if(empty($msg)){
        $_arr = array (
            'title'   => $_POST['title'],
            'name'    => $_POST['name'],
            'type'    => $_POST['type'],
            'class'   => $_POST['class'],
            'default' => $default,
            'option'  => $option,
            'must'    => (isset($_POST['must']) AND $_POST['must']=='on') ? true : false,
        );                
        if(!isset($_GET['id'])) $shop_form[] = $_arr;
        else $shop_form[$_GET['id']] = $_arr;
        save_config_file($shop_form);
        redirect("{$adminfile}?module={$main->module}&amp;do=form");
    } else form_add($msg); 
}

function form_save(){
global $main, $adminfile, $shop_form;
    if(empty($msg)){
        $new_row = array();
        $shop_form = array_merge($shop_form, $new_row);
        save_config_file($shop_form);    
        redirect("{$adminfile}?module={$main->module}&do=form"); 
    } else form_add($msg);
}

function save_config_file($config){
global $copyright_file;
    $file = fopen("includes/config/config_shop_form.php", "w");
    fputs ($file, $copyright_file.arr2str($config, 'shop_form')."\n?".">");
    fclose ($file);
}

function orders(){
global $main, $adminfile, $userconf, $shop;
    $num = isset($_GET['page']) ? intval($_GET['page']) : "1";
    $offset = ($num-1) * 30;    
    $result = $main->db->sql_query("SELECT s.*, u.* FROM ".SHOP_CLIENT." AS s LEFT JOIN ".USERS." AS u ON(s.user=u.uid) ORDER BY s.sid DESC LIMIT {$offset}, 30");
    $rows = $main->db->sql_numrows($result);
    if($rows>0){
        $tr = "row1";
        $i = (1*$num>1) ? (30*($num-1))+1 : 1*$num;
        echo "<table width='100%' class='table'><tr><th width='15'>#</th><th>{$main->lang['code_order']}</th><th width='120'>{$main->lang['sum_price']}</th><th width='70'>{$main->lang['date']}</th><th width='100'>{$main->lang['bay_user']}</th><th width='120'>{$main->lang['status']}</th><th width='90'>{$main->lang['note']}</th><th width='70'>{$main->lang['functions']}</th></tr>";
        while(($row = $main->db->sql_fetchrow($result))){
            $op = "<table cellspacing='1' class='cl'><tr><td>".info_button("#", " onclick=\"newWindow = window_open('{$adminfile}?module={$main->module}&amp;do=show_form&amp;id={$row['sid']}', '', 'toolbar=0,width=720,height=600,resizable=0,menubar=0,scrollbars=1,status=0'); return false;\"")."</td><td>".edit_button("{$adminfile}?module={$main->module}&amp;do=order_edit&amp;id={$row['sid']}").delete_button("{$adminfile}?module={$main->module}&amp;do=order_delete&amp;id={$row['sid']}", 'ajax_content')."</td></tr></table>";
            switch($row['status']){
                case "0": $status = "<span style='color: red;'>{$main->lang['queued']}</span>"; break;
                case "1": $status = "<span style='color: green;'>{$main->lang['paid']}</span>"; break;
                case "2": $status = "<span style='color: orange;'>{$main->lang['processing']}</span>"; break;
                case "3": $status = "<span style='color: #BDBDBD;'>{$main->lang['procesed']}</span>"; break;
            }
            echo "<tr><td align='center'>{$i}</td><td>{$row['unique_id']}</td><td align='center'>{$row['pay']} {$shop['symbol_rate']}</td><td align='center'>".format_date($row['date'])."</td><td align='center'>".(($row['uid']!=-1)?"<a href='".$main->url(array('module' => 'account', 'do' => 'user', 'id' => case_id($row['user_id'], $row['uid'])))."' title='{$main->lang['user_profile']}'>{$row['user_name']}</a>":$userconf['guest_name'])."</td><td align='center'>{$status}</td><td align='center'>".(empty($row['comment'])?"<span style='color: green;'>{$main->lang['no']}</span>":"<span style='color: red;'>{$main->lang['yes2']}</span>")."</td><td align='center'>{$op}</td></tr>\n";
            $tr = ($tr=="row1") ? "row2" : "row1";
            $i++;
        }
        echo "</table>";
        if ($rows==30 OR isset($_GET['page'])){
            list($numrows) = $main->db->sql_fetchrow($main->db->sql_query("SELECT COUNT(*) FROM ".SHOP_CLIENT." "));
            pages($numrows, 30, array('module' => $main->module, 'do' => 'orders'), true, false, array(), true);
        }
    } else info($main->lang['noinfo']);
}

function show_form(){
global $main, $tpl_create;
    $tpl_create->design = false;    
    $result = $main->db->sql_fetchrow($main->db->sql_query("SELECT * FROM ".SHOP_CLIENT." WHERE sid={$_GET['id']}"));
    echo $result['form'];
    set_meta_value(array($main->lang['order']." ".$result['unique_id'], $main->lang['shop']));
    
}

function order_edit($msg=""){
global $main, $adminfile;
    if(!empty($msg)) warning($msg);
    $r = $main->db->sql_fetchrow($main->db->sql_query("SELECT * FROM ".SHOP_CLIENT." WHERE sid={$_GET['id']}"));
    echo "<form enctype='multipart/form-data' method='post' action='{$adminfile}?module={$main->module}&amp;do=save_order&amp;id={$_GET['id']}'>\n".
    "<table class='form' align='center' id='form_{$main->module}'>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['sum_price']}:<span class='star'>*</span></td><td class='form_input'>".in_text("pay", "input_text2", $r['pay'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['note']}:</td><td class='form_input'>".in_area("note", "textarea", 6, $r['comment'])."</td></tr>\n".
    "<tr class='row_tr'><td class='form_text'>{$main->lang['status']}:</td><td class='form_input'>".in_sels("status", array($main->lang['queued'], $main->lang['paid'], $main->lang['processing'], $main->lang['procesed']), "select", $r['status'])."</td></tr>\n".    
    "<tr><td class='form_submit' colspan='2' align='center'>".send_button()."</td></tr>\n".
    "</table>\n</form>\n";
}

function save_order(){
global $main, $adminfile;
    $msg = (empty($_POST['pay'])) ? "error" : "";
    if(empty($msg)){
        sql_update(array(
            'comment' => $_POST['note'],
            'pay'     => $_POST['pay'],
            'status'  => $_POST['status']
        ), SHOP_CLIENT, "sid='{$_GET['id']}'");
        redirect("{$adminfile}?module={$main->module}&do=orders");
    } else order_edit($msg);
}

function order_delete(){
global $main, $adminfile;
    $main->db->sql_query("DELETE FROM ".SHOP_CLIENT." WHERE sid='{$_GET['id']}'");
    if(is_ajax()) orders(); else redirect("{$adminfile}?module={$main->module}&do=orders"); 
}

if(isset($_GET['do']) AND $break_load==false){
    switch($_GET['do']){
        case "add": add_shop(); break;
        case "save": save_shop(); break;
        case "edit": edit_shop(); break;
        case "save_edit": save_edit_shop(); break;
        case "config": config_shop(); break;
        case "save_conf": save_conf_shop(); break;
        case "delete": dels_shop(); break;
        case "on_off": on_off_shop(); break;
        case "change_op": change_op_shop(); break;
        case "form": form_config(); break;
        case "form_add": form_add(); break;
        case "form_save": form_save(); break;
        case "move": moves_shop(); break;
        case "edit_form": edit_form_shop(); break;
        case "delete_form_row": dels_form_row(); break;
        case "orders": orders(); break;
        case "show_form": show_form(); break;
        case "order_edit": order_edit(); break;
        case "save_order": save_order(); break;
        case "order_delete": order_delete(); break;
        case "save_elm_form": save_elm_form(); break;
        default: main_shop(); break;
    }
} elseif($break_load==false) main_shop();
?>
